var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_23743256');
var _div_23612352 = new Emp.Panel({"id":"_div_23612352","height":"100%","layout":"VBox","width":"100%"});
var _div_4534823 = new Emp.Panel({"id":"_div_4534823","height":"44","width":"100%"});
_div_4534823.addEvent('onClick',goBack);
var _img_14656174 = new Emp.Image({"id":"_img_14656174","height":"30","marginTop":"10","width":"30","src":"/icon_128/iconfont-back.png"});
_div_4534823.add(_img_14656174);
var _div_3246714 = new Emp.Panel({"id":"_div_3246714","height":"100%","marginLeft":"10","marginTop":"13","width":"100%"});
var _input_8026821 = new Emp.Label({"id":"_input_8026821","color":"#999999","value":"饭团信息","fontSize":"16"});
_div_3246714.add(_input_8026821);
_div_4534823.add(_div_3246714);
_div_23612352.add(_div_4534823);
var _div_17963969 = new Emp.Panel({"id":"_div_17963969","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
_div_23612352.add(_div_17963969);
var _div_31216075 = new Emp.Panel({"id":"_div_31216075","height":"70","backgroundColor":"#fafafa","vAlign":"middle","width":"100%","paddingLeft":"5","paddingRight":"5"});
_div_31216075.addEvent('onClick',modifHead);
var _div_25032913 = new Emp.Panel({"id":"_div_25032913","height":"50","borderColor":"#f2f2f2","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","width":"100%","cornerRadius":"10"});
var _input_22711600 = new Emp.Label({"id":"_input_22711600","value":"头像"});
_div_25032913.add(_input_22711600);
var headImg = new Emp.Image({"id":"headImg","height":"40","marginLeft":"200","width":"50","src":"/fan_tie/u141.png"});
_div_25032913.add(headImg);
_div_31216075.add(_div_25032913);
_div_23612352.add(_div_31216075);
var _div_16022866 = new Emp.Panel({"id":"_div_16022866","height":"70","backgroundColor":"#fafafa","vAlign":"middle","width":"100%","paddingLeft":"5","paddingRight":"5"});
_div_16022866.addEvent('onClick',modifName);
var _div_21995338 = new Emp.Panel({"id":"_div_21995338","height":"50","borderColor":"#f2f2f2","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","width":"100%","cornerRadius":"10"});
var _input_6480411 = new Emp.Label({"id":"_input_6480411","value":"名称"});
_div_21995338.add(_input_6480411);
var fan_message_name = new Emp.Label({"id":"fan_message_name","marginLeft":"100","value":"孙大圣上海后援会"});
_div_21995338.add(fan_message_name);
_div_16022866.add(_div_21995338);
_div_23612352.add(_div_16022866);
var _div_6847573 = new Emp.Panel({"id":"_div_6847573","height":"70","backgroundColor":"#fafafa","vAlign":"middle","width":"100%","paddingLeft":"5","paddingRight":"5"});
var _div_29021590 = new Emp.Panel({"id":"_div_29021590","height":"50","borderColor":"#f2f2f2","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","width":"100%","cornerRadius":"10"});
var _input_18648471 = new Emp.Label({"id":"_input_18648471","value":"简介  "});
_div_29021590.add(_input_18648471);
var abstractNm = new Emp.Label({"id":"abstractNm","marginLeft":"100","value":"孙大圣..................."});
abstractNm.addEvent('onClick',modifHead);
_div_29021590.add(abstractNm);
_div_6847573.add(_div_29021590);
_div_23612352.add(_div_6847573);
var _div_4662506 = new Emp.Panel({"id":"_div_4662506","height":"70","backgroundColor":"#fafafa","vAlign":"middle","width":"100%","paddingLeft":"5","paddingRight":"5"});
_div_4662506.addEvent('onClick',messageTitle);
var _div_13142021 = new Emp.Panel({"id":"_div_13142021","height":"50","borderColor":"#f2f2f2","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","width":"100%","cornerRadius":"10"});
var _input_22691907 = new Emp.Label({"id":"_input_22691907","value":"关联标签       "});
_div_13142021.add(_input_22691907);
var messageBiaoQian = new Emp.Label({"id":"messageBiaoQian","marginLeft":"50","value":"孙大圣 后援 演唱"});
_div_13142021.add(messageBiaoQian);
_div_4662506.add(_div_13142021);
_div_23612352.add(_div_4662506);
var _div_20651380 = new Emp.Panel({"id":"_div_20651380","height":"70","backgroundColor":"#fafafa","vAlign":"middle","width":"100%","paddingLeft":"5","paddingRight":"5"});
_div_20651380.addEvent('onClick',modifArea);
var _div_715232 = new Emp.Panel({"id":"_div_715232","height":"50","borderColor":"#f2f2f2","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","width":"100%","cornerRadius":"10"});
var _input_8430966 = new Emp.Label({"id":"_input_8430966","value":"地区"});
_div_715232.add(_input_8430966);
var area = new Emp.Label({"id":"area","marginLeft":"100","value":"浙江·杭州"});
_div_715232.add(area);
_div_20651380.add(_div_715232);
_div_23612352.add(_div_20651380);
var _div_10312622 = new Emp.Panel({"id":"_div_10312622","height":"150","backgroundColor":"#fafafa","vAlign":"middle","width":"100%","paddingLeft":"5","paddingRight":"5"});
_div_10312622.addEvent('onClick',returnShow);
var _div_15607259 = new Emp.Panel({"id":"_div_15607259","height":"150","borderColor":"#f2f2f2","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","width":"100%","cornerRadius":"10"});
var _img_16208504 = new Emp.Image({"id":"_img_16208504","height":"100","marginLeft":"100","width":"100","src":"/copyImg/u5.png"});
_div_15607259.add(_img_16208504);
_div_10312622.add(_div_15607259);
_div_23612352.add(_div_10312622);
Emp.page.add(_div_23612352);




$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',75,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});$M.page.addEvent("onLoad", function (params) { 
if($jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',76,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params.area != undefined && params.areaZone != undefined) { 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',77,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("area").setValue(params.area + "xb7" + params.areaZone); 
} 
if($jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',79,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params.updateMessageNm != undefined) { 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',80,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("fan_message_name").setValue(params.updateMessageNm); 
} 
if($jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',82,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params.updateFanImg != undefined && params.updateFanImg != "") { 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',83,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("headImg").setSrc(params.updateFanImg); 
} 
if($jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',85,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params.fanJianjie != undefined && params.fanJianjie != "") { 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("abstractNm").setValue(params.fanJianjie); 
} 
}); 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',90,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function modifHead() { 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',92,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var headImg = Emp.get("headImg").getSrc(); 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',93,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var abstractNm = Emp.get("abstractNm").getValue(); 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',94,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanCreate/fan_head_info.html", {headImg:headImg, abstractNm:abstractNm}); 
} 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function modifName() { 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var messageName = Emp.get("fan_message_name").getValue(); 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',103,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); log(messageName); 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',104,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo({url:"/fanCreate/fan_creat.html", params:{messageName:messageName}}); 
} 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',107,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function modifArea() { 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/FanMessage/fan_club_modif_area.html"); 
} 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function messageTitle() { 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',112,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var messageBiaoQian = $M.get("messageBiaoQian").getValue(); 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanCreate/fan_title.html", {messageBiaoQian:messageBiaoQian}); 
} 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function returnShow() { 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setTimeout(500, function () { 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("这是LOGO"); 
}); 
$jsd('/NewBuyApp/src/FanMessage/fan_message.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html"); 
} 
 
Emp.page.render();
