var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_2815371');
Emp.page.setBackgroundColor('#f0f0f0');
var _div_6203641 = new Emp.Panel({"id":"_div_6203641","height":"100%","vAlign":"top","hAlign":"center","width":"100%"});
var adpic = new Emp.Image({"id":"adpic","height":"640","width":"360","src":""});
adpic.addEvent('onClick',showAdDetail);
_div_6203641.add(adpic);
Emp.page.add(_div_6203641);
var bottompic = new Emp.Panel({"position":"relative","id":"bottompic","height":"100%","vAlign":"bottom","hAlign":"center","width":"100%"});
bottompic.addEvent('onClick',showAdDetail);
var _img_18707323 = new Emp.Image({"id":"_img_18707323","height":"100","width":"360","src":"/icon_128/adbottom.jpg"});
bottompic.add(_img_18707323);
Emp.page.add(bottompic);




$jsd('/NewBuyApp/src/adpage.htmlx',15,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var redirectInterval = null; 
$jsd('/NewBuyApp/src/adpage.htmlx',16,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var datel = null; 
$jsd('/NewBuyApp/src/adpage.htmlx',17,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (ads) { 
if($jsd('/NewBuyApp/src/adpage.htmlx',18,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (ads.data && ads.data.length > 0) { 
$jsd('/NewBuyApp/src/adpage.htmlx',19,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("adpic").setSrc(ads.data[0].ADDRESS); 
$jsd('/NewBuyApp/src/adpage.htmlx',20,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("adpic").url = ads.data[0].LINKURL; 
$jsd('/NewBuyApp/src/adpage.htmlx',21,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("adpic").advertName = ads.data[0].ADVERTNAME; 
$jsd('/NewBuyApp/src/adpage.htmlx',22,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("adpic").memo = ads.data[0].MEMO; 
$jsd('/NewBuyApp/src/adpage.htmlx',23,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("bottompic").url = ads.data[0].LINKURL; 
$jsd('/NewBuyApp/src/adpage.htmlx',24,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("bottompic").advertName = ads.data[0].ADVERTNAME; 
$jsd('/NewBuyApp/src/adpage.htmlx',25,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("bottompic").memo = ads.data[0].MEMO; 
$jsd('/NewBuyApp/src/adpage.htmlx',26,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); datel = new Date().getTime(); 
$jsd('/NewBuyApp/src/adpage.htmlx',27,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); redirectInterval = setInterval(gotoIndex, 2000); 
} else { 
$jsd('/NewBuyApp/src/adpage.htmlx',29,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); gotoIndex(); 
} 
}); 
$jsd('/NewBuyApp/src/adpage.htmlx',33,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function showAdDetail() { 
$jsd('/NewBuyApp/src/adpage.htmlx',34,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); log("=============************************"); 
$jsd('/NewBuyApp/src/adpage.htmlx',35,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var advertName = this.advertName; 
if($jsd('/NewBuyApp/src/adpage.htmlx',36,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (advertName.indexOf("neilian_") == 0) { 
if($jsd('/NewBuyApp/src/adpage.htmlx',37,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (redirectInterval != null) { 
$jsd('/NewBuyApp/src/adpage.htmlx',38,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); clearInterval(redirectInterval); 
$jsd('/NewBuyApp/src/adpage.htmlx',39,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); redirectInterval = null; 
} 
$jsd('/NewBuyApp/src/adpage.htmlx',41,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var param = Utils.stringToJson(this.memo); 
$jsd('/NewBuyApp/src/adpage.htmlx',42,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); param.parentpage = "adpage"; 
$jsd('/NewBuyApp/src/adpage.htmlx',43,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo(this.url, param, true); 
} else { 
$jsd('/NewBuyApp/src/adpage.htmlx',45,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.browser(this.url); 
} 
} 
$jsd('/NewBuyApp/src/adpage.htmlx',49,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gotoIndex() { 
if($jsd('/NewBuyApp/src/adpage.htmlx',50,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (new Date().getTime() - datel < 2000) { 
$jsd('/NewBuyApp/src/adpage.htmlx',51,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); log("first====xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"); 
$jsd('/NewBuyApp/src/adpage.htmlx',52,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
if($jsd('/NewBuyApp/src/adpage.htmlx',54,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (redirectInterval != null) { 
$jsd('/NewBuyApp/src/adpage.htmlx',55,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); clearInterval(redirectInterval); 
$jsd('/NewBuyApp/src/adpage.htmlx',56,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); redirectInterval = null; 
} 
if($jsd('/NewBuyApp/src/adpage.htmlx',58,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if ($M.get("bottompic").advertName.indexOf("neilian_") == 0) { 
$jsd('/NewBuyApp/src/adpage.htmlx',59,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottompic.removeEvent("onClick"); 
$jsd('/NewBuyApp/src/adpage.htmlx',60,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); adpic.removeEvent("onClick"); 
} 
$jsd('/NewBuyApp/src/adpage.htmlx',62,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/adpage.htmlx',63,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/adpage.htmlx',64,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config") || {}; 
$jsd('/NewBuyApp/src/adpage.htmlx',65,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/adpage.htmlx',66,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/adpage.htmlx',72,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/adpage.htmlx',73,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/adpage.htmlx',74,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/adpage.htmlx',75,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/adpage.htmlx',76,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/adpage.htmlx',77,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/mainpage_loggedin.html", {}, true); 
} else { 
$jsd('/NewBuyApp/src/adpage.htmlx',79,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", {}, true); 
} 
} else { 
$jsd('/NewBuyApp/src/adpage.htmlx',82,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", {}, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/adpage.htmlx',85,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", {}, true); 
}); 
} 
 
Emp.page.render();
