var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_9505840');
$M.includeFile("/fan_club_pop.html");
var touxiangB = new Emp.Panel({"id":"touxiangB","height":"100%","layout":"VBox","width":"100%"});
var _div_597840 = new Emp.Panel({"id":"_div_597840","height":"44","vAlign":"middle","width":"100%","backgroundImage":"/fan_group/u93.png"});
_div_597840.addEvent('onClick',goBack);
var _img_15133534 = new Emp.Image({"id":"_img_15133534","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_597840.add(_img_15133534);
var _div_6713072 = new Emp.Panel({"id":"_div_6713072","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var pagetitle = new Emp.Label({"id":"pagetitle","color":"#999999","value":"","fontSize":"16"});
_div_6713072.add(pagetitle);
_div_597840.add(_div_6713072);
var _div_30564037 = new Emp.Panel({"id":"_div_30564037","height":"100%","vAlign":"middle","hAlign":"right","width":"100%","paddingRight":"10"});
var _input_4974549 = new Emp.Label({"id":"_input_4974549","color":"#999999","value":"","fontSize":"16"});
_div_30564037.add(_input_4974549);
_div_597840.add(_div_30564037);
touxiangB.add(_div_597840);
var _div_23160747 = new Emp.Panel({"id":"_div_23160747","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
touxiangB.add(_div_23160747);
var _div_31269325 = new Emp.Panel({"id":"_div_31269325","height":"100%","vAlign":"bottom","width":"100%","hAlign":"center"});
var touxiang = new Emp.Image({"id":"touxiang","height":"80","width":"80","src":"","circleClip":"true"});
_div_31269325.add(touxiang);
touxiangB.add(_div_31269325);
var _div_20713866 = new Emp.Panel({"id":"_div_20713866","height":"40","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_10716387 = new Emp.Panel({"id":"_div_10716387","hAlign":"center","width":"100%"});
var userNm = new Emp.Label({"id":"userNm","color":"#ffffff","value":"","fontSize":"25"});
_div_10716387.add(userNm);
_div_20713866.add(_div_10716387);
touxiangB.add(_div_20713866);
var _div_31603964 = new Emp.Panel({"id":"_div_31603964","marginBottom":"20","height":"30","marginLeft":"10","vAlign":"middle","hAlign":"center","width":"100%"});
var quotations = new Emp.Label({"id":"quotations","color":"#ffffff","vAlign":"middle","hAlign":"center","width":"100%","value":"","fontSize":"16","singleLine":"false"});
_div_31603964.add(quotations);
touxiangB.add(_div_31603964);
var _div_11792375 = new Emp.Panel({"id":"_div_11792375","height":"60","width":"100%"});
touxiangB.add(_div_11792375);
var _div_21979991 = new Emp.Panel({"id":"_div_21979991","height":"50","width":"100%"});
var _div_16973586 = new Emp.Panel({"id":"_div_16973586","height":"50","hAlign":"center","width":"100%"});
var _input_28837804 = new Emp.Label({"id":"_input_28837804","color":"#ffffff","value":"饭量","fontSize":"18"});
_div_16973586.add(_input_28837804);
var fansCnt = new Emp.Label({"id":"fansCnt","color":"#ffffff","value":"0","fontSize":"16"});
_div_16973586.add(fansCnt);
_div_21979991.add(_div_16973586);
var _div_28961900 = new Emp.Panel({"id":"_div_28961900","height":"50","hAlign":"center","width":"100%","display":"false"});
var _input_22068712 = new Emp.Label({"id":"_input_22068712","color":"#ffffff","value":"影视","fontSize":"18"});
_div_28961900.add(_input_22068712);
var videoCnt = new Emp.Label({"id":"videoCnt","color":"#ffffff","value":"0","fontSize":"16"});
_div_28961900.add(videoCnt);
_div_21979991.add(_div_28961900);
var _div_20121196 = new Emp.Panel({"id":"_div_20121196","height":"50","hAlign":"center","width":"100%"});
_div_20121196.addEvent('onClick',search_fan);
var _input_15386137 = new Emp.Label({"id":"_input_15386137","color":"#ffffff","value":"饭团","fontSize":"18"});
_div_20121196.add(_input_15386137);
var fansGrpCnt = new Emp.Label({"id":"fansGrpCnt","color":"#ffffff","value":"0","fontSize":"16"});
_div_20121196.add(fansGrpCnt);
_div_21979991.add(_div_20121196);
var _div_18860790 = new Emp.Panel({"id":"_div_18860790","height":"50","hAlign":"center","width":"100%"});
_div_18860790.addEvent('onClick',goFanStart);
var _input_4593279 = new Emp.Label({"id":"_input_4593279","color":"#ffffff","value":"明星行程","fontSize":"18"});
_div_18860790.add(_input_4593279);
_div_21979991.add(_div_18860790);
touxiangB.add(_div_21979991);
var fangrp_data = new Emp.Panel({"id":"fangrp_data","marginBottom":"5","height":"160","overflow":"x","width":"100%"});
var fangrp1 = new Emp.Panel({"id":"fangrp1","height":"160","width":"150","layout":"VBox","display":"none"});
fangrp1.addEvent('onClick',onclickFangrp);
var _div_9125384 = new Emp.Panel({"id":"_div_9125384","borderColor":"#ffffff","height":"150","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"8"});
var _div_26591001 = new Emp.Panel({"id":"_div_26591001","height":"25","marginTop":"20","hAlign":"center","width":"100%"});
var fangrpname1 = new Emp.Label({"id":"fangrpname1","height":"25","vAlign":"middle","color":"#333333","hAlign":"center","width":"125","value":"","fontSize":"12","singleLine":"true"});
_div_26591001.add(fangrpname1);
_div_9125384.add(_div_26591001);
var _div_25696911 = new Emp.Panel({"id":"_div_25696911","height":"60","hAlign":"center","width":"100%"});
var fangrpphoto1 = new Emp.Image({"id":"fangrpphoto1","height":"60","width":"60","src":"","circleClip":"true"});
_div_25696911.add(fangrpphoto1);
_div_9125384.add(_div_25696911);
var _div_32477408 = new Emp.Panel({"id":"_div_32477408","height":"20","marginLeft":"10","marginTop":"10","vAlign":"middle","hAlign":"left","width":"100%"});
var _div_17852216 = new Emp.Panel({"id":"_div_17852216","borderColor":"#ffca45","height":"16","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"16"});
var _input_32028181 = new Emp.Label({"id":"_input_32028181","height":"16","vAlign":"middle","color":"#ffca45","hAlign":"center","width":"16","value":"福","fontSize":"10"});
_div_17852216.add(_input_32028181);
_div_32477408.add(_div_17852216);
var fangrpbenifit1 = new Emp.Label({"id":"fangrpbenifit1","height":"20","vAlign":"middle","color":"#999999","marginLeft":"5","hAlign":"center","width":"110","value":"","fontSize":"12","singleLine":"true"});
_div_32477408.add(fangrpbenifit1);
_div_9125384.add(_div_32477408);
fangrp1.add(_div_9125384);
var _div_17227802 = new Emp.Panel({"id":"_div_17227802","height":"18","marginLeft":"10","marginTop":"-157","layout":"HBox","width":"100%"});
var _div_6476459 = new Emp.Panel({"id":"_div_6476459","borderColor":"#ffcc00","height":"16","vAlign":"middle","marginLeft":"10","backgroundColor":"#FFCC00","borderWidth":"2","hAlign":"center","width":"16","cornerRadius":"5"});
var fangrplevel1 = new Emp.Label({"id":"fangrplevel1","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"16","value":"1","fontSize":"10"});
_div_6476459.add(fangrplevel1);
_div_17227802.add(_div_6476459);
var _div_22423100 = new Emp.Panel({"id":"_div_22423100","borderColor":"#ffcc00","height":"16","backgroundColor":"#ffcc00","marginLeft":"5","vAlign":"middle","borderWidth":"2","layout":"HBox","hAlign":"left","width":"45","cornerRadius":"5","paddingLeft":"5"});
var _img_15227638 = new Emp.Image({"id":"_img_15227638","height":"12","width":"12","src":"/icon_128/iconfont-users.png"});
_div_22423100.add(_img_15227638);
var membercnt1 = new Emp.Label({"id":"membercnt1","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"33","value":"0","fontSize":"10"});
_div_22423100.add(membercnt1);
_div_17227802.add(_div_22423100);
fangrp1.add(_div_17227802);
fangrp_data.add(fangrp1);
var fangrp2 = new Emp.Panel({"id":"fangrp2","height":"160","width":"150","layout":"VBox","display":"none"});
fangrp2.addEvent('onClick',onclickFangrp);
var _div_22182778 = new Emp.Panel({"id":"_div_22182778","borderColor":"#ffffff","height":"150","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"8"});
var _div_2672086 = new Emp.Panel({"id":"_div_2672086","height":"25","marginTop":"20","hAlign":"center","width":"100%"});
var fangrpname2 = new Emp.Label({"id":"fangrpname2","height":"25","vAlign":"middle","color":"#333333","hAlign":"center","width":"125","value":"","fontSize":"12","singleLine":"true"});
_div_2672086.add(fangrpname2);
_div_22182778.add(_div_2672086);
var _div_21329274 = new Emp.Panel({"id":"_div_21329274","height":"60","hAlign":"center","width":"100%"});
var fangrpphoto2 = new Emp.Image({"id":"fangrpphoto2","height":"60","width":"60","src":"","circleClip":"true"});
_div_21329274.add(fangrpphoto2);
_div_22182778.add(_div_21329274);
var _div_3449325 = new Emp.Panel({"id":"_div_3449325","height":"20","marginLeft":"10","marginTop":"10","vAlign":"middle","hAlign":"left","width":"100%"});
var _div_24314105 = new Emp.Panel({"id":"_div_24314105","borderColor":"#ffca45","height":"16","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"16"});
var _input_21304210 = new Emp.Label({"id":"_input_21304210","height":"16","vAlign":"middle","color":"#ffca45","hAlign":"center","width":"16","value":"福","fontSize":"10"});
_div_24314105.add(_input_21304210);
_div_3449325.add(_div_24314105);
var fangrpbenifit2 = new Emp.Label({"id":"fangrpbenifit2","height":"20","vAlign":"middle","color":"#999999","marginLeft":"5","hAlign":"center","width":"110","value":"","fontSize":"12","singleLine":"true"});
_div_3449325.add(fangrpbenifit2);
_div_22182778.add(_div_3449325);
fangrp2.add(_div_22182778);
var _div_30764547 = new Emp.Panel({"id":"_div_30764547","height":"18","marginLeft":"10","marginTop":"-157","layout":"HBox","width":"100%"});
var _div_19513425 = new Emp.Panel({"id":"_div_19513425","borderColor":"#ffcc00","height":"16","vAlign":"middle","marginLeft":"10","backgroundColor":"#FFCC00","borderWidth":"2","hAlign":"center","width":"16","cornerRadius":"5"});
var fangrplevel2 = new Emp.Label({"id":"fangrplevel2","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"16","value":"1","fontSize":"10"});
_div_19513425.add(fangrplevel2);
_div_30764547.add(_div_19513425);
var _div_7983413 = new Emp.Panel({"id":"_div_7983413","borderColor":"#ffcc00","height":"16","backgroundColor":"#ffcc00","marginLeft":"5","vAlign":"middle","borderWidth":"2","layout":"HBox","hAlign":"left","width":"45","cornerRadius":"5","paddingLeft":"5"});
var _img_26612934 = new Emp.Image({"id":"_img_26612934","height":"12","width":"12","src":"/icon_128/iconfont-users.png"});
_div_7983413.add(_img_26612934);
var membercnt2 = new Emp.Label({"id":"membercnt2","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"33","value":"0","fontSize":"10"});
_div_7983413.add(membercnt2);
_div_30764547.add(_div_7983413);
fangrp2.add(_div_30764547);
fangrp_data.add(fangrp2);
var fangrp3 = new Emp.Panel({"id":"fangrp3","height":"160","width":"150","layout":"VBox","display":"none"});
fangrp3.addEvent('onClick',onclickFangrp);
var _div_7100627 = new Emp.Panel({"id":"_div_7100627","borderColor":"#ffffff","height":"150","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"8"});
var _div_20694134 = new Emp.Panel({"id":"_div_20694134","height":"25","marginTop":"20","hAlign":"center","width":"100%"});
var fangrpname3 = new Emp.Label({"id":"fangrpname3","height":"25","vAlign":"middle","color":"#333333","hAlign":"center","width":"125","value":"","fontSize":"12","singleLine":"true"});
_div_20694134.add(fangrpname3);
_div_7100627.add(_div_20694134);
var _div_6151269 = new Emp.Panel({"id":"_div_6151269","height":"60","hAlign":"center","width":"100%"});
var fangrpphoto3 = new Emp.Image({"id":"fangrpphoto3","height":"60","width":"60","src":"","circleClip":"true"});
_div_6151269.add(fangrpphoto3);
_div_7100627.add(_div_6151269);
var _div_19977009 = new Emp.Panel({"id":"_div_19977009","height":"20","marginLeft":"10","marginTop":"10","vAlign":"middle","hAlign":"left","width":"100%"});
var _div_7958533 = new Emp.Panel({"id":"_div_7958533","borderColor":"#ffca45","height":"16","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"16"});
var _input_11106119 = new Emp.Label({"id":"_input_11106119","height":"16","vAlign":"middle","color":"#ffca45","hAlign":"center","width":"16","value":"福","fontSize":"10"});
_div_7958533.add(_input_11106119);
_div_19977009.add(_div_7958533);
var fangrpbenifit3 = new Emp.Label({"id":"fangrpbenifit3","height":"20","vAlign":"middle","color":"#999999","marginLeft":"5","hAlign":"center","width":"110","value":"","fontSize":"12","singleLine":"true"});
_div_19977009.add(fangrpbenifit3);
_div_7100627.add(_div_19977009);
fangrp3.add(_div_7100627);
var _div_24652680 = new Emp.Panel({"id":"_div_24652680","height":"18","marginLeft":"10","marginTop":"-157","layout":"HBox","width":"100%"});
var _div_7482636 = new Emp.Panel({"id":"_div_7482636","borderColor":"#ffcc00","height":"16","vAlign":"middle","marginLeft":"10","backgroundColor":"#FFCC00","borderWidth":"2","hAlign":"center","width":"16","cornerRadius":"5"});
var fangrplevel3 = new Emp.Label({"id":"fangrplevel3","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"16","value":"1","fontSize":"10"});
_div_7482636.add(fangrplevel3);
_div_24652680.add(_div_7482636);
var _div_27235191 = new Emp.Panel({"id":"_div_27235191","borderColor":"#ffcc00","height":"16","backgroundColor":"#ffcc00","marginLeft":"5","vAlign":"middle","borderWidth":"2","layout":"HBox","hAlign":"left","width":"45","cornerRadius":"5","paddingLeft":"5"});
var _img_25861043 = new Emp.Image({"id":"_img_25861043","height":"12","width":"12","src":"/icon_128/iconfont-users.png"});
_div_27235191.add(_img_25861043);
var membercnt3 = new Emp.Label({"id":"membercnt3","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"33","value":"0","fontSize":"10"});
_div_27235191.add(membercnt3);
_div_24652680.add(_div_27235191);
fangrp3.add(_div_24652680);
fangrp_data.add(fangrp3);
var fangrp4 = new Emp.Panel({"id":"fangrp4","height":"160","width":"150","layout":"VBox","display":"none"});
fangrp4.addEvent('onClick',onclickFangrp);
var _div_16853317 = new Emp.Panel({"id":"_div_16853317","borderColor":"#ffffff","height":"150","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"8"});
var _div_20751569 = new Emp.Panel({"id":"_div_20751569","height":"25","marginTop":"20","hAlign":"center","width":"100%"});
var fangrpname4 = new Emp.Label({"id":"fangrpname4","height":"25","vAlign":"middle","color":"#333333","hAlign":"center","width":"125","value":"","fontSize":"12","singleLine":"true"});
_div_20751569.add(fangrpname4);
_div_16853317.add(_div_20751569);
var _div_5973631 = new Emp.Panel({"id":"_div_5973631","height":"60","hAlign":"center","width":"100%"});
var fangrpphoto4 = new Emp.Image({"id":"fangrpphoto4","height":"60","width":"60","src":"","circleClip":"true"});
_div_5973631.add(fangrpphoto4);
_div_16853317.add(_div_5973631);
var _div_18620727 = new Emp.Panel({"id":"_div_18620727","height":"20","marginLeft":"10","marginTop":"10","vAlign":"middle","hAlign":"left","width":"100%"});
var _div_29927840 = new Emp.Panel({"id":"_div_29927840","borderColor":"#ffca45","height":"16","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"16"});
var _input_16287978 = new Emp.Label({"id":"_input_16287978","height":"16","vAlign":"middle","color":"#ffca45","hAlign":"center","width":"16","value":"福","fontSize":"10"});
_div_29927840.add(_input_16287978);
_div_18620727.add(_div_29927840);
var fangrpbenifit4 = new Emp.Label({"id":"fangrpbenifit4","height":"20","vAlign":"middle","color":"#999999","marginLeft":"5","hAlign":"center","width":"110","value":"","fontSize":"12","singleLine":"true"});
_div_18620727.add(fangrpbenifit4);
_div_16853317.add(_div_18620727);
fangrp4.add(_div_16853317);
var _div_16590153 = new Emp.Panel({"id":"_div_16590153","height":"18","marginLeft":"10","marginTop":"-157","layout":"HBox","width":"100%"});
var _div_26935041 = new Emp.Panel({"id":"_div_26935041","borderColor":"#ffcc00","height":"16","vAlign":"middle","marginLeft":"10","backgroundColor":"#FFCC00","borderWidth":"2","hAlign":"center","width":"16","cornerRadius":"5"});
var fangrplevel4 = new Emp.Label({"id":"fangrplevel4","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"16","value":"1","fontSize":"10"});
_div_26935041.add(fangrplevel4);
_div_16590153.add(_div_26935041);
var _div_15827436 = new Emp.Panel({"id":"_div_15827436","borderColor":"#ffcc00","height":"16","backgroundColor":"#ffcc00","marginLeft":"5","vAlign":"middle","borderWidth":"2","layout":"HBox","hAlign":"left","width":"45","cornerRadius":"5","paddingLeft":"5"});
var _img_25744228 = new Emp.Image({"id":"_img_25744228","height":"12","width":"12","src":"/icon_128/iconfont-users.png"});
_div_15827436.add(_img_25744228);
var membercnt4 = new Emp.Label({"id":"membercnt4","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"33","value":"0","fontSize":"10"});
_div_15827436.add(membercnt4);
_div_16590153.add(_div_15827436);
fangrp4.add(_div_16590153);
fangrp_data.add(fangrp4);
var fangrp5 = new Emp.Panel({"id":"fangrp5","height":"160","width":"150","layout":"VBox","display":"none"});
fangrp5.addEvent('onClick',onclickFangrp);
var _div_32624696 = new Emp.Panel({"id":"_div_32624696","borderColor":"#ffffff","height":"150","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"8"});
var _div_10294978 = new Emp.Panel({"id":"_div_10294978","height":"25","marginTop":"20","hAlign":"center","width":"100%"});
var fangrpname5 = new Emp.Label({"id":"fangrpname5","height":"25","vAlign":"middle","color":"#333333","hAlign":"center","width":"125","value":"","fontSize":"12","singleLine":"true"});
_div_10294978.add(fangrpname5);
_div_32624696.add(_div_10294978);
var _div_16325192 = new Emp.Panel({"id":"_div_16325192","height":"60","hAlign":"center","width":"100%"});
var fangrpphoto5 = new Emp.Image({"id":"fangrpphoto5","height":"60","width":"60","src":"","circleClip":"true"});
_div_16325192.add(fangrpphoto5);
_div_32624696.add(_div_16325192);
var _div_33290807 = new Emp.Panel({"id":"_div_33290807","height":"20","marginLeft":"10","marginTop":"10","vAlign":"middle","hAlign":"left","width":"100%"});
var _div_32002745 = new Emp.Panel({"id":"_div_32002745","borderColor":"#ffca45","height":"16","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"16"});
var _input_26145462 = new Emp.Label({"id":"_input_26145462","height":"16","vAlign":"middle","color":"#ffca45","hAlign":"center","width":"16","value":"福","fontSize":"10"});
_div_32002745.add(_input_26145462);
_div_33290807.add(_div_32002745);
var fangrpbenifit5 = new Emp.Label({"id":"fangrpbenifit5","height":"20","vAlign":"middle","color":"#999999","marginLeft":"5","hAlign":"center","width":"110","value":"","fontSize":"12","singleLine":"true"});
_div_33290807.add(fangrpbenifit5);
_div_32624696.add(_div_33290807);
fangrp5.add(_div_32624696);
var _div_3678972 = new Emp.Panel({"id":"_div_3678972","height":"18","marginLeft":"10","marginTop":"-157","layout":"HBox","width":"100%"});
var _div_25222890 = new Emp.Panel({"id":"_div_25222890","borderColor":"#ffcc00","height":"16","vAlign":"middle","marginLeft":"10","backgroundColor":"#FFCC00","borderWidth":"2","hAlign":"center","width":"16","cornerRadius":"5"});
var fangrplevel5 = new Emp.Label({"id":"fangrplevel5","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"16","value":"1","fontSize":"10"});
_div_25222890.add(fangrplevel5);
_div_3678972.add(_div_25222890);
var _div_26430877 = new Emp.Panel({"id":"_div_26430877","borderColor":"#ffcc00","height":"16","backgroundColor":"#ffcc00","marginLeft":"5","vAlign":"middle","borderWidth":"2","layout":"HBox","hAlign":"left","width":"45","cornerRadius":"5","paddingLeft":"5"});
var _img_30183331 = new Emp.Image({"id":"_img_30183331","height":"12","width":"12","src":"/icon_128/iconfont-users.png"});
_div_26430877.add(_img_30183331);
var membercnt5 = new Emp.Label({"id":"membercnt5","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"33","value":"0","fontSize":"10"});
_div_26430877.add(membercnt5);
_div_3678972.add(_div_26430877);
fangrp5.add(_div_3678972);
fangrp_data.add(fangrp5);
var fangrp6 = new Emp.Panel({"id":"fangrp6","height":"160","width":"150","layout":"VBox","display":"none"});
fangrp6.addEvent('onClick',onclickFangrp);
var _div_20272233 = new Emp.Panel({"id":"_div_20272233","borderColor":"#ffffff","height":"150","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"8"});
var _div_3731579 = new Emp.Panel({"id":"_div_3731579","height":"25","marginTop":"20","hAlign":"center","width":"100%"});
var fangrpname6 = new Emp.Label({"id":"fangrpname6","height":"25","vAlign":"middle","color":"#333333","hAlign":"center","width":"125","value":"","fontSize":"12","singleLine":"true"});
_div_3731579.add(fangrpname6);
_div_20272233.add(_div_3731579);
var _div_16510804 = new Emp.Panel({"id":"_div_16510804","height":"60","hAlign":"center","width":"100%"});
var fangrpphoto6 = new Emp.Image({"id":"fangrpphoto6","height":"60","width":"60","src":"","circleClip":"true"});
_div_16510804.add(fangrpphoto6);
_div_20272233.add(_div_16510804);
var _div_27452743 = new Emp.Panel({"id":"_div_27452743","height":"20","marginLeft":"10","marginTop":"10","vAlign":"middle","hAlign":"left","width":"100%"});
var _div_24822845 = new Emp.Panel({"id":"_div_24822845","borderColor":"#ffca45","height":"16","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"16"});
var _input_15310406 = new Emp.Label({"id":"_input_15310406","height":"16","vAlign":"middle","color":"#ffca45","hAlign":"center","width":"16","value":"福","fontSize":"10"});
_div_24822845.add(_input_15310406);
_div_27452743.add(_div_24822845);
var fangrpbenifit6 = new Emp.Label({"id":"fangrpbenifit6","height":"20","vAlign":"middle","color":"#999999","marginLeft":"5","hAlign":"center","width":"110","value":"","fontSize":"12","singleLine":"true"});
_div_27452743.add(fangrpbenifit6);
_div_20272233.add(_div_27452743);
fangrp6.add(_div_20272233);
var _div_32694790 = new Emp.Panel({"id":"_div_32694790","height":"18","marginLeft":"10","marginTop":"-157","layout":"HBox","width":"100%"});
var _div_13958141 = new Emp.Panel({"id":"_div_13958141","borderColor":"#ffcc00","height":"16","vAlign":"middle","marginLeft":"10","backgroundColor":"#FFCC00","borderWidth":"2","hAlign":"center","width":"16","cornerRadius":"5"});
var fangrplevel6 = new Emp.Label({"id":"fangrplevel6","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"16","value":"1","fontSize":"10"});
_div_13958141.add(fangrplevel6);
_div_32694790.add(_div_13958141);
var _div_17379477 = new Emp.Panel({"id":"_div_17379477","borderColor":"#ffcc00","height":"16","backgroundColor":"#ffcc00","marginLeft":"5","vAlign":"middle","borderWidth":"2","layout":"HBox","hAlign":"left","width":"45","cornerRadius":"5","paddingLeft":"5"});
var _img_5548443 = new Emp.Image({"id":"_img_5548443","height":"12","width":"12","src":"/icon_128/iconfont-users.png"});
_div_17379477.add(_img_5548443);
var membercnt6 = new Emp.Label({"id":"membercnt6","height":"16","vAlign":"middle","color":"#ffffff","hAlign":"center","width":"33","value":"0","fontSize":"10"});
_div_17379477.add(membercnt6);
_div_32694790.add(_div_17379477);
fangrp6.add(_div_32694790);
fangrp_data.add(fangrp6);
var _div_1785626 = new Emp.Panel({"id":"_div_1785626","borderColor":"#ffffff","height":"150","backgroundColor":"#ffffff","vAlign":"middle","marginTop":"10","marginLeft":"5","borderWidth":"1","width":"144","hAlign":"center","layout":"VBox","cornerRadius":"8"});
_div_1785626.addEvent('onClick',find_fan);
var _input_13353987 = new Emp.Label({"id":"_input_13353987","color":"#333333","value":"更多饭团","fontSize":"16"});
_div_1785626.add(_input_13353987);
var morefangrpcnt = new Emp.Label({"id":"morefangrpcnt","color":"#333333","value":"0","fontSize":"16"});
_div_1785626.add(morefangrpcnt);
var _img_19434358 = new Emp.Image({"id":"_img_19434358","height":"24","width":"45","src":"/icon_128/tag-06.png"});
_div_1785626.add(_img_19434358);
fangrp_data.add(_div_1785626);
touxiangB.add(fangrp_data);
Emp.page.add(touxiangB);








$jsd('/NewBuyApp/src/fan_club.htmlx',216,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var userIdT; 
$jsd('/NewBuyApp/src/fan_club.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (userId) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userIdJ = {}; 
$jsd('/NewBuyApp/src/fan_club.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userIdJ.name = "fansInfo.userId"; 
$jsd('/NewBuyApp/src/fan_club.htmlx',221,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userIdJ.value = userId; 
$jsd('/NewBuyApp/src/fan_club.htmlx',223,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fan_club.htmlx',224,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_club.htmlx',225,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_club.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_club.htmlx',228,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([userIdJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_club.htmlx',229,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!getStarInfo.action"); 
$jsd('/NewBuyApp/src/fan_club.htmlx',230,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',231,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_club.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pagetitle.setValue(result.data.userNm); 
$jsd('/NewBuyApp/src/fan_club.htmlx',236,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); touxiang.setSrc(result.data.address); 
$jsd('/NewBuyApp/src/fan_club.htmlx',239,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userIdT = userId; 
$jsd('/NewBuyApp/src/fan_club.htmlx',240,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userNm.setValue(result.data.userNm); 
$jsd('/NewBuyApp/src/fan_club.htmlx',242,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); quotations.setValue(result.data.quotations); 
$jsd('/NewBuyApp/src/fan_club.htmlx',244,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fansCnt.setValue(result.data.fansCnt); 
$jsd('/NewBuyApp/src/fan_club.htmlx',246,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); videoCnt.setValue(result.data.fansCnt); 
$jsd('/NewBuyApp/src/fan_club.htmlx',248,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fansGrpCnt.setValue(result.data.fansGrpCnt); 
$jsd('/NewBuyApp/src/fan_club.htmlx',249,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); morefangrpcnt.setValue(result.data.fansGrpCnt); 
$jsd('/NewBuyApp/src/fan_club.htmlx',251,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setTimeout(function () { 
$jsd('/NewBuyApp/src/fan_club.htmlx',253,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fangrp_json = result.data.fanGrpList; 
$jsd('/NewBuyApp/src/fan_club.htmlx',255,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < fangrp_json.length; i++) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',256,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fangrpname" + (i + 1)).setValue(fangrp_json[i].fanGrpName); 
$jsd('/NewBuyApp/src/fan_club.htmlx',257,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fangrpphoto" + (i + 1)).setValue(fangrp_json[i].fanGrpPhoto); 
$jsd('/NewBuyApp/src/fan_club.htmlx',258,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fangrpbenifit" + (i + 1)).setValue(fangrp_json[i].fanGrpBenefit); 
$jsd('/NewBuyApp/src/fan_club.htmlx',259,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fangrplevel" + (i + 1)).setValue(fangrp_json[i].fanGrpLevel); 
$jsd('/NewBuyApp/src/fan_club.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("membercnt" + (i + 1)).setValue(fangrp_json[i].fanGrpMemberCnt); 
$jsd('/NewBuyApp/src/fan_club.htmlx',261,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fangrp" + (i + 1)).setDisplay(true); 
$jsd('/NewBuyApp/src/fan_club.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fangrp" + (i + 1)).fangrpId = fangrp_json[i].id; 
$jsd('/NewBuyApp/src/fan_club.htmlx',263,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fangrp" + (i + 1)).data = fangrp_json[i]; 
} 
}, 5); 
$jsd('/NewBuyApp/src/fan_club.htmlx',271,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setTimeout(function () { 
$jsd('/NewBuyApp/src/fan_club.htmlx',272,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); touxiangB.setBackgroundImage(result.data.background); 
}, 100); 
} else { 
$jsd('/NewBuyApp/src/fan_club.htmlx',275,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',278,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',283,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div1(i, json) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',284,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div1" + json.i; 
$jsd('/NewBuyApp/src/fan_club.htmlx',285,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"160", "layout":"VBox", "width":"150", "fangrpId":json.id, data:json}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',293,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2(i, json)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',294,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div3(i, json)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',295,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).addEvent("onClick", onclickFangrp); 
$jsd('/NewBuyApp/src/fan_club.htmlx',296,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',300,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function onclickFangrp() { 
$jsd('/NewBuyApp/src/fan_club.htmlx',301,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fangrpId = this.fangrpId; 
if($jsd('/NewBuyApp/src/fan_club.htmlx',302,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fangrpId != "" && fangrpId != undefined) { 
if($jsd('/NewBuyApp/src/fan_club.htmlx',303,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.data.joinStatus == "1") { 
$jsd('/NewBuyApp/src/fan_club.htmlx',304,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_group.html", {fanId:this.data.id}); 
} else { 
$jsd('/NewBuyApp/src/fan_club.htmlx',306,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_grp_detail.html", this.data); 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',308,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',314,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2(i, json) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',315,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2" + json.i; 
$jsd('/NewBuyApp/src/fan_club.htmlx',316,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, marginLeft:"5", marginTop:"10", "height":"150", width:"144", borderColor:"#ffffff", "layout":"VBox", borderWidth:"1", cornerRadius:"8", backgroundColor:"#ffffff"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',328,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2_1(i, json)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',329,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2_2(i, json)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',330,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2_3(i, json)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',331,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',335,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2_1(i, json) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',336,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2_1" + json.i; 
$jsd('/NewBuyApp/src/fan_club.htmlx',337,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"25", width:"100%", hAlign:"center", marginTop:"20"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',344,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createfan_tie_input2(json.fanGrpName)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',345,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',349,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2_2(i, json) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',350,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2_2" + json.i; 
$jsd('/NewBuyApp/src/fan_club.htmlx',351,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"60", width:"100%", hAlign:"center"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',357,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_Img(json.fanGrpPhoto)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',358,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',361,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_hengxiang_Img(img) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',362,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({width:"60", height:"60", "circleClip":"true", src:img}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',368,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',372,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2_3(i, json) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',373,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2_3" + json.i; 
$jsd('/NewBuyApp/src/fan_club.htmlx',374,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"20", width:"100%", hAlign:"left", vAlign:"middle", marginTop:"10", marginLeft:"10"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',383,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2_3_1(i, json)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',384,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_input2_3_2(json.fanGrpBenefit)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',385,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',389,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2_3_1(i, json) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',390,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2_3_1" + json.i; 
$jsd('/NewBuyApp/src/fan_club.htmlx',391,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"16", width:"16", borderWidth:"1", borderColor:"#ffca45", vAlign:"middle", hAlign:"center"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',401,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_input2_3_1("福")); 
$jsd('/NewBuyApp/src/fan_club.htmlx',403,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',407,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_hengxiang_input2_3_1(input) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',408,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"color":"#ffca45", "value":input, fontSize:"10"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',413,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',416,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_hengxiang_input2_3_2(input) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',417,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"color":"#999999", fontSize:"12", marginLeft:"5", width:"110", singleLine:true, "value":input}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',425,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',428,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createfan_tie_input2(input) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',429,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"fontSize":"12", "width":"125", hAlign:"center", color:"#333333", singleLine:true, "value":input}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',437,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',440,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div3(i, json) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',441,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div3" + json.i; 
$jsd('/NewBuyApp/src/fan_club.htmlx',442,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, width:"100%", marginTop:"-157", "height":"18", "layout":"HBox", marginLeft:"10"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',450,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div3_1(i, json)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',451,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div3_2(i, json)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',452,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',456,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div3_1(i, json) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',457,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div3_1" + json.i; 
$jsd('/NewBuyApp/src/fan_club.htmlx',458,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, backgroundColor:"#FFCC00", marginLeft:"10", width:"16", height:"16", vAlign:"middle", hAlign:"center", borderWidth:"2", borderColor:"#FFCC00", cornerRadius:"5"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',470,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createfan_tie_input1(json.fanGrpLevel)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',471,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',474,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div3_2(i, json) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',475,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div3_2" + json.i; 
$jsd('/NewBuyApp/src/fan_club.htmlx',476,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, marginLeft:"5", backgroundColor:"#FFCC00", width:"45", height:"16", vAlign:"middle", hAlign:"left", borderWidth:"2", borderColor:"#FFCC00", cornerRadius:"5", paddingLeft:"5"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',489,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_fan_tie_Img("/icon_128/iconfont-users.png")); 
$jsd('/NewBuyApp/src/fan_club.htmlx',490,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createfan_tie_input1(json.fanGrpMemberCnt)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',491,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',495,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_fan_tie_Img(img) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',496,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({"width":"12", "height":"12", src:img}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',501,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',504,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createfan_tie_input1(input) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',505,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"color":"#ffffff", fontSize:"10", "value":input}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',510,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',513,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_more_Div1(cont) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',514,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "bottomMore"; 
$jsd('/NewBuyApp/src/fan_club.htmlx',515,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, marginLeft:"5", height:"150", marginTop:"10", layout:"VBox", hAlign:"center", vAlign:"middle", width:"144", borderColor:"#ffffff", borderWidth:"1", cornerRadius:"8", backgroundColor:"#ffffff"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',529,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_more_input("更多饭团")); 
$jsd('/NewBuyApp/src/fan_club.htmlx',530,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_more_input(cont)); 
$jsd('/NewBuyApp/src/fan_club.htmlx',531,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({width:"45", height:"24", src:"/icon_128/tag-06.png"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',536,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(img); 
$jsd('/NewBuyApp/src/fan_club.htmlx',537,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).addEvent("onClick", find_fan); 
$jsd('/NewBuyApp/src/fan_club.htmlx',538,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',540,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function find_fan() { 
$jsd('/NewBuyApp/src/fan_club.htmlx',541,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_search.html", {userId:userIdT}); 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',544,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_hengxiang_more_input(input) { 
$jsd('/NewBuyApp/src/fan_club.htmlx',545,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"value":input, fontSize:"16", color:"#333333"}); 
$jsd('/NewBuyApp/src/fan_club.htmlx',550,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',553,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fan_club.htmlx',554,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',558,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function search_fan() { 
$jsd('/NewBuyApp/src/fan_club.htmlx',559,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_search.html", {userId:userIdT}); 
} 
$jsd('/NewBuyApp/src/fan_club.htmlx',561,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goFanStart() { 
$jsd('/NewBuyApp/src/fan_club.htmlx',562,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_star.html", {fanId:userIdT}, false, false); 
} 
 
Emp.page.render();
