var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_28788486');
$M.includeFile("/commons/listview_common.html");
$M.includeFile("/fan_group_template.html");
$M.includeFile("/fan_club_pop.html");
var _div_26740186 = new Emp.Panel({"id":"_div_26740186","height":"44","vAlign":"middle","width":"100%"});
var _div_10408558 = new Emp.Panel({"id":"_div_10408558","height":"100%","vAlign":"middle","width":"100%"});
_div_10408558.addEvent('onClick',goBack);
var _img_17392714 = new Emp.Image({"id":"_img_17392714","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_10408558.add(_img_17392714);
var _div_26688757 = new Emp.Panel({"id":"_div_26688757","height":"100%","vAlign":"middle","hAlign":"left","width":"220"});
var fanName = new Emp.Label({"id":"fanName","color":"#999999","value":" ","fontSize":"16"});
_div_26688757.add(fanName);
_div_10408558.add(_div_26688757);
_div_26740186.add(_div_10408558);
var signed = new Emp.Panel({"id":"signed","borderColor":"#FFCC00","height":"30","vAlign":"middle","backgroundColor":"#FFCC00","borderWidth":"1","hAlign":"center","width":"50","cornerRadius":"13","display":"false"});
var _input_9084442 = new Emp.Label({"id":"_input_9084442","color":"#ffffff","value":"已签","fontSize":"14"});
signed.add(_input_9084442);
_div_26740186.add(signed);
var noSign = new Emp.Panel({"id":"noSign","borderColor":"#FFCC00","height":"30","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"50","cornerRadius":"13","display":"false"});
noSign.addEvent('onClick',signClick);
var _input_22290041 = new Emp.Label({"id":"_input_22290041","color":"#FFCC00","value":"签到","fontSize":"14"});
noSign.add(_input_22290041);
_div_26740186.add(noSign);
var _div_14925471 = new Emp.Panel({"id":"_div_14925471","height":"30","vAlign":"middle","hAlign":"center","width":"50"});
_div_14925471.addEvent('onClick',goMenu);
var _img_33024356 = new Emp.Image({"id":"_img_33024356","height":"30","width":"30","src":"/images/iconfont-more.png"});
_img_33024356.addEvent('onClick',goMenu);
_div_14925471.add(_img_33024356);
_div_26740186.add(_div_14925471);
Emp.page.add(_div_26740186);
var _div_16499191 = new Emp.Panel({"id":"_div_16499191","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_16499191);
var layer = new Emp.Panel({"position":"relative","id":"layer","height":"100%","visibility":"false","width":"100%"});
layer.addEvent('onClick',clickOther);
var menu = new Emp.Panel({"position":"relative","id":"menu","borderColor":"#f2f2f2","height":"124","vAlign":"middle","borderWidth":"1","hAlign":"center","layout":"VBox","left":"220","top":"44"});
var _div_31936059 = new Emp.Panel({"id":"_div_31936059","height":"60","backgroundColor":"#ffffff","vAlign":"middle","hAlign":"center","width":"140"});
var _div_12662984 = new Emp.Panel({"id":"_div_12662984","height":"50","vAlign":"middle","width":"120"});
_div_12662984.addEvent('onClick',fanGrpDetailClick);
var _div_24564705 = new Emp.Panel({"id":"_div_24564705","width":"30"});
var _img_5277616 = new Emp.Image({"id":"_img_5277616","height":"30","width":"30","src":"/images/iconfont-profile.png"});
_div_24564705.add(_img_5277616);
_div_12662984.add(_div_24564705);
var _div_16539669 = new Emp.Panel({"id":"_div_16539669","marginLeft":"10","width":"80"});
var _input_17310727 = new Emp.Label({"id":"_input_17310727","color":"#333333","value":" 团资料","fontSize":"16"});
_div_16539669.add(_input_17310727);
_div_12662984.add(_div_16539669);
_div_31936059.add(_div_12662984);
menu.add(_div_31936059);
var _div_10032751 = new Emp.Panel({"id":"_div_10032751","height":"1","backgroundColor":"#f2f2f2","width":"140"});
menu.add(_div_10032751);
var _div_9438728 = new Emp.Panel({"id":"_div_9438728","height":"60","backgroundColor":"#ffffff","vAlign":"middle","hAlign":"center","width":"140"});
var _div_24911485 = new Emp.Panel({"id":"_div_24911485","height":"50","vAlign":"middle","width":"120"});
_div_24911485.addEvent('onClick',invite);
var _div_28680788 = new Emp.Panel({"id":"_div_28680788","width":"30"});
var _img_28597914 = new Emp.Image({"id":"_img_28597914","height":"30","width":"30","src":"/images/iconfont-share.png"});
_div_28680788.add(_img_28597914);
_div_24911485.add(_div_28680788);
var _div_11463419 = new Emp.Panel({"id":"_div_11463419","marginLeft":"10","width":"80"});
var _input_29689898 = new Emp.Label({"id":"_input_29689898","color":"#333333","value":" 邀请好友","fontSize":"16"});
_div_11463419.add(_input_29689898);
_div_24911485.add(_div_11463419);
_div_9438728.add(_div_24911485);
menu.add(_div_9438728);
layer.add(menu);
Emp.page.add(layer);
var _div_10166575 = new Emp.Panel({"id":"_div_10166575","height":"120","width":"100%","layout":"VBox","hAlign":"right","backgroundImage":"/fan_group/u145.png"});
var _div_10459673 = new Emp.Panel({"id":"_div_10459673","height":"100%","width":"100%","layout":"HBox","hAlign":"center"});
var _div_4065186 = new Emp.Panel({"id":"_div_4065186","paddingTop":"20","height":"100","vAlign":"top","hAlign":"center","width":"90","paddingLeft":"10"});
var address = new Emp.Image({"id":"address","height":"50","width":"50","src":"","circleClip":"true"});
_div_4065186.add(address);
var fanGrpId = new Emp.Label({"id":"fanGrpId","opacity":"0","value":"","display":"false"});
_div_4065186.add(fanGrpId);
var fanGrpIntroduction = new Emp.Label({"id":"fanGrpIntroduction","opacity":"0","value":"","display":"false"});
_div_4065186.add(fanGrpIntroduction);
var fanGrpBenefit = new Emp.Label({"id":"fanGrpBenefit","opacity":"0","value":"","display":"false"});
_div_4065186.add(fanGrpBenefit);
var fanGrpTopic = new Emp.Label({"id":"fanGrpTopic","opacity":"0","value":"","display":"false"});
_div_4065186.add(fanGrpTopic);
var fanGrpPhoto = new Emp.Label({"id":"fanGrpPhoto","opacity":"0","value":"","display":"false"});
_div_4065186.add(fanGrpPhoto);
var updatedToday = new Emp.Label({"id":"updatedToday","opacity":"0","value":"","display":"false"});
_div_4065186.add(updatedToday);
var femalePercent = new Emp.Label({"id":"femalePercent","opacity":"0","value":"","display":"false"});
_div_4065186.add(femalePercent);
var malePercent = new Emp.Label({"id":"malePercent","opacity":"0","value":"","display":"false"});
_div_4065186.add(malePercent);
var joinStatus = new Emp.Label({"id":"joinStatus","opacity":"0","value":"","display":"false"});
_div_4065186.add(joinStatus);
var isCreator = new Emp.Label({"id":"isCreator","opacity":"0","value":"","display":"false"});
_div_4065186.add(isCreator);
_div_10459673.add(_div_4065186);
var _div_6848879 = new Emp.Panel({"id":"_div_6848879","height":"100","width":"100%","layout":"VBox"});
var _div_17413161 = new Emp.Panel({"id":"_div_17413161","paddingTop":"28","height":"60","vAlign":"left","width":"100%","paddingLeft":"10"});
var _div_32540375 = new Emp.Panel({"id":"_div_32540375","borderColor":"#FFCC00","height":"20","vAlign":"middle","backgroundColor":"#FFCC00","borderWidth":"1","hAlign":"center","width":"20","cornerRadius":"5"});
var fanGrpLevel = new Emp.Label({"id":"fanGrpLevel","color":"#ffffff","value":"","fontSize":"12"});
_div_32540375.add(fanGrpLevel);
_div_17413161.add(_div_32540375);
var _div_7278831 = new Emp.Panel({"id":"_div_7278831","borderColor":"#FFCC00","height":"20","vAlign":"middle","backgroundColor":"#FFCC00","marginLeft":"5","borderWidth":"1","hAlign":"center","cornerRadius":"5","paddingLeft":"5","paddingRight":"5"});
var _img_29410922 = new Emp.Image({"id":"_img_29410922","height":"15","width":"15","src":"/fan_club/u50.png"});
_div_7278831.add(_img_29410922);
var fanGrpMemberCnt = new Emp.Label({"id":"fanGrpMemberCnt","color":"#ffffff","value":"","fontSize":"12"});
_div_7278831.add(fanGrpMemberCnt);
_div_17413161.add(_div_7278831);
_div_6848879.add(_div_17413161);
var _div_22178911 = new Emp.Panel({"id":"_div_22178911","height":"20","vAlign":"left","width":"250","paddingLeft":"10","paddingRight":"10"});
var _div_4786706 = new Emp.Panel({"id":"_div_4786706","borderColor":"#ff0017","height":"20","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"20"});
var _input_20195851 = new Emp.Label({"id":"_input_20195851","color":"#ff0017","value":"星","fontSize":"12"});
_div_4786706.add(_input_20195851);
_div_22178911.add(_div_4786706);
var fanGrpUsers = new Emp.Label({"id":"fanGrpUsers","height":"20","color":"#999999","marginLeft":"5","vAlign":"middle","value":"","maxWidth":"190","fontSize":"12","singleLine":"false"});
_div_22178911.add(fanGrpUsers);
_div_6848879.add(_div_22178911);
_div_10459673.add(_div_6848879);
_div_10166575.add(_div_10459673);
var _div_13694967 = new Emp.Panel({"id":"_div_13694967","height":"30","vAlign":"middle","backgroundColor":"#ffffff","width":"100%","layout":"HBox","hAlign":"left","opacity":"0.8","paddingLeft":"10"});
var userPhoto = new Emp.Image({"id":"userPhoto","height":"25","width":"25","src":"","circleClip":"true"});
_div_13694967.add(userPhoto);
var fangrpcreatorlabel = new Emp.Image({"position":"relative","id":"fangrpcreatorlabel","height":"10","width":"10","left":"18","display":"false","src":"/icon_128/leader-04.png","top":"18"});
_div_13694967.add(fangrpcreatorlabel);
var _div_2388025 = new Emp.Panel({"id":"_div_2388025","height":"100%","marginLeft":"15","vAlign":"middle","layout":"VBox","hAlign":"left","width":"100%"});
var userLevelColor = new Emp.Panel({"id":"userLevelColor","height":"15","borderColor":"#FF9999","backgroundColor":"#FF9999","vAlign":"middle","borderWidth":"1","width":"30","hAlign":"center","cornerRadius":"2"});
var userLevel = new Emp.Label({"id":"userLevel","color":"#ffffff","value":"Lv1","fontSize":"10"});
userLevelColor.add(userLevel);
_div_2388025.add(userLevelColor);
var _div_19133637 = new Emp.Panel({"id":"_div_19133637","height":"8","borderColor":"#f0f0f0","backgroundColor":"#f0f0f0","marginTop":"1","borderWidth":"1","width":"100","cornerRadius":"5"});
var fanmemberexp = new Emp.Panel({"id":"fanmemberexp","height":"8","borderColor":"#cccccc","backgroundColor":"#cccccc","borderWidth":"1","width":"0","cornerRadius":"5"});
_div_19133637.add(fanmemberexp);
_div_2388025.add(_div_19133637);
_div_13694967.add(_div_2388025);
_div_10166575.add(_div_13694967);
Emp.page.add(_div_10166575);
var _div_23474440 = new Emp.Panel({"id":"_div_23474440","height":"100%","backgroundColor":"#f0f0f0","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","enablePullUp":"true","width":"100%","enablePullDown":"true"});
_div_23474440.add(listview);
Emp.page.add(_div_23474440);
var addtopicbtndiv = new Emp.Panel({"position":"relative","borderColor":"#FFFFFF","backgroundColor":"#FFCC00","vAlign":"middle","width":"60","hAlign":"center","cornerRadius":"27","id":"addtopicbtndiv","height":"60","borderWidth":"2","layout":"VBox","left":"150","top":"550"});
addtopicbtndiv.addEvent('onClick',showAdd);
var addtopicbtn = new Emp.Label({"id":"addtopicbtn","marginBottom":"5","color":"#ffffff","value":"+","fontSize":"30"});
addtopicbtndiv.add(addtopicbtn);
Emp.page.add(addtopicbtndiv);
var fatieDia = new Emp.CustomDialog({"id":"fatieDia","canceledOnTouchOutside":"true"});
var _div_3699516 = new Emp.Panel({"id":"_div_3699516","height":"400","vAlign":"bottom","hAlign":"center","width":"60","layout":"VBox"});
var addvotebtn = new Emp.Panel({"id":"addvotebtn","height":"50","vAlign":"middle","hAlign":"center","width":"50","display":"false"});
addvotebtn.addEvent('onClick',addVote);
var _img_3741649 = new Emp.Image({"id":"_img_3741649","height":"40","width":"40","src":"/icon_128/iconfont-vote.png"});
addvotebtn.add(_img_3741649);
_div_3699516.add(addvotebtn);
var _div_4890254 = new Emp.Panel({"id":"_div_4890254","height":"50","vAlign":"middle","hAlign":"center","width":"50"});
_div_4890254.addEvent('onClick',addBook);
var _img_15707128 = new Emp.Image({"id":"_img_15707128","height":"40","width":"40","src":"/icon_128/iconfont-topic.png"});
_div_4890254.add(_img_15707128);
_div_3699516.add(_div_4890254);
var _div_16988864 = new Emp.Panel({"id":"_div_16988864","height":"50","vAlign":"middle","hAlign":"center","width":"50"});
_div_16988864.addEvent('onClick',addPic);
var _img_6751598 = new Emp.Image({"id":"_img_6751598","height":"40","width":"40","src":"/icon_128/iconfont-camera.png"});
_div_16988864.add(_img_6751598);
_div_3699516.add(_div_16988864);
fatieDia.setView(_div_3699516);
var guideDiv = new Emp.Panel({"position":"relative","id":"guideDiv","height":"100%","vAlign":"middle","hAlign":"center","width":"100%","left":"0","display":"false","top":"0"});
var show = new Emp.Panel({"id":"show","position":"relative","height":"100%","backgroundColor":"#000000","hAlign":"right","width":"100%","opacity":"0.6","left":"0","top":"0"});
guideDiv.add(show);
var _div_396583 = new Emp.Panel({"id":"_div_396583","position":"relative","height":"100%","vAlign":"middle","hAlign":"center","width":"100%","left":"0","top":"0"});
var _img_21599775 = new Emp.Image({"id":"_img_21599775","height":"300","width":"234","src":"/yindao/yindao-04.png"});
_img_21599775.addEvent('onClick',next1);
_div_396583.add(_img_21599775);
guideDiv.add(_div_396583);
Emp.page.add(guideDiv);











$jsd('/NewBuyApp/src/fan_group.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',129,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_group.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config") || {}; 
$jsd('/NewBuyApp/src/fan_group.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var page = 1; 
$jsd('/NewBuyApp/src/fan_group.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanId; 
if($jsd('/NewBuyApp/src/fan_group.htmlx',134,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (newbuy_config && newbuy_config.firstloadfangrp != "done") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',135,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); guideDiv.setDisplay(true); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function next1() { 
$jsd('/NewBuyApp/src/fan_group.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delete newbuy_config.firstloadfangrp; 
$jsd('/NewBuyApp/src/fan_group.htmlx',140,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); newbuy_config.firstloadfangrp = "done"; 
$jsd('/NewBuyApp/src/fan_group.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.put("newbuy_config", newbuy_config); 
$jsd('/NewBuyApp/src/fan_group.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); guideDiv.removeAll(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',143,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); guideDiv.setDisplay(false); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function invite() { 
$jsd('/NewBuyApp/src/fan_group.htmlx',148,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_group.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_group.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',152,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_group.htmlx',158,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_group.htmlx',159,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_group.htmlx',161,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',164,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var data = {}; 
$jsd('/NewBuyApp/src/fan_group.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /**  
					 * content 分享内容  
					 * title 标题  
					 * image  图片路径  
					 * url 点击后跳转到的页面  
					 * desc 描述信息  
					 * type 分享类型  text:0 image:1 news:2 music:3 video:4  
					 */shareContent = "饭糖 xb7 FanTown是一款追星粉丝专属移动社交应用，为明星粉丝提供专业的粉丝社群服务。"; 
$jsd('/NewBuyApp/src/fan_group.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); shareContent += "\r\nhttp://www.fantown.cn"; 
$jsd('/NewBuyApp/src/fan_group.htmlx',175,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.content = shareContent; 
$jsd('/NewBuyApp/src/fan_group.htmlx',176,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.title = "分享"; 
$jsd('/NewBuyApp/src/fan_group.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.desc = "饭糖 xb7 FanTown是一款追星粉丝专属移动社交应用，为明星粉丝提供专业的粉丝社群服务。"; 
$jsd('/NewBuyApp/src/fan_group.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.type = 0; 
$jsd('/NewBuyApp/src/fan_group.htmlx',182,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.url = "http://www.fantown.cn"; 
$jsd('/NewBuyApp/src/fan_group.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.share(data); 
} else { 
$jsd('/NewBuyApp/src/fan_group.htmlx',185,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_group.htmlx',188,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',194,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goMenu() { 
$jsd('/NewBuyApp/src/fan_group.htmlx',195,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(true); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',198,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function clickOther() { 
$jsd('/NewBuyApp/src/fan_group.htmlx',199,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(false); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',201,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function addBook() { 
$jsd('/NewBuyApp/src/fan_group.htmlx',202,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fatieDia.close(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',203,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_bookfabu.html", {fanGrpId:fanGrpId.getValue(), dataType:"0"}, false, false); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',205,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function addPic() { 
$jsd('/NewBuyApp/src/fan_group.htmlx',206,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fatieDia.close(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',207,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_bookfabu.html", {fanGrpId:fanGrpId.getValue(), dataType:"1"}, false, false); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',209,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function showAdd() { 
$jsd('/NewBuyApp/src/fan_group.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',211,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_group.htmlx',217,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_group.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_group.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',221,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fatieDia.show(); 
} else { 
$jsd('/NewBuyApp/src/fan_group.htmlx',225,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_group.htmlx',228,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',231,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function fanGrpDetailClick() { 
$jsd('/NewBuyApp/src/fan_group.htmlx',235,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); clickOther(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',236,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var data = {}; 
$jsd('/NewBuyApp/src/fan_group.htmlx',237,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.id = fanGrpId.getValue(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',238,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.joinStatus = joinStatus.getValue(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',239,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.fanGrpName = fanName.getValue(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',240,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.fanGrpIntroduction = fanGrpIntroduction.getValue(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',241,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.fanGrpBenefit = fanGrpBenefit.getValue(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',242,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.fanGrpTopic = fanGrpTopic.getValue(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',243,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.fanGrpPhoto = fanGrpPhoto.getValue(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',244,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.fanGrpLevel = fanGrpLevel.getValue(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',245,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.fanGrpMemberCnt = fanGrpMemberCnt.getValue(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',246,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.allStarName = fanGrpUsers.getValue(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',247,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.updatedToday = updatedToday.getValue(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',248,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.femalePercent = femalePercent.getValue(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',249,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.malePercent = malePercent.getValue(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',250,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.isCreator = isCreator.getValue(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',251,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_grp_detail.html", data); 
$jsd('/NewBuyApp/src/fan_group.htmlx',252,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
$jsd('/NewBuyApp/src/fan_group.htmlx',254,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpNamePop.setValue(fanName.getValue()); 
$jsd('/NewBuyApp/src/fan_group.htmlx',255,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIntroductionPop.setValue(fanGrpIntroduction.getValue()); 
$jsd('/NewBuyApp/src/fan_group.htmlx',256,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpBenefitPop.setValue(fanGrpBenefit.getValue()); 
$jsd('/NewBuyApp/src/fan_group.htmlx',257,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpTopicPop.setValue(fanGrpTopic.getValue()); 
$jsd('/NewBuyApp/src/fan_group.htmlx',258,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpPhotoPop.setValue(fanGrpPhoto.getValue()); 
$jsd('/NewBuyApp/src/fan_group.htmlx',259,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpLevelPop.setValue(fanGrpLevel.getValue()); 
$jsd('/NewBuyApp/src/fan_group.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpMemberCntPop.setValue(fanGrpMemberCnt.getValue()); 
$jsd('/NewBuyApp/src/fan_group.htmlx',261,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIdPop.setValue(fanGrpId.getValue()); 
$jsd('/NewBuyApp/src/fan_group.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpUsersPop.setValue(fanGrpUsers.getValue()); 
$jsd('/NewBuyApp/src/fan_group.htmlx',263,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); updatedTodayPop.setValue("今日更新 " + updatedToday.getValue()); 
$jsd('/NewBuyApp/src/fan_group.htmlx',264,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); femalePercentPop.setValue(femalePercent.getValue()); 
$jsd('/NewBuyApp/src/fan_group.htmlx',265,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); malePercentPop.setValue(malePercent.getValue()); 
$jsd('/NewBuyApp/src/fan_group.htmlx',266,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var searchConJ = {}; 
$jsd('/NewBuyApp/src/fan_group.htmlx',267,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); searchConJ.name = "fanTopic.fanGrpId"; 
$jsd('/NewBuyApp/src/fan_group.htmlx',268,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); searchConJ.value = fanGrpId.getValue(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',271,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',272,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([searchConJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_group.htmlx',275,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!getFanGrpTopicDescribe.action"); 
$jsd('/NewBuyApp/src/fan_group.htmlx',276,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',277,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_group.htmlx',278,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',279,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var topicJson = result.data; 
$jsd('/NewBuyApp/src/fan_group.htmlx',280,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var length = topicJson.length; 
if($jsd('/NewBuyApp/src/fan_group.htmlx',281,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (length > 4) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',282,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); length = 4; 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',284,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < length; i++) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',285,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("line1").add(CreateDiv(i, topicJson[i])); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',287,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); length = topicJson.length; 
if($jsd('/NewBuyApp/src/fan_group.htmlx',288,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (length > 4) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',289,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 4; i < length; i++) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',290,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("line2").add(CreateDiv(i, topicJson[i])); 
} 
} 
} else { 
$jsd('/NewBuyApp/src/fan_group.htmlx',294,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',297,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
$jsd('/NewBuyApp/src/fan_group.htmlx',299,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.show(); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',301,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function CreateDiv(num, topicJson) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',302,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div" + num; 
$jsd('/NewBuyApp/src/fan_group.htmlx',303,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "width":"81", "height":"81"}); 
if($jsd('/NewBuyApp/src/fan_group.htmlx',309,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (topicJson.fanGrpItemType == "1" || topicJson.fanGrpItemType == "2" || topicJson.fanGrpItemType == "3") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',310,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createImg(topicJson.topicImg)); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',312,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',315,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createImg(img) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',316,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({width:"81", height:"81", src:img, hAlign:"center"}); 
$jsd('/NewBuyApp/src/fan_group.htmlx',322,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',356,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /*  
	//点击入团，弹出提示信息，同时弹出层消失 TODO  
	join_in.addEvent("onClick",function(){  
		var fanGrpJ = {};  
		fanGrpJ.name = "fanGrp.id";  
		fanGrpJ.value = fanGrpIdPop.getValue();  
		//提交  
		var ajax = new $M.Ajax();  
		ajax.addParams([fanGrpJ, {name:"mobileImei", value:Utils.getImei()},{name:"mobileType", value:Utils.getOs()},{name:"mobileToken", value:Utils.getMessageToken()}]);  
		ajax.setAction("/mobile/fanGrpAction!addFanGrpMember.action");  
		ajax.submit(function(result) {  
			result = Utils.stringToJson(result);  
			if (result.success) {  
				  
				dialog.close();  
				setTimeout(500,function(){  
					toast('恭喜入团！')  
				})  
			}else{  
				if(result.errorMsg == "notlogin"){  
					$M.page.goTo("/fanReg/login.html", null, true);  
				}else{  
					toast("更新数据失败！")  
				}  
			}  
		}, function(error) {  
			toast("网络菌罢工了！")  
		});  
	  
		  
	});  
	*/ 
$jsd('/NewBuyApp/src/fan_group.htmlx',358,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); signClick() { 
$jsd('/NewBuyApp/src/fan_group.htmlx',360,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanGrpIdJ = {}; 
$jsd('/NewBuyApp/src/fan_group.htmlx',361,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIdJ.name = "fanGrp.id"; 
$jsd('/NewBuyApp/src/fan_group.htmlx',362,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIdJ.value = fanGrpId.getValue(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',365,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',366,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([fanGrpIdJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_group.htmlx',367,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanGrpAction!doSign.action"); 
$jsd('/NewBuyApp/src/fan_group.htmlx',368,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',369,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_group.htmlx',370,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',371,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); signed.setDisplay(true); 
$jsd('/NewBuyApp/src/fan_group.htmlx',372,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); noSign.setDisplay(false); 
$jsd('/NewBuyApp/src/fan_group.htmlx',373,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("饭票+1"); 
} else { 
$jsd('/NewBuyApp/src/fan_group.htmlx',376,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("签到失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',379,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',383,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fan_group.htmlx',384,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',387,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplates({"normal":tem1, "photo":tem2, "vidio":tem3, "vote":tem5, "acts":tem6, "trip":tem7, "votelink":tem8, "actlink":tem9}); 
$jsd('/NewBuyApp/src/fan_group.htmlx',398,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newsScroller = new Emp.ListView.PrimetonerScroller({"modelId":this.modelId}); 
$jsd('/NewBuyApp/src/fan_group.htmlx',399,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setScroller(newsScroller); 
$jsd('/NewBuyApp/src/fan_group.htmlx',401,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (param) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',402,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanId = param.fanId; 
if($jsd('/NewBuyApp/src/fan_group.htmlx',403,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fanId == "4") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',404,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); addtopicbtndiv.setDisplay(false); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',406,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); onloadFun(); 
}); 
$jsd('/NewBuyApp/src/fan_group.htmlx',409,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function onloadFun() { 
$jsd('/NewBuyApp/src/fan_group.htmlx',411,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanGrpIdJ = {}; 
$jsd('/NewBuyApp/src/fan_group.htmlx',412,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIdJ.name = "fanGrp.id"; 
$jsd('/NewBuyApp/src/fan_group.htmlx',413,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIdJ.value = fanId; 
$jsd('/NewBuyApp/src/fan_group.htmlx',416,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',417,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([fanGrpIdJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_group.htmlx',418,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanGrpAction!getFanGrpById.action"); 
$jsd('/NewBuyApp/src/fan_group.htmlx',419,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',420,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_group.htmlx',421,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',422,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.isCreator == "1") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',423,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); addvotebtn.setDisplay(true); 
$jsd('/NewBuyApp/src/fan_group.htmlx',424,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fangrpcreatorlabel.setDisplay(true); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',426,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = page + 1; 
$jsd('/NewBuyApp/src/fan_group.htmlx',428,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userPhoto.setSrc(result.data.currentUserPhoto); 
$jsd('/NewBuyApp/src/fan_group.htmlx',429,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userLevel.setValue(result.data.currentUserLevel); 
$jsd('/NewBuyApp/src/fan_group.htmlx',432,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var currentUserExp = result.data.currentUserExp; 
if($jsd('/NewBuyApp/src/fan_group.htmlx',433,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (isNaN(currentUserExp)) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',434,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); currentUserExp = 0; 
} else { 
$jsd('/NewBuyApp/src/fan_group.htmlx',436,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); currentUserExp = parseFloat(currentUserExp); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',438,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var currentUserNextLevelExp = result.data.currentUserNextLevelExp; 
if($jsd('/NewBuyApp/src/fan_group.htmlx',439,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (isNaN(currentUserNextLevelExp)) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',440,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); currentUserNextLevelExp = 1; 
} else { 
$jsd('/NewBuyApp/src/fan_group.htmlx',442,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); currentUserNextLevelExp = parseFloat(currentUserNextLevelExp); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',444,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanmemberexp.setWidth(100 * currentUserExp / currentUserNextLevelExp); 
$jsd('/NewBuyApp/src/fan_group.htmlx',446,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); isCreator.setValue(result.data.isCreator); 
$jsd('/NewBuyApp/src/fan_group.htmlx',448,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpId.setValue(result.data.id); 
$jsd('/NewBuyApp/src/fan_group.htmlx',450,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanName.setValue(result.data.fanGrpName); 
$jsd('/NewBuyApp/src/fan_group.htmlx',452,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); address.setSrc(result.data.fanGrpPhoto); 
$jsd('/NewBuyApp/src/fan_group.htmlx',454,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpUsers.setValue(result.data.allStarName); 
$jsd('/NewBuyApp/src/fan_group.htmlx',456,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpLevel.setValue(result.data.fanGrpLevel); 
$jsd('/NewBuyApp/src/fan_group.htmlx',457,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpTopic.setValue(result.data.fanGrpTopic); 
$jsd('/NewBuyApp/src/fan_group.htmlx',458,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpPhoto.setValue(result.data.fanGrpPhoto); 
$jsd('/NewBuyApp/src/fan_group.htmlx',459,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpBenefit.setValue(result.data.fanGrpBenefit); 
$jsd('/NewBuyApp/src/fan_group.htmlx',460,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIntroduction.setValue(result.data.fanGrpIntroduction); 
$jsd('/NewBuyApp/src/fan_group.htmlx',461,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpMemberCnt.setValue(result.data.fanGrpMemberCnt); 
$jsd('/NewBuyApp/src/fan_group.htmlx',462,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); updatedToday.setValue(result.data.updatedToday); 
$jsd('/NewBuyApp/src/fan_group.htmlx',463,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); femalePercent.setValue(result.data.femalePercent); 
$jsd('/NewBuyApp/src/fan_group.htmlx',464,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); malePercent.setValue(result.data.malePercent); 
$jsd('/NewBuyApp/src/fan_group.htmlx',465,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); joinStatus.setValue(result.data.joinStatus); 
if($jsd('/NewBuyApp/src/fan_group.htmlx',466,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.isCreator == "1") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',467,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); modifyBtn.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fan_group.htmlx',469,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); modifyBtn.setDisplay(false); 
} 
if($jsd('/NewBuyApp/src/fan_group.htmlx',471,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.signedStatus == "0") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',472,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); signed.setDisplay(false); 
$jsd('/NewBuyApp/src/fan_group.htmlx',473,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); noSign.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fan_group.htmlx',475,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); signed.setDisplay(true); 
$jsd('/NewBuyApp/src/fan_group.htmlx',476,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); noSign.setDisplay(false); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',479,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(dealData(result.data.fanTopics)); 
$jsd('/NewBuyApp/src/fan_group.htmlx',480,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
$jsd('/NewBuyApp/src/fan_group.htmlx',483,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',486,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',491,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onBack", function (param) { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',492,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (param && param.type == "del") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',494,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanGrpIdJ = {}; 
$jsd('/NewBuyApp/src/fan_group.htmlx',495,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIdJ.name = "fanGrp.id"; 
$jsd('/NewBuyApp/src/fan_group.htmlx',496,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIdJ.value = fanId; 
$jsd('/NewBuyApp/src/fan_group.htmlx',499,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',500,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([fanGrpIdJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_group.htmlx',501,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanGrpAction!getFanGrpById.action"); 
$jsd('/NewBuyApp/src/fan_group.htmlx',502,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',503,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_group.htmlx',504,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',505,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = page + 1; 
$jsd('/NewBuyApp/src/fan_group.htmlx',506,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); isCreator.setValue(result.data.isCreator); 
$jsd('/NewBuyApp/src/fan_group.htmlx',508,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpId.setValue(result.data.id); 
$jsd('/NewBuyApp/src/fan_group.htmlx',510,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanName.setValue(result.data.fanGrpName); 
$jsd('/NewBuyApp/src/fan_group.htmlx',512,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); address.setSrc(result.data.fanGrpPhoto); 
$jsd('/NewBuyApp/src/fan_group.htmlx',514,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpUsers.setValue(result.data.allStarName); 
$jsd('/NewBuyApp/src/fan_group.htmlx',516,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpLevel.setValue(result.data.fanGrpLevel); 
$jsd('/NewBuyApp/src/fan_group.htmlx',517,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpTopic.setValue(result.data.fanGrpTopic); 
$jsd('/NewBuyApp/src/fan_group.htmlx',518,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpPhoto.setValue(result.data.fanGrpPhoto); 
$jsd('/NewBuyApp/src/fan_group.htmlx',519,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpBenefit.setValue(result.data.fanGrpBenefit); 
$jsd('/NewBuyApp/src/fan_group.htmlx',520,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIntroduction.setValue(result.data.fanGrpIntroduction); 
$jsd('/NewBuyApp/src/fan_group.htmlx',521,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpMemberCnt.setValue(result.data.fanGrpMemberCnt); 
$jsd('/NewBuyApp/src/fan_group.htmlx',522,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); updatedToday.setValue(result.data.updatedToday); 
$jsd('/NewBuyApp/src/fan_group.htmlx',523,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); femalePercent.setValue(result.data.femalePercent); 
$jsd('/NewBuyApp/src/fan_group.htmlx',524,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); malePercent.setValue(result.data.malePercent); 
$jsd('/NewBuyApp/src/fan_group.htmlx',525,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); joinStatus.setValue(result.data.joinStatus); 
if($jsd('/NewBuyApp/src/fan_group.htmlx',526,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.isCreator == "1") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',527,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); modifyBtn.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fan_group.htmlx',529,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); modifyBtn.setDisplay(false); 
} 
if($jsd('/NewBuyApp/src/fan_group.htmlx',531,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.signedStatus == "0") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',532,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); signed.setDisplay(false); 
$jsd('/NewBuyApp/src/fan_group.htmlx',533,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); noSign.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fan_group.htmlx',535,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); signed.setDisplay(true); 
$jsd('/NewBuyApp/src/fan_group.htmlx',536,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); noSign.setDisplay(false); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',539,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(dealData(result.data.fanTopics)); 
$jsd('/NewBuyApp/src/fan_group.htmlx',540,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
$jsd('/NewBuyApp/src/fan_group.htmlx',543,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',546,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
}); 
$jsd('/NewBuyApp/src/fan_group.htmlx',553,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function dealData(topic) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',555,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var items = []; 
$jsd('/NewBuyApp/src/fan_group.htmlx',556,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var length = topic.length; 
$jsd('/NewBuyApp/src/fan_group.htmlx',558,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < length; i++) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',561,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var temp = {}; 
$jsd('/NewBuyApp/src/fan_group.htmlx',562,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.floorhostflg = "0"; 
if($jsd('/NewBuyApp/src/fan_group.htmlx',563,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (i == 0) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',564,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.floorhostflg = "1"; 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',567,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var t = topic[i]; 
$jsd('/NewBuyApp/src/fan_group.htmlx',570,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.tie_id = t.id; 
$jsd('/NewBuyApp/src/fan_group.htmlx',571,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.linkid = t.linkId; 
$jsd('/NewBuyApp/src/fan_group.htmlx',572,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.actUrl = t.actUrl; 
$jsd('/NewBuyApp/src/fan_group.htmlx',574,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.tie_type = t.fanGrpItemType; 
if($jsd('/NewBuyApp/src/fan_group.htmlx',576,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (t.fanGrpItemType == "6") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',577,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.template = "trip"; 
} else { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',578,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (t.fanGrpItemType == "5") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',579,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.template = "acts"; 
$jsd('/NewBuyApp/src/fan_group.htmlx',580,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.topicicon = "/icon_128/iconfont-event.png"; 
} else { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',581,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (t.fanGrpItemType == "1") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',582,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.template = "photo"; 
} else { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',583,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (t.fanGrpItemType == "2") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',584,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.template = "vidio"; 
} else { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',585,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (t.fanGrpItemType == "4") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',586,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.template = "vote"; 
$jsd('/NewBuyApp/src/fan_group.htmlx',587,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.topicicon = "/icon_128/iconfont-vote.png"; 
} else { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',588,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (t.fanGrpItemType == "7") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',589,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.template = "votelink"; 
} else { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',590,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (t.fanGrpItemType == "8") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',591,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.template = "actlink"; 
} else { 
$jsd('/NewBuyApp/src/fan_group.htmlx',593,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.template = "normal"; 
} 
} 
} 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',596,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.title = t.fanGrpItemTitle; 
$jsd('/NewBuyApp/src/fan_group.htmlx',598,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.visittime = t.visitTime; 
$jsd('/NewBuyApp/src/fan_group.htmlx',600,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.content = t.fanGrpItemContent; 
$jsd('/NewBuyApp/src/fan_group.htmlx',602,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.voted = t.voted; 
$jsd('/NewBuyApp/src/fan_group.htmlx',604,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.starId = t.starId; 
$jsd('/NewBuyApp/src/fan_group.htmlx',606,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.replyCnt = t.replyCnt; 
if($jsd('/NewBuyApp/src/fan_group.htmlx',607,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (t.resouces && t.resouces.length > 0) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',608,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.resouces = t.resouces[0].RESOURCE_URL; 
$jsd('/NewBuyApp/src/fan_group.htmlx',609,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.resoucesImg = t.resouces[0].RESOURCE_IMG; 
} else { 
$jsd('/NewBuyApp/src/fan_group.htmlx',611,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.resouces = ""; 
$jsd('/NewBuyApp/src/fan_group.htmlx',612,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.resoucesImg = ""; 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',621,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /*if(t.resouces.length > 0){  
				if(t.resouces[0].RESOURCE_TYPE == "0"){  
					temp.resouces = t.resouces[0].RESOURCE_URL;  
					temp.resoucesImg = t.resouces[0].RESOURCE_IMG;  
				}else{  
					temp.resouces = t.resouces[0].RESOURCE_URL;  
				}  
			}*/(t.holdTop == "1") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',623,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.topictoppic = "/icon_128/top-03.png"; 
} else { 
$jsd('/NewBuyApp/src/fan_group.htmlx',625,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.topictoppic = ""; 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',628,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); items.push(temp); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',630,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return items; 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',633,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onLoadMore", function (type) { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',634,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullDown") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',635,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); onloadFun(); 
} 
if($jsd('/NewBuyApp/src/fan_group.htmlx',637,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullUp") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',639,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var pageJ = {}; 
$jsd('/NewBuyApp/src/fan_group.htmlx',640,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pageJ.name = "fanTopic.requiredPage"; 
$jsd('/NewBuyApp/src/fan_group.htmlx',641,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pageJ.value = page; 
$jsd('/NewBuyApp/src/fan_group.htmlx',643,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanGrpIdJ = {}; 
$jsd('/NewBuyApp/src/fan_group.htmlx',644,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIdJ.name = "fanTopic.fanGrpId"; 
$jsd('/NewBuyApp/src/fan_group.htmlx',645,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIdJ.value = fanId; 
$jsd('/NewBuyApp/src/fan_group.htmlx',648,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',649,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([fanGrpIdJ, pageJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_group.htmlx',650,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!getFanGrpTopic.action"); 
$jsd('/NewBuyApp/src/fan_group.htmlx',651,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',652,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_group.htmlx',653,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',654,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.length > 0) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',655,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = page + 1; 
$jsd('/NewBuyApp/src/fan_group.htmlx',657,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var items = dealData(result.data); 
$jsd('/NewBuyApp/src/fan_group.htmlx',658,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.appendItems(items); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',661,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); scroll_template_label.setValue("加载更多"); 
$jsd('/NewBuyApp/src/fan_group.htmlx',662,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
$jsd('/NewBuyApp/src/fan_group.htmlx',664,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',667,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
}); 
$jsd('/NewBuyApp/src/fan_group.htmlx',673,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setOnclickTags(["tieDetail", "videoPlayT", "moretrip"]); 
$jsd('/NewBuyApp/src/fan_group.htmlx',675,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onItemClick", function (row, tag, data) { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',676,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "tieDetail") { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',677,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.tie_type == "7") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',678,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_ticket_demo.html", {topicId:data.linkid, fanGrpItemType:"4"}, false, false); 
$jsd('/NewBuyApp/src/fan_group.htmlx',679,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} else { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',680,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.tie_type == "8") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',681,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_huodong_demo.html", {topicId:data.linkid, fanGrpItemType:"5"}, false, false); 
$jsd('/NewBuyApp/src/fan_group.htmlx',682,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',685,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var tieId = data.tie_id; 
$jsd('/NewBuyApp/src/fan_group.htmlx',687,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var tieType = data.tie_type; 
if($jsd('/NewBuyApp/src/fan_group.htmlx',689,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tieType == "0" || tieType == "1") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',691,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_book.html", {topicId:tieId, fanGrpItemType:tieType, fanGrpId:fanGrpId.getValue()}, false, false); 
} else { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',692,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tieType == "2" || tieType == "3") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',694,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_video.html", {topicId:tieId, fanGrpItemType:tieType, fanGrpId:fanGrpId.getValue()}, false, false); 
} else { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',695,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tieType == "4") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',697,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_ticket_demo.html", {topicId:tieId, fanGrpItemType:tieType}, false, false); 
} else { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',698,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tieType == "5") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',700,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_huodong_demo.html", {topicId:tieId, fanGrpItemType:tieType}, false, false); 
$jsd('/NewBuyApp/src/fan_group.htmlx',768,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /*  
			//如果点击分享按钮  
			if(tag=='share'){  
				//分享  
				show();  
			}else if(tag=='fabulousClick'){  
				//点赞  
				//帖子ID  
				var tieIdJ = {};  
				tieIdJ.name = "fanTopic.id";  
				tieIdJ.value = data.tie_id;  
				//楼号  
				var louIdJ = {};  
				louIdJ.name = "fanTopic.floorNo";  
				louIdJ.value = "1";  
				//提交  
				var ajax = new $M.Ajax();  
				ajax.addParams([tieIdJ,louIdJ, {name:"mobileImei", value:Utils.getImei()},{name:"mobileType", value:Utils.getOs()},{name:"mobileToken", value:Utils.getMessageToken()}]);  
				ajax.setAction("/mobile/fanTopicAction!addFabulous.action");  
				ajax.submit(function(result) {  
					result = Utils.stringToJson(result);  
					if (result.success) {  
						toast('点赞成功~');  
						//更新点赞数量  
						var newItemData = generateItemData(result.data);  
						listview.updateItem(row, newItemData);  
						listview.reloadData();  
					}else{  
						toast("获取数据失败！");  
					}  
				}, function(error) {  
					toast("网络菌罢工了！");  
				});  
			  
			}else if(tag=='rewardClick'){  
				//打赏  
				tie_id_pop.value = data.tie_id;  
				dialog.show();   
				  
			}else if(tag=='replyClick'){  
				//回复  
				  
			}else if(tag=='tieDetail'){  
				//当前帖子ID  
				var tieId = data.tie_id;  
				//当前帖子类型  
				var tieType = data.tie_type;  
				//帖子详细  
				if(tieType == "0" || tieType == "1"){  
					//文章图片  
					$M.page.goTo("/fanGroup/fan_book.html", {topicId:tieId, fanGrpItemType:tieType,fanGrpId:fanGrpId.getValue()}, false, false);  
				}else if(tieType == "2" || tieType == "3" ){  
					//视频  
					$M.page.goTo("/fanGroup/fan_photo.html", {topicId:tieId, fanGrpItemType:tieType}, false, false);  
				}else if(tieType == "4"){  
					//投票  
					//$M.page.goTo("/fanGroup/fan_ticket.html", {topicId:tieId, fanGrpItemType:tieType}, false, false);  
					  
				}else if(tieType == "5"){  
					//活动  
					//$M.page.goTo("/fanGroup/fan_huodong.html", {topicId:tieId, fanGrpItemType:tieType}, false, false);  
				}  
			}else if(tag=='video'){  
				var audioplay = new $M.AudioPlay();  
				audioplay.start("",false,function(){});  
			}  
			*/ 
} 
} 
} 
} else { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',769,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "videoPlayT") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',770,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/videoPlay.html", {url:data.resouces}, false, false); 
} else { 
if($jsd('/NewBuyApp/src/fan_group.htmlx',771,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "moretrip") { 
$jsd('/NewBuyApp/src/fan_group.htmlx',772,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_star.html", {fanGrpId:fanGrpId.getValue()}, false, false); 
} 
} 
} 
}); 
$jsd('/NewBuyApp/src/fan_group.htmlx',777,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function fan_xingqu() { 
$jsd('/NewBuyApp/src/fan_group.htmlx',778,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fensixingqu/fen_xingqu.html"); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',781,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function set_my_info() { 
$jsd('/NewBuyApp/src/fan_group.htmlx',782,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/application_settings.html"); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',785,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function my_info() { 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',788,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToShop() { 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',792,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToTips() { 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',795,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToHome(a, b) { 
$jsd('/NewBuyApp/src/fan_group.htmlx',796,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html"); 
} 
$jsd('/NewBuyApp/src/fan_group.htmlx',800,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function addVote() { 
$jsd('/NewBuyApp/src/fan_group.htmlx',801,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fatieDia.close(); 
$jsd('/NewBuyApp/src/fan_group.htmlx',802,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/tuan_addVote.html", {fanGrpId:fanGrpId.getValue()}); 
} 
 
Emp.page.render();
