var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_8956622');
var _div_8770112 = new Emp.Panel({"id":"_div_8770112","height":"44","vAlign":"middle","layout":"HBox","width":"100%","backgroundImage":"/fan_group/u93.png"});
var _div_28208946 = new Emp.Panel({"id":"_div_28208946","height":"100%","vAlign":"middle","width":"100%"});
_div_28208946.addEvent('onClick',goBack);
var _img_17200883 = new Emp.Image({"id":"_img_17200883","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_28208946.add(_img_17200883);
var title = new Emp.Label({"id":"title","color":"#999999","tag":"title","value":"","fontSize":"16"});
_div_28208946.add(title);
_div_8770112.add(_div_28208946);
var fanGrpModify = new Emp.Panel({"id":"fanGrpModify","height":"100%","vAlign":"middle","hAlign":"right","marginRight":"10","layout":"VBox","width":"100%","display":"false"});
var modifyBtn = new Emp.Label({"id":"modifyBtn","color":"#999999","value":"修改","fontSize":"16"});
fanGrpModify.add(modifyBtn);
_div_8770112.add(fanGrpModify);
Emp.page.add(_div_8770112);
var _div_4509462 = new Emp.Panel({"id":"_div_4509462","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_4509462);
var _div_24628554 = new Emp.Panel({"id":"_div_24628554","height":"100%","hAlign":"center","width":"100%","layout":"VBox"});
var _div_4637007 = new Emp.Panel({"id":"_div_4637007","height":"100%","marginTop":"5","backgroundColor":"#ffffff","width":"100%","layout":"VBox"});
var _div_20793196 = new Emp.Panel({"id":"_div_20793196","marginBottom":"5","paddingTop":"5","height":"65","width":"100%"});
var _div_1852073 = new Emp.Panel({"id":"_div_1852073","height":"60","vAlign":"middle","hAlign":"center","width":"100"});
var fanGrpPhotoPop = new Emp.Image({"id":"fanGrpPhotoPop","height":"60","width":"60","src":"","circleClip":"true"});
_div_1852073.add(fanGrpPhotoPop);
_div_20793196.add(_div_1852073);
var _div_4253733 = new Emp.Panel({"id":"_div_4253733","height":"60","layout":"VBox","width":"100%"});
var _div_21552242 = new Emp.Panel({"id":"_div_21552242","height":"20","layout":"HBox","width":"100%"});
var fanGrpNamePop = new Emp.Label({"id":"fanGrpNamePop","color":"#333333","value":"","maxWidth":"160","fontSize":"14","singleLine":"false"});
_div_21552242.add(fanGrpNamePop);
var _div_3523972 = new Emp.Panel({"id":"_div_3523972","marginLeft":"5","hAlign":"left","width":"100%"});
var _div_3826789 = new Emp.Panel({"id":"_div_3826789","borderColor":"#FFCC00","height":"20","vAlign":"middle","backgroundColor":"#FFCC00","borderWidth":"2","hAlign":"center","width":"20","cornerRadius":"5"});
var fanGrpLevelPop = new Emp.Label({"id":"fanGrpLevelPop","color":"#ffffff","value":"","fontSize":"12"});
_div_3826789.add(fanGrpLevelPop);
_div_3523972.add(_div_3826789);
var _div_6411543 = new Emp.Panel({"id":"_div_6411543","borderColor":"#FFCC00","height":"20","vAlign":"middle","backgroundColor":"#FFCC00","marginLeft":"2","borderWidth":"2","hAlign":"left","width":"50","cornerRadius":"5","paddingLeft":"5"});
var _img_15535754 = new Emp.Image({"id":"_img_15535754","height":"15","width":"15","src":"/fan_club/u50.png"});
_div_6411543.add(_img_15535754);
var fanGrpMemberCntPop = new Emp.Label({"id":"fanGrpMemberCntPop","color":"#ffffff","value":"","fontSize":"12"});
_div_6411543.add(fanGrpMemberCntPop);
_div_3523972.add(_div_6411543);
_div_21552242.add(_div_3523972);
_div_4253733.add(_div_21552242);
var fanGrpIdPop = new Emp.Label({"id":"fanGrpIdPop","display":"false"});
_div_4253733.add(fanGrpIdPop);
var fanGrpIntroductionPop = new Emp.Label({"id":"fanGrpIntroductionPop","height":"30","color":"#999999","marginTop":"10","marginRight":"10","width":"250","value":"","maxWidth":"200","fontSize":"12","singleLine":"false"});
_div_4253733.add(fanGrpIntroductionPop);
_div_20793196.add(_div_4253733);
_div_4637007.add(_div_20793196);
var _div_338684 = new Emp.Panel({"id":"_div_338684","height":"1px","backgroundColor":"#cccccc","marginLeft":"10","marginTop":"5","width":"100%","marginRight":"10"});
_div_4637007.add(_div_338684);
var _div_21564820 = new Emp.Panel({"id":"_div_21564820","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_18525108 = new Emp.Panel({"id":"_div_18525108","borderColor":"#ff0017","height":"21","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"21"});
var _input_33472043 = new Emp.Label({"id":"_input_33472043","color":"#ff0017","value":"星","fontSize":"14"});
_div_18525108.add(_input_33472043);
_div_21564820.add(_div_18525108);
var fanGrpUsersPop = new Emp.Label({"id":"fanGrpUsersPop","color":"#999999","marginLeft":"10","value":""});
_div_21564820.add(fanGrpUsersPop);
_div_4637007.add(_div_21564820);
var _div_927970 = new Emp.Panel({"id":"_div_927970","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_27135611 = new Emp.Panel({"id":"_div_27135611","borderColor":"#ffca45","height":"21","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"21"});
var _input_29943420 = new Emp.Label({"id":"_input_29943420","color":"#ffca45","value":"福","fontSize":"14"});
_div_27135611.add(_input_29943420);
_div_927970.add(_div_27135611);
var fanGrpBenefitPop = new Emp.Label({"id":"fanGrpBenefitPop","color":"#999999","marginLeft":"10","value":""});
_div_927970.add(fanGrpBenefitPop);
_div_4637007.add(_div_927970);
var _div_16293842 = new Emp.Panel({"id":"_div_16293842","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_12886746 = new Emp.Panel({"id":"_div_12886746","borderColor":"#91ff00","height":"21","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"21"});
var _input_27236782 = new Emp.Label({"id":"_input_27236782","color":"#91ff00","value":"招","fontSize":"14"});
_div_12886746.add(_input_27236782);
_div_16293842.add(_div_12886746);
var fanGrpTopicPop = new Emp.Label({"id":"fanGrpTopicPop","color":"#999999","marginLeft":"10","value":""});
_div_16293842.add(fanGrpTopicPop);
_div_4637007.add(_div_16293842);
var _div_17543986 = new Emp.Panel({"id":"_div_17543986","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_18979905 = new Emp.Panel({"id":"_div_18979905","borderColor":"#66ccff","height":"21","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"40"});
var _input_26845234 = new Emp.Label({"id":"_input_26845234","color":"#66ccff","value":"团员","fontSize":"14"});
_div_18979905.add(_input_26845234);
_div_17543986.add(_div_18979905);
var _img_14958264 = new Emp.Image({"id":"_img_14958264","height":"30","width":"30","src":"/fan_club/u124.png"});
_div_17543986.add(_img_14958264);
var femalePercentPop = new Emp.Label({"id":"femalePercentPop","color":"#ff2ec0","value":""});
_div_17543986.add(femalePercentPop);
var _img_7174153 = new Emp.Image({"id":"_img_7174153","height":"30","width":"30","src":"/fan_club/u126.png"});
_div_17543986.add(_img_7174153);
var malePercentPop = new Emp.Label({"id":"malePercentPop","color":"#009ed6","value":""});
_div_17543986.add(malePercentPop);
_div_4637007.add(_div_17543986);
var _div_28040995 = new Emp.Panel({"id":"_div_28040995","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_13015461 = new Emp.Panel({"id":"_div_13015461","borderColor":"#ff0017","height":"21","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"40"});
var _input_9510920 = new Emp.Label({"id":"_input_9510920","color":"#ff0017","value":"饭帖","fontSize":"14"});
_div_13015461.add(_input_9510920);
_div_28040995.add(_div_13015461);
var updatedTodayPop = new Emp.Label({"id":"updatedTodayPop","color":"#999999","marginLeft":"10","value":""});
_div_28040995.add(updatedTodayPop);
_div_4637007.add(_div_28040995);
var _div_18622740 = new Emp.Panel({"id":"_div_18622740","height":"200","hAlign":"center","layout":"VBox","width":"100%"});
var line1 = new Emp.Panel({"id":"line1","height":"95","width":"320"});
_div_18622740.add(line1);
var line2 = new Emp.Panel({"id":"line2","height":"95","width":"320"});
_div_18622740.add(line2);
_div_4637007.add(_div_18622740);
var _div_526118 = new Emp.Panel({"id":"_div_526118","marginBottom":"15","height":"100%","vAlign":"bottom","hAlign":"center","width":"100%","paddingLeft":"18","paddingRight":"18"});
var join_in = new Emp.Panel({"id":"join_in","borderColor":"#FFCC00","height":"50","backgroundColor":"#FFCC00","vAlign":"middle","marginTop":"5","borderWidth":"1","hAlign":"center","width":"100%","cornerRadius":"5"});
var _input_26415439 = new Emp.Label({"id":"_input_26415439","color":"#ffffff","value":"+ 入团","fontSize":"20"});
join_in.add(_input_26415439);
_div_526118.add(join_in);
var joinedin = new Emp.Panel({"id":"joinedin","borderColor":"#cccccc","height":"50","backgroundColor":"#cccccc","vAlign":"middle","marginTop":"5","borderWidth":"1","hAlign":"center","width":"100%","cornerRadius":"5","display":"false"});
var _input_26242035 = new Emp.Label({"id":"_input_26242035","color":"#ffffff","value":"已入团","fontSize":"20"});
joinedin.add(_input_26242035);
_div_526118.add(joinedin);
_div_4637007.add(_div_526118);
_div_24628554.add(_div_4637007);
Emp.page.add(_div_24628554);



$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',94,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});$M.page.addEvent("onLoad", function (data) { 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',95,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.joinStatus == "1") { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',96,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); join_in.setDisplay(false); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); joinedin.setDisplay(true); 
} 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.isCreator == "1") { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',100,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpModify.setDisplay(true); 
} 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); title.setValue(data.fanGrpName); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',104,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var searchConJ = {}; 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',105,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); searchConJ.name = "fanTopic.fanGrpId"; 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); searchConJ.value = data.id; 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',112,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([searchConJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!getFanGrpTopicDescribe.action"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',115,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',116,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var topicJson = result.data; 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpNamePop.setValue(data.fanGrpName); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIntroductionPop.setValue(data.fanGrpIntroduction); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpBenefitPop.setValue(data.fanGrpBenefit); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpTopicPop.setValue(data.fanGrpTopic); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpPhotoPop.setValue(data.fanGrpPhoto); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpLevelPop.setValue(data.fanGrpLevel); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpMemberCntPop.setValue(data.fanGrpMemberCnt); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',126,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIdPop.setValue(data.id); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpUsersPop.setValue(data.allStarName); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); updatedTodayPop.setValue("今日更新 " + data.updatedToday); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',129,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); femalePercentPop.setValue(data.femalePercent); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); malePercentPop.setValue(data.malePercent); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var length = topicJson.length; 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (length > 4) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',134,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); length = 4; 
} 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < length; i++) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',137,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("line1").add(CreateDiv(i, topicJson[i])); 
} 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); length = topicJson.length; 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',140,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (length > 4) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 4; i < length; i++) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("line2").add(CreateDiv(i, topicJson[i])); 
} 
} 
} else { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',146,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpModify.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fanGroup_message.html", {fanGrpId:fanGrpIdPop.getValue()}, false, false); 
}); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',159,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',164,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function CreateDiv(num, topicJson) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div" + num; 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',166,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "width":"81", "height":"81"}); 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (topicJson.fanGrpItemType == "1" || topicJson.fanGrpItemType == "2" || topicJson.fanGrpItemType == "3") { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createImg(topicJson.topicImg)); 
} 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',175,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createImg(img) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',179,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({width:"81", height:"81", src:img, hAlign:"center"}); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',185,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); join_in.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',192,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',193,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',194,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',200,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',201,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',202,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',203,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',204,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',205,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); joinFanGrp(); 
} else { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',207,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',213,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',217,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function joinFanGrp() { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',221,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanGrp.id", value:fanGrpIdPop.getValue()}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',223,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanGrpAction!addFanGrpMember.action"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',224,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',225,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_grp_detail.htmlx',226,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("入团成功！"); 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',228,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_group.html", {fanId:fanGrpIdPop.getValue()}, true, false); 
} else { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',230,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("入团失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_grp_detail.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
 
Emp.page.render();
