var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_26076647');
$M.includeFile("/template/reward_template.html");
$M.includeFile("/template/topic_opt_template.html");
var _div_15772344 = new Emp.Panel({"id":"_div_15772344","height":"44","vAlign":"middle","layout":"HBox","width":"100%","backgroundImage":"/fan_group/u93.png"});
_div_15772344.addEvent('onClick',goBack);
var _img_5782385 = new Emp.Image({"id":"_img_5782385","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_15772344.add(_img_5782385);
var title = new Emp.Label({"id":"title","color":"#999999","tag":"title","value":"","fontSize":"16"});
_div_15772344.add(title);
Emp.page.add(_div_15772344);
var _div_22642837 = new Emp.Panel({"id":"_div_22642837","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_22642837);
var _div_17357515 = new Emp.Panel({"id":"_div_17357515","marginBottom":"10","height":"85","marginLeft":"10","marginTop":"10","layout":"VBox","width":"100%"});
var _div_5531861 = new Emp.Panel({"id":"_div_5531861","height":"45","vAlign":"middle","layout":"HBox","width":"100%"});
var titlephoto = new Emp.Image({"id":"titlephoto","height":"25","tag":"titlephoto","width":"25","src":"/icon_128/iconfont-event.png"});
_div_5531861.add(titlephoto);
var fantitle = new Emp.Label({"id":"fantitle","marginLeft":"5","vAlign":"middle","tag":"fantitle","width":"100%","value":""});
_div_5531861.add(fantitle);
var _div_15077767 = new Emp.Panel({"id":"_div_15077767","borderColor":"#CC0066","height":"18","vAlign":"middle","backgroundColor":"#CC0066","borderWidth":"1","marginRight":"10","hAlign":"center","cornerRadius":"9","paddingLeft":"10","paddingRight":"10"});
var points = new Emp.Label({"id":"points","color":"#ffffff","tag":"points","value":"","fontSize":"12"});
_div_15077767.add(points);
_div_5531861.add(_div_15077767);
_div_17357515.add(_div_5531861);
var _div_18575069 = new Emp.Panel({"id":"_div_18575069","height":"20","marginLeft":"5","vAlign":"middle","hAlign":"left","layout":"HBox","width":"100%"});
var titlephoto2 = new Emp.Image({"id":"titlephoto2","height":"15","tag":"titlephoto2","width":"15","src":"/icon_128/iconfont-time.png"});
_div_18575069.add(titlephoto2);
var joinstarttime = new Emp.Label({"id":"joinstarttime","marginLeft":"10","color":"#cccccc","tag":"joinstarttime","value":"","fontSize":"12"});
_div_18575069.add(joinstarttime);
_div_17357515.add(_div_18575069);
var _div_17998702 = new Emp.Panel({"id":"_div_17998702","height":"20","marginLeft":"5","vAlign":"middle","hAlign":"left","layout":"HBox","width":"100%"});
var titlephoto3 = new Emp.Image({"id":"titlephoto3","height":"15","tag":"titlephoto3","width":"15","src":"/icon_128/iconfont-location.png"});
_div_17998702.add(titlephoto3);
var fanlocation = new Emp.Label({"id":"fanlocation","marginLeft":"10","color":"#cccccc","tag":"fanlocation","value":"","fontSize":"12"});
_div_17998702.add(fanlocation);
_div_17357515.add(_div_17998702);
Emp.page.add(_div_17357515);
var _div_23579477 = new Emp.Panel({"id":"_div_23579477","paddingTop":"5","height":"100%","marginTop":"5","backgroundColor":"#f0f0f0","layout":"VBox","width":"100%"});
var _div_22443172 = new Emp.Panel({"id":"_div_22443172","height":"100%","vAlign":"top","overflow":"y","hAlign":"center","width":"100%","backgroundImage":""});
var _div_17026332 = new Emp.Panel({"id":"_div_17026332","marginBottom":"10","borderColor":"#ffffff","height":"-2","backgroundColor":"#ffffff","borderWidth":"1","layout":"VBox","width":"350","cornerRadius":"8","paddingBottom":"5"});
var _div_9365961 = new Emp.Panel({"id":"_div_9365961","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_9870290 = new Emp.Panel({"id":"_div_9870290","height":"40","vAlign":"middle","hAlign":"center","width":"40"});
var userPhoto = new Emp.Image({"id":"userPhoto","height":"40","width":"40","src":"","circleClip":"true"});
_div_9870290.add(userPhoto);
var actIdHid = new Emp.Label({"id":"actIdHid","value":""});
_div_9870290.add(actIdHid);
var act_Creator = new Emp.Label({"id":"act_Creator","value":""});
_div_9870290.add(act_Creator);
_div_9365961.add(_div_9870290);
var _div_8583335 = new Emp.Panel({"id":"_div_8583335","height":"60","marginLeft":"20","layout":"VBox","width":"100%"});
var _div_9621637 = new Emp.Panel({"id":"_div_9621637","height":"16","layout":"HBox","width":"100%"});
var userNm = new Emp.Label({"id":"userNm","color":"#999999","tag":"userNm","width":"110","value":"","fontSize":"14","singleLine":"true"});
_div_9621637.add(userNm);
var _div_15420858 = new Emp.Panel({"id":"_div_15420858","borderColor":"#FF9999","height":"16","vAlign":"middle","backgroundColor":"#FF9999","borderWidth":"1","hAlign":"center","layout":"VBox","width":"30","cornerRadius":"2"});
var levelid = new Emp.Label({"id":"levelid","color":"#ffffff","tag":"levelid","value":"","fontSize":"12"});
_div_15420858.add(levelid);
_div_9621637.add(_div_15420858);
var _img_14027521 = new Emp.Image({"id":"_img_14027521","height":"16","marginLeft":"2","width":"30","src":"/icon_128/louzhu-05.png"});
_div_9621637.add(_img_14027521);
_div_8583335.add(_div_9621637);
var exittime = new Emp.Label({"id":"exittime","color":"#cccccc","tag":"exittime","value":"","fontSize":"12"});
_div_8583335.add(exittime);
_div_9365961.add(_div_8583335);
var _div_8652307 = new Emp.Panel({"id":"_div_8652307","position":"relative","height":"20","vAlign":"middle","hAlign":"right","width":"100%","top":"0"});
var _input_27984404 = new Emp.Label({"id":"_input_27984404","marginTop":"-3","color":"#cccccc","marginRight":"10","value":"#1","fontSize":"12"});
_div_8652307.add(_input_27984404);
_div_9365961.add(_div_8652307);
_div_17026332.add(_div_9365961);
var _div_1408579 = new Emp.Panel({"id":"_div_1408579","marginBottom":"5","height":"100%","layout":"VBox","hAlign":"center","width":"100%"});
var _div_18121895 = new Emp.Panel({"id":"_div_18121895","height":"-2","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var actPic = new Emp.Image({"id":"actPic","scaleType":"fitCenter","src":""});
_div_18121895.add(actPic);
_div_1408579.add(_div_18121895);
var _div_31898331 = new Emp.Panel({"id":"_div_31898331","marginBottom":"5","height":"-2","marginTop":"5","vAlign":"middle","layout":"VBox","hAlign":"center","width":"100%"});
var content = new Emp.Label({"id":"content","color":"#333333","tag":"content","width":"330","value":"","maxWidth":"330","fontSize":"14","singleLine":"false"});
_div_31898331.add(content);
_div_1408579.add(_div_31898331);
_div_17026332.add(_div_1408579);
var _div_5613262 = new Emp.Panel({"id":"_div_5613262","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_17026332.add(_div_5613262);
var _div_20588226 = new Emp.Panel({"id":"_div_20588226","marginBottom":"5","height":"20","marginTop":"5","vAlign":"middle","marginLeft":"5","width":"100%"});
var fangrp = new Emp.Label({"id":"fangrp","color":"#cccccc","marginLeft":"5","tag":"fangrp","width":"150","value":"","fontSize":"12"});
_div_20588226.add(fangrp);
var _div_4618811 = new Emp.Panel({"id":"_div_4618811","height":"20","hAlign":"right","width":"100%"});
var _img_16969740 = new Emp.Image({"id":"_img_16969740","height":"20","width":"20","src":"/icon_128/iconfont-hand.png"});
_div_4618811.add(_img_16969740);
var fabulous = new Emp.Label({"id":"fabulous","height":"100%","vAlign":"middle","color":"#cccccc","tag":"fabulous","value":"","fontSize":"12"});
_div_4618811.add(fabulous);
var _img_22894940 = new Emp.Image({"id":"_img_22894940","height":"20","marginLeft":"20","width":"20","src":"/icon_128/iconfont-aword.png"});
_img_22894940.addEvent('onClick',rewardClick);
_div_4618811.add(_img_22894940);
var rewardval = new Emp.Label({"id":"rewardval","height":"100%","vAlign":"middle","color":"#cccccc","tag":"rewardval","value":"","fontSize":"12"});
_div_4618811.add(rewardval);
var _img_20284665 = new Emp.Image({"id":"_img_20284665","height":"20","width":"20","display":"false","src":"/icon_128/iconfont-message.png"});
_div_4618811.add(_img_20284665);
var reply = new Emp.Label({"id":"reply","color":"#cccccc","tag":"reply","value":"0","display":"false","fontSize":"12"});
_div_4618811.add(reply);
var _img_26932051 = new Emp.Image({"id":"_img_26932051","height":"20","marginLeft":"20","tag":"share","marginRight":"10","width":"20","src":"/icon_128/iconfont-more.png"});
_img_26932051.addEvent('onClick',doShare);
_div_4618811.add(_img_26932051);
_div_20588226.add(_div_4618811);
_div_17026332.add(_div_20588226);
var _div_31262300 = new Emp.Panel({"id":"_div_31262300","marginBottom":"10","height":"25","marginLeft":"10","width":"100%"});
var t_img1 = new Emp.Image({"id":"t_img1","height":"25","tag":"t_img1","width":"25","src":"","circleClip":"true"});
_div_31262300.add(t_img1);
var t_img2 = new Emp.Image({"id":"t_img2","height":"25","marginLeft":"2","tag":"t_img2","width":"25","src":"","circleClip":"true"});
_div_31262300.add(t_img2);
var t_img3 = new Emp.Image({"id":"t_img3","height":"25","marginLeft":"2","tag":"t_img3","width":"25","src":"","circleClip":"true"});
_div_31262300.add(t_img3);
var t_img4 = new Emp.Image({"id":"t_img4","height":"25","marginLeft":"2","tag":"t_img4","width":"25","src":"","circleClip":"true"});
_div_31262300.add(t_img4);
var t_img5 = new Emp.Image({"id":"t_img5","height":"25","marginLeft":"2","tag":"t_img5","width":"25","src":"","circleClip":"true"});
_div_31262300.add(t_img5);
var t_img6 = new Emp.Image({"id":"t_img6","height":"25","marginLeft":"2","tag":"t_img6","width":"25","src":"","circleClip":"true"});
_div_31262300.add(t_img6);
var t_img7 = new Emp.Image({"id":"t_img7","height":"25","marginLeft":"2","tag":"t_img7","width":"25","src":"","circleClip":"true"});
_div_31262300.add(t_img7);
var t_img8 = new Emp.Image({"id":"t_img8","height":"25","marginLeft":"2","tag":"t_img8","width":"25","src":"","circleClip":"true"});
_div_31262300.add(t_img8);
var t_img9 = new Emp.Image({"id":"t_img9","height":"25","marginLeft":"2","tag":"t_img9","width":"25","src":"","circleClip":"true"});
_div_31262300.add(t_img9);
var t_img10 = new Emp.Image({"id":"t_img10","height":"25","marginLeft":"2","tag":"t_img10","width":"25","src":"","circleClip":"true"});
_div_31262300.add(t_img10);
_div_17026332.add(_div_31262300);
_div_22443172.add(_div_17026332);
_div_23579477.add(_div_22443172);
var _div_10257867 = new Emp.Panel({"id":"_div_10257867","height":"45","vAlign":"bottom","hAlign":"center","width":"100%"});
var joinedDiv = new Emp.Panel({"id":"joinedDiv","marginBottom":"5","borderColor":"#CCCCCC","height":"40","backgroundColor":"#CCCCCC","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"340","cornerRadius":"5","display":"false"});
var _input_29417190 = new Emp.Label({"id":"_input_29417190","color":"#ffffff","hAlign":"center","value":"参与成功！","fontSize":"20"});
joinedDiv.add(_input_29417190);
_div_10257867.add(joinedDiv);
var unjoinDiv = new Emp.Panel({"id":"unjoinDiv","marginBottom":"5","borderColor":"#ffcc00","height":"40","backgroundColor":"#ffcc00","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"340","cornerRadius":"5"});
unjoinDiv.addEvent('onClick',doJoin);
var _input_12985825 = new Emp.Label({"id":"_input_12985825","color":"#ffffff","hAlign":"center","value":"我要参与！","fontSize":"20"});
unjoinDiv.add(_input_12985825);
_div_10257867.add(unjoinDiv);
_div_23579477.add(_div_10257867);
Emp.page.add(_div_23579477);








$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',107,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var parentPage = null; 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',112,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function show() { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(true); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); menu.moveToY(0, 1000); 
} 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
if($jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (parentPage && parentPage == "adpage") { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); gotoIndex(); 
} else { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
} 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
if($jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',126,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params && params.parentpage) { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); parentPage = params.parentpage; 
} 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',129,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); loadActData(params.topicId, params.fanGrpItemType); 
}); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function loadActData(topicId, fanGrpItemType) { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',134,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:topicId}, {name:"fanTopic.fanGrpItemType", value:fanGrpItemType}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',137,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!getFanTopicInfo.action"); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',140,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.isCreator == "1") { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',143,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delbtn.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delbtn.setDisplay(false); 
} 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setMainData(result.data); 
if($jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',148,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.detailList && result.data.detailList.length > 0) { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setDetailData(result.data.detailList[0], fanGrpItemType, result.data.voted, result.data.stopVote); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',152,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',159,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function setMainData(data) { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); title.setValue(data.fanGrpName); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',161,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); joinstarttime.setValue(data.voteTime); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fantitle.setValue(data.fanGrpItemTitle); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanlocation.setValue(data.actAddress); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',164,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); points.setValue(data.totalVoted); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); actIdHid.setValue(data.id); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',166,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); act_Creator.setValue(data.dataCreator); 
} 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',169,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function setDetailData(data, fanGrpItemType, voted, stopVote) { 
if($jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (voted == "0") { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); joinedDiv.setDisplay(false); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); unjoinDiv.setDisplay(true); 
if($jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (stopVote == "1") { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); unjoinDiv.setDisplay(false); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); unjoinDiv.setDisplay(false); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); joinedDiv.setDisplay(true); 
} 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',181,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userNm.setValue(data.creatorName); 
if($jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',182,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.creatorPhoto && data.creatorPhoto != "") { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userPhoto.setSrc(data.creatorPhoto); 
} else { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',185,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userPhoto.setSrc("/icon_128/avatar_blank.png"); 
} 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',187,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); content.setValue(data.itemReplyContent); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',188,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); levelid.setValue(data.creatorLevel); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fangrp.setValue(data.fanGrpName); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fabulous.setValue(data.fabulousCnt); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); reply.setValue(data.replyCnt); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',192,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rewardval.setValue(data.rewardCnt); 
if($jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',193,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.topicResource && data.topicResource.length > 0) { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',194,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); log(data.topicResource[0].RESOURCE_URL); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',195,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); actPic.setSrc(data.topicResource[0].RESOURCE_URL); 
} 
if($jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',198,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (parseInt(data.fabulousCnt) > 0 && data.fabulousList && data.fabulousList.length > 0) { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',199,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var imgcnt = data.fabulousList.length > 10 ? 10 : data.fabulousList.length; 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',200,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var k = 0; k < imgcnt; k++) { 
if($jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',201,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fabulousList[k].address && data.fabulousList[k].address != "") { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',202,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("t_img" + (k + 1)).setSrc(data.fabulousList[k].address); 
} else { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',204,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("t_img" + (k + 1)).setSrc("/icon_128/avatar_blank.png"); 
} 
} 
} 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',209,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("unjoinDiv").topicId = data.fanGrpItemId; 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("unjoinDiv").fanGrpId = data.fanGrpId; 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',211,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("unjoinDiv").fanGrpItemType = fanGrpItemType; 
} 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',214,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function doJoin() { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',215,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var topicId = this.topicId; 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',216,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanGrpItemType = this.fanGrpItemType; 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',217,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanGrpId = this.fanGrpId; 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',225,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',226,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',228,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',229,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',230,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); joinActivities(topicId, fanGrpItemType, fanGrpId); 
} else { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',232,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',235,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',238,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',242,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function joinActivities(topicId, fanGrpItemType, fanGrpId) { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',243,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',244,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:topicId}, {name:"fanTopic.fanGrpId", value:fanGrpId}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',247,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!doJoin.action"); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',248,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',249,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',250,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',251,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); loadActData(topicId, fanGrpItemType); 
} else { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',253,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("参与失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',256,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',261,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function doShare() { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); floorId.setValue(actIdHid.getValue()); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',263,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); datatype.setValue(3); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',264,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicoptdialog.show(); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',271,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /* if (data.isCreator == "1" || fanGrpCreator.getValue() == "1") {  
			delbtn.setDisplay(true);  
		} else {  
			delbtn.setDisplay(false);  
		} */; 
} 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',275,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function rewardClick() { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',276,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',277,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',283,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',284,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',285,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',286,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',287,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',289,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tie_id_temp.setValue(actIdHid.getValue()); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',290,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listviewrowno.setValue(-2); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',291,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tie_floor_temp.setValue(-2); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',292,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); floor_creator.setValue(act_Creator.getValue()); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',293,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.show(); 
} else { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',295,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',298,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',301,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',305,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gotoIndex() { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',306,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',307,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',313,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',314,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',315,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',316,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',317,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',318,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/mainpage_loggedin.html", {}, true); 
} else { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',320,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", {}, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',323,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", {}, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_huodong_demo.htmlx',326,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", {}, true); 
}); 
} 
 
Emp.page.render();
