var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_14759142');
$M.includeFile("/commons/listview_common.html");
$M.includeFile("/fan_club_pop.html");
var _div_22553859 = new Emp.Panel({"id":"_div_22553859","height":"100%","layout":"VBox","width":"100%"});
var _div_31852133 = new Emp.Panel({"id":"_div_31852133","height":"44","vAlign":"middle","width":"100%"});
var _div_11394340 = new Emp.Panel({"id":"_div_11394340","height":"100%","vAlign":"middle","width":"100%"});
_div_11394340.addEvent('onClick',goBack);
var _img_9545589 = new Emp.Image({"id":"_img_9545589","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_11394340.add(_img_9545589);
var _div_8984459 = new Emp.Panel({"id":"_div_8984459","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var _input_6869250 = new Emp.Label({"id":"_input_6869250","color":"#999999","value":" 找饭团","fontSize":"16"});
_div_8984459.add(_input_6869250);
_div_11394340.add(_div_8984459);
_div_31852133.add(_div_11394340);
var _div_24243713 = new Emp.Panel({"id":"_div_24243713","height":"100%","vAlign":"middle","hAlign":"right","width":"100%","paddingRight":"10"});
var _input_12622319 = new Emp.Label({"id":"_input_12622319","color":"#FF6600","value":"创建饭团","fontSize":"16"});
_input_12622319.addEvent('onClick',initCreateFan);
_div_24243713.add(_input_12622319);
_div_31852133.add(_div_24243713);
_div_22553859.add(_div_31852133);
var _div_12205356 = new Emp.Panel({"id":"_div_12205356","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
_div_22553859.add(_div_12205356);
var _div_17183975 = new Emp.Panel({"id":"_div_17183975","height":"40","backgroundColor":"#f0f0f0","vAlign":"middle","width":"100%","paddingLeft":"5","paddingRight":"5"});
var _div_8071998 = new Emp.Panel({"id":"_div_8071998","height":"30","borderColor":"#f2f2f2","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","width":"300","cornerRadius":"8"});
var _img_5503448 = new Emp.Image({"id":"_img_5503448","height":"20","marginLeft":"15","width":"20","src":"/fan_search/u186.png"});
_img_5503448.addEvent('onClick',findFanGrp);
_div_8071998.add(_img_5503448);
var searchCon = new Emp.Text({"id":"searchCon","height":"20","backgroundColor":"#ffffff","width":"100%","emptyText":"关键词，如：鹿晗+空格+电影","fontSize":"12"});
_div_8071998.add(searchCon);
_div_17183975.add(_div_8071998);
var _input_3512559 = new Emp.Label({"id":"_input_3512559","color":"#999999","value":"搜索","fontSize":"16","paddingLeft":"5"});
_input_3512559.addEvent('onClick',findFanGrp);
_div_17183975.add(_input_3512559);
_div_22553859.add(_div_17183975);
var _template_13334302 = new Emp.Panel({"id":"_template_13334302"});
_template_13334302.__isTemplate=true;
var template1 = new Emp.Panel({"id":"template1","height":"120","backgroundColor":"#f0f0f0","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_20721920 = new Emp.Panel({"id":"_div_20721920","borderColor":"#ffffff","height":"115","backgroundColor":"#ffffff","marginLeft":"5","borderWidth":"1","marginRight":"5","layout":"VBox","width":"100%","cornerRadius":"8"});
var _div_11874580 = new Emp.Panel({"id":"_div_11874580","height":"35","marginLeft":"15","marginTop":"10","marginRight":"10","layout":"HBox","width":"100%"});
var fangrplevelcolor = new Emp.Panel({"id":"fangrplevelcolor","borderColor":"#FFCC00","height":"20","vAlign":"middle","backgroundColor":"#FFCC00","tag":"fangrplevelcolor","borderWidth":"2","hAlign":"center","width":"20","cornerRadius":"5"});
var _input_25242295 = new Emp.Label({"id":"_input_25242295","color":"#ffffff","tag":"fanGrpLevel","value":"1","fontSize":"12"});
fangrplevelcolor.add(_input_25242295);
_div_11874580.add(fangrplevelcolor);
var fangrpmemberlcolor = new Emp.Panel({"id":"fangrpmemberlcolor","borderColor":"#FFCC00","height":"20","vAlign":"middle","backgroundColor":"#FFCC00","marginLeft":"5","tag":"fangrpmemberlcolor","borderWidth":"2","hAlign":"left","width":"50","cornerRadius":"5","paddingLeft":"5"});
var _img_15456106 = new Emp.Image({"id":"_img_15456106","height":"15","width":"15","src":"/fan_club/u50.png"});
fangrpmemberlcolor.add(_img_15456106);
var _input_25920277 = new Emp.Label({"id":"_input_25920277","color":"#ffffff","tag":"fanGrpMemberCnt","value":"0","fontSize":"12"});
fangrpmemberlcolor.add(_input_25920277);
_div_11874580.add(fangrpmemberlcolor);
var _div_4920579 = new Emp.Panel({"id":"_div_4920579","height":"20","marginLeft":"20","width":"100%"});
var _input_22064499 = new Emp.Label({"id":"_input_22064499","height":"100%","tag":"fanGrpName","width":"230","value":"","fontSize":"14","singleLine":"true"});
_div_4920579.add(_input_22064499);
_div_11874580.add(_div_4920579);
_div_20721920.add(_div_11874580);
var _div_28009984 = new Emp.Panel({"id":"_div_28009984","height":"100%","marginRight":"10","width":"100%"});
var _div_28691323 = new Emp.Panel({"id":"_div_28691323","height":"100%","width":"110","paddingLeft":"20"});
var _img_4333592 = new Emp.Image({"id":"_img_4333592","height":"60","tag":"fanGrpPhoto","width":"60","src":"","circleClip":"true"});
_div_28691323.add(_img_4333592);
_div_28009984.add(_div_28691323);
var _div_21575155 = new Emp.Panel({"id":"_div_21575155","height":"100%","layout":"VBox","width":"100%"});
var _div_24443576 = new Emp.Panel({"id":"_div_24443576","height":"20","width":"100%"});
var _input_16281814 = new Emp.Label({"id":"_input_16281814","tag":"fanGrpIntroduction","width":"230","value":"","fontSize":"12","singleLine":"true"});
_div_24443576.add(_input_16281814);
_div_21575155.add(_div_24443576);
var _div_12059792 = new Emp.Panel({"id":"_div_12059792","height":"20","vAlign":"middle","width":"100%"});
var _div_20161523 = new Emp.Panel({"id":"_div_20161523","borderColor":"#91ff00","height":"16","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"16"});
var _input_22073124 = new Emp.Label({"id":"_input_22073124","color":"#91ff00","value":"招","fontSize":"10"});
_div_20161523.add(_input_22073124);
_div_12059792.add(_div_20161523);
var _input_5204240 = new Emp.Label({"id":"_input_5204240","color":"#999999","marginLeft":"10","tag":"fanGrpTopic","width":"200","value":"","fontSize":"12","singleLine":"true"});
_div_12059792.add(_input_5204240);
_div_21575155.add(_div_12059792);
var _div_24813241 = new Emp.Panel({"id":"_div_24813241","height":"20","vAlign":"middle","width":"100%"});
var _div_21673653 = new Emp.Panel({"id":"_div_21673653","borderColor":"#ffca45","height":"16","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"16"});
var _input_2173136 = new Emp.Label({"id":"_input_2173136","color":"#ffca45","value":"福","fontSize":"10"});
_div_21673653.add(_input_2173136);
_div_24813241.add(_div_21673653);
var _input_16682368 = new Emp.Label({"id":"_input_16682368","color":"#999999","marginLeft":"10","tag":"fanGrpBenefit","width":"200","value":"","fontSize":"12","singleLine":"true"});
_div_24813241.add(_input_16682368);
_div_21575155.add(_div_24813241);
_div_28009984.add(_div_21575155);
_div_20721920.add(_div_28009984);
template1.add(_div_20721920);
_template_13334302.add(template1);
var _div_33291038 = new Emp.Panel({"id":"_div_33291038","height":"100%","backgroundColor":"#f0f0f0","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","enablePullUp":"true","width":"100%"});
_div_33291038.add(listview);
_div_22553859.add(_div_33291038);
Emp.page.add(_div_22553859);










$jsd('/NewBuyApp/src/fan_search.htmlx',91,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var page = 1; 
$jsd('/NewBuyApp/src/fan_search.htmlx',92,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userId = ""; 
$jsd('/NewBuyApp/src/fan_search.htmlx',94,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fan_search.htmlx',95,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_search.htmlx',96,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_search.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplate(template1); 
$jsd('/NewBuyApp/src/fan_search.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newsScroller = new Emp.ListView.PrimetonerScroller({"modelId":this.modelId}); 
$jsd('/NewBuyApp/src/fan_search.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setScroller(newsScroller); 
$jsd('/NewBuyApp/src/fan_search.htmlx',104,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (param) { 
if($jsd('/NewBuyApp/src/fan_search.htmlx',105,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (param) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userId = param.userId; 
} 
$jsd('/NewBuyApp/src/fan_search.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); findFanGrp(); 
}); 
$jsd('/NewBuyApp/src/fan_search.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function findFanGrp() { 
$jsd('/NewBuyApp/src/fan_search.htmlx',112,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var pageJ = {}; 
$jsd('/NewBuyApp/src/fan_search.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pageJ.name = "fanGrp.requiredPage"; 
$jsd('/NewBuyApp/src/fan_search.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pageJ.value = 1; 
$jsd('/NewBuyApp/src/fan_search.htmlx',115,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var searchConJ = {}; 
$jsd('/NewBuyApp/src/fan_search.htmlx',116,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); searchConJ.name = "searchCon"; 
$jsd('/NewBuyApp/src/fan_search.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); searchConJ.value = searchCon.getValue(); 
$jsd('/NewBuyApp/src/fan_search.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var starInfo = {}; 
$jsd('/NewBuyApp/src/fan_search.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); starInfo.name = "fanGrp.userId"; 
$jsd('/NewBuyApp/src/fan_search.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); starInfo.value = userId; 
$jsd('/NewBuyApp/src/fan_search.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_search.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([pageJ, searchConJ, starInfo, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_search.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanGrpAction!getFanGrpList.action"); 
$jsd('/NewBuyApp/src/fan_search.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',129,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_search.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = 2; 
if($jsd('/NewBuyApp/src/fan_search.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data && result.data.length > 0) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < result.data.length; i++) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',134,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.data[i].fangrplevelcolor = result.data[i].fanGrpLevel.toLowerCase().replace("lv", ""); 
$jsd('/NewBuyApp/src/fan_search.htmlx',135,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.data[i].fangrpmemberlcolor = result.data[i].fanGrpLevel.toLowerCase().replace("lv", ""); 
} 
} 
$jsd('/NewBuyApp/src/fan_search.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(result.data); 
$jsd('/NewBuyApp/src/fan_search.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
$jsd('/NewBuyApp/src/fan_search.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_search.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onLoadMore", function (type) { 
if($jsd('/NewBuyApp/src/fan_search.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullDown") { 
} 
if($jsd('/NewBuyApp/src/fan_search.htmlx',153,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullUp") { 
$jsd('/NewBuyApp/src/fan_search.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var pageJ = {}; 
$jsd('/NewBuyApp/src/fan_search.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pageJ.name = "fanGrp.requiredPage"; 
$jsd('/NewBuyApp/src/fan_search.htmlx',156,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pageJ.value = page; 
$jsd('/NewBuyApp/src/fan_search.htmlx',158,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var searchConJ = {}; 
$jsd('/NewBuyApp/src/fan_search.htmlx',159,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); searchConJ.name = "searchCon"; 
$jsd('/NewBuyApp/src/fan_search.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); searchConJ.value = searchCon.getValue(); 
$jsd('/NewBuyApp/src/fan_search.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var starInfo = {}; 
$jsd('/NewBuyApp/src/fan_search.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); starInfo.name = "fanGrp.userId"; 
$jsd('/NewBuyApp/src/fan_search.htmlx',164,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); starInfo.value = userId; 
$jsd('/NewBuyApp/src/fan_search.htmlx',167,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_search.htmlx',168,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([pageJ, searchConJ, starInfo, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_search.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanGrpAction!getFanGrpList.action"); 
$jsd('/NewBuyApp/src/fan_search.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_search.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_search.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.length > 0) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',175,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = page + 1; 
if($jsd('/NewBuyApp/src/fan_search.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data && result.data.length > 0) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < result.data.length; i++) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',179,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.data[i].fangrplevelcolor = result.data[i].fanGrpLevel.toLowerCase().replace("lv", ""); 
$jsd('/NewBuyApp/src/fan_search.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.data[i].fangrpmemberlcolor = result.data[i].fanGrpLevel.toLowerCase().replace("lv", ""); 
} 
} 
$jsd('/NewBuyApp/src/fan_search.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.appendItems(result.data); 
} 
$jsd('/NewBuyApp/src/fan_search.htmlx',186,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); scroll_template_label.setValue("加载更多"); 
$jsd('/NewBuyApp/src/fan_search.htmlx',187,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
$jsd('/NewBuyApp/src/fan_search.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',192,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
}); 
$jsd('/NewBuyApp/src/fan_search.htmlx',197,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onItemClick", function (row, tag, data) { 
if($jsd('/NewBuyApp/src/fan_search.htmlx',198,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.joinStatus == "1") { 
$jsd('/NewBuyApp/src/fan_search.htmlx',199,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_group.html", {fanId:data.id}, false, false); 
} else { 
$jsd('/NewBuyApp/src/fan_search.htmlx',201,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_grp_detail.html", data); 
} 
$jsd('/NewBuyApp/src/fan_search.htmlx',203,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
$jsd('/NewBuyApp/src/fan_search.htmlx',204,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var searchConJ = {}; 
$jsd('/NewBuyApp/src/fan_search.htmlx',205,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); searchConJ.name = "fanTopic.fanGrpId"; 
$jsd('/NewBuyApp/src/fan_search.htmlx',206,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); searchConJ.value = data.id; 
$jsd('/NewBuyApp/src/fan_search.htmlx',208,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_search.htmlx',209,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([searchConJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_search.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!getFanGrpTopicDescribe.action"); 
$jsd('/NewBuyApp/src/fan_search.htmlx',211,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',212,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_search.htmlx',213,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',214,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var topicJson = result.data; 
$jsd('/NewBuyApp/src/fan_search.htmlx',216,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpNamePop.setValue(data.fanGrpName); 
$jsd('/NewBuyApp/src/fan_search.htmlx',217,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIntroductionPop.setValue(data.fanGrpIntroduction); 
$jsd('/NewBuyApp/src/fan_search.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpBenefitPop.setValue(data.fanGrpBenefit); 
$jsd('/NewBuyApp/src/fan_search.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpTopicPop.setValue(data.fanGrpTopic); 
$jsd('/NewBuyApp/src/fan_search.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpPhotoPop.setValue(data.fanGrpPhoto); 
$jsd('/NewBuyApp/src/fan_search.htmlx',221,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpLevelPop.setValue(data.fanGrpLevel); 
$jsd('/NewBuyApp/src/fan_search.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpMemberCntPop.setValue(data.fanGrpMemberCnt); 
$jsd('/NewBuyApp/src/fan_search.htmlx',223,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIdPop.setValue(data.id); 
$jsd('/NewBuyApp/src/fan_search.htmlx',224,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpUsersPop.setValue(data.allStarName); 
$jsd('/NewBuyApp/src/fan_search.htmlx',225,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); updatedTodayPop.setValue("今日更新 " + data.updatedToday); 
$jsd('/NewBuyApp/src/fan_search.htmlx',226,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); femalePercentPop.setValue(data.femalePercent); 
$jsd('/NewBuyApp/src/fan_search.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); malePercentPop.setValue(data.malePercent); 
$jsd('/NewBuyApp/src/fan_search.htmlx',229,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var length = topicJson.length; 
if($jsd('/NewBuyApp/src/fan_search.htmlx',230,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (length > 4) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',231,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); length = 4; 
} 
$jsd('/NewBuyApp/src/fan_search.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < length; i++) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("line1").add(CreateDiv(i, topicJson[i])); 
} 
$jsd('/NewBuyApp/src/fan_search.htmlx',236,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); length = topicJson.length; 
if($jsd('/NewBuyApp/src/fan_search.htmlx',237,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (length > 4) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',238,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 4; i < length; i++) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',239,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("line2").add(CreateDiv(i, topicJson[i])); 
} 
} 
} else { 
$jsd('/NewBuyApp/src/fan_search.htmlx',243,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',246,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
$jsd('/NewBuyApp/src/fan_search.htmlx',248,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.show(); 
}); 
$jsd('/NewBuyApp/src/fan_search.htmlx',251,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function CreateDiv(num, topicJson) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',252,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div" + num; 
$jsd('/NewBuyApp/src/fan_search.htmlx',253,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "width":"81", "height":"81"}); 
if($jsd('/NewBuyApp/src/fan_search.htmlx',259,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (topicJson.fanGrpItemType == "1" || topicJson.fanGrpItemType == "2" || topicJson.fanGrpItemType == "3") { 
$jsd('/NewBuyApp/src/fan_search.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createImg(topicJson.topicImg)); 
} 
$jsd('/NewBuyApp/src/fan_search.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fan_search.htmlx',265,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createImg(img) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',266,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({width:"81", height:"81", src:img, hAlign:"center"}); 
$jsd('/NewBuyApp/src/fan_search.htmlx',272,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/fan_search.htmlx',307,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /*  
	//点击入团，弹出提示信息，同时弹出层消失 TODO  
	join_in.addEvent("onClick",function(){  
		var fanGrpJ = {};  
		fanGrpJ.name = "fanGrp.id";  
		fanGrpJ.value = fanGrpIdPop.getValue();  
		//提交  
		var ajax = new $M.Ajax();  
		ajax.addParams([fanGrpJ,  
		    			{name:"mobileImei", value:Utils.getImei()},{name:"mobileType", value:Utils.getOs()},{name:"mobileToken", value:Utils.getMessageToken()}]);  
		ajax.setAction("/mobile/fanGrpAction!addFanGrpMember.action");  
		ajax.submit(function(result) {  
			result = Utils.stringToJson(result);  
			if (result.success) {  
				  
				dialog.close();  
				setTimeout(500,function(){  
					toast('恭喜入团！')  
				})  
			}else{  
				if(result.errorMsg == "notlogin"){  
					$M.page.goTo("/fanReg/login.html");  
				}else{  
					toast("更新数据失败！")  
				}  
			}  
		}, function(error) {  
			toast("网络菌罢工了！")  
		});  
	  
		  
	});  
	*/ 
$jsd('/NewBuyApp/src/fan_search.htmlx',310,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); goBack() { 
$jsd('/NewBuyApp/src/fan_search.htmlx',311,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/fan_search.htmlx',314,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function initCreateFan() { 
$jsd('/NewBuyApp/src/fan_search.htmlx',315,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_search.htmlx',316,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_search.htmlx',322,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanGrpAction!getUserFanGrpCnt.action"); 
$jsd('/NewBuyApp/src/fan_search.htmlx',323,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',324,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_search.htmlx',325,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',326,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); create_fan(); 
} else { 
$jsd('/NewBuyApp/src/fan_search.htmlx',328,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("饭团数量不能超过10个！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',331,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_search.htmlx',336,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_fan() { 
$jsd('/NewBuyApp/src/fan_search.htmlx',337,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_search.htmlx',338,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_search.htmlx',344,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_search.htmlx',345,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',346,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_search.htmlx',347,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_search.htmlx',348,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_search.htmlx',349,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanCreate/fan_creat.html"); 
} else { 
$jsd('/NewBuyApp/src/fan_search.htmlx',351,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_search.htmlx',354,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_search.htmlx',357,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
 
Emp.page.render();
