var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_14717396');
$M.includeFile("/template/reward_template.html");
$M.includeFile("/template/topic_opt_template.html");
var _div_25561667 = new Emp.Panel({"id":"_div_25561667","height":"44","vAlign":"middle","layout":"HBox","width":"100%","backgroundImage":"/fan_group/u93.png"});
var _div_17550613 = new Emp.Panel({"id":"_div_17550613","height":"100%","vAlign":"middle","width":"100%"});
_div_17550613.addEvent('onClick',goBack);
var _img_29696598 = new Emp.Image({"id":"_img_29696598","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_17550613.add(_img_29696598);
var title = new Emp.Label({"id":"title","color":"#999999","tag":"title","value":"","fontSize":"16"});
_div_17550613.add(title);
_div_25561667.add(_div_17550613);
var _div_27510707 = new Emp.Panel({"id":"_div_27510707","hAlign":"right","width":"100%"});
var toTop = new Emp.Label({"id":"toTop","color":"#999999","marginRight":"8","value":"置顶","display":"false","fontSize":"18"});
_div_27510707.add(toTop);
var cancelTop = new Emp.Label({"id":"cancelTop","color":"#999999","marginRight":"8","value":"取消置顶","display":"false","fontSize":"18"});
_div_27510707.add(cancelTop);
_div_25561667.add(_div_27510707);
Emp.page.add(_div_25561667);
var _div_5581640 = new Emp.Panel({"id":"_div_5581640","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_5581640);
var _div_25993699 = new Emp.Panel({"id":"_div_25993699","marginBottom":"10","height":"-2","marginLeft":"10","marginTop":"10","layout":"VBox","width":"100%"});
var _div_30954865 = new Emp.Panel({"id":"_div_30954865","height":"100%","layout":"HBox","width":"100%"});
var titlephoto = new Emp.Image({"id":"titlephoto","height":"25","vAlign":"middle","hAlign":"center","width":"25","src":"/icon_128/iconfont-vote.png"});
_div_30954865.add(titlephoto);
var fantitle = new Emp.Label({"id":"fantitle","marginLeft":"5","vAlign":"middle","tag":"fantitle","width":"100%","value":""});
_div_30954865.add(fantitle);
var _div_17586634 = new Emp.Panel({"id":"_div_17586634","borderColor":"#ffcc00","height":"18","vAlign":"middle","backgroundColor":"#FFCC00","borderWidth":"1","hAlign":"center","marginRight":"10","cornerRadius":"9","paddingLeft":"10","paddingRight":"10"});
var votedCnt = new Emp.Label({"id":"votedCnt","vAlign":"middle","color":"#ffffff","hAlign":"center","value":"","fontSize":"12"});
_div_17586634.add(votedCnt);
_div_30954865.add(_div_17586634);
_div_25993699.add(_div_30954865);
var _div_17103668 = new Emp.Panel({"id":"_div_17103668","height":"-2","marginLeft":"5","vAlign":"middle","hAlign":"left","layout":"HBox","width":"100%"});
var img = new Emp.Image({"id":"img","height":"15","width":"15","src":"/icon_128/iconfont-time.png"});
_div_17103668.add(img);
var starttime = new Emp.Label({"id":"starttime","marginLeft":"10","color":"#cccccc","tag":"starttime","value":"","fontSize":"12"});
_div_17103668.add(starttime);
_div_25993699.add(_div_17103668);
Emp.page.add(_div_25993699);
var _div_15798778 = new Emp.Panel({"id":"_div_15798778","height":"100%","backgroundColor":"#f0f0f0","width":"100%"});
var _div_13851007 = new Emp.Panel({"id":"_div_13851007","borderColor":"#ffffff","height":"-2","backgroundColor":"#ffffff","marginTop":"5","marginLeft":"5","borderWidth":"1","marginRight":"5","layout":"VBox","width":"100%","cornerRadius":"8"});
var _div_26789689 = new Emp.Panel({"id":"_div_26789689","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_20950413 = new Emp.Panel({"id":"_div_20950413","height":"40","vAlign":"middle","hAlign":"center","width":"40"});
var userPhoto = new Emp.Image({"id":"userPhoto","height":"40","width":"40","src":"","circleClip":"true"});
_div_20950413.add(userPhoto);
var voteIdHid = new Emp.Label({"id":"voteIdHid","value":""});
_div_20950413.add(voteIdHid);
var vote_creator = new Emp.Label({"id":"vote_creator","value":""});
_div_20950413.add(vote_creator);
_div_26789689.add(_div_20950413);
var _div_11554456 = new Emp.Panel({"id":"_div_11554456","height":"60","marginLeft":"20","layout":"VBox","width":"100%"});
var _div_16260380 = new Emp.Panel({"id":"_div_16260380","height":"16","layout":"HBox","width":"100%"});
var userNm = new Emp.Label({"id":"userNm","color":"#999999","tag":"userNm","width":"110","value":"","fontSize":"14","singleLine":"true"});
_div_16260380.add(userNm);
var _div_18867771 = new Emp.Panel({"id":"_div_18867771","borderColor":"#FF9999","height":"16","vAlign":"middle","backgroundColor":"#FF9999","borderWidth":"1","hAlign":"center","layout":"VBox","width":"30","cornerRadius":"2"});
var levelid = new Emp.Label({"id":"levelid","color":"#ffffff","tag":"levelid","value":"","fontSize":"12"});
_div_18867771.add(levelid);
_div_16260380.add(_div_18867771);
var _img_20752690 = new Emp.Image({"id":"_img_20752690","height":"16","marginLeft":"2","width":"30","src":"/icon_128/louzhu-05.png"});
_div_16260380.add(_img_20752690);
_div_11554456.add(_div_16260380);
var exittime = new Emp.Label({"id":"exittime","color":"#cccccc","tag":"exittime","value":"","fontSize":"12"});
_div_11554456.add(exittime);
_div_26789689.add(_div_11554456);
var _div_19942904 = new Emp.Panel({"id":"_div_19942904","position":"relative","vAlign":"middle","hAlign":"right","width":"100%","top":"0"});
var _input_5170375 = new Emp.Label({"id":"_input_5170375","marginTop":"-3","color":"#cccccc","marginRight":"10","value":"#1","fontSize":"12"});
_div_19942904.add(_input_5170375);
_div_26789689.add(_div_19942904);
_div_13851007.add(_div_26789689);
var gophototicket = new Emp.Panel({"id":"gophototicket","height":"100%","layout":"VBox","hAlign":"center","width":"100%"});
var _div_2994911 = new Emp.Panel({"id":"_div_2994911","height":"1px","backgroundColor":"#cccccc","width":"100%"});
gophototicket.add(_div_2994911);
var voteItem1 = new Emp.Panel({"id":"voteItem1","height":"41","layout":"VBox","width":"100%","display":"false"});
voteItem1.addEvent('onClick',doVote);
var _div_22652560 = new Emp.Panel({"id":"_div_22652560","height":"40","vAlign":"middle","layout":"VBox","width":"100%"});
var voteColorWidth1 = new Emp.Panel({"id":"voteColorWidth1","height":"100%","backgroundColor":"#ffcc00","width":"0"});
_div_22652560.add(voteColorWidth1);
var _div_22083480 = new Emp.Panel({"id":"_div_22083480","position":"relative","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var voteItemContent1 = new Emp.Label({"id":"voteItemContent1","color":"#333333","value":"","fontSize":"14"});
_div_22083480.add(voteItemContent1);
var _div_25994626 = new Emp.Panel({"id":"_div_25994626","position":"relative","height":"100%","vAlign":"middle","hAlign":"right","width":"100%"});
var votePercent1 = new Emp.Label({"id":"votePercent1","color":"#ff6600","marginRight":"10","value":"0%","fontSize":"12"});
_div_25994626.add(votePercent1);
_div_22083480.add(_div_25994626);
_div_22652560.add(_div_22083480);
voteItem1.add(_div_22652560);
var _div_4164244 = new Emp.Panel({"id":"_div_4164244","height":"1px","backgroundColor":"#cccccc","width":"100%"});
voteItem1.add(_div_4164244);
gophototicket.add(voteItem1);
var voteItem2 = new Emp.Panel({"id":"voteItem2","height":"41","layout":"VBox","width":"100%","display":"false"});
voteItem2.addEvent('onClick',doVote);
var _div_15253967 = new Emp.Panel({"id":"_div_15253967","height":"40","vAlign":"middle","layout":"VBox","width":"100%"});
var voteColorWidth2 = new Emp.Panel({"id":"voteColorWidth2","height":"100%","backgroundColor":"#FFFF00","width":"0"});
_div_15253967.add(voteColorWidth2);
var _div_4898566 = new Emp.Panel({"id":"_div_4898566","position":"relative","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var voteItemContent2 = new Emp.Label({"id":"voteItemContent2","color":"#333333","value":"","fontSize":"14"});
_div_4898566.add(voteItemContent2);
var _div_6414981 = new Emp.Panel({"id":"_div_6414981","position":"relative","height":"100%","vAlign":"middle","hAlign":"right","width":"100%"});
var votePercent2 = new Emp.Label({"id":"votePercent2","color":"#ff6600","marginRight":"10","value":"0%","fontSize":"12"});
_div_6414981.add(votePercent2);
_div_4898566.add(_div_6414981);
_div_15253967.add(_div_4898566);
voteItem2.add(_div_15253967);
var _div_24084973 = new Emp.Panel({"id":"_div_24084973","height":"1px","backgroundColor":"#cccccc","width":"100%"});
voteItem2.add(_div_24084973);
gophototicket.add(voteItem2);
var voteItem3 = new Emp.Panel({"id":"voteItem3","height":"41","layout":"VBox","width":"100%","display":"false"});
voteItem3.addEvent('onClick',doVote);
var _div_23475797 = new Emp.Panel({"id":"_div_23475797","height":"40","vAlign":"middle","layout":"VBox","width":"100%"});
var voteColorWidth3 = new Emp.Panel({"id":"voteColorWidth3","height":"100%","backgroundColor":"#FFFF99","width":"0"});
_div_23475797.add(voteColorWidth3);
var _div_7575099 = new Emp.Panel({"id":"_div_7575099","position":"relative","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var voteItemContent3 = new Emp.Label({"id":"voteItemContent3","color":"#333333","value":"","fontSize":"14"});
_div_7575099.add(voteItemContent3);
var _div_29444893 = new Emp.Panel({"id":"_div_29444893","position":"relative","height":"100%","vAlign":"middle","hAlign":"right","width":"100%"});
var votePercent3 = new Emp.Label({"id":"votePercent3","color":"#ff6600","marginRight":"10","value":"0%","fontSize":"12"});
_div_29444893.add(votePercent3);
_div_7575099.add(_div_29444893);
_div_23475797.add(_div_7575099);
voteItem3.add(_div_23475797);
var _div_19977532 = new Emp.Panel({"id":"_div_19977532","height":"1px","backgroundColor":"#cccccc","width":"100%"});
voteItem3.add(_div_19977532);
gophototicket.add(voteItem3);
var voteItem4 = new Emp.Panel({"id":"voteItem4","height":"41","layout":"VBox","width":"100%","display":"false"});
voteItem4.addEvent('onClick',doVote);
var _div_15280879 = new Emp.Panel({"id":"_div_15280879","height":"40","vAlign":"middle","layout":"VBox","width":"100%"});
var voteColorWidth4 = new Emp.Panel({"id":"voteColorWidth4","height":"100%","backgroundColor":"#ffcc00","width":"0"});
_div_15280879.add(voteColorWidth4);
var _div_9420949 = new Emp.Panel({"id":"_div_9420949","position":"relative","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var voteItemContent4 = new Emp.Label({"id":"voteItemContent4","color":"#333333","value":"","fontSize":"14"});
_div_9420949.add(voteItemContent4);
var _div_26670831 = new Emp.Panel({"id":"_div_26670831","position":"relative","height":"100%","vAlign":"middle","hAlign":"right","width":"100%"});
var votePercent4 = new Emp.Label({"id":"votePercent4","color":"#ff6600","marginRight":"10","value":"0%","fontSize":"12"});
_div_26670831.add(votePercent4);
_div_9420949.add(_div_26670831);
_div_15280879.add(_div_9420949);
voteItem4.add(_div_15280879);
var _div_3638025 = new Emp.Panel({"id":"_div_3638025","height":"1px","backgroundColor":"#cccccc","width":"100%"});
voteItem4.add(_div_3638025);
gophototicket.add(voteItem4);
var voteItem5 = new Emp.Panel({"id":"voteItem5","height":"41","layout":"VBox","width":"100%","display":"false"});
voteItem5.addEvent('onClick',doVote);
var _div_32165947 = new Emp.Panel({"id":"_div_32165947","height":"40","vAlign":"middle","layout":"VBox","width":"100%"});
var voteColorWidth5 = new Emp.Panel({"id":"voteColorWidth5","height":"100%","backgroundColor":"#FFFF00","width":"0"});
_div_32165947.add(voteColorWidth5);
var _div_1107827 = new Emp.Panel({"id":"_div_1107827","position":"relative","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var voteItemContent5 = new Emp.Label({"id":"voteItemContent5","color":"#333333","value":"","fontSize":"14"});
_div_1107827.add(voteItemContent5);
var _div_20553231 = new Emp.Panel({"id":"_div_20553231","position":"relative","height":"100%","vAlign":"middle","hAlign":"right","width":"100%"});
var votePercent5 = new Emp.Label({"id":"votePercent5","color":"#ff6600","marginRight":"10","value":"0%","fontSize":"12"});
_div_20553231.add(votePercent5);
_div_1107827.add(_div_20553231);
_div_32165947.add(_div_1107827);
voteItem5.add(_div_32165947);
var _div_22317132 = new Emp.Panel({"id":"_div_22317132","height":"1px","backgroundColor":"#cccccc","width":"100%"});
voteItem5.add(_div_22317132);
gophototicket.add(voteItem5);
var voteItem6 = new Emp.Panel({"id":"voteItem6","height":"41","layout":"VBox","width":"100%","display":"false"});
voteItem6.addEvent('onClick',doVote);
var _div_25719504 = new Emp.Panel({"id":"_div_25719504","height":"40","vAlign":"middle","layout":"VBox","width":"100%"});
var voteColorWidth6 = new Emp.Panel({"id":"voteColorWidth6","height":"100%","backgroundColor":"#FFFF99","width":"0"});
_div_25719504.add(voteColorWidth6);
var _div_14389657 = new Emp.Panel({"id":"_div_14389657","position":"relative","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var voteItemContent6 = new Emp.Label({"id":"voteItemContent6","color":"#333333","value":"","fontSize":"14"});
_div_14389657.add(voteItemContent6);
var _div_2013745 = new Emp.Panel({"id":"_div_2013745","position":"relative","height":"100%","vAlign":"middle","hAlign":"right","width":"100%"});
var votePercent6 = new Emp.Label({"id":"votePercent6","color":"#ff6600","marginRight":"10","value":"0%","fontSize":"12"});
_div_2013745.add(votePercent6);
_div_14389657.add(_div_2013745);
_div_25719504.add(_div_14389657);
voteItem6.add(_div_25719504);
var _div_17814239 = new Emp.Panel({"id":"_div_17814239","height":"1px","backgroundColor":"#cccccc","width":"100%"});
voteItem6.add(_div_17814239);
gophototicket.add(voteItem6);
var voteItem7 = new Emp.Panel({"id":"voteItem7","height":"41","layout":"VBox","width":"100%","display":"false"});
voteItem7.addEvent('onClick',doVote);
var _div_30854051 = new Emp.Panel({"id":"_div_30854051","height":"40","vAlign":"middle","layout":"VBox","width":"100%"});
var voteColorWidth7 = new Emp.Panel({"id":"voteColorWidth7","height":"100%","backgroundColor":"#ffcc00","width":"0"});
_div_30854051.add(voteColorWidth7);
var _div_17836387 = new Emp.Panel({"id":"_div_17836387","position":"relative","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var voteItemContent7 = new Emp.Label({"id":"voteItemContent7","color":"#333333","value":"","fontSize":"14"});
_div_17836387.add(voteItemContent7);
var _div_8326983 = new Emp.Panel({"id":"_div_8326983","position":"relative","height":"100%","vAlign":"middle","hAlign":"right","width":"100%"});
var votePercent7 = new Emp.Label({"id":"votePercent7","color":"#ff6600","marginRight":"10","value":"0%","fontSize":"12"});
_div_8326983.add(votePercent7);
_div_17836387.add(_div_8326983);
_div_30854051.add(_div_17836387);
voteItem7.add(_div_30854051);
var _div_21388063 = new Emp.Panel({"id":"_div_21388063","height":"1px","backgroundColor":"#cccccc","width":"100%"});
voteItem7.add(_div_21388063);
gophototicket.add(voteItem7);
var voteItem8 = new Emp.Panel({"id":"voteItem8","height":"41","layout":"VBox","width":"100%","display":"false"});
voteItem8.addEvent('onClick',doVote);
var _div_30926327 = new Emp.Panel({"id":"_div_30926327","height":"40","vAlign":"middle","layout":"VBox","width":"100%"});
var voteColorWidth8 = new Emp.Panel({"id":"voteColorWidth8","height":"100%","backgroundColor":"#FFFF00","width":"0"});
_div_30926327.add(voteColorWidth8);
var _div_27351938 = new Emp.Panel({"id":"_div_27351938","position":"relative","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var voteItemContent8 = new Emp.Label({"id":"voteItemContent8","color":"#333333","value":"","fontSize":"14"});
_div_27351938.add(voteItemContent8);
var _div_4095754 = new Emp.Panel({"id":"_div_4095754","position":"relative","height":"100%","vAlign":"middle","hAlign":"right","width":"100%"});
var votePercent8 = new Emp.Label({"id":"votePercent8","color":"#ff6600","marginRight":"10","value":"0%","fontSize":"12"});
_div_4095754.add(votePercent8);
_div_27351938.add(_div_4095754);
_div_30926327.add(_div_27351938);
voteItem8.add(_div_30926327);
var _div_20936915 = new Emp.Panel({"id":"_div_20936915","height":"1px","backgroundColor":"#cccccc","width":"100%"});
voteItem8.add(_div_20936915);
gophototicket.add(voteItem8);
var voteItem9 = new Emp.Panel({"id":"voteItem9","height":"41","layout":"VBox","width":"100%","display":"false"});
voteItem9.addEvent('onClick',doVote);
var _div_3002634 = new Emp.Panel({"id":"_div_3002634","height":"40","vAlign":"middle","layout":"VBox","width":"100%"});
var voteColorWidth9 = new Emp.Panel({"id":"voteColorWidth9","height":"100%","backgroundColor":"#FFFF99","width":"0"});
_div_3002634.add(voteColorWidth9);
var _div_10666036 = new Emp.Panel({"id":"_div_10666036","position":"relative","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var voteItemContent9 = new Emp.Label({"id":"voteItemContent9","color":"#333333","value":"","fontSize":"14"});
_div_10666036.add(voteItemContent9);
var _div_6330782 = new Emp.Panel({"id":"_div_6330782","position":"relative","height":"100%","vAlign":"middle","hAlign":"right","width":"100%"});
var votePercent9 = new Emp.Label({"id":"votePercent9","color":"#ff6600","marginRight":"10","value":"0%","fontSize":"12"});
_div_6330782.add(votePercent9);
_div_10666036.add(_div_6330782);
_div_3002634.add(_div_10666036);
voteItem9.add(_div_3002634);
var _div_14039925 = new Emp.Panel({"id":"_div_14039925","height":"1px","backgroundColor":"#cccccc","width":"100%"});
voteItem9.add(_div_14039925);
gophototicket.add(voteItem9);
var voteItem10 = new Emp.Panel({"id":"voteItem10","height":"41","layout":"VBox","width":"100%","display":"false"});
voteItem10.addEvent('onClick',doVote);
var _div_15327984 = new Emp.Panel({"id":"_div_15327984","height":"40","vAlign":"middle","layout":"VBox","width":"100%"});
var voteColorWidth10 = new Emp.Panel({"id":"voteColorWidth10","height":"100%","backgroundColor":"#ffcc00","width":"0"});
_div_15327984.add(voteColorWidth10);
var _div_15042352 = new Emp.Panel({"id":"_div_15042352","position":"relative","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var voteItemContent10 = new Emp.Label({"id":"voteItemContent10","color":"#333333","value":"","fontSize":"14"});
_div_15042352.add(voteItemContent10);
var _div_55334 = new Emp.Panel({"id":"_div_55334","position":"relative","height":"100%","vAlign":"middle","hAlign":"right","width":"100%"});
var votePercent10 = new Emp.Label({"id":"votePercent10","color":"#ff6600","marginRight":"10","value":"0%","fontSize":"12"});
_div_55334.add(votePercent10);
_div_15042352.add(_div_55334);
_div_15327984.add(_div_15042352);
voteItem10.add(_div_15327984);
var _div_9694455 = new Emp.Panel({"id":"_div_9694455","height":"1px","backgroundColor":"#cccccc","width":"100%"});
voteItem10.add(_div_9694455);
gophototicket.add(voteItem10);
var _div_16253153 = new Emp.Panel({"id":"_div_16253153","marginBottom":"5","marginTop":"10","width":"100%","paddingLeft":"10","paddingRight":"10"});
var content = new Emp.Label({"id":"content","color":"#999999","tag":"content","width":"100%","value":"","maxWidth":"300","fontSize":"14","singleLine":"false"});
_div_16253153.add(content);
gophototicket.add(_div_16253153);
_div_13851007.add(gophototicket);
var _div_24423679 = new Emp.Panel({"id":"_div_24423679","height":"1px","marginTop":"5","backgroundColor":"#f2f2f2","width":"100%"});
_div_13851007.add(_div_24423679);
var _div_8259657 = new Emp.Panel({"id":"_div_8259657","height":"23","marginTop":"5","vAlign":"middle","marginLeft":"10","width":"100%"});
var fangrp = new Emp.Label({"id":"fangrp","color":"#999999","tag":"fangrp","width":"150","value":"","fontSize":"12"});
_div_8259657.add(fangrp);
var _div_21276817 = new Emp.Panel({"id":"_div_21276817","height":"23","hAlign":"right","width":"100%"});
var _img_33442229 = new Emp.Image({"id":"_img_33442229","height":"20","width":"20","src":"/icon_128/iconfont-vote1.png"});
_div_21276817.add(_img_33442229);
var fabulous = new Emp.Label({"id":"fabulous","height":"100%","vAlign":"middle","color":"#cccccc","tag":"fabulous","value":"","fontSize":"12"});
_div_21276817.add(fabulous);
var _img_2921419 = new Emp.Image({"id":"_img_2921419","height":"20","marginLeft":"20","width":"20","src":"/icon_128/iconfont-aword.png"});
_img_2921419.addEvent('onClick',rewardClick);
_div_21276817.add(_img_2921419);
var rewardval = new Emp.Label({"id":"rewardval","height":"100%","vAlign":"middle","color":"#cccccc","tag":"rewardval","value":"0","fontSize":"12"});
_div_21276817.add(rewardval);
var _img_8236347 = new Emp.Image({"id":"_img_8236347","height":"20","width":"20","display":"false","src":"/icon_128/iconfont-message.png"});
_div_21276817.add(_img_8236347);
var reply = new Emp.Label({"id":"reply","height":"100%","vAlign":"middle","color":"#cccccc","tag":"reply","value":"6","display":"false","fontSize":"12"});
_div_21276817.add(reply);
var _img_1934804 = new Emp.Image({"id":"_img_1934804","height":"20","marginLeft":"20","tag":"share","marginRight":"10","width":"20","src":"/icon_128/iconfont-more.png"});
_img_1934804.addEvent('onClick',doShare);
_div_21276817.add(_img_1934804);
_div_8259657.add(_div_21276817);
_div_13851007.add(_div_8259657);
var _div_4009649 = new Emp.Panel({"id":"_div_4009649","marginBottom":"5","height":"100%","marginTop":"3","marginLeft":"10","width":"100%"});
var t_img1 = new Emp.Image({"id":"t_img1","height":"25","tag":"t_img1","width":"25","src":"","circleClip":"true"});
_div_4009649.add(t_img1);
var t_img2 = new Emp.Image({"id":"t_img2","height":"25","marginLeft":"2","tag":"t_img2","width":"25","src":"","circleClip":"true"});
_div_4009649.add(t_img2);
var t_img3 = new Emp.Image({"id":"t_img3","height":"25","marginLeft":"2","tag":"t_img3","width":"25","src":"","circleClip":"true"});
_div_4009649.add(t_img3);
var t_img4 = new Emp.Image({"id":"t_img4","height":"25","marginLeft":"2","tag":"t_img4","width":"25","src":"","circleClip":"true"});
_div_4009649.add(t_img4);
var t_img5 = new Emp.Image({"id":"t_img5","height":"25","marginLeft":"2","tag":"t_img5","width":"25","src":"","circleClip":"true"});
_div_4009649.add(t_img5);
var t_img6 = new Emp.Image({"id":"t_img6","height":"25","marginLeft":"2","tag":"t_img6","width":"25","src":"","circleClip":"true"});
_div_4009649.add(t_img6);
var t_img7 = new Emp.Image({"id":"t_img7","height":"25","marginLeft":"2","tag":"t_img7","width":"25","src":"","circleClip":"true"});
_div_4009649.add(t_img7);
var t_img8 = new Emp.Image({"id":"t_img8","height":"25","marginLeft":"2","tag":"t_img8","width":"25","src":"","circleClip":"true"});
_div_4009649.add(t_img8);
var t_img9 = new Emp.Image({"id":"t_img9","height":"25","marginLeft":"2","tag":"t_img9","width":"25","src":"","circleClip":"true"});
_div_4009649.add(t_img9);
var t_img10 = new Emp.Image({"id":"t_img10","height":"25","marginLeft":"2","tag":"t_img10","width":"25","src":"","circleClip":"true"});
_div_4009649.add(t_img10);
_div_13851007.add(_div_4009649);
_div_15798778.add(_div_13851007);
Emp.page.add(_div_15798778);








$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',214,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',215,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',216,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',217,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var parentPage = null; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (parentPage && parentPage == "adpage") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); gotoIndex(); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',226,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params && params.parentpage) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',228,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); parentPage = params.parentpage; 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',230,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); loadVoteData(params); 
}); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function loadVoteData(params) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',235,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:params.topicId}, {name:"fanTopic.fanGrpItemType", value:params.fanGrpItemType}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',238,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!getFanTopicInfo.action"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',239,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',240,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',241,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',243,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.isCreator == "1") { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',244,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.holdTop == "1") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',245,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); cancelTop.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',247,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toTop.setDisplay(true); 
} 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',250,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setMainData(result.data); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',251,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.detailList && result.data.detailList.length > 0) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',252,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setDetailData(result.data.detailList[0], params.fanGrpItemType, result.data.voted, result.data.stopVote); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',255,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',258,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function setMainData(data) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',263,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); title.setValue(data.fanGrpName); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',264,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); starttime.setValue(data.voteTime); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',265,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fantitle.setValue(data.fanGrpItemTitle); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',266,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); votedCnt.setValue(data.totalVoted); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',267,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); voteIdHid.setValue(data.id); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',268,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); vote_creator.setValue(data.dataCreator); 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',271,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function setDetailData(data, fanGrpItemType, voted, stopVote) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',272,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userNm.setValue(data.creatorName); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',273,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.creatorPhoto && data.creatorPhoto != "") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',274,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userPhoto.setSrc(data.creatorPhoto); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',276,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userPhoto.setSrc("/icon_128/avatar_blank.png"); 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',278,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); exittime.setValue(data.topicTime); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',279,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); content.setValue(data.itemReplyContent); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',280,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); levelid.setValue(data.creatorLevel); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',281,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fangrp.setValue(data.fanGrpName); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',282,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fabulous.setValue(data.fabulousCnt); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',283,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); reply.setValue(data.replyCnt); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',284,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rewardval.setValue(data.rewardCnt); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',286,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.isCreator == "1") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',287,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delbtn.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',289,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delbtn.setDisplay(false); 
} 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',292,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (parseInt(data.fabulousCnt) > 0 && data.fabulousList && data.fabulousList.length > 0) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',293,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var imgcnt = data.fabulousList.length > 10 ? 10 : data.fabulousList.length; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',294,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var k = 0; k < imgcnt; k++) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',295,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("t_img" + (k + 1)).setSrc(data.fabulousList[k].address); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',296,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fabulousList[k].address && data.fabulousList[k].address != "") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',297,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("t_img" + (k + 1)).setSrc(data.fabulousList[k].address); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',299,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("t_img" + (k + 1)).setSrc("/icon_128/avatar_blank.png"); 
} 
} 
} 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',304,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.voteDetail && data.voteDetail.length > 0) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',305,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var k = 0; k < data.voteDetail.length; k++) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',306,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var voteItem = data.voteDetail[k]; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',307,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("voteItem" + (k + 1)).setDisplay(true); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',308,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("voteItemContent" + (k + 1)).setValue(voteItem.choose); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',309,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("voteItem" + (k + 1)).itemId = voteItem.id; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',310,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("voteItem" + (k + 1)).choiceId = voteItem.choiceId; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',311,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("voteItem" + (k + 1)).fanGrpId = data.fanGrpId; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',312,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("voteItem" + (k + 1)).fanGrpItemType = fanGrpItemType; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',314,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("voteColorWidth" + (k + 1)).setWidth(0); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',315,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("votePercent" + (k + 1)).setValue(""); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',317,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (voted == "1" || stopVote == "1") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',318,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var percentNum = voteItem.selectedCnt_IntValue / data.fabulousCnt; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',319,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("voteColorWidth" + (k + 1)).setWidth(350 * percentNum); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',320,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("votePercent" + (k + 1)).setValue(voteItem.selectedCnt_IntValue); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',321,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (stopVote == "1") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',322,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("voteItem" + (k + 1)).voted = "11111111"; 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',324,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("voteItem" + (k + 1)).voted = "22222222"; 
} 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',332,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function doShare() { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',333,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); floorId.setValue(voteIdHid.getValue()); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',334,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); datatype.setValue(2); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',335,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicoptdialog.show(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',342,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /* if (data.isCreator == "1" || fanGrpCreator.getValue() == "1") {  
		delbtn.setDisplay(true);  
	} else {  
		delbtn.setDisplay(false);  
	} */; 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',346,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function rewardClick() { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',347,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',348,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',354,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',355,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',356,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',357,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',358,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',360,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tie_id_temp.setValue(voteIdHid.getValue()); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',361,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listviewrowno.setValue(-1); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',362,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tie_floor_temp.setValue(-1); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',363,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); floor_creator.setValue(vote_creator.getValue()); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',364,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.show(); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',366,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',369,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',372,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',376,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function doVote() { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',377,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.voted == "11111111") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',378,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("投票已经结束了~"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',379,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} else { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',380,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.voted == "22222222") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',381,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("已经投过票了~"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',382,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',384,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var choiceId = this.choiceId; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',385,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanGrpItemType = this.fanGrpItemType; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',386,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanGrpId = this.fanGrpId; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',387,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var itemId = this.itemId; 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',388,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',389,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',395,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',396,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',397,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',398,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',399,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',400,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); voteSelection(choiceId, fanGrpItemType, itemId, fanGrpId); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',402,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',405,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',408,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',412,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function voteSelection(choiceId, fanGrpItemType, itemId, fanGrpId) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',413,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',414,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:choiceId}, {name:"fanTopic.voteSelection", value:itemId}, {name:"fanTopic.fanGrpId", value:fanGrpId}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',417,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!doVote.action"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',418,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',419,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',420,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',421,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("投票成功！"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',422,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_ticket_demo.html", {topicId:choiceId, fanGrpItemType:fanGrpItemType}, true); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',424,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("投票失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',427,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',432,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toTop.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',433,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',434,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:voteIdHid.getValue()}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',437,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!setTopVote.action"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',438,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',439,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',440,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',441,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("置顶成功！"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',442,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); cancelTop.setDisplay(true); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',443,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toTop.setDisplay(false); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',445,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("置顶失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',448,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',453,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); cancelTop.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',454,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',455,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:voteIdHid.getValue()}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',458,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!cancelTopVote.action"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',459,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',460,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',461,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',462,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("取消置顶成功！"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',463,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); cancelTop.setDisplay(false); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',464,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toTop.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',466,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("取消置顶失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',469,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',473,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gotoIndex() { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',474,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',475,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',481,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',482,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',483,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',484,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',485,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',486,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/mainpage_loggedin.html", {}, true); 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',488,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", {}, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',491,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", {}, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_ticket_demo.htmlx',494,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", {}, true); 
}); 
} 
 
Emp.page.render();
