var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_30120790');
//$M.includeFile("/commons/listview_common.html");
$M.includeFile("/fan_tie_template.html");
$M.includeFile("/template/reward_template.html");
$M.includeFile("/template/topic_opt_template.html");
var _div_4415574 = new Emp.Panel({"id":"_div_4415574","height":"44","vAlign":"middle","marginLeft":"10","width":"350","top":"0"});
var _div_23716756 = new Emp.Panel({"id":"_div_23716756","height":"44","marginLeft":"100","vAlign":"middle","layout":"VBox","hAlign":"center","width":"50"});
_div_23716756.addEvent('onClick',gotoPageLoggedin);
var _img_14424488 = new Emp.Image({"id":"_img_14424488","height":"25","width":"40","src":"/icon_128/iconfont-fantown-menu-1.png"});
_div_23716756.add(_img_14424488);
var _input_1611334 = new Emp.Label({"id":"_input_1611334","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"饭团","fontSize":"8"});
_div_23716756.add(_input_1611334);
_div_4415574.add(_div_23716756);
var _div_3266290 = new Emp.Panel({"id":"_div_3266290","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
_div_3266290.addEvent('onClick',goToHome);
var _img_1486879 = new Emp.Image({"id":"_img_1486879","height":"25","width":"25","src":"/homeImg/discover_u49.png"});
_div_3266290.add(_img_1486879);
var _input_25481633 = new Emp.Label({"id":"_input_25481633","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"发现","fontSize":"8"});
_div_3266290.add(_input_25481633);
_div_4415574.add(_div_3266290);
var _div_14593040 = new Emp.Panel({"id":"_div_14593040","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
_div_14593040.addEvent('onClick',goToTips);
var _img_15888572 = new Emp.Image({"id":"_img_15888572","height":"25","width":"25","src":"/homeImg/massage_u47.png"});
_div_14593040.add(_img_15888572);
var _input_13065124 = new Emp.Label({"id":"_input_13065124","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"消息","fontSize":"8"});
_div_14593040.add(_input_13065124);
_div_4415574.add(_div_14593040);
var _div_5345090 = new Emp.Panel({"id":"_div_5345090","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
_div_5345090.addEvent('onClick',goToShop);
var _img_9729489 = new Emp.Image({"id":"_img_9729489","height":"25","width":"25","src":"/homeImg/shop_u55.png"});
_div_5345090.add(_img_9729489);
var _input_12784804 = new Emp.Label({"id":"_input_12784804","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"集市","fontSize":"8"});
_div_5345090.add(_input_12784804);
_div_4415574.add(_div_5345090);
var _div_25188063 = new Emp.Panel({"id":"_div_25188063","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
var _img_13067491 = new Emp.Image({"id":"_img_13067491","height":"25","width":"25","src":"/homeImg/me_u45_selected.png"});
_div_25188063.add(_img_13067491);
var _input_11569939 = new Emp.Label({"id":"_input_11569939","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"我","fontSize":"8"});
_div_25188063.add(_input_11569939);
_div_4415574.add(_div_25188063);
Emp.page.add(_div_4415574);
var _div_8036150 = new Emp.Panel({"id":"_div_8036150","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_8036150);
var layer = new Emp.Panel({"position":"relative","id":"layer","height":"100%","visibility":"false","width":"100%"});
layer.addEvent('onClick',clickOther);
var menu = new Emp.Panel({"position":"relative","id":"menu","height":"200","backgroundColor":"#f2f2f2","hAlign":"center","layout":"VBox","width":"100%","top":"420"});
var _input_12491075 = new Emp.Label({"id":"_input_12491075","marginBottom":"10","marginTop":"10","value":"分享","fontBold":"true","fontSize":"20"});
menu.add(_input_12491075);
var _div_20987575 = new Emp.Panel({"id":"_div_20987575","height":"100%","width":"100%"});
menu.add(_div_20987575);
var _div_13986368 = new Emp.Panel({"id":"_div_13986368","height":"100%","width":"100%"});
var _div_20103268 = new Emp.Panel({"id":"_div_20103268","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_16051200 = new Emp.Image({"id":"_img_16051200","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_20103268.add(_img_16051200);
var _input_28456222 = new Emp.Label({"id":"_input_28456222","value":"收藏","fontSize":"14"});
_div_20103268.add(_input_28456222);
_div_13986368.add(_div_20103268);
var _div_12404080 = new Emp.Panel({"id":"_div_12404080","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_1698458 = new Emp.Image({"id":"_img_1698458","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_12404080.add(_img_1698458);
var _input_24724822 = new Emp.Label({"id":"_input_24724822","value":"删除","fontSize":"14"});
_div_12404080.add(_input_24724822);
_div_13986368.add(_div_12404080);
var _div_12010789 = new Emp.Panel({"id":"_div_12010789","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_1884186 = new Emp.Image({"id":"_img_1884186","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_12010789.add(_img_1884186);
var _input_25697871 = new Emp.Label({"id":"_input_25697871","value":"复制链接","fontSize":"14"});
_div_12010789.add(_input_25697871);
_div_13986368.add(_div_12010789);
var _div_25027240 = new Emp.Panel({"id":"_div_25027240","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_28018281 = new Emp.Image({"id":"_img_28018281","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_25027240.add(_img_28018281);
var _input_351611 = new Emp.Label({"id":"_input_351611","value":"举报","fontSize":"14"});
_div_25027240.add(_input_351611);
_div_13986368.add(_div_25027240);
menu.add(_div_13986368);
layer.add(menu);
Emp.page.add(layer);
var background = new Emp.Panel({"id":"background","height":"140","backgroundColor":"#ffcc00","width":"100%","layout":"VBox"});
var _div_9690828 = new Emp.Panel({"id":"_div_9690828","height":"100","vAlign":"middle","hAlign":"left","width":"100%","paddingLeft":"30"});
var address = new Emp.Image({"id":"address","height":"60","width":"60","src":"/icon_128/avatar_blank.png","circleClip":"true"});
address.addEvent('onClick',set_my_info);
_div_9690828.add(address);
var _div_8386590 = new Emp.Panel({"id":"_div_8386590","height":"90","vAlign":"middle","hAlign":"left","layout":"VBox","width":"100%","paddingLeft":"15"});
var _div_24809835 = new Emp.Panel({"id":"_div_24809835","height":"30","marginLeft":"5","vAlign":"middle","hAlign":"left","width":"100%"});
var userNm = new Emp.Label({"id":"userNm","color":"#ffffff","value":"","fontSize":"14"});
_div_24809835.add(userNm);
var sexAge_male_div = new Emp.Panel({"id":"sexAge_male_div","borderColor":"#33CCFF","height":"16","backgroundColor":"#33CCFF","marginLeft":"10","vAlign":"middle","borderWidth":"1","hAlign":"center","cornerRadius":"5","paddingLeft":"5","paddingRight":"5"});
var sexAge_male = new Emp.Label({"id":"sexAge_male","color":"#ffffff","value":"","fontSize":"10"});
sexAge_male_div.add(sexAge_male);
_div_24809835.add(sexAge_male_div);
var sexAge_female_div = new Emp.Panel({"id":"sexAge_female_div","borderColor":"#FF99CC","height":"16","backgroundColor":"#FF99CC","marginLeft":"5","vAlign":"middle","borderWidth":"1","hAlign":"center","cornerRadius":"5","display":"false","paddingLeft":"5","paddingRight":"5"});
var sexAge_female = new Emp.Label({"id":"sexAge_female","color":"#ffffff","value":"","fontSize":"10"});
sexAge_female_div.add(sexAge_female);
_div_24809835.add(sexAge_female_div);
var _div_6291925 = new Emp.Panel({"id":"_div_6291925","borderColor":"#ff9900","height":"16","backgroundColor":"#ff9900","marginLeft":"5","vAlign":"middle","borderWidth":"1","hAlign":"center","cornerRadius":"5","paddingLeft":"5","paddingRight":"5"});
var _input_18377483 = new Emp.Label({"id":"_input_18377483","color":"#ffffff","value":"饭票 ","fontSize":"10"});
_div_6291925.add(_input_18377483);
var points = new Emp.Label({"id":"points","color":"#ffffff","value":"","fontSize":"10"});
_div_6291925.add(points);
_div_24809835.add(_div_6291925);
_div_8386590.add(_div_24809835);
var quotations = new Emp.Label({"id":"quotations","marginLeft":"5","color":"#ffffff","value":"","fontSize":"12"});
_div_8386590.add(quotations);
_div_9690828.add(_div_8386590);
background.add(_div_9690828);
var _div_28726329 = new Emp.Panel({"id":"_div_28726329","height":"100%","marginTop":"2","vAlign":"middle","backgroundColor":"#ffffff","width":"100%","opacity":"0.8"});
var _div_22251464 = new Emp.Panel({"id":"_div_22251464","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var topicCnt = new Emp.Label({"id":"topicCnt","value":"","fontSize":"12"});
_div_22251464.add(topicCnt);
var _input_8273943 = new Emp.Label({"id":"_input_8273943","value":"饭帖","fontSize":"12"});
_div_22251464.add(_input_8273943);
_div_28726329.add(_div_22251464);
var _div_10599635 = new Emp.Panel({"id":"_div_10599635","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
_div_10599635.addEvent('onClick',fan_group);
var fansGrpCnt = new Emp.Label({"id":"fansGrpCnt","value":"","fontSize":"12"});
_div_10599635.add(fansGrpCnt);
var _input_2314277 = new Emp.Label({"id":"_input_2314277","value":"饭团","fontSize":"12"});
_div_10599635.add(_input_2314277);
_div_28726329.add(_div_10599635);
var _div_6470545 = new Emp.Panel({"id":"_div_6470545","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
_div_6470545.addEvent('onClick',fan_xingqu);
var labelCnt = new Emp.Label({"id":"labelCnt","value":"","fontSize":"12"});
_div_6470545.add(labelCnt);
var _input_25012212 = new Emp.Label({"id":"_input_25012212","value":"兴趣标签","fontSize":"12"});
_div_6470545.add(_input_25012212);
_div_28726329.add(_div_6470545);
background.add(_div_28726329);
Emp.page.add(background);
var _div_10333950 = new Emp.Panel({"id":"_div_10333950","height":"100%","backgroundColor":"#f0f0f0","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","enablePullUp":"true","width":"100%","display":"false","enablePullDown":"true"});
_div_10333950.add(listview);
Emp.page.add(_div_10333950);
var _div_14506544 = new Emp.Panel({"id":"_div_14506544","height":"5","backgroundColor":"#f0f0f0","width":"100%"});
Emp.page.add(_div_14506544);










$jsd('/NewBuyApp/src/fan_tie.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});/* $M.page.addEvent('onMsgReceive',function(type,args){  
	log("c:" + type + args);   
}); */page = 1; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',116,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function fan_group() { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',129,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/homePage/homepage_log.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',135,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function clickOther() { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',146,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(false); 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function show() { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(true); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); menu.moveToY(0, 1000); 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function shareWeibo() { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); clickOther(); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',156,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("weibo"); 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',159,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplates({"normal":tem1, "photo":tem2, "vidio":tem3, "vote":tem5}); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function () { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); onLoadFun(); 
}); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onBack", function (param) { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (param && param.type == "del") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',179,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); onLoadFun(); 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',181,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',182,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',188,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',192,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',194,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", {}, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',197,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',200,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
}); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',204,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function onLoadFun() { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',206,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',207,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',208,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!getFanUserInfo.action"); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',209,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',211,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',212,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = page + 1; 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',214,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data && result.data.address && result.data.address != "") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',215,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); address.setSrc(result.data.address); 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); background.setBackgroundImage(result.data.background); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userNm.setValue(result.data.actorname); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var sexAgeT = ""; 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',223,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.sex == "1") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',224,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAgeT = "♂ "; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',225,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAge_male_div.setDisplay(true); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',226,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAge_female_div.setDisplay(false); 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',228,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAgeT = "♀ "; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',229,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAge_male_div.setDisplay(false); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',230,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAge_female_div.setDisplay(true); 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAgeT = sexAgeT + result.data.age; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAge_male.setValue(sexAgeT); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',235,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAge_female.setValue(sexAgeT); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',237,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); points.setValue(result.data.points); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',239,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); quotations.setValue(result.data.quotations); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',241,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicCnt.setValue(result.data.topicCnt); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',243,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fansGrpCnt.setValue(result.data.fansGrpCnt); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',245,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); labelCnt.setValue(result.data.labelCnt); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',247,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var items = dealData(result.data.fanTopicList); 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',249,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (items.length > 0) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',250,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setDisplay(true); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',251,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(items); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',252,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',256,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',259,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',263,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function dealData(data) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',266,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var topic = data; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',268,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var items = []; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',269,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var length = topic.length; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',271,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < length; i++) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',274,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var temp = {}; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',276,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var t = topic[i]; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',279,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.tie_id = t.id; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',280,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.detail_id = t.detailId; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',281,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fangrpid = t.fanGrpId; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',283,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.tie_type = t.fanGrpItemType; 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',285,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (t.fanGrpItemType == "0") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',286,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.template = "normal"; 
} else { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',287,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (t.fanGrpItemType == "1") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',288,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.template = "photo"; 
} else { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',289,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (t.fanGrpItemType == "2") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',290,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.template = "vidio"; 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',293,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.template = "vote"; 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',294,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (t.fanGrpItemType == "4") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',295,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.topicicon = "/icon_128/iconfont-vote.png"; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',296,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fabulousClick = "/images/voteicon.png"; 
} else { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',297,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (t.fanGrpItemType == "5") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',298,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.topicicon = "/icon_128/iconfont-event.png"; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',299,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fabulousClick = "/icon_128/iconfont-hand.png"; 
} 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',303,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.title = t.fanGrpItemTitle; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',304,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.visittime = t.visitTime; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',305,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fabulous = t.fabulous; 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',306,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (t.resouces && t.resouces.length > 0) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',307,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.resouces = t.resouces[0].RESOURCE_URL; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',308,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.resoucesv = t.resouces[0].RESOURCE_URL; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',309,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.resoucesImg = t.resouces[0].RESOURCE_IMG; 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',311,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.resouces = ""; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',312,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.resoucesv = ""; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',313,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.resoucesImg = ""; 
} 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',315,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (t.fanGrpItemType == "2" && t.floorNo != "1") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',316,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.resoucesImg = temp.resoucesv; 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',318,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.reward = t.reward; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',319,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.reply = 0; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',320,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.content = t.fanGrpItemContent; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',321,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fangrp = t.fanGrpName; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',324,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fabulousT = t.fabulousMember; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',325,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var j = 0; 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',326,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fabulousT && fabulousT.length > 0) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',327,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var lengthF = fabulousT.length; 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',328,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (lengthF > 10) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',329,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); lengthF = 10; 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',331,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (; j < lengthF; j++) { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',332,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fabulousT[j].address && fabulousT[j].address != "") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',333,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp["t_img" + (j + 1)] = fabulousT[j].address; 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',335,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp["t_img" + (j + 1)] = "/icon_128/avatar_blank.png"; 
} 
} 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',339,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (; j < 10; j++) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',340,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp["t_img" + (j + 1)] = "null"; 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',343,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.isCreator = t.isCreator; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',344,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.isFanGrpCreator = t.isFanGrpCreator; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',345,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.dataCreator = t.dataCreator; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',346,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.floorNo = t.floorNo; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',347,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); items.push(temp); 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',349,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return items; 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',353,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function generateItemData(data) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',355,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var temp = {}; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',357,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var t = data; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',360,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.tie_id = t.fanGrpItemId; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',361,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.detail_id = t.id; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',362,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fangrpid = t.fanGrpId; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',364,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.tie_type = ___initData.fanGrpItemType; 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',366,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (___initData.fanGrpItemType == "0") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',367,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.template = "normal"; 
} else { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',368,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (___initData.fanGrpItemType == "1") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',369,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.template = "photo"; 
} else { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',370,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (___initData.fanGrpItemType == "2") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',371,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.template = "vidio"; 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',374,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.template = "vote"; 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',375,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (___initData.fanGrpItemType == "4") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',376,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.topicicon = "/icon_128/iconfont-vote.png"; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',377,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fabulousClick = "/images/voteicon.png"; 
} else { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',378,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (___initData.fanGrpItemType == "5") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',379,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.topicicon = "/icon_128/iconfont-event.png"; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',380,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fabulousClick = "/icon_128/iconfont-hand.png"; 
} 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',384,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.title = ___initData.fanGrpItemTitle; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',385,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.visittime = t.topicTime; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',386,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fabulous = t.fabulousCnt; 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',387,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (t.resouces && t.resouces.length > 0) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',388,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.resouces = t.resouces[0].RESOURCE_URL; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',389,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.resoucesv = t.resouces[0].RESOURCE_URL; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',390,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.resoucesImg = t.resouces[0].RESOURCE_IMG || ""; 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',392,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.resouces = ""; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',393,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.resoucesv = ""; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',394,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.resoucesImg = ""; 
} 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',396,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (___initData.fanGrpItemType == "2" && t.itemReplySort != "1") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',397,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.resoucesImg = temp.resoucesv; 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',399,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.reward = t.rewardCnt; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',400,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.reply = 0; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',401,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.content = t.itemReplyContent; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',402,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fangrp = t.fanGrpName; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',405,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fabulousT = t.fabulousList; 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',406,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fabulousT && fabulousT.length > 0) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',407,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var lengthF = fabulousT.length; 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',408,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (lengthF > 10) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',409,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); lengthF = 10; 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',411,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var j = 0; j < lengthF; j++) { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',412,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fabulousT[j].address && fabulousT[j].address != "") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',413,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp["t_img" + (j + 1)] = fabulousT[j].address; 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',415,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp["t_img" + (j + 1)] = "/icon_128/avatar_blank.png"; 
} 
} 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',420,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.isCreator = ___initData.isCreator; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',421,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.isFanGrpCreator = ___initData.isFanGrpCreator; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',422,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.dataCreator = t.dataCreator; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',423,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.floorNo = t.itemReplySort; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',424,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ___initData = {}; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',425,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return temp; 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',428,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function reloadData() { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',429,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = 1; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',430,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems([]); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',431,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',432,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); loadListViewData(); 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',436,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onLoadMore", function (type) { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',437,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullDown") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',438,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = 1; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',439,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); onLoadFun(); 
} 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',441,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullUp") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',443,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); loadListViewData(); 
} 
}); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',447,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function loadListViewData() { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',448,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var pageJ = {}; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',449,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pageJ.name = "fanTopic.requiredPage"; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',450,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pageJ.value = page; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',452,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',453,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([pageJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',454,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!getUserTopic.action"); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',455,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',456,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',457,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',458,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.length > 0) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',459,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = page + 1; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',461,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var items = dealData(result.data); 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',462,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (listview.getItems() && listview.getItems().length > 0) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',463,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.appendItems(items); 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',465,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(items); 
} 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',470,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',472,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',475,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',479,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ___initData = {}; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',481,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setOnclickTags(["share", "fabulousClick", "rewardClick", "replyClick", "tieDetail", "videoPlayT"]); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',483,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onItemClick", function (row, tag, data) { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',485,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "share") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',487,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); floorId.setValue(data.detail_id); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',488,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicoptdialog.show(); 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',491,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.isCreator == "1" || data.isFanGrpCreator == "1") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',492,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delbtn.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',494,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delbtn.setDisplay(false); 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',496,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',499,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var data = {}; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',507,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /**  
			 * content 分享内容  
			 * title 标题  
			 * image  图片路径  
			 * url 点击后跳转到的页面  
			 * desc 描述信息  
			 * type 分享类型  text:0 image:1 news:2 music:3 video:4  
			 */return  %=  -= while  -= .content = "分享内容"; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',509,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.title = "分享"; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',510,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.image = "/images/app.png"; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',511,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.desc = "描述信息"; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',513,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.type = 0; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',515,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.url = "http://www.baidu.com"; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',516,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.share(data); 
} else { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',517,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "fabulousClick") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',520,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var tieIdJ = {}; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',521,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tieIdJ.name = "fanTopic.id"; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',522,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tieIdJ.value = data.tie_id; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',524,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var louIdJ = {}; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',525,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); louIdJ.name = "fanTopic.floorNo"; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',526,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); louIdJ.value = data.floorNo; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',529,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',530,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([tieIdJ, louIdJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',531,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!addFabulous.action"); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',532,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',533,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); log(result); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',534,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',535,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',536,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("点赞成功~"); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',538,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ___initData.fanGrpItemType = data.tie_type; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',539,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ___initData.fanGrpItemTitle = data.title; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',540,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ___initData.isFanGrpCreator = data.isFanGrpCreator; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',541,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ___initData.isCreator = data.isCreator; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',542,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newItemData = generateItemData(result.data); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',543,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.updateItem(row, newItemData); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',544,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',546,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("点赞失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',549,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',552,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "rewardClick") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',554,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ___initData.fanGrpItemType = data.tie_type; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',555,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ___initData.fanGrpItemTitle = data.title; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',556,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ___initData.isFanGrpCreator = data.isFanGrpCreator; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',557,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ___initData.isCreator = data.isCreator; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',558,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tie_id_temp.setValue(data.tie_id); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',559,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tie_floor_temp.setValue(data.floorNo); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',560,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); floor_creator.setValue(data.dataCreator); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',561,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listviewrowno.setValue(row); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',562,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.show(); 
} else { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',564,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "replyClick") { 
} else { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',567,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "tieDetail") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',569,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var tieId = data.tie_id; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',571,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var tieType = data.tie_type; 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',573,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tieType == "0" || tieType == "1") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',575,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_book.html", {topicId:tieId, fanGrpItemType:tieType, floorNo:data.floorNo, fanGrpId:data.fangrpid}, false, false); 
} else { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',576,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tieType == "2" || tieType == "3") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',578,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_video.html", {topicId:tieId, fanGrpItemType:tieType, floorNo:data.floorNo, fanGrpId:data.fangrpid}, false, false); 
} else { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',579,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tieType == "4") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',582,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_ticket_demo.html", {topicId:tieId, fanGrpItemType:tieType}, false, false); 
} else { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',583,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tieType == "5") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',586,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_huodong_demo.html", {topicId:tieId, fanGrpItemType:tieType}, false, false); 
} 
} 
} 
} 
} else { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',588,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "videoPlayT") { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',589,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.floorNo == "1" && data.resoucesv != "") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',590,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/videoPlay.html", {url:data.resoucesv}, false, false); 
} 
} 
} 
} 
} 
} 
} 
}); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',597,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function fan_xingqu() { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',598,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fensixingqu/fen_xingqu.html", {}, false); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',599,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
$jsd('/NewBuyApp/src/fan_tie.htmlx',600,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',601,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',607,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',608,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',609,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',610,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',611,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',612,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fensixingqu/fen_xingqu.html", {}, false); 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',614,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',617,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',620,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',624,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function set_my_info() { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',625,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',626,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',632,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',633,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',634,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',635,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',636,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',637,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/application_settings.html", {from:"fantie"}); 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',639,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',642,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',645,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',649,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function my_info() { 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',652,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToShop() { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',653,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',654,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',660,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',661,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',662,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',663,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',664,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',665,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/coupon/coupon_home.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',667,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',670,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',673,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',678,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToTips() { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',679,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',680,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',686,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',687,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',688,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',689,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',690,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',691,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/message.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',693,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',696,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',699,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',703,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToHome() { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',704,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", null, true, false); 
} 
$jsd('/NewBuyApp/src/fan_tie.htmlx',708,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gotoPageLoggedin() { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',709,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',710,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',716,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fan_tie.htmlx',717,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',718,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',719,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fan_tie.htmlx',720,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',721,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/mainpage_loggedin.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',723,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',726,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fan_tie.htmlx',729,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
 
Emp.page.render();
