var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_29706681');
var _template_21990023 = new Emp.Panel({"id":"_template_21990023"});
_template_21990023.__isTemplate=true;
var tem1 = new Emp.Panel({"id":"tem1","height":"-2","backgroundColor":"#f0f0f0","vAlign":"middle","layout":"VBox","hAlign":"center","width":"100%"});
var _div_24899751 = new Emp.Panel({"id":"_div_24899751","height":"5","width":"100%"});
tem1.add(_div_24899751);
var _div_13852199 = new Emp.Panel({"id":"_div_13852199","borderColor":"#ffffff","height":"-2","backgroundColor":"#ffffff","marginLeft":"5","borderWidth":"1","marginRight":"5","layout":"VBox","width":"350","cornerRadius":"8"});
var _div_3043659 = new Emp.Panel({"id":"_div_3043659","height":"-2","marginLeft":"20","marginTop":"20","tag":"tieDetail","layout":"HBox","width":"100%"});
var _div_862798 = new Emp.Panel({"id":"_div_862798","height":"25","vAlign":"middle","hAlign":"center","width":"25"});
var _img_27809127 = new Emp.Image({"id":"_img_27809127","height":"25","width":"25","src":"/icon_128/iconfont-topic.png"});
_div_862798.add(_img_27809127);
_div_3043659.add(_div_862798);
var _div_29636874 = new Emp.Panel({"id":"_div_29636874","height":"-2","marginLeft":"10","tag":"tieDetail","layout":"VBox","width":"100%"});
var _input_3948265 = new Emp.Label({"id":"_input_3948265","tag":"title","width":"260","value":"","fontSize":"16"});
_div_29636874.add(_input_3948265);
var _input_556021 = new Emp.Label({"id":"_input_556021","color":"#cccccc","tag":"visittime","value":"","fontSize":"12"});
_div_29636874.add(_input_556021);
_div_3043659.add(_div_29636874);
_div_13852199.add(_div_3043659);
var _div_24392540 = new Emp.Panel({"id":"_div_24392540","height":"-2","tag":"videoPlayT","hAlign":"center","width":"100%"});
var _div_20639318 = new Emp.Panel({"id":"_div_20639318","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var resouces = new Emp.Image({"id":"resouces","height":"190","marginTop":"10","tag":"resouces","width":"100%","display":"false","src":""});
_div_20639318.add(resouces);
_div_24392540.add(_div_20639318);
_div_13852199.add(_div_24392540);
var _div_8311395 = new Emp.Panel({"id":"_div_8311395","marginBottom":"3","height":"-2","hAlign":"left","width":"100%","paddingLeft":"20"});
var _input_2527756 = new Emp.Label({"id":"_input_2527756","marginBottom":"10","marginTop":"10","tag":"content","width":"320","value":"","fontSize":"14"});
_div_8311395.add(_input_2527756);
_div_13852199.add(_div_8311395);
var _div_17207457 = new Emp.Panel({"id":"_div_17207457","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_13852199.add(_div_17207457);
var _div_1486608 = new Emp.Panel({"id":"_div_1486608","height":"100%","vAlign":"middle","marginLeft":"10","width":"100%"});
var _input_1407437 = new Emp.Label({"id":"_input_1407437","color":"#cccccc","tag":"fangrp","width":"100%","value":"","fontSize":"12"});
_div_1486608.add(_input_1407437);
var _div_33225195 = new Emp.Panel({"id":"_div_33225195","marginTop":"3","marginRight":"10","hAlign":"right","width":"100%"});
var _img_7613120 = new Emp.Image({"id":"_img_7613120","height":"20","marginLeft":"40","tag":"fabulousClick","width":"20","src":"/icon_128/iconfont-zan.png"});
_div_33225195.add(_img_7613120);
var _div_18439969 = new Emp.Panel({"id":"_div_18439969","height":"20","vAlign":"middle","hAlign":"left"});
var _input_11829377 = new Emp.Label({"id":"_input_11829377","color":"#cccccc","tag":"fabulous","value":"9","fontSize":"12"});
_div_18439969.add(_input_11829377);
_div_33225195.add(_div_18439969);
var _img_2258826 = new Emp.Image({"id":"_img_2258826","height":"20","marginLeft":"20","tag":"rewardClick","width":"20","src":"/icon_128/iconfont-aword.png"});
_div_33225195.add(_img_2258826);
var _div_14270042 = new Emp.Panel({"id":"_div_14270042","height":"20","vAlign":"middle","hAlign":"left"});
var _input_8507810 = new Emp.Label({"id":"_input_8507810","color":"#cccccc","tag":"reward","value":"0","fontSize":"12"});
_div_14270042.add(_input_8507810);
_div_33225195.add(_div_14270042);
var _img_1286612 = new Emp.Image({"id":"_img_1286612","height":"20","tag":"replyClick","width":"20","display":"false","src":"/icon_128/iconfont-message.png"});
_div_33225195.add(_img_1286612);
var _input_17722382 = new Emp.Label({"id":"_input_17722382","color":"#cccccc","tag":"reply","value":"6","display":"false","fontSize":"12"});
_div_33225195.add(_input_17722382);
var _img_24039904 = new Emp.Image({"id":"_img_24039904","height":"20","marginLeft":"15","tag":"share","width":"20","src":"/icon_128/iconfont-more.png"});
_div_33225195.add(_img_24039904);
var _input_9694455 = new Emp.Label({"id":"_input_9694455","tag":"tie_type","value":"","display":"false"});
_div_33225195.add(_input_9694455);
var _input_27947354 = new Emp.Label({"id":"_input_27947354","tag":"tie_id","value":"","display":"false"});
_div_33225195.add(_input_27947354);
var _input_21832696 = new Emp.Label({"id":"_input_21832696","tag":"floorNo","value":"1","display":"false"});
_div_33225195.add(_input_21832696);
_div_1486608.add(_div_33225195);
_div_13852199.add(_div_1486608);
var _div_17413578 = new Emp.Panel({"id":"_div_17413578","marginBottom":"6","height":"100%","marginLeft":"10","width":"100%"});
var t_img1_tem1 = new Emp.Image({"id":"t_img1_tem1","height":"25","tag":"t_img1","width":"25","src":"","circleClip":"true"});
_div_17413578.add(t_img1_tem1);
var t_img2_tem1 = new Emp.Image({"id":"t_img2_tem1","height":"25","tag":"t_img2","width":"25","src":"","circleClip":"true"});
_div_17413578.add(t_img2_tem1);
var t_img3_tem1 = new Emp.Image({"id":"t_img3_tem1","height":"25","tag":"t_img3","width":"25","src":"","circleClip":"true"});
_div_17413578.add(t_img3_tem1);
var t_img4_tem1 = new Emp.Image({"id":"t_img4_tem1","height":"25","tag":"t_img4","width":"25","src":"","circleClip":"true"});
_div_17413578.add(t_img4_tem1);
var t_img5_tem1 = new Emp.Image({"id":"t_img5_tem1","height":"25","tag":"t_img5","width":"25","src":"","circleClip":"true"});
_div_17413578.add(t_img5_tem1);
var t_img6_tem1 = new Emp.Image({"id":"t_img6_tem1","height":"25","tag":"t_img6","width":"25","src":"","circleClip":"true"});
_div_17413578.add(t_img6_tem1);
var t_img7_tem1 = new Emp.Image({"id":"t_img7_tem1","height":"25","tag":"t_img7","width":"25","src":"","circleClip":"true"});
_div_17413578.add(t_img7_tem1);
var t_img8_tem1 = new Emp.Image({"id":"t_img8_tem1","height":"25","tag":"t_img8","width":"25","src":"","circleClip":"true"});
_div_17413578.add(t_img8_tem1);
var t_img9_tem1 = new Emp.Image({"id":"t_img9_tem1","height":"25","tag":"t_img9","width":"25","src":"","circleClip":"true"});
_div_17413578.add(t_img9_tem1);
var t_img10_tem1 = new Emp.Image({"id":"t_img10_tem1","height":"25","tag":"t_img10","width":"25","src":"","circleClip":"true"});
_div_17413578.add(t_img10_tem1);
_div_13852199.add(_div_17413578);
tem1.add(_div_13852199);
_template_21990023.add(tem1);
var tem2 = new Emp.Panel({"id":"tem2","height":"-2","backgroundColor":"#f0f0f0","vAlign":"middle","layout":"VBox","hAlign":"center","width":"100%"});
var _div_20019683 = new Emp.Panel({"id":"_div_20019683","height":"5","width":"100%"});
tem2.add(_div_20019683);
var _div_23834958 = new Emp.Panel({"id":"_div_23834958","borderColor":"#ffffff","height":"-2","backgroundColor":"#ffffff","marginLeft":"5","tag":"tieDetail","borderWidth":"1","marginRight":"5","layout":"VBox","width":"350","cornerRadius":"10"});
var _div_21334015 = new Emp.Panel({"id":"_div_21334015","height":"-2","marginLeft":"20","marginTop":"20","layout":"HBox","width":"100%"});
var _div_32083582 = new Emp.Panel({"id":"_div_32083582","height":"25","vAlign":"middle","hAlign":"center","width":"25"});
var _img_9043048 = new Emp.Image({"id":"_img_9043048","height":"25","width":"25","src":"/icon_128/iconfont-camera.png"});
_div_32083582.add(_img_9043048);
_div_21334015.add(_div_32083582);
var _div_30682745 = new Emp.Panel({"id":"_div_30682745","height":"-2","marginLeft":"10","layout":"VBox","width":"100%"});
var _input_3161507 = new Emp.Label({"id":"_input_3161507","tag":"title","width":"260","value":"","fontSize":"16"});
_div_30682745.add(_input_3161507);
var _input_25161302 = new Emp.Label({"id":"_input_25161302","color":"#cccccc","tag":"visittime","value":"","fontSize":"12"});
_div_30682745.add(_input_25161302);
_div_21334015.add(_div_30682745);
_div_23834958.add(_div_21334015);
var _div_6958453 = new Emp.Panel({"id":"_div_6958453","height":"-2","hAlign":"center","width":"100%"});
var _div_13531721 = new Emp.Panel({"id":"_div_13531721","height":"-2","vAlign":"middle","hAlign":"center","width":"100%"});
var resouces = new Emp.Image({"id":"resouces","height":"220","scaleType":"fitCenter","marginTop":"10","tag":"resouces","width":"300","src":""});
_div_13531721.add(resouces);
_div_6958453.add(_div_13531721);
_div_23834958.add(_div_6958453);
var _div_1092988 = new Emp.Panel({"id":"_div_1092988","marginBottom":"3","height":"-2","hAlign":"left","width":"100%","paddingLeft":"20"});
var _input_15585524 = new Emp.Label({"id":"_input_15585524","marginBottom":"10","marginTop":"10","tag":"content","width":"320","value":"","fontSize":"14"});
_div_1092988.add(_input_15585524);
_div_23834958.add(_div_1092988);
var _div_20021291 = new Emp.Panel({"id":"_div_20021291","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_23834958.add(_div_20021291);
var _div_14009391 = new Emp.Panel({"id":"_div_14009391","height":"100%","vAlign":"middle","marginLeft":"10","width":"100%"});
var _input_4396069 = new Emp.Label({"id":"_input_4396069","tag":"tie_type","value":"","display":"false"});
_div_14009391.add(_input_4396069);
var _input_31437389 = new Emp.Label({"id":"_input_31437389","tag":"tie_id","value":"","display":"false"});
_div_14009391.add(_input_31437389);
var _input_20123764 = new Emp.Label({"id":"_input_20123764","tag":"floorNo","value":"1","display":"false"});
_div_14009391.add(_input_20123764);
var _input_24996546 = new Emp.Label({"id":"_input_24996546","color":"#cccccc","tag":"fangrp","width":"100","value":"","fontSize":"12"});
_div_14009391.add(_input_24996546);
var _div_15463854 = new Emp.Panel({"id":"_div_15463854","marginTop":"3","marginRight":"10","hAlign":"right","width":"100%"});
var _img_21921085 = new Emp.Image({"id":"_img_21921085","height":"20","marginLeft":"40","tag":"fabulousClick","width":"20","src":"/icon_128/iconfont-zan.png"});
_div_15463854.add(_img_21921085);
var _div_14244 = new Emp.Panel({"id":"_div_14244","height":"20","vAlign":"middle","hAlign":"left"});
var _input_4531802 = new Emp.Label({"id":"_input_4531802","color":"#cccccc","tag":"fabulous","value":"9","fontSize":"12"});
_div_14244.add(_input_4531802);
_div_15463854.add(_div_14244);
var _img_30996869 = new Emp.Image({"id":"_img_30996869","height":"20","marginLeft":"20","tag":"rewardClick","width":"20","src":"/icon_128/iconfont-aword.png"});
_div_15463854.add(_img_30996869);
var _div_31825715 = new Emp.Panel({"id":"_div_31825715","height":"20","vAlign":"middle","hAlign":"left"});
var _input_3594368 = new Emp.Label({"id":"_input_3594368","color":"#cccccc","tag":"reward","value":"0","fontSize":"12"});
_div_31825715.add(_input_3594368);
_div_15463854.add(_div_31825715);
var _img_12568292 = new Emp.Image({"id":"_img_12568292","height":"20","tag":"replyClick","width":"20","display":"false","src":"/icon_128/iconfont-message.png"});
_div_15463854.add(_img_12568292);
var _input_10148220 = new Emp.Label({"id":"_input_10148220","color":"#cccccc","tag":"reply","value":"6","display":"false","fontSize":"12"});
_div_15463854.add(_input_10148220);
var _img_3966793 = new Emp.Image({"id":"_img_3966793","height":"20","marginLeft":"15","tag":"share","marginRight":"5","width":"20","src":"/icon_128/iconfont-more.png"});
_div_15463854.add(_img_3966793);
_div_14009391.add(_div_15463854);
_div_23834958.add(_div_14009391);
var _div_30788292 = new Emp.Panel({"id":"_div_30788292","marginBottom":"6","height":"100%","marginLeft":"10","width":"100%"});
var t_img1_tem2 = new Emp.Image({"id":"t_img1_tem2","height":"25","tag":"t_img1","width":"25","src":"","circleClip":"true"});
_div_30788292.add(t_img1_tem2);
var t_img2_tem2 = new Emp.Image({"id":"t_img2_tem2","height":"25","tag":"t_img2","width":"25","src":"","circleClip":"true"});
_div_30788292.add(t_img2_tem2);
var t_img3_tem2 = new Emp.Image({"id":"t_img3_tem2","height":"25","tag":"t_img3","width":"25","src":"","circleClip":"true"});
_div_30788292.add(t_img3_tem2);
var t_img4_tem2 = new Emp.Image({"id":"t_img4_tem2","height":"25","tag":"t_img4","width":"25","src":"","circleClip":"true"});
_div_30788292.add(t_img4_tem2);
var t_img5_tem2 = new Emp.Image({"id":"t_img5_tem2","height":"25","tag":"t_img5","width":"25","src":"","circleClip":"true"});
_div_30788292.add(t_img5_tem2);
var t_img6_tem2 = new Emp.Image({"id":"t_img6_tem2","height":"25","tag":"t_img6","width":"25","src":"","circleClip":"true"});
_div_30788292.add(t_img6_tem2);
var t_img7_tem2 = new Emp.Image({"id":"t_img7_tem2","height":"25","tag":"t_img7","width":"25","src":"","circleClip":"true"});
_div_30788292.add(t_img7_tem2);
var t_img8_tem2 = new Emp.Image({"id":"t_img8_tem2","height":"25","tag":"t_img8","width":"25","src":"","circleClip":"true"});
_div_30788292.add(t_img8_tem2);
var t_img9_tem2 = new Emp.Image({"id":"t_img9_tem2","height":"25","tag":"t_img9","width":"25","src":"","circleClip":"true"});
_div_30788292.add(t_img9_tem2);
var t_img10_tem2 = new Emp.Image({"id":"t_img10_tem2","height":"25","tag":"t_img10","width":"25","src":"","circleClip":"true"});
_div_30788292.add(t_img10_tem2);
_div_23834958.add(_div_30788292);
tem2.add(_div_23834958);
_template_21990023.add(tem2);
var tem3 = new Emp.Panel({"id":"tem3","height":"-2","backgroundColor":"#f0f0f0","vAlign":"middle","layout":"VBox","hAlign":"center","width":"100%"});
var _div_33414721 = new Emp.Panel({"id":"_div_33414721","height":"5","width":"100%"});
tem3.add(_div_33414721);
var _div_13150149 = new Emp.Panel({"id":"_div_13150149","borderColor":"#ffffff","height":"-2","backgroundColor":"#ffffff","marginLeft":"5","borderWidth":"1","marginRight":"5","layout":"VBox","width":"350","cornerRadius":"10"});
var _div_25065719 = new Emp.Panel({"id":"_div_25065719","height":"-2","marginLeft":"20","marginTop":"20","tag":"tieDetail","layout":"HBox","width":"100%"});
var _div_3647770 = new Emp.Panel({"id":"_div_3647770","height":"25","vAlign":"middle","hAlign":"center","width":"25"});
var _img_4123942 = new Emp.Image({"id":"_img_4123942","height":"25","width":"25","src":"/icon_128/iconfont-video.png"});
_div_3647770.add(_img_4123942);
_div_25065719.add(_div_3647770);
var _div_21197448 = new Emp.Panel({"id":"_div_21197448","height":"-2","marginLeft":"10","layout":"VBox","width":"100%"});
var _input_18119126 = new Emp.Label({"id":"_input_18119126","tag":"title","width":"260","value":"","fontSize":"16"});
_div_21197448.add(_input_18119126);
var _input_21690928 = new Emp.Label({"id":"_input_21690928","color":"#cccccc","tag":"visittime","value":"","fontSize":"12"});
_div_21197448.add(_input_21690928);
_div_25065719.add(_div_21197448);
_div_13150149.add(_div_25065719);
var _div_24080706 = new Emp.Panel({"id":"_div_24080706","height":"-2","tag":"videoPlayT","hAlign":"center","width":"100%"});
var _div_24429194 = new Emp.Panel({"id":"_div_24429194","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var resoucesImg = new Emp.Image({"id":"resoucesImg","height":"190","marginTop":"10","tag":"resoucesImg","width":"100%","src":""});
_div_24429194.add(resoucesImg);
var resoucesv = new Emp.Label({"id":"resoucesv","tag":"resoucesv","value":"","display":"false"});
_div_24429194.add(resoucesv);
_div_24080706.add(_div_24429194);
_div_13150149.add(_div_24080706);
var _div_8666466 = new Emp.Panel({"id":"_div_8666466","marginBottom":"3","height":"-2","hAlign":"left","width":"100%","paddingLeft":"20"});
var _input_31062926 = new Emp.Label({"id":"_input_31062926","marginBottom":"10","marginTop":"10","tag":"content","width":"320","value":"","fontSize":"14"});
_div_8666466.add(_input_31062926);
_div_13150149.add(_div_8666466);
var _div_1195814 = new Emp.Panel({"id":"_div_1195814","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_13150149.add(_div_1195814);
var _div_32504237 = new Emp.Panel({"id":"_div_32504237","height":"100%","vAlign":"middle","marginLeft":"10","width":"100%"});
var _input_32566169 = new Emp.Label({"id":"_input_32566169","tag":"tie_type","value":"","display":"false"});
_div_32504237.add(_input_32566169);
var _input_33263073 = new Emp.Label({"id":"_input_33263073","tag":"tie_id","value":"","display":"false"});
_div_32504237.add(_input_33263073);
var _input_31561357 = new Emp.Label({"id":"_input_31561357","tag":"floorNo","value":"1","display":"false"});
_div_32504237.add(_input_31561357);
var _input_23279945 = new Emp.Label({"id":"_input_23279945","color":"#cccccc","tag":"fangrp","width":"100","value":"","fontSize":"12"});
_div_32504237.add(_input_23279945);
var _div_21370232 = new Emp.Panel({"id":"_div_21370232","marginTop":"3","marginRight":"10","hAlign":"right","width":"100%"});
var _img_2849263 = new Emp.Image({"id":"_img_2849263","height":"20","marginLeft":"40","tag":"fabulousClick","width":"20","src":"/icon_128/iconfont-zan.png"});
_div_21370232.add(_img_2849263);
var _div_5393001 = new Emp.Panel({"id":"_div_5393001","height":"20","vAlign":"middle","hAlign":"left"});
var _input_9647805 = new Emp.Label({"id":"_input_9647805","color":"#cccccc","tag":"fabulous","value":"9","fontSize":"12"});
_div_5393001.add(_input_9647805);
_div_21370232.add(_div_5393001);
var _img_15643811 = new Emp.Image({"id":"_img_15643811","height":"20","marginLeft":"20","tag":"rewardClick","width":"20","src":"/icon_128/iconfont-aword.png"});
_div_21370232.add(_img_15643811);
var _div_26568959 = new Emp.Panel({"id":"_div_26568959","height":"20","vAlign":"middle","hAlign":"left"});
var _input_2120680 = new Emp.Label({"id":"_input_2120680","color":"#cccccc","tag":"reward","value":"0","fontSize":"12"});
_div_26568959.add(_input_2120680);
_div_21370232.add(_div_26568959);
var _img_7472234 = new Emp.Image({"id":"_img_7472234","height":"20","tag":"replyClick","width":"20","display":"false","src":"/icon_128/iconfont-message.png"});
_div_21370232.add(_img_7472234);
var _input_25158392 = new Emp.Label({"id":"_input_25158392","color":"#cccccc","tag":"reply","value":"6","display":"false","fontSize":"12"});
_div_21370232.add(_input_25158392);
var _img_17705049 = new Emp.Image({"id":"_img_17705049","height":"20","marginLeft":"15","tag":"share","marginRight":"5","width":"20","src":"/icon_128/iconfont-more.png"});
_div_21370232.add(_img_17705049);
_div_32504237.add(_div_21370232);
_div_13150149.add(_div_32504237);
var _div_8068836 = new Emp.Panel({"id":"_div_8068836","marginBottom":"6","height":"100%","marginLeft":"10","width":"100%"});
var t_img1_tem3 = new Emp.Image({"id":"t_img1_tem3","height":"25","tag":"t_img1","width":"25","src":"","circleClip":"true"});
_div_8068836.add(t_img1_tem3);
var t_img2_tem3 = new Emp.Image({"id":"t_img2_tem3","height":"25","tag":"t_img2","width":"25","src":"","circleClip":"true"});
_div_8068836.add(t_img2_tem3);
var t_img3_tem3 = new Emp.Image({"id":"t_img3_tem3","height":"25","tag":"t_img3","width":"25","src":"","circleClip":"true"});
_div_8068836.add(t_img3_tem3);
var t_img4_tem3 = new Emp.Image({"id":"t_img4_tem3","height":"25","tag":"t_img4","width":"25","src":"","circleClip":"true"});
_div_8068836.add(t_img4_tem3);
var t_img5_tem3 = new Emp.Image({"id":"t_img5_tem3","height":"25","tag":"t_img5","width":"25","src":"","circleClip":"true"});
_div_8068836.add(t_img5_tem3);
var t_img6_tem3 = new Emp.Image({"id":"t_img6_tem3","height":"25","tag":"t_img6","width":"25","src":"","circleClip":"true"});
_div_8068836.add(t_img6_tem3);
var t_img7_tem3 = new Emp.Image({"id":"t_img7_tem3","height":"25","tag":"t_img7","width":"25","src":"","circleClip":"true"});
_div_8068836.add(t_img7_tem3);
var t_img8_tem3 = new Emp.Image({"id":"t_img8_tem3","height":"25","tag":"t_img8","width":"25","src":"","circleClip":"true"});
_div_8068836.add(t_img8_tem3);
var t_img9_tem3 = new Emp.Image({"id":"t_img9_tem3","height":"25","tag":"t_img9","width":"25","src":"","circleClip":"true"});
_div_8068836.add(t_img9_tem3);
var t_img10_tem3 = new Emp.Image({"id":"t_img10_tem3","height":"25","tag":"t_img10","width":"25","src":"","circleClip":"true"});
_div_8068836.add(t_img10_tem3);
_div_13150149.add(_div_8068836);
tem3.add(_div_13150149);
_template_21990023.add(tem3);
var tem5 = new Emp.Panel({"id":"tem5","height":"-2","backgroundColor":"#f0f0f0","vAlign":"middle","layout":"VBox","hAlign":"center","width":"100%"});
var _div_24380900 = new Emp.Panel({"id":"_div_24380900","height":"5","width":"100%"});
tem5.add(_div_24380900);
var _div_3065270 = new Emp.Panel({"id":"_div_3065270","borderColor":"#ffffff","height":"-2","backgroundColor":"#ffffff","marginLeft":"5","borderWidth":"1","marginRight":"5","layout":"VBox","width":"350","cornerRadius":"10"});
var _div_11944783 = new Emp.Panel({"id":"_div_11944783","height":"-2","marginLeft":"20","marginTop":"20","tag":"tieDetail","layout":"HBox","width":"100%"});
var _div_33365204 = new Emp.Panel({"id":"_div_33365204","height":"25","vAlign":"middle","hAlign":"center","width":"25"});
var topicicon = new Emp.Image({"id":"topicicon","height":"25","tag":"topicicon","width":"25","src":"/icon_128/iconfont-vote.png"});
_div_33365204.add(topicicon);
_div_11944783.add(_div_33365204);
var _div_2239287 = new Emp.Panel({"id":"_div_2239287","height":"-2","marginLeft":"10","layout":"VBox","width":"100%"});
var _input_21179930 = new Emp.Label({"id":"_input_21179930","tag":"title","width":"260","value":"","fontSize":"16"});
_div_2239287.add(_input_21179930);
var _input_25671908 = new Emp.Label({"id":"_input_25671908","color":"#cccccc","tag":"visittime","value":"","fontSize":"12"});
_div_2239287.add(_input_25671908);
_div_11944783.add(_div_2239287);
_div_3065270.add(_div_11944783);
var _div_24878916 = new Emp.Panel({"id":"_div_24878916","marginBottom":"3","height":"-2","tag":"tieDetail","hAlign":"left","width":"100%","paddingLeft":"20"});
var _input_18173971 = new Emp.Label({"id":"_input_18173971","marginBottom":"10","marginTop":"10","tag":"content","width":"320","value":"","fontSize":"14"});
_div_24878916.add(_input_18173971);
_div_3065270.add(_div_24878916);
var _div_3940444 = new Emp.Panel({"id":"_div_3940444","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_3065270.add(_div_3940444);
var _div_24164547 = new Emp.Panel({"id":"_div_24164547","height":"100%","vAlign":"middle","marginLeft":"10","marginRight":"10","hAlign":"right","width":"100%"});
var _input_24254798 = new Emp.Label({"id":"_input_24254798","tag":"tie_type","value":"","display":"false"});
_div_24164547.add(_input_24254798);
var _input_31161006 = new Emp.Label({"id":"_input_31161006","tag":"tie_id","value":"","display":"false"});
_div_24164547.add(_input_31161006);
var _input_5466822 = new Emp.Label({"id":"_input_5466822","tag":"floorNo","value":"1","display":"false"});
_div_24164547.add(_input_5466822);
var _input_8858599 = new Emp.Label({"id":"_input_8858599","color":"#cccccc","tag":"fangrp","width":"100","value":"","fontSize":"12"});
_div_24164547.add(_input_8858599);
var _div_5474697 = new Emp.Panel({"id":"_div_5474697","marginTop":"3","marginRight":"10","hAlign":"right","width":"100%"});
var _img_6988381 = new Emp.Image({"id":"_img_6988381","height":"20","marginLeft":"40","tag":"fabulousClick","width":"20","src":"/icon_128/iconfont-zan.png"});
_div_5474697.add(_img_6988381);
var _div_13213299 = new Emp.Panel({"id":"_div_13213299","height":"20","vAlign":"middle","hAlign":"left"});
var _input_12686996 = new Emp.Label({"id":"_input_12686996","color":"#cccccc","tag":"fabulous","value":"9","fontSize":"12"});
_div_13213299.add(_input_12686996);
_div_5474697.add(_div_13213299);
var _img_25481993 = new Emp.Image({"id":"_img_25481993","height":"20","marginLeft":"20","tag":"rewardClick","width":"20","src":"/icon_128/iconfont-aword.png"});
_div_5474697.add(_img_25481993);
var _div_20653014 = new Emp.Panel({"id":"_div_20653014","height":"20","vAlign":"middle","hAlign":"left"});
var _input_28169467 = new Emp.Label({"id":"_input_28169467","color":"#cccccc","tag":"reward","value":"0","fontSize":"12"});
_div_20653014.add(_input_28169467);
_div_5474697.add(_div_20653014);
var _img_24755991 = new Emp.Image({"id":"_img_24755991","height":"20","tag":"replyClick","width":"20","display":"false","src":"/icon_128/iconfont-message.png"});
_div_5474697.add(_img_24755991);
var _input_32539087 = new Emp.Label({"id":"_input_32539087","color":"#cccccc","tag":"reply","value":"6","display":"false","fontSize":"12"});
_div_5474697.add(_input_32539087);
var _img_14318746 = new Emp.Image({"id":"_img_14318746","height":"20","marginLeft":"15","tag":"share","marginRight":"5","width":"20","src":"/icon_128/iconfont-more.png"});
_div_5474697.add(_img_14318746);
_div_24164547.add(_div_5474697);
_div_3065270.add(_div_24164547);
var _div_2791748 = new Emp.Panel({"id":"_div_2791748","marginBottom":"6","height":"100%","marginLeft":"10","width":"100%"});
var t_img1_tem5 = new Emp.Image({"id":"t_img1_tem5","height":"25","tag":"t_img1","width":"25","src":"","circleClip":"true"});
_div_2791748.add(t_img1_tem5);
var t_img2_tem5 = new Emp.Image({"id":"t_img2_tem5","height":"25","tag":"t_img2","width":"25","src":"","circleClip":"true"});
_div_2791748.add(t_img2_tem5);
var t_img3_tem5 = new Emp.Image({"id":"t_img3_tem5","height":"25","tag":"t_img3","width":"25","src":"","circleClip":"true"});
_div_2791748.add(t_img3_tem5);
var t_img4_tem5 = new Emp.Image({"id":"t_img4_tem5","height":"25","tag":"t_img4","width":"25","src":"","circleClip":"true"});
_div_2791748.add(t_img4_tem5);
var t_img5_tem5 = new Emp.Image({"id":"t_img5_tem5","height":"25","tag":"t_img5","width":"25","src":"","circleClip":"true"});
_div_2791748.add(t_img5_tem5);
var t_img6_tem5 = new Emp.Image({"id":"t_img6_tem5","height":"25","tag":"t_img6","width":"25","src":"","circleClip":"true"});
_div_2791748.add(t_img6_tem5);
var t_img7_tem5 = new Emp.Image({"id":"t_img7_tem5","height":"25","tag":"t_img7","width":"25","src":"","circleClip":"true"});
_div_2791748.add(t_img7_tem5);
var t_img8_tem5 = new Emp.Image({"id":"t_img8_tem5","height":"25","tag":"t_img8","width":"25","src":"","circleClip":"true"});
_div_2791748.add(t_img8_tem5);
var t_img9_tem5 = new Emp.Image({"id":"t_img9_tem5","height":"25","tag":"t_img9","width":"25","src":"","circleClip":"true"});
_div_2791748.add(t_img9_tem5);
var t_img10_tem5 = new Emp.Image({"id":"t_img10_tem5","height":"25","tag":"t_img10","width":"25","src":"","circleClip":"true"});
_div_2791748.add(t_img10_tem5);
_div_3065270.add(_div_2791748);
tem5.add(_div_3065270);
_template_21990023.add(tem5);



$jsd('/NewBuyApp/src/fan_tie_template.htmlx',255,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});resouces.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',256,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); resoucesImg.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',258,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img1_tem1.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',259,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img2_tem1.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img3_tem1.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',261,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img4_tem1.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img5_tem1.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',263,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img6_tem1.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',264,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img7_tem1.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',265,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img8_tem1.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',266,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img9_tem1.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',267,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img10_tem1.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',269,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img1_tem2.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',270,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img2_tem2.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',271,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img3_tem2.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',272,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img4_tem2.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',273,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img5_tem2.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',274,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img6_tem2.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',275,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img7_tem2.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',276,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img8_tem2.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',277,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img9_tem2.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',278,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img10_tem2.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',280,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img1_tem3.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',281,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img2_tem3.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',282,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img3_tem3.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',283,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img4_tem3.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',284,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img5_tem3.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',285,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img6_tem3.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',286,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img7_tem3.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',287,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img8_tem3.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',288,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img9_tem3.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',289,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img10_tem3.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',291,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img1_tem5.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',292,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img2_tem5.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',293,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img3_tem5.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',294,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img4_tem5.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',295,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img5_tem5.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',296,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img6_tem5.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',297,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img7_tem5.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',298,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img8_tem5.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',299,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img9_tem5.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/fan_tie_template.htmlx',300,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img10_tem5.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
 
Emp.page.render();
