var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_22121697');
$M.includeFile("/fan_club_pop.html");
var _div_16260081 = new Emp.Panel({"id":"_div_16260081","height":"100","hAlign":"center","layout":"VBox","width":"100%"});
var _div_15899103 = new Emp.Panel({"id":"_div_15899103","height":"60","vAlign":"middle","marginLeft":"10","width":"350","top":"0"});
var _img_22293521 = new Emp.Image({"id":"_img_22293521","height":"30","marginLeft":"100","width":"30","src":"/images/logo.png"});
_div_15899103.add(_img_22293521);
var _img_18430413 = new Emp.Image({"id":"_img_18430413","height":"30","marginLeft":"20","width":"30","src":"/homeImg/discover_u49_selected.png"});
_div_15899103.add(_img_18430413);
var _img_19003824 = new Emp.Image({"id":"_img_19003824","height":"30","marginLeft":"20","width":"30","src":"/homeImg/massage_u47.png"});
_div_15899103.add(_img_19003824);
var _img_26188704 = new Emp.Image({"id":"_img_26188704","height":"30","marginLeft":"20","width":"30","src":"/homeImg/shop_u55.png"});
_div_15899103.add(_img_26188704);
var _img_20067202 = new Emp.Image({"id":"_img_20067202","height":"30","marginLeft":"20","width":"30","src":"/homeImg/me_u45.png"});
_img_20067202.addEvent('onClick',my_info_login);
_div_15899103.add(_img_20067202);
_div_16260081.add(_div_15899103);
var _div_13882845 = new Emp.Panel({"id":"_div_13882845","height":"40","vAlign":"middle","layout":"HBox","width":"100%"});
var _div_25013216 = new Emp.Panel({"id":"_div_25013216","borderColor":"#f2f2f2","height":"100%","vAlign":"middle","borderWidth":"1px","hAlign":"center","width":"180"});
_div_25013216.addEvent('onClick',find_star);
var _input_27203189 = new Emp.Label({"id":"_input_27203189","height":"100%","width":"70","value":"找明星","fontSize":"18"});
_div_25013216.add(_input_27203189);
_div_13882845.add(_div_25013216);
var _div_24864361 = new Emp.Panel({"id":"_div_24864361","borderColor":"#f2f2f2","height":"100%","vAlign":"middle","borderWidth":"1px","hAlign":"center","width":"180"});
_div_24864361.addEvent('onClick',find_fan);
var _input_8435937 = new Emp.Label({"id":"_input_8435937","height":"100%","width":"70","value":"找饭团","fontSize":"18"});
_div_24864361.add(_input_8435937);
_div_13882845.add(_div_24864361);
_div_16260081.add(_div_13882845);
Emp.page.add(_div_16260081);
var template1 = new Emp.Panel({"id":"template1","height":"100%","backgroundColor":"#f0f0f0","layout":"VBox","hAlign":"center","overflow":"y","width":"100%"});
var _div_30070370 = new Emp.Panel({"id":"_div_30070370","height":"240","layout":"VBox","width":"100%"});
var _div_29422654 = new Emp.Panel({"id":"_div_29422654","paddingTop":"8","height":"40","width":"100%","paddingLeft":"10"});
var _input_14885563 = new Emp.Label({"id":"_input_14885563","height":"30","value":"封神榜","fontSize":"18"});
_div_29422654.add(_input_14885563);
_div_30070370.add(_div_29422654);
var _div_33373725 = new Emp.Panel({"id":"_div_33373725","height":"200","layout":"VBox","width":"100%"});
var _img_16316538 = new Emp.Image({"id":"_img_16316538","position":"relative","height":"20","width":"40","left":"0","src":"/images/fengshen_man.png","top":"0"});
_div_33373725.add(_img_16316538);
var _img_25252534 = new Emp.Image({"id":"_img_25252534","position":"relative","height":"20","width":"40","left":"0","src":"/images/fengshen_woman.png","top":"100"});
_div_33373725.add(_img_25252534);
var fengshenbang_man = new Emp.Panel({"id":"fengshenbang_man","height":"100","overflow":"x","layout":"HBox","hAlign":"left","width":"100%","paddingLeft":"10"});
fengshenbang_man.addEvent('onClick',star_home);
_div_33373725.add(fengshenbang_man);
var fengshenbang_woman = new Emp.Panel({"id":"fengshenbang_woman","height":"100","overflow":"x","layout":"HBox","hAlign":"left","width":"100%","paddingLeft":"10"});
fengshenbang_woman.addEvent('onClick',star_home);
_div_33373725.add(fengshenbang_woman);
_div_30070370.add(_div_33373725);
template1.add(_div_30070370);
var _div_16573628 = new Emp.Panel({"id":"_div_16573628","paddingTop":"8","height":"40","width":"100%"});
var _input_17627469 = new Emp.Label({"id":"_input_17627469","height":"30","value":"招兵买马","fontSize":"18","paddingLeft":"10"});
_div_16573628.add(_input_17627469);
template1.add(_div_16573628);
var fangrp_data = new Emp.Panel({"id":"fangrp_data","height":"190","overflow":"x","width":"100%","paddingLeft":"8"});
template1.add(fangrp_data);
var _div_4227585 = new Emp.Panel({"id":"_div_4227585","height":"40","marginTop":"10","width":"100%"});
var _input_18304340 = new Emp.Label({"id":"_input_18304340","height":"30","value":"最热饭贴","fontSize":"18","paddingLeft":"10"});
_div_4227585.add(_input_18304340);
template1.add(_div_4227585);
var ZR_fan_tie = new Emp.Panel({"id":"ZR_fan_tie","layout":"VBox","width":"100%","paddingLeft":"8"});
template1.add(ZR_fan_tie);
Emp.page.add(template1);








$jsd('/NewBuyApp/src/index.htmlx',65,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});join_in.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/index.htmlx',66,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.close(); 
$jsd('/NewBuyApp/src/index.htmlx',67,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setTimeout(500, function () { 
$jsd('/NewBuyApp/src/index.htmlx',68,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("入团"); 
}); 
}); 
$jsd('/NewBuyApp/src/index.htmlx',71,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function find_fan() { 
$jsd('/NewBuyApp/src/index.htmlx',72,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_search.html"); 
} 
$jsd('/NewBuyApp/src/index.htmlx',74,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function find_star() { 
$jsd('/NewBuyApp/src/index.htmlx',75,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/search/find_star.html"); 
} 
$jsd('/NewBuyApp/src/index.htmlx',77,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToShop() { 
} 
$jsd('/NewBuyApp/src/index.htmlx',81,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function () { 
$jsd('/NewBuyApp/src/index.htmlx',83,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/index.htmlx',84,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([]); 
$jsd('/NewBuyApp/src/index.htmlx',85,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!getNotLoginData.action"); 
$jsd('/NewBuyApp/src/index.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/index.htmlx',87,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/index.htmlx',88,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/index.htmlx',90,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var male_json = result.data.star.male; 
$jsd('/NewBuyApp/src/index.htmlx',92,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var female_json = result.data.star.female; 
$jsd('/NewBuyApp/src/index.htmlx',94,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fangrp_json = result.data.fangrp.fanGrpList; 
$jsd('/NewBuyApp/src/index.htmlx',96,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fan_tie_json = result.data.hottopic; 
$jsd('/NewBuyApp/src/index.htmlx',98,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < male_json.length; i++) { 
$jsd('/NewBuyApp/src/index.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fengshenbang_man").add(CreateDiv(i, male_json[i].address, male_json[i].userNm, male_json[i].userId)); 
} 
$jsd('/NewBuyApp/src/index.htmlx',103,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < female_json.length; i++) { 
$jsd('/NewBuyApp/src/index.htmlx',104,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fengshenbang_woman").add(CreateDiv(i, female_json[i].address, female_json[i].userNm, female_json[i].userId)); 
} 
$jsd('/NewBuyApp/src/index.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < fangrp_json.length; i++) { 
$jsd('/NewBuyApp/src/index.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fangrp_data").add(Create_hengxiang_Div1(i, fangrp_json[i])); 
} 
$jsd('/NewBuyApp/src/index.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < fan_tie_json.length; i++) { 
$jsd('/NewBuyApp/src/index.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("ZR_fan_tie").add(Create_fan_tie_Div1(i, fan_tie_json[i].fanGrpItemType, fan_tie_json[i].fanGrpItemTitle, fan_tie_json[i].replyCnt, fan_tie_json[i].id)); 
} 
$jsd('/NewBuyApp/src/index.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fangrp_data").add(Create_hengxiang_more_Div1(result.data.fangrp.fanGrpCount)); 
} else { 
$jsd('/NewBuyApp/src/index.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/index.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/index.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_more_Div1(cont) { 
$jsd('/NewBuyApp/src/index.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "bottomMore"; 
$jsd('/NewBuyApp/src/index.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, marginLeft:"5", height:"180", marginTop:"10", layout:"VBox", hAlign:"center", vAlign:"middle", width:"144", borderColor:"#f2f2f2", borderWidth:"1", cornerRadius:"12", backgroundColor:"#ffffff"}); 
$jsd('/NewBuyApp/src/index.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_more_input("更多饭团")); 
$jsd('/NewBuyApp/src/index.htmlx',148,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_more_input(cont + " ——>")); 
$jsd('/NewBuyApp/src/index.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index.htmlx',153,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_hengxiang_more_input(input) { 
$jsd('/NewBuyApp/src/index.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"value":input, }); 
$jsd('/NewBuyApp/src/index.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/index.htmlx',161,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div1(i, json) { 
$jsd('/NewBuyApp/src/index.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div1" + json.i; 
$jsd('/NewBuyApp/src/index.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"190", "layout":"VBox", "fangrpId":json.id}); 
$jsd('/NewBuyApp/src/index.htmlx',169,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2(i, json)); 
$jsd('/NewBuyApp/src/index.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div3(i, json)); 
$jsd('/NewBuyApp/src/index.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).addEvent("onClick", onclickFangrp); 
$jsd('/NewBuyApp/src/index.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index.htmlx',176,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function onclickFangrp() { 
$jsd('/NewBuyApp/src/index.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fangrpId = this.fangrpId; 
if($jsd('/NewBuyApp/src/index.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fangrpId != "" && fangrpId != undefined) { 
} 
} 
$jsd('/NewBuyApp/src/index.htmlx',184,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2(i, json) { 
$jsd('/NewBuyApp/src/index.htmlx',185,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2" + json.i; 
$jsd('/NewBuyApp/src/index.htmlx',186,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, marginLeft:"5", marginTop:"10", "height":"180", width:"144", borderColor:"#f2f2f2", "layout":"VBox", borderWidth:"1", cornerRadius:"12", backgroundColor:"#ffffff"}); 
$jsd('/NewBuyApp/src/index.htmlx',198,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2_1(i, json)); 
$jsd('/NewBuyApp/src/index.htmlx',199,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2_2(i, json)); 
$jsd('/NewBuyApp/src/index.htmlx',200,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2_3(i, json)); 
$jsd('/NewBuyApp/src/index.htmlx',201,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index.htmlx',205,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2_1(i, json) { 
$jsd('/NewBuyApp/src/index.htmlx',206,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2_1" + json.i; 
$jsd('/NewBuyApp/src/index.htmlx',207,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"30", width:"100%", hAlign:"center", marginTop:"30"}); 
$jsd('/NewBuyApp/src/index.htmlx',214,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createfan_tie_input2(json.fanGrpName)); 
$jsd('/NewBuyApp/src/index.htmlx',215,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2_2(i, json) { 
$jsd('/NewBuyApp/src/index.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2_2" + json.i; 
$jsd('/NewBuyApp/src/index.htmlx',221,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"60", width:"100%", hAlign:"center"}); 
$jsd('/NewBuyApp/src/index.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_Img(json.fanGrpPhoto)); 
$jsd('/NewBuyApp/src/index.htmlx',228,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index.htmlx',232,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_hengxiang_Img(img) { 
$jsd('/NewBuyApp/src/index.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({width:"60", height:"60", "circleClip":"true", src:img}); 
$jsd('/NewBuyApp/src/index.htmlx',239,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/index.htmlx',243,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2_3(i, json) { 
$jsd('/NewBuyApp/src/index.htmlx',244,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2_3" + json.i; 
$jsd('/NewBuyApp/src/index.htmlx',245,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"40", width:"100%", hAlign:"left", vAlign:"middle", marginTop:"10", marginLeft:"5"}); 
$jsd('/NewBuyApp/src/index.htmlx',254,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2_3_1(i, json)); 
$jsd('/NewBuyApp/src/index.htmlx',255,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_input2_3_2(json.fanGrpBenefit)); 
$jsd('/NewBuyApp/src/index.htmlx',256,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2_3_1(i, json) { 
$jsd('/NewBuyApp/src/index.htmlx',261,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2_3_1" + json.i; 
$jsd('/NewBuyApp/src/index.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"20", width:"20", borderWidth:"1", borderColor:"#ffca45", hAlign:"center", vAlign:"middle"}); 
$jsd('/NewBuyApp/src/index.htmlx',272,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_input2_3_1("福")); 
$jsd('/NewBuyApp/src/index.htmlx',274,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index.htmlx',278,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_hengxiang_input2_3_1(input) { 
$jsd('/NewBuyApp/src/index.htmlx',279,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"color":"#ffca45", "value":input, fontSize:"14"}); 
$jsd('/NewBuyApp/src/index.htmlx',284,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/index.htmlx',288,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_hengxiang_input2_3_2(input) { 
$jsd('/NewBuyApp/src/index.htmlx',289,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"color":"#999999", marginLeft:"5", fontSize:"15", "value":input}); 
$jsd('/NewBuyApp/src/index.htmlx',295,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/index.htmlx',299,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div3(i, json) { 
$jsd('/NewBuyApp/src/index.htmlx',300,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div3" + json.i; 
$jsd('/NewBuyApp/src/index.htmlx',301,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, width:"100%", marginTop:"-190", "height":"30", "layout":"HBox", marginLeft:"10"}); 
$jsd('/NewBuyApp/src/index.htmlx',309,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div3_1(i, json)); 
$jsd('/NewBuyApp/src/index.htmlx',310,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div3_2(i, json)); 
$jsd('/NewBuyApp/src/index.htmlx',311,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index.htmlx',315,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div3_1(i, json) { 
$jsd('/NewBuyApp/src/index.htmlx',316,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div3_1" + json.i; 
$jsd('/NewBuyApp/src/index.htmlx',317,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, backgroundColor:"#FFCC66", marginLeft:"10", width:"30", height:"25", vAlign:"middle", hAlign:"center", borderWidth:"2", borderColor:"#FFCC66", cornerRadius:"5"}); 
$jsd('/NewBuyApp/src/index.htmlx',329,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createfan_tie_input1(json.fanGrpLevel)); 
$jsd('/NewBuyApp/src/index.htmlx',330,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index.htmlx',333,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div3_2(i, json) { 
$jsd('/NewBuyApp/src/index.htmlx',334,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div3_2" + json.i; 
$jsd('/NewBuyApp/src/index.htmlx',335,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, marginLeft:"5", backgroundColor:"#FFCC66", width:"60", height:"25", vAlign:"middle", hAlign:"center", borderWidth:"2", borderColor:"#FFCC66", cornerRadius:"5"}); 
$jsd('/NewBuyApp/src/index.htmlx',347,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_fan_tie_Img()); 
$jsd('/NewBuyApp/src/index.htmlx',348,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createfan_tie_input1(json.fanGrpMemberCnt)); 
$jsd('/NewBuyApp/src/index.htmlx',349,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index.htmlx',353,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_fan_tie_Img(img) { 
$jsd('/NewBuyApp/src/index.htmlx',354,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({"width":"16", "height":"16", src:img}); 
$jsd('/NewBuyApp/src/index.htmlx',359,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/index.htmlx',363,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function CreateDiv(num, img, userNm, userId) { 
$jsd('/NewBuyApp/src/index.htmlx',364,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div" + num; 
$jsd('/NewBuyApp/src/index.htmlx',365,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "width":"80", "height":"100%", "layout":"VBox", "userId":userId}); 
$jsd('/NewBuyApp/src/index.htmlx',372,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createImg(img)); 
$jsd('/NewBuyApp/src/index.htmlx',373,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createValue(userNm)); 
$jsd('/NewBuyApp/src/index.htmlx',374,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).addEvent("onClick", onclickUser); 
$jsd('/NewBuyApp/src/index.htmlx',375,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index.htmlx',379,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function onclickUser() { 
$jsd('/NewBuyApp/src/index.htmlx',380,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userId = this.userId; 
if($jsd('/NewBuyApp/src/index.htmlx',381,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userId != "" && userId != undefined) { 
$jsd('/NewBuyApp/src/index.htmlx',382,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fan_club.html", userId, false, false); 
} 
} 
$jsd('/NewBuyApp/src/index.htmlx',387,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_fan_tie_Div1(i, type, title, num, fantieId) { 
$jsd('/NewBuyApp/src/index.htmlx',388,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "fan_tie_div1" + i; 
$jsd('/NewBuyApp/src/index.htmlx',389,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "width":"100%", "height":"-2", "vAlign":"middle", "backgroundColor":"#fcfcfc", "hAlign":"center", "marginRight":"10", "marginBottom":"10", "fantieId":fantieId}); 
$jsd('/NewBuyApp/src/index.htmlx',400,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_fan_tie_Div2(i, type, title, num)); 
$jsd('/NewBuyApp/src/index.htmlx',401,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).addEvent("onClick", onclickFantie); 
$jsd('/NewBuyApp/src/index.htmlx',402,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index.htmlx',406,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function onclickFantie() { 
$jsd('/NewBuyApp/src/index.htmlx',407,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fantieId = this.fantieId; 
if($jsd('/NewBuyApp/src/index.htmlx',408,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fantieId != "" && fantieId != undefined) { 
} 
} 
$jsd('/NewBuyApp/src/index.htmlx',414,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_fan_tie_Div2(i, type, title, num) { 
$jsd('/NewBuyApp/src/index.htmlx',415,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "fan_tie_div2" + i; 
$jsd('/NewBuyApp/src/index.htmlx',416,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "width":"330", "height":"-2", "vAlign":"middle", "layout":"VBox", "borderColor":"#f2f2f2", "borderWidth":"1", "cornerRadius":"10", "backgroundColor":"#ffffff"}); 
$jsd('/NewBuyApp/src/index.htmlx',427,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_fan_tie_Div3(i, type, title, num)); 
$jsd('/NewBuyApp/src/index.htmlx',428,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index.htmlx',432,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_fan_tie_Div3(i, type, title, num) { 
$jsd('/NewBuyApp/src/index.htmlx',433,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "fan_tie_div3" + i; 
$jsd('/NewBuyApp/src/index.htmlx',434,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "marginTop":"12", "marginLeft":"10", "width":"100%", "height":"50", "layout":"HBox"}); 
$jsd('/NewBuyApp/src/index.htmlx',443,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_fan_tie_Div4(i, type, title, num)); 
$jsd('/NewBuyApp/src/index.htmlx',444,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_fan_tie_Div5(i, type, title, num)); 
$jsd('/NewBuyApp/src/index.htmlx',445,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_fan_tie_Div6(i, type, title, num)); 
$jsd('/NewBuyApp/src/index.htmlx',447,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index.htmlx',451,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_fan_tie_Div4(i, type, title, num) { 
$jsd('/NewBuyApp/src/index.htmlx',452,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "fan_tie_div4" + i; 
$jsd('/NewBuyApp/src/index.htmlx',453,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "width":"30", "height":"25", "cornerRadius":"5", "vAlign":"middle", "hAlign":"center"}); 
$jsd('/NewBuyApp/src/index.htmlx',461,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_fan_tie_type_img(type)); 
$jsd('/NewBuyApp/src/index.htmlx',462,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index.htmlx',466,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_fan_tie_Div5(i, type, title, num) { 
$jsd('/NewBuyApp/src/index.htmlx',467,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "fan_tie_div5" + i; 
$jsd('/NewBuyApp/src/index.htmlx',468,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "marginTop":"3", "marginLeft":"20", "width":"100%", "height":"100%"}); 
$jsd('/NewBuyApp/src/index.htmlx',475,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createfan_tie_input2(title)); 
$jsd('/NewBuyApp/src/index.htmlx',476,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index.htmlx',480,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_fan_tie_Div6(i, type, title, num) { 
$jsd('/NewBuyApp/src/index.htmlx',481,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "fan_tie_div6" + i; 
$jsd('/NewBuyApp/src/index.htmlx',482,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "marginLeft":"10", "marginRight":"10", "width":"60", "height":"25", "borderColor":"#FFCC66", "borderWidth":"2", "cornerRadius":"5", "backgroundColor":"#FFCC66", "vAlign":"middle", "hAlign":"center"}); 
$jsd('/NewBuyApp/src/index.htmlx',495,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createfan_tie_input1(num)); 
$jsd('/NewBuyApp/src/index.htmlx',496,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index.htmlx',500,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createImg(img) { 
$jsd('/NewBuyApp/src/index.htmlx',501,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({width:"70", height:"70", "circleClip":"true", src:img, hAlign:"center"}); 
$jsd('/NewBuyApp/src/index.htmlx',508,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/index.htmlx',511,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_fan_tie_type_img(type) { 
$jsd('/NewBuyApp/src/index.htmlx',512,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img; 
if($jsd('/NewBuyApp/src/index.htmlx',513,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "0") { 
$jsd('/NewBuyApp/src/index.htmlx',515,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img = "/images/wenzi.png"; 
} else { 
if($jsd('/NewBuyApp/src/index.htmlx',516,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "1") { 
$jsd('/NewBuyApp/src/index.htmlx',518,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img = "/images/tupian.png"; 
} else { 
if($jsd('/NewBuyApp/src/index.htmlx',519,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "2") { 
$jsd('/NewBuyApp/src/index.htmlx',521,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img = "/images/shiping.png"; 
} else { 
if($jsd('/NewBuyApp/src/index.htmlx',522,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "3") { 
$jsd('/NewBuyApp/src/index.htmlx',524,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img = "/images/yinyue.png"; 
} else { 
if($jsd('/NewBuyApp/src/index.htmlx',525,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "4") { 
$jsd('/NewBuyApp/src/index.htmlx',527,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img = "/images/toupiao.png"; 
} else { 
if($jsd('/NewBuyApp/src/index.htmlx',528,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "5") { 
$jsd('/NewBuyApp/src/index.htmlx',530,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img = "/images/活动.png"; 
} 
} 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/index.htmlx',532,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({"width":"25", "height":"25", src:img}); 
$jsd('/NewBuyApp/src/index.htmlx',537,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/index.htmlx',540,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_fan_tie_Img() { 
$jsd('/NewBuyApp/src/index.htmlx',541,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({"width":"16", "height":"16", src:"/fan_club/u50.png"}); 
$jsd('/NewBuyApp/src/index.htmlx',546,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/index.htmlx',550,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createValue(input) { 
$jsd('/NewBuyApp/src/index.htmlx',551,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"width":"70", "fontSize":"14", "color":"#999999", "vAlign":"middle", "hAlign":"center", "height":"30", "value":input, "onClick":"showName", "hAlign":"center"}); 
$jsd('/NewBuyApp/src/index.htmlx',562,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/index.htmlx',566,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createfan_tie_input1(input) { 
$jsd('/NewBuyApp/src/index.htmlx',567,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"color":"#ffffff", "value":input}); 
$jsd('/NewBuyApp/src/index.htmlx',571,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/index.htmlx',575,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createfan_tie_input2(input) { 
$jsd('/NewBuyApp/src/index.htmlx',576,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"fonsize":"20", "value":input}); 
$jsd('/NewBuyApp/src/index.htmlx',580,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/index.htmlx',584,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function go_back() { 
$jsd('/NewBuyApp/src/index.htmlx',585,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack(); 
} 
$jsd('/NewBuyApp/src/index.htmlx',587,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function login() { 
$jsd('/NewBuyApp/src/index.htmlx',588,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack(); 
} 
$jsd('/NewBuyApp/src/index.htmlx',592,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function my_info_login() { 
$jsd('/NewBuyApp/src/index.htmlx',593,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/index.htmlx',594,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([]); 
$jsd('/NewBuyApp/src/index.htmlx',595,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/index.htmlx',596,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/index.htmlx',597,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/index.htmlx',598,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/index.htmlx',599,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null) { 
$jsd('/NewBuyApp/src/index.htmlx',600,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_tie.html"); 
} else { 
$jsd('/NewBuyApp/src/index.htmlx',602,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
} else { 
$jsd('/NewBuyApp/src/index.htmlx',605,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/index.htmlx',608,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/index.htmlx',615,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function star_home() { 
$jsd('/NewBuyApp/src/index.htmlx',616,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_club.html"); 
} 
$jsd('/NewBuyApp/src/index.htmlx',619,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function fan_tie() { 
$jsd('/NewBuyApp/src/index.htmlx',620,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_tie.html"); 
} 
 
Emp.page.render();
