var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_19111967');
var _div_31806677 = new Emp.Panel({"id":"_div_31806677","height":"95","hAlign":"center","layout":"VBox","width":"100%"});
var _div_19167284 = new Emp.Panel({"id":"_div_19167284","height":"60","vAlign":"middle","marginLeft":"10","width":"350","top":"0"});
var _img_22005642 = new Emp.Image({"id":"_img_22005642","height":"45","marginLeft":"100","width":"45","src":"/images/logo.png"});
_img_22005642.addEvent('onClick',gotoPageLoggedin);
_div_19167284.add(_img_22005642);
var _img_11882064 = new Emp.Image({"id":"_img_11882064","height":"30","marginLeft":"20","width":"30","src":"/homeImg/discover_u49_selected.png"});
_div_19167284.add(_img_11882064);
var _img_19439089 = new Emp.Image({"id":"_img_19439089","height":"30","marginLeft":"20","width":"30","src":"/homeImg/massage_u47.png"});
_img_19439089.addEvent('onClick',goToTips);
_div_19167284.add(_img_19439089);
var _img_27335310 = new Emp.Image({"id":"_img_27335310","height":"30","marginLeft":"20","width":"30","src":"/homeImg/shop_u55.png"});
_img_27335310.addEvent('onClick',goToShop);
_div_19167284.add(_img_27335310);
var _img_30835538 = new Emp.Image({"id":"_img_30835538","height":"30","marginLeft":"20","width":"30","src":"/homeImg/me_u45.png"});
_img_30835538.addEvent('onClick',my_info_login);
_div_19167284.add(_img_30835538);
_div_31806677.add(_div_19167284);
var _div_182768 = new Emp.Panel({"id":"_div_182768","height":"35","vAlign":"middle","layout":"HBox","width":"100%"});
var _div_16832728 = new Emp.Panel({"id":"_div_16832728","borderColor":"#f2f2f2","height":"100%","vAlign":"middle","borderWidth":"1px","hAlign":"center","width":"180"});
_div_16832728.addEvent('onClick',find_star);
var _input_10258404 = new Emp.Label({"id":"_input_10258404","height":"100%","hAlign":"center","width":"60","value":"找明星","fontSize":"18"});
_div_16832728.add(_input_10258404);
_div_182768.add(_div_16832728);
var _div_11966524 = new Emp.Panel({"id":"_div_11966524","borderColor":"#f2f2f2","height":"100%","vAlign":"middle","borderWidth":"1px","hAlign":"center","width":"180"});
_div_11966524.addEvent('onClick',find_fan);
var _input_29671378 = new Emp.Label({"id":"_input_29671378","height":"100%","hAlign":"center","width":"70","value":"找饭团","fontSize":"18"});
_div_11966524.add(_input_29671378);
_div_182768.add(_div_11966524);
_div_31806677.add(_div_182768);
Emp.page.add(_div_31806677);
var _template_893974 = new Emp.Panel({"id":"_template_893974"});
_template_893974.__isTemplate=true;
var template1 = new Emp.Panel({"id":"template1","height":"100%","backgroundColor":"#f0f0f0","layout":"VBox","hAlign":"center","overflow":"y","width":"100%"});
var _div_29431935 = new Emp.Panel({"id":"_div_29431935","height":"240","layout":"VBox","width":"100%"});
var _div_3110987 = new Emp.Panel({"id":"_div_3110987","paddingTop":"8","height":"40","width":"100%","paddingLeft":"10"});
var _input_32219265 = new Emp.Label({"id":"_input_32219265","height":"30","value":"封神榜","fontSize":"18"});
_div_3110987.add(_input_32219265);
_div_29431935.add(_div_3110987);
var _div_7777934 = new Emp.Panel({"id":"_div_7777934","height":"200","layout":"VBox","width":"100%"});
var _img_29235451 = new Emp.Image({"id":"_img_29235451","position":"relative","height":"20","width":"40","left":"0","src":"/images/fengshen_man.png","top":"0"});
_div_7777934.add(_img_29235451);
var _img_12088248 = new Emp.Image({"id":"_img_12088248","position":"relative","height":"20","width":"40","left":"0","src":"/images/fengshen_woman.png","top":"100"});
_div_7777934.add(_img_12088248);
var fengshenbang_man = new Emp.Panel({"id":"fengshenbang_man","height":"100","overflow":"x","layout":"HBox","hAlign":"left","width":"100%","paddingLeft":"10"});
fengshenbang_man.addEvent('onClick',star_home);
_div_7777934.add(fengshenbang_man);
var fengshenbang_woman = new Emp.Panel({"id":"fengshenbang_woman","height":"100","overflow":"x","layout":"HBox","hAlign":"left","width":"100%","paddingLeft":"10"});
fengshenbang_woman.addEvent('onClick',star_home);
_div_7777934.add(fengshenbang_woman);
_div_29431935.add(_div_7777934);
template1.add(_div_29431935);
var _div_30235935 = new Emp.Panel({"id":"_div_30235935","paddingTop":"8","height":"40","width":"100%"});
var _input_27042624 = new Emp.Label({"id":"_input_27042624","height":"30","value":"招兵买马","fontSize":"18","paddingLeft":"10"});
_div_30235935.add(_input_27042624);
template1.add(_div_30235935);
var fangrp_data = new Emp.Panel({"id":"fangrp_data","height":"190","overflow":"x","width":"100%","paddingLeft":"8"});
template1.add(fangrp_data);
var _div_24684188 = new Emp.Panel({"id":"_div_24684188","height":"40","marginTop":"10","width":"100%"});
var _input_154337 = new Emp.Label({"id":"_input_154337","height":"30","value":"最热饭帖","fontSize":"18","paddingLeft":"10"});
_div_24684188.add(_input_154337);
template1.add(_div_24684188);
var ZR_fan_tie = new Emp.Panel({"id":"ZR_fan_tie","layout":"VBox","width":"100%","paddingLeft":"8"});
template1.add(ZR_fan_tie);
_template_893974.add(template1);








$jsd('/NewBuyApp/src/index_demo.htmlx',66,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});function find_fan() { 
$jsd('/NewBuyApp/src/index_demo.htmlx',67,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_search.html"); 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',69,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function find_star() { 
$jsd('/NewBuyApp/src/index_demo.htmlx',70,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/search/find_star.html"); 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',72,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToShop() { 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',76,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function () { 
$jsd('/NewBuyApp/src/index_demo.htmlx',77,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/index_demo.htmlx',78,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/index_demo.htmlx',79,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/index_demo.htmlx',81,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/index_demo.htmlx',82,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:""}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/index_demo.htmlx',83,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("http://121.40.30.89:8080/NewBuy/mobile/fanAction!getNotLoginData.action"); 
$jsd('/NewBuyApp/src/index_demo.htmlx',85,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/index_demo.htmlx',87,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',89,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var male_json = result.data.star.male; 
$jsd('/NewBuyApp/src/index_demo.htmlx',91,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var female_json = result.data.star.female; 
$jsd('/NewBuyApp/src/index_demo.htmlx',93,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fangrp_json = result.data.fangrp.fanGrpList; 
$jsd('/NewBuyApp/src/index_demo.htmlx',95,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fan_tie_json = result.data.hottopic; 
$jsd('/NewBuyApp/src/index_demo.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < male_json.length; i++) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',98,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fengshenbang_man").add(CreateDiv(i, male_json[i].address, male_json[i].userNm, male_json[i].userId, "male")); 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < female_json.length; i++) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',103,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fengshenbang_woman").add(CreateDiv(i, female_json[i].address, female_json[i].userNm, female_json[i].userId, "female")); 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',107,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < fangrp_json.length; i++) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fangrp_data").add(Create_hengxiang_Div1(i, fangrp_json[i])); 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',112,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < fan_tie_json.length; i++) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("ZR_fan_tie").add(Create_fan_tie_Div1(i, fan_tie_json[i].fanGrpItemType, fan_tie_json[i].fanGrpItemTitle, fan_tie_json[i].replyCnt, fan_tie_json[i].id)); 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fangrp_data").add(Create_hengxiang_more_Div1(result.data.fangrp.fanGrpCount)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.add(template1); 
} else { 
$jsd('/NewBuyApp/src/index_demo.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_more_Div1(cont) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "bottomMore"; 
$jsd('/NewBuyApp/src/index_demo.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, marginLeft:"5", height:"180", marginTop:"10", layout:"VBox", hAlign:"center", vAlign:"middle", width:"144", borderColor:"#f2f2f2", borderWidth:"1", cornerRadius:"12", backgroundColor:"#ffffff"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_more_input("更多饭团")); 
$jsd('/NewBuyApp/src/index_demo.htmlx',148,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_more_input(cont + " ——>")); 
$jsd('/NewBuyApp/src/index_demo.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).addEvent("onClick", find_fan); 
$jsd('/NewBuyApp/src/index_demo.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_hengxiang_more_input(input) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"value":input, }); 
$jsd('/NewBuyApp/src/index_demo.htmlx',158,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div1(i, json) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div1" + json.i; 
$jsd('/NewBuyApp/src/index_demo.htmlx',164,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"190", "layout":"VBox", "fangrpId":json.id, data:json}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2(i, json)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div3(i, json)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).addEvent("onClick", onclickFangrp); 
$jsd('/NewBuyApp/src/index_demo.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function onclickFangrp() { 
$jsd('/NewBuyApp/src/index_demo.htmlx',179,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fangrpId = this.fangrpId; 
if($jsd('/NewBuyApp/src/index_demo.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fangrpId != "" && fangrpId != undefined) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',181,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_grp_detail.html", this.data, false, false); 
} 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',186,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2(i, json) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',187,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2" + json.i; 
$jsd('/NewBuyApp/src/index_demo.htmlx',188,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, marginLeft:"5", marginTop:"10", "height":"180", width:"144", borderColor:"#f2f2f2", "layout":"VBox", borderWidth:"1", cornerRadius:"12", backgroundColor:"#ffffff"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',200,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2_1(i, json)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',201,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2_2(i, json)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',202,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2_3(i, json)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',203,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',207,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2_1(i, json) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',208,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2_1" + json.i; 
$jsd('/NewBuyApp/src/index_demo.htmlx',209,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"30", width:"100%", hAlign:"center", marginTop:"30"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',216,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanGrpName = json.fanGrpName; 
if($jsd('/NewBuyApp/src/index_demo.htmlx',217,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fanGrpName && fanGrpName.length > 8) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpName = fanGrpName.substring(0, 8) + "..."; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createfan_tie_input2(fanGrpName)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',221,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',225,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2_2(i, json) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',226,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2_2" + json.i; 
$jsd('/NewBuyApp/src/index_demo.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"60", width:"100%", hAlign:"center"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_Img(json.fanGrpPhoto)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',238,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_hengxiang_Img(img) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',239,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({width:"60", height:"60", "circleClip":"true", src:img}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',245,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',249,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2_3(i, json) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',250,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2_3" + json.i; 
$jsd('/NewBuyApp/src/index_demo.htmlx',251,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"40", width:"100%", hAlign:"left", vAlign:"middle", marginTop:"10", marginLeft:"5"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div2_3_1(i, json)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',261,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_input2_3_2(json.fanGrpBenefit)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',266,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div2_3_1(i, json) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',267,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div2_3_1" + json.i; 
$jsd('/NewBuyApp/src/index_demo.htmlx',268,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "height":"20", width:"20", borderWidth:"1", borderColor:"#ffca45", hAlign:"center", vAlign:"middle"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',278,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_hengxiang_input2_3_1("福")); 
$jsd('/NewBuyApp/src/index_demo.htmlx',280,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',284,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_hengxiang_input2_3_1(input) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',285,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"color":"#ffca45", "value":input, fontSize:"14"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',290,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',294,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_hengxiang_input2_3_2(input) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',295,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"color":"#999999", marginLeft:"5", fontSize:"15", "value":input}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',301,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',305,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div3(i, json) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',306,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div3" + json.i; 
$jsd('/NewBuyApp/src/index_demo.htmlx',307,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, width:"100%", marginTop:"-190", "height":"30", "layout":"HBox", marginLeft:"10"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',315,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div3_1(i, json)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',316,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_hengxiang_Div3_2(i, json)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',317,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',321,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div3_1(i, json) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',322,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div3_1" + json.i; 
$jsd('/NewBuyApp/src/index_demo.htmlx',323,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, backgroundColor:"#FFCC66", marginLeft:"10", width:"30", height:"25", vAlign:"middle", hAlign:"center", borderWidth:"2", borderColor:"#FFCC66", cornerRadius:"5"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',335,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createfan_tie_input1(json.fanGrpLevel)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',336,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',339,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_hengxiang_Div3_2(i, json) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',340,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div3_2" + json.i; 
$jsd('/NewBuyApp/src/index_demo.htmlx',341,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, marginLeft:"5", backgroundColor:"#FFCC66", width:"60", height:"25", vAlign:"middle", hAlign:"center", borderWidth:"2", borderColor:"#FFCC66", cornerRadius:"5"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',353,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_fan_tie_Img()); 
$jsd('/NewBuyApp/src/index_demo.htmlx',354,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createfan_tie_input1(json.fanGrpMemberCnt)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',355,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',359,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_fan_tie_Img(img) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',360,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({"width":"16", "height":"16", src:img}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',365,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',369,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function CreateDiv(num, img, userNm, userId, sex) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',370,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div" + num; 
$jsd('/NewBuyApp/src/index_demo.htmlx',371,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "width":"80", "height":"100%", "layout":"VBox", "userId":userId}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',378,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createImg(img)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',379,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createValue(userNm)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',380,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).addEvent("onClick", onclickUser); 
$jsd('/NewBuyApp/src/index_demo.htmlx',381,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_star_number(num, sex)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',382,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',386,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_star_number(num, sex) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',387,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div_star_number_" + sex + num; 
$jsd('/NewBuyApp/src/index_demo.htmlx',388,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, backgroundColor:"#FFCC66", position:"relative", top:"50", left:"50", width:"20", height:"20", vAlign:"middle", hAlign:"center", borderWidth:"1", borderColor:"#FFCC66", cornerRadius:"5"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',402,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createstar_num(num + 1)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',403,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',407,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function onclickUser() { 
$jsd('/NewBuyApp/src/index_demo.htmlx',408,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userId = this.userId; 
if($jsd('/NewBuyApp/src/index_demo.htmlx',409,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userId != "" && userId != undefined) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',410,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fan_club.html", userId, false, false); 
} 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',415,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_fan_tie_Div1(i, type, title, num, fantieId) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',416,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "fan_tie_div1" + i; 
$jsd('/NewBuyApp/src/index_demo.htmlx',417,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "width":"100%", "height":"-2", "vAlign":"middle", "hAlign":"center", "marginRight":"10", "marginBottom":"10", "fantieId":fantieId, topicType:type}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',428,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_fan_tie_Div2(i, type, title, num)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',429,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).addEvent("onClick", onclickFantie); 
$jsd('/NewBuyApp/src/index_demo.htmlx',430,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',434,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function onclickFantie() { 
$jsd('/NewBuyApp/src/index_demo.htmlx',435,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fantieId = this.fantieId; 
if($jsd('/NewBuyApp/src/index_demo.htmlx',436,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fantieId != "" && fantieId != undefined) { 
if($jsd('/NewBuyApp/src/index_demo.htmlx',437,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.topicType == "2" || this.topicType == "3") { 
$jsd('/NewBuyApp/src/index_demo.htmlx',438,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_video.html", {topicId:fantieId, fanGrpItemType:this.topicType}, false, false); 
} else { 
if($jsd('/NewBuyApp/src/index_demo.htmlx',439,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.topicType == "4") { 
$jsd('/NewBuyApp/src/index_demo.htmlx',440,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_ticket_demo.html", {topicId:fantieId, fanGrpItemType:this.topicType}, false, false); 
} else { 
if($jsd('/NewBuyApp/src/index_demo.htmlx',442,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.topicType == "5") { 
$jsd('/NewBuyApp/src/index_demo.htmlx',443,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_huodong_demo.html", {topicId:fantieId, fanGrpItemType:this.topicType}, false, false); 
} else { 
if($jsd('/NewBuyApp/src/index_demo.htmlx',445,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.topicType == "6") { 
} else { 
if($jsd('/NewBuyApp/src/index_demo.htmlx',447,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.topicType == "1") { 
$jsd('/NewBuyApp/src/index_demo.htmlx',448,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_book.html", {topicId:fantieId, fanGrpItemType:this.topicType, fanGrpId:"4"}, false, false); 
} else { 
$jsd('/NewBuyApp/src/index_demo.htmlx',450,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_book.html", {topicId:fantieId, fanGrpItemType:this.topicType, fanGrpId:"4"}, false, false); 
} 
} 
} 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',456,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_fan_tie_Div2(i, type, title, num) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',457,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "fan_tie_div2" + i; 
$jsd('/NewBuyApp/src/index_demo.htmlx',458,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "width":"330", "height":"-2", "vAlign":"middle", "layout":"VBox", "borderColor":"#f2f2f2", "borderWidth":"1", "backgroundColor":"#fcfcfc", "cornerRadius":"10"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',469,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_fan_tie_Div3(i, type, title, num)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',470,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',474,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_fan_tie_Div3(i, type, title, num) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',475,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "fan_tie_div3" + i; 
$jsd('/NewBuyApp/src/index_demo.htmlx',476,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "marginTop":"15", "marginLeft":"10", "width":"100%", "height":"40", "layout":"HBox"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',485,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_fan_tie_Div4(i, type, title, num)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',486,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_fan_tie_Div5(i, type, title, num)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',487,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(Create_fan_tie_Div6(i, type, title, num)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',489,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',493,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_fan_tie_Div4(i, type, title, num) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',494,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "fan_tie_div4" + i; 
$jsd('/NewBuyApp/src/index_demo.htmlx',495,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "width":"30", "height":"25", "cornerRadius":"5", "fontSize":"12", "vAlign":"middle", "hAlign":"center"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',504,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_fan_tie_type_img(type)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',505,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',509,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_fan_tie_Div5(i, type, title, num) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',510,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "fan_tie_div5" + i; 
$jsd('/NewBuyApp/src/index_demo.htmlx',511,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "marginLeft":"10", "width":"100%", "height":"30", "vAlign":"middle", "singleLine":"true"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',519,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createfan_tie_input2(title)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',520,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',524,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_fan_tie_Div6(i, type, title, num) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',525,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "fan_tie_div6" + i; 
$jsd('/NewBuyApp/src/index_demo.htmlx',526,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "marginLeft":"10", "marginRight":"10", "width":"30", "height":"25", "borderColor":"#eeeeee", "borderWidth":"1", "cornerRadius":"5", "backgroundColor":"#eeeeee", "vAlign":"middle", "hAlign":"center", "fontSize":"10"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',540,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createfan_tie_input1(num)); 
$jsd('/NewBuyApp/src/index_demo.htmlx',541,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',545,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createImg(img) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',546,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({width:"70", height:"70", "circleClip":"true", src:img, hAlign:"center"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',553,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',556,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_fan_tie_type_img(type) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',557,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img; 
if($jsd('/NewBuyApp/src/index_demo.htmlx',558,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "0") { 
$jsd('/NewBuyApp/src/index_demo.htmlx',560,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img = "/images/wenzi.png"; 
} else { 
if($jsd('/NewBuyApp/src/index_demo.htmlx',561,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "1") { 
$jsd('/NewBuyApp/src/index_demo.htmlx',563,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img = "/images/tupian.png"; 
} else { 
if($jsd('/NewBuyApp/src/index_demo.htmlx',564,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "2") { 
$jsd('/NewBuyApp/src/index_demo.htmlx',566,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img = "/images/shiping.png"; 
} else { 
if($jsd('/NewBuyApp/src/index_demo.htmlx',567,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "3") { 
$jsd('/NewBuyApp/src/index_demo.htmlx',569,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img = "/images/yinyue.png"; 
} else { 
if($jsd('/NewBuyApp/src/index_demo.htmlx',570,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "4") { 
$jsd('/NewBuyApp/src/index_demo.htmlx',572,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img = "/images/toupiao.png"; 
} else { 
if($jsd('/NewBuyApp/src/index_demo.htmlx',573,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "5") { 
$jsd('/NewBuyApp/src/index_demo.htmlx',575,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img = "/icon_128/iconfont-event.png"; 
} 
} 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',577,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({"width":"25", "height":"25", src:img}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',582,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',585,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_fan_tie_Img() { 
$jsd('/NewBuyApp/src/index_demo.htmlx',586,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({"width":"16", "height":"16", src:"/fan_club/u50.png"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',591,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',595,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createValue(input) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',596,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"width":"70", "fontSize":"14", "color":"#999999", "vAlign":"middle", "hAlign":"center", "height":"30", "value":input, "onClick":"showName", "hAlign":"center"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',607,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',611,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createstar_num(input) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',612,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"color":"#ffffff", "value":input, fontSize:"12"}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',617,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',621,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createfan_tie_input1(input) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',622,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"color":"#ffffff", "value":input}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',626,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',630,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createfan_tie_input2(input) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',631,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"fontSize":"16", "value":input}); 
$jsd('/NewBuyApp/src/index_demo.htmlx',635,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',639,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function go_back() { 
$jsd('/NewBuyApp/src/index_demo.htmlx',640,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack(); 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',642,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function login() { 
$jsd('/NewBuyApp/src/index_demo.htmlx',643,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack(); 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',647,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function my_info_login() { 
$jsd('/NewBuyApp/src/index_demo.htmlx',648,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/index_demo.htmlx',649,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/index_demo.htmlx',650,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/index_demo.htmlx',651,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/index_demo.htmlx',652,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/index_demo.htmlx',658,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/index_demo.htmlx',659,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',660,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/index_demo.htmlx',661,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/index_demo.htmlx',662,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/index_demo.htmlx',663,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_tie.html"); 
} else { 
$jsd('/NewBuyApp/src/index_demo.htmlx',665,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
} else { 
$jsd('/NewBuyApp/src/index_demo.htmlx',668,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',671,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',676,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function star_home() { 
$jsd('/NewBuyApp/src/index_demo.htmlx',677,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_club.html"); 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',680,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function fan_tie() { 
$jsd('/NewBuyApp/src/index_demo.htmlx',681,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_tie.html"); 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',685,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToTips() { 
$jsd('/NewBuyApp/src/index_demo.htmlx',686,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/index_demo.htmlx',687,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/index_demo.htmlx',688,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/index_demo.htmlx',689,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/index_demo.htmlx',690,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/index_demo.htmlx',696,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/index_demo.htmlx',697,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',698,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/index_demo.htmlx',699,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/index_demo.htmlx',700,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/index_demo.htmlx',701,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/message.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/index_demo.htmlx',703,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
} else { 
$jsd('/NewBuyApp/src/index_demo.htmlx',706,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',709,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',713,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToShop() { 
$jsd('/NewBuyApp/src/index_demo.htmlx',714,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/index_demo.htmlx',715,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/index_demo.htmlx',716,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/index_demo.htmlx',717,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/index_demo.htmlx',718,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/index_demo.htmlx',724,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/index_demo.htmlx',725,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',726,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/index_demo.htmlx',727,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/index_demo.htmlx',728,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/index_demo.htmlx',729,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/coupon/coupon_home.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/index_demo.htmlx',731,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
} else { 
$jsd('/NewBuyApp/src/index_demo.htmlx',734,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',737,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/index_demo.htmlx',742,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gotoPageLoggedin() { 
$jsd('/NewBuyApp/src/index_demo.htmlx',743,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/index_demo.htmlx',744,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/index_demo.htmlx',745,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/index_demo.htmlx',746,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/index_demo.htmlx',747,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/index_demo.htmlx',753,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/index_demo.htmlx',754,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',755,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/index_demo.htmlx',756,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/index_demo.htmlx',757,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/index_demo.htmlx',758,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/mainpage_loggedin.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/index_demo.htmlx',760,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
} else { 
$jsd('/NewBuyApp/src/index_demo.htmlx',763,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/index_demo.htmlx',766,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
 
Emp.page.render();
