var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_18956442');
$M.includeFile("/commons/listview_common.html");
var _div_1600819 = new Emp.Panel({"id":"_div_1600819","height":"100%","hAlign":"center","layout":"VBox","width":"100%"});
var _div_27878043 = new Emp.Panel({"id":"_div_27878043","height":"44","vAlign":"middle","marginLeft":"10","width":"350","top":"0"});
var _div_25751447 = new Emp.Panel({"id":"_div_25751447","height":"44","marginLeft":"100","vAlign":"middle","layout":"VBox","hAlign":"center","width":"50"});
var _img_19515448 = new Emp.Image({"id":"_img_19515448","height":"25","width":"40","src":"/icon_128/iconfont-fantown-menu.png"});
_div_25751447.add(_img_19515448);
var _input_1569767 = new Emp.Label({"id":"_input_1569767","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"饭团","fontSize":"8"});
_div_25751447.add(_input_1569767);
_div_27878043.add(_div_25751447);
var _div_9290691 = new Emp.Panel({"id":"_div_9290691","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
_div_9290691.addEvent('onClick',goToHome);
var _img_31648462 = new Emp.Image({"id":"_img_31648462","height":"25","width":"25","src":"/homeImg/discover_u49.png"});
_div_9290691.add(_img_31648462);
var _input_10856572 = new Emp.Label({"id":"_input_10856572","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"发现","fontSize":"8"});
_div_9290691.add(_input_10856572);
_div_27878043.add(_div_9290691);
var _div_30967308 = new Emp.Panel({"id":"_div_30967308","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
_div_30967308.addEvent('onClick',goToTips);
var _img_4758662 = new Emp.Image({"id":"_img_4758662","height":"25","width":"25","src":"/homeImg/massage_u47.png"});
_div_30967308.add(_img_4758662);
var _input_18621340 = new Emp.Label({"id":"_input_18621340","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"消息","fontSize":"8"});
_div_30967308.add(_input_18621340);
_div_27878043.add(_div_30967308);
var _div_6681877 = new Emp.Panel({"id":"_div_6681877","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
_div_6681877.addEvent('onClick',goToShop);
var _img_29184147 = new Emp.Image({"id":"_img_29184147","height":"25","width":"25","src":"/homeImg/shop_u55.png"});
_div_6681877.add(_img_29184147);
var _input_32828414 = new Emp.Label({"id":"_input_32828414","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"集市","fontSize":"8"});
_div_6681877.add(_input_32828414);
_div_27878043.add(_div_6681877);
var _div_11633443 = new Emp.Panel({"id":"_div_11633443","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
_div_11633443.addEvent('onClick',my_info);
var _img_1606055 = new Emp.Image({"id":"_img_1606055","height":"25","width":"25","src":"/homeImg/me_u45.png"});
_div_11633443.add(_img_1606055);
var _input_15203332 = new Emp.Label({"id":"_input_15203332","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"我","fontSize":"8"});
_div_11633443.add(_input_15203332);
_div_27878043.add(_div_11633443);
_div_1600819.add(_div_27878043);
var _div_5404251 = new Emp.Panel({"id":"_div_5404251","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
_div_1600819.add(_div_5404251);
var _div_30965162 = new Emp.Panel({"id":"_div_30965162","height":"5","backgroundColor":"#f0f0f0","layout":"VBox","width":"100%"});
_div_1600819.add(_div_30965162);
var _div_2239232 = new Emp.Panel({"id":"_div_2239232","height":"-2","backgroundColor":"#f0f0f0","width":"100%","paddingBottom":"5"});
var _div_20253969 = new Emp.Panel({"id":"_div_20253969","borderColor":"#ffffff","height":"60","backgroundColor":"#ffffff","vAlign":"middle","marginLeft":"5","borderWidth":"1px","hAlign":"center","layout":"VBox","marginRight":"5","width":"100%","cornerRadius":"8"});
_div_20253969.addEvent('onClick',findFanGrp);
var _input_32307599 = new Emp.Label({"id":"_input_32307599","color":"#cccccc","value":"+","fontSize":"40"});
_div_20253969.add(_input_32307599);
_div_2239232.add(_div_20253969);
_div_1600819.add(_div_2239232);
var _template_16008263 = new Emp.Panel({"id":"_template_16008263"});
_template_16008263.__isTemplate=true;
var template1 = new Emp.Panel({"id":"template1","height":"80","backgroundColor":"#f0f0f0","vAlign":"middle","layout":"VBox","hAlign":"center","width":"100%"});
var _div_19466781 = new Emp.Panel({"borderColor":"#ffffff","marginLeft":"5","vAlign":"middle","backgroundColor":"#ffffff","tag":"fanDetail","width":"100%","marginRight":"5","cornerRadius":"8","paddingLeft":"10","id":"_div_19466781","height":"100%","borderWidth":"1px","layout":"VBox"});
var _div_22483772 = new Emp.Panel({"id":"_div_22483772","height":"100%","vAlign":"middle","width":"100%"});
var _input_28304255 = new Emp.Label({"id":"_input_28304255","tag":"fanId","display":"false"});
_div_22483772.add(_input_28304255);
var _div_8444935 = new Emp.Panel({"id":"_div_8444935","height":"100%","vAlign":"middle","width":"60"});
var _img_32339662 = new Emp.Image({"id":"_img_32339662","height":"50","tag":"fanGrpPhoto","width":"50","src":"","circleClip":"true"});
_div_8444935.add(_img_32339662);
_div_22483772.add(_div_8444935);
var _div_18013890 = new Emp.Panel({"id":"_div_18013890","height":"60","vAlign":"middle","layout":"VBox","width":"200"});
var _div_31367806 = new Emp.Panel({"id":"_div_31367806","height":"30","vAlign":"middle","width":"100%"});
var _input_25036373 = new Emp.Label({"id":"_input_25036373","color":"#333333","tag":"fanGrpName","value":"","fontSize":"14"});
_div_31367806.add(_input_25036373);
_div_18013890.add(_div_31367806);
var _div_13756532 = new Emp.Panel({"id":"_div_13756532","height":"30","vAlign":"middle","width":"100%"});
var _div_16000102 = new Emp.Panel({"id":"_div_16000102","borderColor":"#FF9999","height":"16","vAlign":"middle","backgroundColor":"#FF9999","borderWidth":"1","hAlign":"center","width":"30","cornerRadius":"2"});
var _input_8512673 = new Emp.Label({"id":"_input_8512673","color":"#FFFFFF","tag":"fanGrpLevel","value":"","display":"false","fontSize":"12"});
_div_16000102.add(_input_8512673);
var _input_29951561 = new Emp.Label({"id":"_input_29951561","color":"#FFFFFF","tag":"currentUserLevel","value":"","fontSize":"12"});
_div_16000102.add(_input_29951561);
_div_13756532.add(_div_16000102);
var _div_12307339 = new Emp.Panel({"id":"_div_12307339","height":"16","marginLeft":"3","vAlign":"middle","hAlign":"center","width":"16"});
var fanGrpTuanzhang = new Emp.Image({"id":"fanGrpTuanzhang","height":"16","tag":"fanGrpTuanzhang","width":"16","src":""});
_div_12307339.add(fanGrpTuanzhang);
_div_13756532.add(_div_12307339);
_div_18013890.add(_div_13756532);
_div_22483772.add(_div_18013890);
var _div_1548732 = new Emp.Panel({"id":"_div_1548732","borderColor":"#FFCC00","height":"18","vAlign":"middle","backgroundColor":"#FFCC00","borderWidth":"1","hAlign":"center","width":"50","cornerRadius":"9"});
var _input_24863915 = new Emp.Label({"id":"_input_24863915","height":"18","color":"#FFFFFF","tag":"updatedTopicCnt","hAlign":"center","width":"100%","value":"","fontSize":"12"});
_div_1548732.add(_input_24863915);
_div_22483772.add(_div_1548732);
_div_19466781.add(_div_22483772);
template1.add(_div_19466781);
var _div_927935 = new Emp.Panel({"id":"_div_927935","height":"5","backgroundColor":"#f0f0f0","width":"100%"});
template1.add(_div_927935);
_template_16008263.add(template1);
var _div_26563123 = new Emp.Panel({"id":"_div_26563123","height":"100%","backgroundColor":"#f0f0f0","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","enablePullUp":"true","width":"100%","enablePullDown":"true"});
_div_26563123.add(listview);
_div_1600819.add(_div_26563123);
Emp.page.add(_div_1600819);
var guideDiv = new Emp.Panel({"id":"guideDiv","position":"relative","height":"100%","backgroundColor":"#ffffff","width":"100%","left":"0","display":"false","top":"0"});
var _div_21082475 = new Emp.Panel({"id":"_div_21082475","height":"100%","hAlign":"center","layout":"VBox","width":"100%"});
var _div_31926283 = new Emp.Panel({"id":"_div_31926283","height":"60","vAlign":"middle","marginLeft":"10","width":"350","top":"0"});
var img_index = new Emp.Image({"id":"img_index","height":"45","marginLeft":"100","width":"45","src":"/images/logo.png"});
_div_31926283.add(img_index);
var img_discover = new Emp.Image({"id":"img_discover","height":"30","marginLeft":"20","width":"30","src":"/homeImg/discover_u49.png"});
_div_31926283.add(img_discover);
var img_message = new Emp.Image({"id":"img_message","height":"30","marginLeft":"20","width":"30","src":"/homeImg/massage_u47.png"});
_div_31926283.add(img_message);
var img_shop = new Emp.Image({"id":"img_shop","height":"30","marginLeft":"20","width":"30","src":"/homeImg/shop_u55.png"});
_div_31926283.add(img_shop);
var img_me = new Emp.Image({"id":"img_me","height":"30","marginLeft":"20","width":"30","src":"/homeImg/me_u45.png"});
_div_31926283.add(img_me);
_div_21082475.add(_div_31926283);
var _div_13799666 = new Emp.Panel({"id":"_div_13799666","height":"1","backgroundColor":"#CCCCCC","marginTop":"5","borderWidth":"0","width":"100%"});
_div_21082475.add(_div_13799666);
var _div_2756525 = new Emp.Panel({"id":"_div_2756525","height":"10","backgroundColor":"#f0f0f0","layout":"VBox","width":"100%"});
_div_21082475.add(_div_2756525);
var _div_23801900 = new Emp.Panel({"id":"_div_23801900","height":"100%","backgroundColor":"#f0f0f0","width":"100%","paddingBottom":"10"});
var _div_2595970 = new Emp.Panel({"id":"_div_2595970","borderColor":"#f2f2f2","height":"60","backgroundColor":"#ffffff","vAlign":"middle","marginLeft":"10","borderWidth":"1px","hAlign":"center","layout":"VBox","marginRight":"10","width":"100%","cornerRadius":"10"});
var _input_9708048 = new Emp.Label({"id":"_input_9708048","color":"#cccccc","value":"+","fontSize":"40"});
_div_2595970.add(_input_9708048);
_div_23801900.add(_div_2595970);
_div_21082475.add(_div_23801900);
guideDiv.add(_div_21082475);
var show = new Emp.Panel({"id":"show","position":"relative","height":"100%","backgroundColor":"#000000","hAlign":"right","width":"100%","opacity":"0.6","left":"0","top":"0"});
guideDiv.add(show);
var show = new Emp.Panel({"id":"show","position":"relative","height":"100%","hAlign":"center","width":"100%","left":"0","top":"0"});
var showimg = new Emp.Image({"id":"showimg","height":"201","marginLeft":"50","marginTop":"13","width":"280","src":"/yindao/yindao-01.png"});
showimg.addEvent('onClick',next1);
show.add(showimg);
guideDiv.add(show);
Emp.page.add(guideDiv);










$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var newbuyVersion = "1.0"; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
if($jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',112,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (newbuy_config && newbuy_config.firstloadVersion != newbuyVersion) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delete newbuy_config.firstloadVersion; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); newbuy_config.firstloadVersion = newbuyVersion; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',115,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.put("newbuy_config", newbuy_config); 
} 
if($jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (newbuy_config && newbuy_config.firstloadmainpage != "done") { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); guideDiv.setDisplay(true); 
} 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var page = 1; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplate(template1); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newsScroller = new Emp.ListView.PrimetonerScroller({"modelId":this.modelId}); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setScroller(newsScroller); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (userId) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); onloadFun(); 
}); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function onloadFun() { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',134,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',137,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!getFanUserInfo.action"); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',140,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = page + 1; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',143,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); json = result.data.fanGrpList; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(getItems(json)); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',146,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',148,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',156,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onLoadMore", function (type) { 
if($jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullDown") { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',158,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); onloadFun(); 
} 
if($jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullUp") { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var pageJ = {}; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pageJ.name = "fanGrp.requiredPage"; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',164,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pageJ.value = page; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',166,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',167,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([pageJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanGrpAction!getUserFanGrp.action"); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',175,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',176,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.length > 0) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = page + 1; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',179,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); json = result.data; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.appendItems(getItems(json)); 
} 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); scroll_template_label.setValue("加载更多"); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',184,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',186,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
}); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',193,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpTuanzhang.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',195,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getItems(json) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',196,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var items = []; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',197,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < json.length; i++) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',198,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var temp = {}; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',199,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanGrpLevel = json[i].fanGrpLevel; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',200,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.currentUserLevel = json[i].currentUserLevel; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',201,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.updatedTopicCnt = "更新" + json[i].updatedTopicCnt; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',202,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanGrpName = json[i].fanGrpName; 
if($jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',203,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (json[i].isCreator == "0") { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',204,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanGrpTuanzhang = ""; 
} else { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',206,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanGrpTuanzhang = "/images/tuanzhang.png"; 
} 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',208,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanGrpPhoto = json[i].fanGrpPhoto; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',209,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.num = "更新" + json[i].num; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanId = json[i].id; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',211,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); items.push(temp); 
} 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',213,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return items; 
} 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onItemClick", function (row, tag, data) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_group.html", {fanId:data.fanId}, false, false); 
}); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',225,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function my_info() { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',226,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',235,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',236,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',237,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',238,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_tie.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',240,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',243,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',246,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',250,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToShop() { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',251,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',252,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',258,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',259,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',261,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',263,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/coupon/coupon_home.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',265,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',268,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',271,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',276,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToTips() { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',277,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',278,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',284,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',285,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',286,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',287,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',288,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',289,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/message.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',291,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',294,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',297,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',302,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToHome() { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',303,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", null, true, false); 
} 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',307,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gotoPageLoggedin() { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',308,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/mainpage_loggedin.html", null, true, false); 
} 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',312,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onBack", function (param) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',313,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',314,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',320,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',321,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',322,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',323,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',324,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
} else { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',326,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", {}, true); 
} 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',330,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',334,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function findFanGrp() { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',335,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_search.html", null, false, false); 
} 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',339,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function next1() { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',340,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); show.removeAll(); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',341,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({src:"/yindao/yindao-02.png", width:"280", height:"187", marginTop:"10"}); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',342,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img.addEvent("onClick", next2); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',343,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); show.add(img); 
} 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',347,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function next2() { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',348,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); show.removeAll(); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',349,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({src:"/yindao/yindao-03.png", width:"350", height:"120", marginTop:"75"}); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',350,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img.addEvent("onClick", next3); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',351,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); show.add(img); 
} 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',355,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function next3() { 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',356,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delete newbuy_config.firstloadmainpage; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',357,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); newbuy_config.firstloadmainpage = "done"; 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',358,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.put("newbuy_config", newbuy_config); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',359,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); guideDiv.removeAll(); 
$jsd('/NewBuyApp/src/mainpage_loggedin.htmlx',360,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); guideDiv.setDisplay(false); 
} 
 
Emp.page.render();
