var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_9571810');
$M.includeFile("/commons/listview_common.html");
var _div_13465049 = new Emp.Panel({"id":"_div_13465049","height":"44","vAlign":"middle","marginLeft":"10","width":"350","top":"0"});
var _div_16005259 = new Emp.Panel({"id":"_div_16005259","height":"44","marginLeft":"100","vAlign":"middle","layout":"VBox","hAlign":"center","width":"50"});
_div_16005259.addEvent('onClick',gotoPageLoggedin);
var _img_28070417 = new Emp.Image({"id":"_img_28070417","height":"25","width":"32","src":"/icon_128/iconfont-fantown-menu-1.png"});
_div_16005259.add(_img_28070417);
var _input_4194535 = new Emp.Label({"id":"_input_4194535","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"饭团","fontSize":"8"});
_div_16005259.add(_input_4194535);
_div_13465049.add(_div_16005259);
var _div_33246516 = new Emp.Panel({"id":"_div_33246516","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
_div_33246516.addEvent('onClick',goToHome);
var _img_25809027 = new Emp.Image({"id":"_img_25809027","height":"25","width":"25","src":"/homeImg/discover_u49.png"});
_div_33246516.add(_img_25809027);
var _input_14180567 = new Emp.Label({"id":"_input_14180567","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"发现","fontSize":"8"});
_div_33246516.add(_input_14180567);
_div_13465049.add(_div_33246516);
var _div_29213615 = new Emp.Panel({"id":"_div_29213615","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
_div_29213615.addEvent('onClick',goToTips);
var _img_24794791 = new Emp.Image({"id":"_img_24794791","height":"25","width":"25","src":"/homeImg/massage_u47_select.png"});
_div_29213615.add(_img_24794791);
var _input_13568350 = new Emp.Label({"id":"_input_13568350","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"消息","fontSize":"8"});
_div_29213615.add(_input_13568350);
_div_13465049.add(_div_29213615);
var _div_7353652 = new Emp.Panel({"id":"_div_7353652","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
_div_7353652.addEvent('onClick',goToShop);
var _img_11871659 = new Emp.Image({"id":"_img_11871659","height":"25","width":"25","src":"/homeImg/shop_u55.png"});
_div_7353652.add(_img_11871659);
var _input_12328637 = new Emp.Label({"id":"_input_12328637","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"集市","fontSize":"8"});
_div_7353652.add(_input_12328637);
_div_13465049.add(_div_7353652);
var _div_8791383 = new Emp.Panel({"id":"_div_8791383","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
_div_8791383.addEvent('onClick',my_info);
var _img_16615568 = new Emp.Image({"id":"_img_16615568","height":"25","width":"25","src":"/homeImg/me_u45.png"});
_div_8791383.add(_img_16615568);
var _input_17878381 = new Emp.Label({"id":"_input_17878381","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"我","fontSize":"8"});
_div_8791383.add(_input_17878381);
_div_13465049.add(_div_8791383);
Emp.page.add(_div_13465049);
var _div_2014198 = new Emp.Panel({"id":"_div_2014198","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_2014198);
var _div_29762284 = new Emp.Panel({"id":"_div_29762284","height":"100%","backgroundColor":"#ffffff","layout":"VBox","width":"100%"});
var _div_18804565 = new Emp.Panel({"id":"_div_18804565","height":"32","vAlign":"middle","hAlign":"center","width":"360"});
var tongzhiDiv = new Emp.Panel({"id":"tongzhiDiv","height":"32","vAlign":"middle","layout":"VBox","hAlign":"center","width":"180"});
var _div_10020314 = new Emp.Panel({"id":"_div_10020314","height":"30","vAlign":"middle","hAlign":"center","width":"100%"});
var _input_1725369 = new Emp.Label({"id":"_input_1725369","color":"#999999","value":"通知","fontSize":"14"});
_div_10020314.add(_input_1725369);
tongzhiDiv.add(_div_10020314);
var tongzhiLine = new Emp.Panel({"id":"tongzhiLine","height":"3","width":"80","backgroundImage":"/images/u25_line.png"});
tongzhiDiv.add(tongzhiLine);
_div_18804565.add(tongzhiDiv);
var huiyinDiv = new Emp.Panel({"id":"huiyinDiv","height":"32","vAlign":"middle","layout":"VBox","hAlign":"center","width":"180"});
var _div_10137523 = new Emp.Panel({"id":"_div_10137523","height":"30","vAlign":"middle","hAlign":"center","width":"100%"});
var _input_25508643 = new Emp.Label({"id":"_input_25508643","color":"#999999","value":"回应","fontSize":"14"});
_div_10137523.add(_input_25508643);
huiyinDiv.add(_div_10137523);
var huiyinLine = new Emp.Panel({"id":"huiyinLine","height":"3","visibility":"false","width":"80","backgroundImage":"/images/u25_line.png"});
huiyinDiv.add(huiyinLine);
_div_18804565.add(huiyinDiv);
_div_29762284.add(_div_18804565);
var _template_9092916 = new Emp.Panel({"id":"_template_9092916"});
_template_9092916.__isTemplate=true;
var template1 = new Emp.Panel({"id":"template1","height":"65","backgroundColor":"#f0f0f0","vAlign":"middle","layout":"VBox","hAlign":"center","width":"100%"});
var _div_23818465 = new Emp.Panel({"id":"_div_23818465","height":"5","backgroundColor":"#f0f0f0","width":"100%"});
template1.add(_div_23818465);
var _div_12580024 = new Emp.Panel({"id":"_div_12580024","height":"60","borderColor":"#ffffff","backgroundColor":"#ffffff","vAlign":"middle","marginLeft":"5","borderWidth":"1px","marginRight":"5","layout":"VBox","width":"100%","cornerRadius":"8"});
var _div_5988222 = new Emp.Panel({"id":"_div_5988222","height":"60","marginLeft":"10","vAlign":"middle","width":"100%"});
var _img_14310359 = new Emp.Image({"id":"_img_14310359","height":"35","tag":"address","width":"35","src":"","circleClip":"true"});
_div_5988222.add(_img_14310359);
var _div_29603599 = new Emp.Panel({"id":"_div_29603599","height":"100%","marginLeft":"10","vAlign":"middle","hAlign":"left","layout":"VBox","width":"100%"});
var _div_2575655 = new Emp.Panel({"id":"_div_2575655","height":"20","vAlign":"middle","hAlign":"left","width":"100%"});
var _div_3827354 = new Emp.Panel({"id":"_div_3827354","height":"20","vAlign":"middle","hAlign":"left","width":"100%"});
var _input_20730606 = new Emp.Label({"id":"_input_20730606","color":"#999999","tag":"userName","value":"","fontSize":"14"});
_div_3827354.add(_input_20730606);
_div_2575655.add(_div_3827354);
var _div_29267718 = new Emp.Panel({"id":"_div_29267718","height":"20","vAlign":"middle","marginRight":"10","hAlign":"right","width":"100%"});
var _input_28895338 = new Emp.Label({"id":"_input_28895338","color":"#CCCCCC","tag":"sendTime","value":"","fontSize":"10"});
_div_29267718.add(_input_28895338);
_div_2575655.add(_div_29267718);
_div_29603599.add(_div_2575655);
var _div_29679045 = new Emp.Panel({"id":"_div_29679045","height":"15","vAlign":"middle","hAlign":"left","width":"100%"});
var _input_240632 = new Emp.Label({"id":"_input_240632","color":"#ffcc00","tag":"messageContent_start","value":"","fontSize":"12"});
_div_29679045.add(_input_240632);
var _input_27261885 = new Emp.Label({"id":"_input_27261885","color":"#999999","tag":"messageContent","value":"","fontSize":"12"});
_div_29679045.add(_input_27261885);
_div_29603599.add(_div_29679045);
_div_5988222.add(_div_29603599);
_div_12580024.add(_div_5988222);
template1.add(_div_12580024);
_template_9092916.add(template1);
var _div_8938369 = new Emp.Panel({"id":"_div_8938369","height":"100%","backgroundColor":"#f0f0f0","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","enablePullUp":"true","width":"100%"});
_div_8938369.add(listview);
_div_29762284.add(_div_8938369);
Emp.page.add(_div_29762284);










$jsd('/NewBuyApp/src/message.htmlx',83,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});/* $M.page.addEvent('onMsgReceive',function(type,args){  
		log("b:" + type + args);   
	}); */page = 1; 
$jsd('/NewBuyApp/src/message.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tongzhiDiv.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/message.htmlx',87,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); huiyinLine.setVisibility(false); 
$jsd('/NewBuyApp/src/message.htmlx',88,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tongzhiLine.setVisibility(true); 
$jsd('/NewBuyApp/src/message.htmlx',89,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); search("1"); 
}); 
$jsd('/NewBuyApp/src/message.htmlx',92,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); huiyinDiv.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/message.htmlx',93,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); huiyinLine.setVisibility(true); 
$jsd('/NewBuyApp/src/message.htmlx',94,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tongzhiLine.setVisibility(false); 
$jsd('/NewBuyApp/src/message.htmlx',95,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); search("2"); 
}); 
$jsd('/NewBuyApp/src/message.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplate(template1); 
$jsd('/NewBuyApp/src/message.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newsScroller = new Emp.ListView.PrimetonerScroller({"modelId":this.modelId}); 
$jsd('/NewBuyApp/src/message.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setScroller(newsScroller); 
$jsd('/NewBuyApp/src/message.htmlx',105,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function () { 
$jsd('/NewBuyApp/src/message.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); search("1"); 
}); 
$jsd('/NewBuyApp/src/message.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function search(type) { 
$jsd('/NewBuyApp/src/message.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var typeJ = {}; 
$jsd('/NewBuyApp/src/message.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); typeJ.name = "messageInfo.messageType"; 
$jsd('/NewBuyApp/src/message.htmlx',112,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); typeJ.value = type; 
$jsd('/NewBuyApp/src/message.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/message.htmlx',115,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/message.htmlx',116,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/message.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/message.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([typeJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/message.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/messageAction!getMessageList.action"); 
$jsd('/NewBuyApp/src/message.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/message.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/message.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/message.htmlx',126,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = 2; 
if($jsd('/NewBuyApp/src/message.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data && result.data.length > 0) { 
$jsd('/NewBuyApp/src/message.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < result.data.length; i++) { 
$jsd('/NewBuyApp/src/message.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var content = result.data[i].messageContent; 
if($jsd('/NewBuyApp/src/message.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (content && content.indexOf("赞") == 0) { 
$jsd('/NewBuyApp/src/message.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.data[i].messageContent = content.substring(1); 
$jsd('/NewBuyApp/src/message.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.data[i].messageContent_start = "赞"; 
} else { 
if($jsd('/NewBuyApp/src/message.htmlx',134,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (content && content.indexOf("赏") == 0) { 
$jsd('/NewBuyApp/src/message.htmlx',135,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.data[i].messageContent = content.substring(1); 
$jsd('/NewBuyApp/src/message.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.data[i].messageContent_start = "赏"; 
} else { 
if($jsd('/NewBuyApp/src/message.htmlx',137,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (content && content.indexOf("参与") == 0) { 
$jsd('/NewBuyApp/src/message.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.data[i].messageContent = content.substring(2); 
$jsd('/NewBuyApp/src/message.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result.data[i].messageContent_start = "参与"; 
} 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/message.htmlx',144,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(result.data); 
$jsd('/NewBuyApp/src/message.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
$jsd('/NewBuyApp/src/message.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/message.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/message.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onLoadMore", function (type) { 
if($jsd('/NewBuyApp/src/message.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullDown") { 
} 
if($jsd('/NewBuyApp/src/message.htmlx',158,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullUp") { 
$jsd('/NewBuyApp/src/message.htmlx',161,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var typeJ = {}; 
$jsd('/NewBuyApp/src/message.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); typeJ.name = "messageInfo.messageType"; 
if($jsd('/NewBuyApp/src/message.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tongzhiLine.getVisibility()) { 
$jsd('/NewBuyApp/src/message.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); typeJ.value = "1"; 
} else { 
$jsd('/NewBuyApp/src/message.htmlx',168,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); typeJ.value = "2"; 
} 
$jsd('/NewBuyApp/src/message.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var pageJ = {}; 
$jsd('/NewBuyApp/src/message.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pageJ.name = "messageInfo.requiredPage"; 
$jsd('/NewBuyApp/src/message.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pageJ.value = page; 
$jsd('/NewBuyApp/src/message.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/message.htmlx',175,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/message.htmlx',176,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/message.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/message.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([pageJ, typeJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/message.htmlx',181,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/messageAction!getMessageList.action"); 
$jsd('/NewBuyApp/src/message.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/message.htmlx',184,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/message.htmlx',185,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/message.htmlx',186,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.length > 0) { 
$jsd('/NewBuyApp/src/message.htmlx',187,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = page + 1; 
$jsd('/NewBuyApp/src/message.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.appendItems(result.data); 
$jsd('/NewBuyApp/src/message.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} 
$jsd('/NewBuyApp/src/message.htmlx',193,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); scroll_template_label.setValue("加载更多"); 
} else { 
$jsd('/NewBuyApp/src/message.htmlx',195,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/message.htmlx',198,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
}); 
$jsd('/NewBuyApp/src/message.htmlx',202,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function my_info() { 
$jsd('/NewBuyApp/src/message.htmlx',203,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/message.htmlx',204,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/message.htmlx',205,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/message.htmlx',206,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/message.htmlx',207,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/message.htmlx',213,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/message.htmlx',214,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/message.htmlx',215,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/message.htmlx',216,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/message.htmlx',217,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/message.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_tie.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/message.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/message.htmlx',223,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/message.htmlx',226,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/message.htmlx',230,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToShop() { 
$jsd('/NewBuyApp/src/message.htmlx',231,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/message.htmlx',232,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/message.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/message.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/message.htmlx',235,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/message.htmlx',241,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/message.htmlx',242,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/message.htmlx',243,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/message.htmlx',244,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/message.htmlx',245,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/message.htmlx',246,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/coupon/coupon_home.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/message.htmlx',248,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/message.htmlx',251,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/message.htmlx',254,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/message.htmlx',259,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToTips() { 
$jsd('/NewBuyApp/src/message.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/message.html", null, true, false); 
} 
$jsd('/NewBuyApp/src/message.htmlx',263,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToHome() { 
$jsd('/NewBuyApp/src/message.htmlx',264,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", null, true, false); 
} 
$jsd('/NewBuyApp/src/message.htmlx',267,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gotoPageLoggedin() { 
$jsd('/NewBuyApp/src/message.htmlx',268,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/message.htmlx',269,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/message.htmlx',270,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/message.htmlx',271,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/message.htmlx',272,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/message.htmlx',278,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/message.htmlx',279,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/message.htmlx',280,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/message.htmlx',281,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/message.htmlx',282,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/message.htmlx',283,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/mainpage_loggedin.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/message.htmlx',285,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/message.htmlx',288,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/message.htmlx',291,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
 
Emp.page.render();
