var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_30823829');
$M.includeFile("/commons/listview_common.html");
var _div_9234090 = new Emp.Panel({"id":"_div_9234090","height":"44","vAlign":"middle","marginLeft":"10","width":"350","top":"0"});
var _div_8105853 = new Emp.Panel({"id":"_div_8105853","height":"44","marginLeft":"100","vAlign":"middle","layout":"VBox","hAlign":"center","width":"50"});
_div_8105853.addEvent('onClick',gotoPageLoggedin);
var _img_4087230 = new Emp.Image({"id":"_img_4087230","height":"25","width":"40","src":"/icon_128/iconfont-fantown-menu-1.png"});
_div_8105853.add(_img_4087230);
var _input_8168882 = new Emp.Label({"id":"_input_8168882","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"饭团","fontSize":"8"});
_div_8105853.add(_input_8168882);
_div_9234090.add(_div_8105853);
var _div_23224828 = new Emp.Panel({"id":"_div_23224828","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
_div_23224828.addEvent('onClick',goToHome);
var _img_986113 = new Emp.Image({"id":"_img_986113","height":"25","width":"25","src":"/homeImg/discover_u49.png"});
_div_23224828.add(_img_986113);
var _input_31267798 = new Emp.Label({"id":"_input_31267798","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"发现","fontSize":"8"});
_div_23224828.add(_input_31267798);
_div_9234090.add(_div_23224828);
var _div_21927718 = new Emp.Panel({"id":"_div_21927718","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
_div_21927718.addEvent('onClick',goToTips);
var _img_10842021 = new Emp.Image({"id":"_img_10842021","height":"25","width":"25","src":"/homeImg/massage_u47.png"});
_div_21927718.add(_img_10842021);
var _input_21292038 = new Emp.Label({"id":"_input_21292038","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"消息","fontSize":"8"});
_div_21927718.add(_input_21292038);
_div_9234090.add(_div_21927718);
var _div_30833902 = new Emp.Panel({"id":"_div_30833902","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
var _img_10758841 = new Emp.Image({"id":"_img_10758841","height":"25","width":"25","src":"/homeImg/shop_u55_selected.png"});
_div_30833902.add(_img_10758841);
var _input_32565619 = new Emp.Label({"id":"_input_32565619","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"集市","fontSize":"8"});
_div_30833902.add(_input_32565619);
_div_9234090.add(_div_30833902);
var _div_24027627 = new Emp.Panel({"id":"_div_24027627","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
_div_24027627.addEvent('onClick',my_info);
var _img_4741208 = new Emp.Image({"id":"_img_4741208","height":"25","width":"25","src":"/homeImg/me_u45.png"});
_div_24027627.add(_img_4741208);
var _input_27267365 = new Emp.Label({"id":"_input_27267365","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"我","fontSize":"8"});
_div_24027627.add(_input_27267365);
_div_9234090.add(_div_24027627);
Emp.page.add(_div_9234090);
var _div_29727782 = new Emp.Panel({"id":"_div_29727782","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_29727782);
var _div_9350856 = new Emp.Panel({"id":"_div_9350856","paddingTop":"0","height":"100%","backgroundColor":"#f0f0f0","hAlign":"center","layout":"VBox","width":"100%"});
var _div_24436010 = new Emp.Panel({"id":"_div_24436010","height":"80","vAlign":"middle","hAlign":"center","width":"100%","backgroundImage":"/icon_128/banner.png"});
var _input_23342507 = new Emp.Label({"id":"_input_23342507","value":""});
_div_24436010.add(_input_23342507);
_div_9350856.add(_div_24436010);
var _div_32653970 = new Emp.Panel({"borderColor":"#ffffff","marginLeft":"5","marginTop":"10","vAlign":"middle","backgroundColor":"#ffffff","width":"100%","marginRight":"5","hAlign":"center","cornerRadius":"5","id":"_div_32653970","height":"50","borderWidth":"1px","layout":"HBox"});
var _div_32555229 = new Emp.Panel({"id":"_div_32555229","vAlign":"middle","hAlign":"center","width":"169","layout":"HBox"});
var _input_17181622 = new Emp.Label({"id":"_input_17181622","color":"#999999","value":"我的饭票 ","fontSize":"16"});
_div_32555229.add(_input_17181622);
var myPoints = new Emp.Label({"id":"myPoints","color":"#FFCC00","value":"","fontSize":"16"});
_div_32555229.add(myPoints);
_div_32653970.add(_div_32555229);
var _div_13009625 = new Emp.Panel({"id":"_div_13009625","height":"100%","backgroundColor":"#eeeeee","width":"0.25"});
_div_32653970.add(_div_13009625);
var _div_12095917 = new Emp.Panel({"id":"_div_12095917","vAlign":"middle","hAlign":"center","width":"169","layout":"HBox"});
_div_12095917.addEvent('onClick',my_coupon);
var _input_23342763 = new Emp.Label({"id":"_input_23342763","color":"#999999","value":"我的优惠券 ","fontSize":"16"});
_div_12095917.add(_input_23342763);
var myCoupons = new Emp.Label({"id":"myCoupons","color":"#FFCC00","value":"","fontSize":"16"});
_div_12095917.add(myCoupons);
_div_32653970.add(_div_12095917);
_div_9350856.add(_div_32653970);
var _template_2811134 = new Emp.Panel({"id":"_template_2811134"});
_template_2811134.__isTemplate=true;
var template1 = new Emp.Panel({"id":"template1","height":"100%","backgroundColor":"#f0f0f0","vAlign":"middle","layout":"VBox","width":"100%"});
var _div_490112 = new Emp.Panel({"id":"_div_490112","height":"5","backgroundColor":"#f0f0f0","width":"100%"});
template1.add(_div_490112);
var _div_16484951 = new Emp.Panel({"id":"_div_16484951","height":"80","borderColor":"#ffffff","marginLeft":"5","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","hAlign":"center","layout":"VBox","marginRight":"5","width":"100%","cornerRadius":"8"});
var _div_3632076 = new Emp.Panel({"id":"_div_3632076","height":"60","vAlign":"middle","layout":"HBox","width":"100%"});
var _div_8803208 = new Emp.Panel({"id":"_div_8803208","height":"60","marginLeft":"15","vAlign":"middle","layout":"VBox","width":"100%"});
var _input_14028075 = new Emp.Label({"id":"_input_14028075","color":"#333333","tag":"couponsName","value":"","maxWidth":"200","fontSize":"14","singleLine":"false"});
_div_8803208.add(_input_14028075);
var _div_16420028 = new Emp.Panel({"id":"_div_16420028"});
var _input_19776662 = new Emp.Label({"id":"_input_19776662","tag":"couponsId","value":"","display":"false"});
_div_16420028.add(_input_19776662);
var _input_29719933 = new Emp.Label({"id":"_input_29719933","color":"#CCCCCC","tag":"points","width":"100%","value":"","fontSize":"14"});
_div_16420028.add(_input_29719933);
var _input_11641775 = new Emp.Label({"id":"_input_11641775","height":"20","color":"#CCCCCC","width":"100%","value":"饭票","fontSize":"14"});
_div_16420028.add(_input_11641775);
_div_8803208.add(_div_16420028);
_div_3632076.add(_div_8803208);
var _div_7420837 = new Emp.Panel({"id":"_div_7420837","borderColor":"#FFCC00","height":"40","backgroundColor":"#FFCC00","vAlign":"middle","borderWidth":"1px","tag":"click","marginRight":"10","layout":"VBox","hAlign":"center","width":"80","cornerRadius":"5"});
var _input_186399 = new Emp.Label({"id":"_input_186399","color":"#FFFFFF","value":"立即兑换","fontSize":"14"});
_div_7420837.add(_input_186399);
_div_3632076.add(_div_7420837);
_div_16484951.add(_div_3632076);
template1.add(_div_16484951);
_template_2811134.add(template1);
var _div_12248707 = new Emp.Panel({"id":"_div_12248707","height":"100%","backgroundColor":"#f0f0f0","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","width":"100%"});
_div_12248707.add(listview);
_div_9350856.add(_div_12248707);
Emp.page.add(_div_9350856);
var dialog = new Emp.CustomDialog({"id":"dialog"});
var _div_10245409 = new Emp.Panel({"id":"_div_10245409","borderColor":"#f2f2f2","height":"200","backgroundColor":"#fafafa","vAlign":"middle","borderWidth":"1px","layout":"VBox","width":"300","cornerRadius":"5"});
var _div_26802227 = new Emp.Panel({"id":"_div_26802227","height":"70","vAlign":"middle","marginTop":"5","hAlign":"center","width":"100%","layout":"VBox"});
var confirmMsg = new Emp.Label({"id":"confirmMsg","value":""});
_div_26802227.add(confirmMsg);
_div_10245409.add(_div_26802227);
var _div_32219894 = new Emp.Panel({"id":"_div_32219894","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_18338245 = new Emp.Panel({"id":"_div_18338245","borderColor":"#f2f2f2","height":"50","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","hAlign":"center","width":"120","cornerRadius":"10"});
_div_18338245.addEvent('onClick',close);
var _input_13433816 = new Emp.Label({"id":"_input_13433816","value":"返回"});
_div_18338245.add(_input_13433816);
_div_32219894.add(_div_18338245);
var _div_27940514 = new Emp.Panel({"id":"_div_27940514","width":"10"});
_div_32219894.add(_div_27940514);
var _div_1946590 = new Emp.Panel({"id":"_div_1946590","borderColor":"#f2f2f2","height":"50","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","hAlign":"center","width":"120","cornerRadius":"10"});
_div_1946590.addEvent('onClick',exchange);
var _input_776924 = new Emp.Label({"id":"_input_776924","value":"确定"});
_div_1946590.add(_input_776924);
_div_32219894.add(_div_1946590);
_div_10245409.add(_div_32219894);
dialog.setView(_div_10245409);











$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var couponsDetailIdChange; 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',100,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var needPoints; 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var page = 1; 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var exchangeId_cur = null; 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',103,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setOnclickTags(["click"]); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',104,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onItemClick", function (row, tag, data) { 
if($jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',105,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "click") { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',107,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); needPoints = data.points; 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
if($jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (parseInt(result.data.points) >= parseInt(needPoints)) { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); couponsDetailIdChange = data.couponsId; 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); confirmMsg.setValue("确定使用" + data.points + "饭票兑换？"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',126,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.show(); 
} else { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',129,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.close(); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("你的饭票不够哎~"); 
} 
} else { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',144,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/coupon/coupon_info.html", {couponsId:data.couponsId}, false, false); 
} 
}); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplate(template1); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function () { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',156,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',159,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',161,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/marketAction!getAllCoupons.action"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',164,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = page + 1; 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',167,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); myPoints.setValue(result.data.points); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',169,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); myCoupons.setValue(result.data.couponCnt); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(result.data.couponList); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
})/*listview.addEvent("onLoadMore",function(type){  
		if(type == 'pullDown'){//更新最新的数据  
			  
		}  
		if(type == 'pullUp'){//加载更多的数据  
			//提交  
			var pageJ = {};  
			pageJ.name = "fanTopic.requiredPage";  
			pageJ.value = page;  
			var ajax = new $M.Ajax();  
			ajax.addParams([pageJ,{name:"mobileImei", value:Utils.getImei()},{name:"mobileType", value:Utils.getOs()},{name:"mobileToken", value:Utils.getMessageToken()}]);  
			ajax.setAction("/mobile/marketAction!getAllCoupons.action");  
			ajax.submit(function(result) {  
				result = Utils.stringToJson(result);  
				if (result.success) {  
					if(result.data.couponList != null && result.data.couponList.length >0){  
						page = page + 1;  
						// 添加饭团区域的more数据  
						listview.appendItems(result.data.couponList);  
						listview.reloadData();  
					}  
					//重新设置按钮文字  
					scroll_template_label.setValue("加载更多");  
				}else{  
					toast("获取数据失败！")  
				}  
			}, function(error) {  
				toast("网络菌罢工了！")  
			});		  
		}  
	});  
	*/ 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',215,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function exchange() { 
if($jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',217,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (exchangeId_cur && exchangeId_cur != "") { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.close(); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("已经兑换过了~"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',223,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',224,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',225,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',226,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}, {name:"couponInfo.couponsId", value:couponsDetailIdChange}, {name:"couponInfo.points", value:needPoints}]); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',235,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/marketAction!couponExchange.action"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',236,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',237,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',238,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.close(); 
if($jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',239,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',240,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); myPoints.setValue(parseInt(myPoints.getValue()) - parseInt(needPoints)); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',241,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); myCoupons.setValue(parseInt(myCoupons.getValue()) + 1); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',242,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("兑换成功~"); 
} else { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',244,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast(result.errorMsg); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',247,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',251,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function close() { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',252,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.close(); 
} 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',255,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',256,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function my_coupon() { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',261,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/coupon/my_coupon.html", {}, true); 
} 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',265,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function active_info() { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',266,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/coupon/coupon_action.html"); 
} 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',269,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function my_info() { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',270,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',271,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',272,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',273,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',274,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',280,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',281,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',282,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',283,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',284,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',285,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_tie.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',287,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',290,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',293,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',298,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToTips() { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',299,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',300,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',301,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',302,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',303,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',309,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',310,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',311,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',312,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',313,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',314,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/message.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',316,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',319,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',322,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',326,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToHome() { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',327,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", null, true, false); 
} 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',330,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gotoPageLoggedin() { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',331,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',332,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',333,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',334,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',335,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',341,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',342,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',343,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',344,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',345,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',346,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/mainpage_loggedin.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',348,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',351,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/coupon/coupon_home.htmlx',354,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
 
Emp.page.render();
