var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_5530596');
var _div_6962455 = new Emp.Panel({"id":"_div_6962455","height":"44","width":"100%"});
var _div_6661252 = new Emp.Panel({"id":"_div_6661252","height":"44","vAlign":"middle","width":"100%"});
_div_6661252.addEvent('onClick',goBack);
var _img_1533830 = new Emp.Image({"id":"_img_1533830","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_6661252.add(_img_1533830);
var _div_6862692 = new Emp.Panel({"id":"_div_6862692","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var _input_9510422 = new Emp.Label({"id":"_input_9510422","color":"#999999","value":" 优惠券详情","fontSize":"16"});
_div_6862692.add(_input_9510422);
_div_6661252.add(_div_6862692);
var _div_7031344 = new Emp.Panel({"id":"_div_7031344","height":"100%","vAlign":"middle","hAlign":"right","width":"100%","paddingRight":"10"});
_div_6661252.add(_div_7031344);
_div_6962455.add(_div_6661252);
Emp.page.add(_div_6962455);
var _div_28945946 = new Emp.Panel({"id":"_div_28945946","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_28945946);
var fan_name = new Emp.Panel({"id":"fan_name","paddingTop":"0","height":"100%","marginLeft":"20","hAlign":"center","marginRight":"20","layout":"VBox","width":"100%","paddingBottom":"0"});
var _div_22668173 = new Emp.Panel({"id":"_div_22668173","height":"50","vAlign":"middle","hAlign":"center","layout":"HBox","width":"100%"});
var couponsDetailId = new Emp.Label({"id":"couponsDetailId","height":"40","value":"","fontSize":"25"});
_div_22668173.add(couponsDetailId);
var couponsName = new Emp.Label({"id":"couponsName","height":"50","value":"","fontSize":"18"});
_div_22668173.add(couponsName);
fan_name.add(_div_22668173);
var _div_25463610 = new Emp.Panel({"id":"_div_25463610","marginBottom":"10","height":"20","vAlign":"middle","hAlign":"left","layout":"HBox","width":"100%"});
var _input_13677457 = new Emp.Label({"id":"_input_13677457","height":"20","value":"花费饭票：","fontSize":"14"});
_div_25463610.add(_input_13677457);
var points = new Emp.Label({"id":"points","height":"20","value":"","fontSize":"14"});
_div_25463610.add(points);
fan_name.add(_div_25463610);
var _div_6996495 = new Emp.Panel({"id":"_div_6996495","marginBottom":"10","paddingTop":"0","layout":"HBox","width":"100%"});
var memo = new Emp.Label({"id":"memo","width":"100%","value":"","maxWidth":"290","fontSize":"14","singleLine":"false"});
_div_6996495.add(memo);
fan_name.add(_div_6996495);
var _div_19589228 = new Emp.Panel({"id":"_div_19589228","marginBottom":"10","height":"20","vAlign":"middle","hAlign":"left","layout":"HBox","width":"100%"});
var startEnd = new Emp.Label({"id":"startEnd","height":"20","width":"100%","value":"","fontSize":"14"});
_div_19589228.add(startEnd);
fan_name.add(_div_19589228);
var _div_12526314 = new Emp.Panel({"id":"_div_12526314","vAlign":"middle","hAlign":"left","layout":"HBox","width":"100%"});
var issuserMemo = new Emp.Label({"id":"issuserMemo","width":"100%","value":"","maxWidth":"290","fontSize":"14","singleLine":"false"});
_div_12526314.add(issuserMemo);
fan_name.add(_div_12526314);
var _div_10132795 = new Emp.Panel({"id":"_div_10132795","vAlign":"top","hAlign":"left","layout":"HBox","width":"100%"});
var linkUrl = new Emp.Label({"id":"linkUrl","height":"20","color":"#ffc600","width":"100%","value":"","display":"false","fontSize":"14"});
_div_10132795.add(linkUrl);
var exchangeId = new Emp.Label({"id":"exchangeId","display":"false"});
_div_10132795.add(exchangeId);
var couponsId = new Emp.Label({"id":"couponsId","display":"false"});
_div_10132795.add(couponsId);
fan_name.add(_div_10132795);
Emp.page.add(fan_name);
var _div_18408514 = new Emp.Panel({"id":"_div_18408514","paddingTop":"0","height":"65","vAlign":"middle","hAlign":"center","width":"100%"});
var exchangebtn = new Emp.Panel({"id":"exchangebtn","borderColor":"#ffcc00","height":"50","backgroundColor":"#ffcc00","borderWidth":"1","width":"320","cornerRadius":"8"});
var _input_12119603 = new Emp.Label({"id":"_input_12119603","height":"100%","color":"#ffffff","vAlign":"middle","width":"100%","hAlign":"center","value":"立即兑换","fontSize":"18"});
_input_12119603.addEvent('onClick',doIt);
exchangebtn.add(_input_12119603);
_div_18408514.add(exchangebtn);
var exchangedbtn = new Emp.Panel({"id":"exchangedbtn","borderColor":"#cccccc","height":"50","backgroundColor":"#cccccc","borderWidth":"1","width":"320","cornerRadius":"8","display":"false"});
var _input_16924366 = new Emp.Label({"id":"_input_16924366","height":"100%","color":"#ffffff","vAlign":"middle","width":"100%","hAlign":"center","value":"兑换成功","fontSize":"18"});
exchangedbtn.add(_input_16924366);
_div_18408514.add(exchangedbtn);
Emp.page.add(_div_18408514);
var dialog = new Emp.CustomDialog({"id":"dialog"});
var _div_29941731 = new Emp.Panel({"id":"_div_29941731","borderColor":"#f2f2f2","height":"200","backgroundColor":"#fafafa","vAlign":"middle","borderWidth":"1px","layout":"VBox","width":"300","cornerRadius":"5"});
var _div_14871153 = new Emp.Panel({"id":"_div_14871153","height":"70","vAlign":"middle","marginTop":"5","hAlign":"center","width":"100%","layout":"VBox"});
var confirmMsg = new Emp.Label({"id":"confirmMsg","value":""});
_div_14871153.add(confirmMsg);
_div_29941731.add(_div_14871153);
var _div_30556216 = new Emp.Panel({"id":"_div_30556216","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_7744730 = new Emp.Panel({"id":"_div_7744730","borderColor":"#f2f2f2","height":"50","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","hAlign":"center","width":"120","cornerRadius":"10"});
_div_7744730.addEvent('onClick',close);
var _input_28405918 = new Emp.Label({"id":"_input_28405918","value":"返回"});
_div_7744730.add(_input_28405918);
_div_30556216.add(_div_7744730);
var _div_20549131 = new Emp.Panel({"id":"_div_20549131","width":"10"});
_div_30556216.add(_div_20549131);
var _div_9429848 = new Emp.Panel({"id":"_div_9429848","borderColor":"#f2f2f2","height":"50","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","hAlign":"center","width":"120","cornerRadius":"10"});
_div_9429848.addEvent('onClick',exchange);
var _input_14446336 = new Emp.Label({"id":"_input_14446336","value":"确定"});
_div_9429848.add(_input_14446336);
_div_30556216.add(_div_9429848);
_div_29941731.add(_div_30556216);
dialog.setView(_div_29941731);





$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',74,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var from; 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',76,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',77,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var deatilIdJ = {}; 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',78,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); deatilIdJ.name = "couponInfo.couponsId"; 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',79,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); deatilIdJ.value = params.couponsId; 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',80,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); couponsId.setValue(params.couponsId); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',82,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',83,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',84,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',87,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([deatilIdJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',88,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/marketAction!getCouponDetail.action"); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',89,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',90,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',91,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',92,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null) { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',93,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); exchangeId.setValue(result.data.exchangeId); 
if($jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',94,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.exchangeId && result.data.exchangeId != "") { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',95,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); exchangedbtn.setDisplay(true); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',96,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); exchangebtn.setDisplay(false); 
} 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',98,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); couponsName.setValue(result.data.couponsName); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); issuserMemo.setValue(result.data.issuserMemo); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',100,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); memo.setValue("说明：" + result.data.demo); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); startEnd.setValue("优惠券有效期：" + result.data.validDate); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); linkUrl.setValue(result.data.linkUrl); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',103,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); points.setValue(result.data.points); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',104,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); confirmMsg.setValue("确定使用" + result.data.points + "饭票兑换？"); 
} else { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("优惠券不存在"); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',107,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); goBack(); 
} 
} else { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function exchange() { 
if($jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (exchangeId.getValue() != "") { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.close(); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("已经兑换过了~"); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); exchangedbtn.setDisplay(true); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); exchangebtn.setDisplay(false); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',126,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',129,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',137,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',140,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.close(); 
if($jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
if($jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',143,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (parseInt(result.data.points) >= parseInt(points.getValue())) { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',144,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); doExchange(); 
} else { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',146,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("你的饭票不够哎~"); 
} 
} else { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',152,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',158,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function doIt() { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',159,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.show(); 
} 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function close() { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.close(); 
} 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',166,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',167,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function doExchange() { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',175,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}, {name:"couponInfo.couponsId", value:couponsId.getValue()}, {name:"couponInfo.points", value:points.getValue()}]); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',184,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/marketAction!couponExchange.action"); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',185,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',186,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',187,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',188,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("兑换成功~"); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); exchangedbtn.setDisplay(true); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); exchangebtn.setDisplay(false); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); exchangeId.setValue("succ"); 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',192,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/coupon/my_coupon.html", {}, true); 
} else { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',194,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast(result.errorMsg); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/coupon/coupon_info.htmlx',197,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
 
Emp.page.render();
