var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_13974215');
$M.includeFile("/commons/listview_common.html");

var _div_17177015 = new Emp.Panel({"id":"_div_17177015","height":"44","vAlign":"middle","width":"100%"});
var _div_25314319 = new Emp.Panel({"id":"_div_25314319","height":"44","vAlign":"middle","width":"100%"});
_div_25314319.addEvent('onClick',goBack);
var _img_21117616 = new Emp.Image({"id":"_img_21117616","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_25314319.add(_img_21117616);
var _div_18547639 = new Emp.Panel({"id":"_div_18547639","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var fan_name_title = new Emp.Label({"id":"fan_name_title","color":"#999999","value":" 我的优惠券","fontSize":"16"});
_div_18547639.add(fan_name_title);
_div_25314319.add(_div_18547639);
var _div_7482521 = new Emp.Panel({"id":"_div_7482521","height":"100%","vAlign":"middle","hAlign":"right","width":"100%","paddingRight":"10"});
_div_25314319.add(_div_7482521);
_div_17177015.add(_div_25314319);
Emp.page.add(_div_17177015);
var _div_30274851 = new Emp.Panel({"id":"_div_30274851","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_30274851);
var _div_10030690 = new Emp.Panel({"id":"_div_10030690","height":"100%","layout":"VBox","width":"100%"});
var _template_8346055 = new Emp.Panel({"id":"_template_8346055"});
_template_8346055.__isTemplate=true;
var template1 = new Emp.Panel({"id":"template1","height":"-2","backgroundColor":"#f0f0f0","vAlign":"middle","layout":"VBox","hAlign":"center","width":"100%"});
var _div_27587636 = new Emp.Panel({"id":"_div_27587636","height":"5","width":"100%"});
template1.add(_div_27587636);
var _div_10260243 = new Emp.Panel({"id":"_div_10260243","paddingTop":"10","height":"-2","borderColor":"#ffffff","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","layout":"VBox","width":"350","cornerRadius":"8","paddingBottom":"10"});
var _div_7681809 = new Emp.Panel({"id":"_div_7681809","height":"-2","layout":"HBox","width":"100%"});
var _div_24277937 = new Emp.Panel({"id":"_div_24277937","height":"-2","layout":"VBox","width":"100%"});
var _input_17401056 = new Emp.Label({"id":"_input_17401056","height":"-2","marginLeft":"10","color":"#333333","tag":"couponsName","width":"100%","value":"","fontSize":"14"});
_div_24277937.add(_input_17401056);
var _div_32687629 = new Emp.Panel({"id":"_div_32687629","paddingTop":"5","layout":"HBox","paddingBottom":"5"});
var _input_27821467 = new Emp.Label({"id":"_input_27821467","height":"-2","color":"#CCCCCC","tag":"exchangeTime","width":"100%","value":"2015-04-17","fontSize":"14","paddingLeft":"10"});
_div_32687629.add(_input_27821467);
var _input_14400610 = new Emp.Label({"id":"_input_14400610","height":"20","color":"#CCCCCC","width":"100%","value":"成功兑换","fontSize":"14","paddingLeft":"10"});
_div_32687629.add(_input_14400610);
_div_24277937.add(_div_32687629);
var _input_2938568 = new Emp.Label({"id":"_input_2938568","height":"20","color":"#ffc600","tag":"linkUrl","width":"100%","value":"","display":"false","fontSize":"14","paddingLeft":"10"});
_div_24277937.add(_input_2938568);
_div_7681809.add(_div_24277937);
_div_10260243.add(_div_7681809);
var _div_29950542 = new Emp.Panel({"id":"_div_29950542","height":"-2","marginLeft":"10","vAlign":"middle","marginRight":"10","layout":"HBox","hAlign":"center","width":"100%"});
var _div_28736225 = new Emp.Panel({"id":"_div_28736225","borderColor":"#f2f2f2","height":"100%","borderWidth":"1","width":"100%"});
var _input_20810568 = new Emp.Label({"id":"_input_20810568","height":"40","backgroundColor":"#ffffff","color":"#333333","hAlign":"center","width":"50","value":"券码","fontSize":"14"});
_div_28736225.add(_input_20810568);
var _input_25376529 = new Emp.Text({"id":"_input_25376529","height":"40","backgroundColor":"#ffffff","color":"#CCCCCC","tag":"couponsCode","width":"200","fontSize":"14"});
_div_28736225.add(_input_25376529);
var _div_26506299 = new Emp.Panel({"id":"_div_26506299","tag":"copy"});
var _input_22743237 = new Emp.Label({"id":"_input_22743237","height":"40","color":"#ffffff","backgroundColor":"#ffc600","vAlign":"middle","hAlign":"center","width":"80","value":"复制券码","fontSize":"14"});
_div_26506299.add(_input_22743237);
_div_28736225.add(_div_26506299);
_div_29950542.add(_div_28736225);
_div_10260243.add(_div_29950542);
template1.add(_div_10260243);
_template_8346055.add(template1);
var _div_27052413 = new Emp.Panel({"id":"_div_27052413","height":"100%","backgroundColor":"#f0f0f0","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","width":"100%"});


_div_27052413.add(listview);
_div_10030690.add(_div_27052413);
Emp.page.add(_div_10030690);
var dialog = new Emp.CustomDialog({"id":"dialog"});

var _div_22541629 = new Emp.Panel({"id":"_div_22541629","borderColor":"#f2f2f2","height":"150","backgroundColor":"#fafafa","vAlign":"middle","borderWidth":"1px","layout":"VBox","width":"280","cornerRadius":"5"});
var _div_27637255 = new Emp.Panel({"id":"_div_27637255","height":"70","vAlign":"middle","marginTop":"5","hAlign":"center","width":"100%","layout":"VBox"});
var _input_5359107 = new Emp.Label({"id":"_input_5359107","marginBottom":"10","value":"复制成功！"});
_div_27637255.add(_input_5359107);
var _input_10417215 = new Emp.Label({"id":"_input_10417215","value":"是否去牛掰网使用优惠券？"});
_div_27637255.add(_input_10417215);
var couponurl = new Emp.Text({"id":"couponurl","value":"","display":"false"});
_div_27637255.add(couponurl);
_div_22541629.add(_div_27637255);
var _div_4980709 = new Emp.Panel({"id":"_div_4980709","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_26035924 = new Emp.Panel({"id":"_div_26035924","borderColor":"#f2f2f2","height":"50","backgroundColor":"#f2f2f2","vAlign":"middle","borderWidth":"1px","hAlign":"center","width":"120","cornerRadius":"10"});
_div_26035924.addEvent('onClick',close);
var _input_2434512 = new Emp.Label({"id":"_input_2434512","value":"返回"});
_div_26035924.add(_input_2434512);
_div_4980709.add(_div_26035924);
var _div_14004513 = new Emp.Panel({"id":"_div_14004513","width":"10"});
_div_4980709.add(_div_14004513);
var _div_23069830 = new Emp.Panel({"id":"_div_23069830","borderColor":"#f2f2f2","height":"50","backgroundColor":"#f2f2f2","vAlign":"middle","borderWidth":"1px","hAlign":"center","width":"120","cornerRadius":"10"});
_div_23069830.addEvent('onClick',useNow);
var _input_13171230 = new Emp.Label({"id":"_input_13171230","value":"立刻用券"});
_div_23069830.add(_input_13171230);
_div_4980709.add(_div_23069830);
_div_22541629.add(_div_4980709);
dialog.setView(_div_22541629);







$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',81,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var page = 1; 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',82,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function close() { 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',83,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.close(); 
} 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function useNow() { 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',87,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.browser(couponurl.getValue()); 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',88,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.close(); 
} 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',90,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setOnclickTags(["copy"]); 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',91,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onItemClick", function (row, tag, data) { 
if($jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',92,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "copy") { 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',94,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.copyToClipboard(data.couponsCode); 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',95,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); couponurl.setValue(data.linkUrl); 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',96,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.show(); 
} else { 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/coupon/coupon_info.html", {couponsId:data.couponsId}, false, false); 
} 
}); 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',103,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplate(template1); 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',105,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newsScroller = new Emp.ListView.PrimetonerScroller({"modelId":this.modelId}); 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setScroller(newsScroller); 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function () { 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',115,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/marketAction!getMyCoupons.action"); 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',116,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = page + 1; 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(result.data); 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',161,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /*listview.addEvent("onLoadMore",function(type){  
		if(type == 'pullDown'){//更新最新的数据  
			  
		}  
		if(type == 'pullUp'){//加载更多的数据  
			//提交  
			var pageJ = {};  
			pageJ.name = "fanTopic.requiredPage";  
			pageJ.value = page;  
			var ajax = new $M.Ajax();  
			ajax.addParams([pageJ,{name:"mobileImei", value:Utils.getImei()},{name:"mobileType", value:Utils.getOs()},{name:"mobileToken", value:Utils.getMessageToken()}]);  
			ajax.setAction("/mobile/marketAction!getMyCoupons.action");  
			ajax.submit(function(result) {  
				result = Utils.stringToJson(result);  
				if (result.success) {  
					if(result.data != null && result.data.length >0){  
						page = page + 1;  
						// 添加饭团区域的more数据  
						listview.appendItems(result.data);  
						listview.reloadData();  
					}  
					//重新设置按钮文字  
					scroll_template_label.setValue("加载更多");  
				}else{  
					toast("获取数据失败！")  
				}  
			}, function(error) {  
				toast("网络菌罢工了！")  
			});		  
		}  
	});*/ 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); getItems(json) { 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',164,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < json.length; i++) { 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); json[i].time_status = json[i].time + "  " + json[i].status; 
} 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',167,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return json; 
} 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/coupon/my_coupon.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/coupon/coupon_home.html", null, true, false); 
} 
 
Emp.page.render();
