var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_20866647');
var _div_28383216 = new Emp.Panel({"id":"_div_28383216","height":"44","width":"100%","top":"0"});
var _div_26920665 = new Emp.Panel({"id":"_div_26920665","height":"44","vAlign":"middle","width":"100%"});
_div_26920665.addEvent('onClick',go_back);
var _img_7666544 = new Emp.Image({"id":"_img_7666544","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_26920665.add(_img_7666544);
var _div_2597480 = new Emp.Panel({"id":"_div_2597480","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var fan_name_title = new Emp.Label({"id":"fan_name_title","color":"#999999","value":"创建饭团","fontSize":"16"});
_div_2597480.add(fan_name_title);
_div_26920665.add(_div_2597480);
var _div_8138371 = new Emp.Panel({"id":"_div_8138371","height":"100%","vAlign":"middle","hAlign":"right","width":"100%","paddingRight":"10"});
_div_26920665.add(_div_8138371);
_div_28383216.add(_div_26920665);
Emp.page.add(_div_28383216);
var _div_13749233 = new Emp.Panel({"id":"_div_13749233","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_13749233);
var star_name = new Emp.Panel({"id":"star_name","paddingTop":"0","height":"100%","backgroundColor":"#f2f2f2","layout":"VBox","width":"100%","paddingBottom":"0"});
var _div_17827778 = new Emp.Panel({"id":"_div_17827778","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var starName = new Emp.Panel({"id":"starName","height":"30","layout":"HBox","width":"310"});
var _input_13777217 = new Emp.Label({"id":"_input_13777217","height":"30","width":"100%","value":"是哪个明星的饭团？可关联多个明星","fontSize":"18","paddingLeft":"10"});
starName.add(_input_13777217);
_div_17827778.add(starName);
var _div_15595497 = new Emp.Panel({"id":"_div_15595497","height":"62","layout":"HBox","width":"100%","paddingLeft":"30"});
var _div_10221556 = new Emp.Panel({"id":"_div_10221556","borderColor":"#f2f2f2","height":"60","vAlign":"middle","borderWidth":"1","layout":"HBox","width":"310"});
var gx_star_name = new Emp.Text({"id":"gx_star_name","height":"60","backgroundColor":"#ffffff","vAlign":"middle","width":"250","emptyText":"明星名"});
_div_10221556.add(gx_star_name);
var _div_8815793 = new Emp.Panel({"id":"_div_8815793","height":"60","backgroundColor":"#f2f2f2","width":"1"});
_div_10221556.add(_div_8815793);
var _input_33348549 = new Emp.Label({"id":"_input_33348549","height":"60","vAlign":"middle","backgroundColor":"#ffffff","color":"#999999","hAlign":"center","width":"60","value":"+","fontSize":"35"});
_input_33348549.addEvent('onClick',showStar);
_div_10221556.add(_input_33348549);
_div_15595497.add(_div_10221556);
_div_17827778.add(_div_15595497);
var point1 = new Emp.Panel({"id":"point1","height":"50","layout":"HBox","width":"100%"});
var _input_688347 = new Emp.Label({"id":"_input_688347","height":"60","color":"#CCCCCC","width":"100%","value":"准确填写明星名字，才能找到趣味相投的小伙伴","fontSize":"15","paddingLeft":"30","paddingRight":"30"});
point1.add(_input_688347);
_div_17827778.add(point1);
var point2 = new Emp.Panel({"id":"point2","height":"50","layout":"HBox","width":"100%","display":"false"});
var _input_26079725 = new Emp.Label({"id":"_input_26079725","height":"60","color":"#CCCCCC","width":"100%","value":"长按标签可删除","fontSize":"15","paddingLeft":"30","paddingRight":"30"});
point2.add(_input_26079725);
_div_17827778.add(point2);
var starName_title = new Emp.Panel({"id":"starName_title","height":"55","layout":"HBox","width":"100%","display":"false","paddingLeft":"20"});
_div_17827778.add(starName_title);
star_name.add(_div_17827778);
Emp.page.add(star_name);
var _div_13837711 = new Emp.Panel({"id":"_div_13837711","height":"70","backgroundColor":"#f2f2f2","vAlign":"middle","hAlign":"center","width":"100%"});
_div_13837711.addEvent('onClick',goToHeadInfo);
var fan_name_button = new Emp.Panel({"id":"fan_name_button","borderColor":"#ffcc00","height":"50","vAlign":"middle","backgroundColor":"#FFCc00","borderWidth":"1","hAlign":"center","width":"340","cornerRadius":"8"});
var _input_29497579 = new Emp.Label({"id":"_input_29497579","color":"#ffffff","value":"下一步","fontSize":"18"});
fan_name_button.add(_input_29497579);
_div_13837711.add(fan_name_button);
Emp.page.add(_div_13837711);
var dialog = new Emp.CustomDialog({"id":"dialog"});
var _div_10966007 = new Emp.Panel({"id":"_div_10966007","height":"200","backgroundColor":"#fafafa","vAlign":"middle","layout":"VBox","width":"300"});
var _div_11540889 = new Emp.Panel({"id":"_div_11540889","borderColor":"#f2f2f2","height":"70","backgroundColor":"#ffffff","vAlign":"middle","marginTop":"5","borderWidth":"1px","hAlign":"center","width":"100%","layout":"VBox","cornerRadius":"10"});
var _input_16974651 = new Emp.Label({"id":"_input_16974651","width":"250","value":"你想要的明星还没有入驻在饭糖哦~饭糖菌会光速开通你申请的明星频道，并及时通知你~","maxWidth":"185","singleLine":"false"});
_div_11540889.add(_input_16974651);
_div_10966007.add(_div_11540889);
var _div_13186766 = new Emp.Panel({"id":"_div_13186766","paddingTop":"10","width":"100%"});
var _div_8589013 = new Emp.Panel({"id":"_div_8589013","borderColor":"#f2f2f2","height":"70","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","hAlign":"center","width":"100%","cornerRadius":"10"});
_div_8589013.addEvent('onClick',submit);
var _input_4770980 = new Emp.Label({"id":"_input_4770980","value":"申请添加明星"});
_div_8589013.add(_input_4770980);
_div_13186766.add(_div_8589013);
_div_10966007.add(_div_13186766);
dialog.setView(_div_10966007);





$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',64,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var fanGrp = {}; 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',66,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var num = 0; 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',67,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var star_id = ""; 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',68,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',69,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp = params.fanGrp; 
}); 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',73,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function submit() { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',74,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.close(); 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',75,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/search/add_star.html"); 
} 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',79,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function showStar() { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',80,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var gx_star_name = $M.get("gx_star_name").getValue(); 
if($jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',81,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (gx_star_name == "") { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',82,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("请输入明星名"); 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',84,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fansInfo = {}; 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',85,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fansInfo.userNm = gx_star_name; 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',87,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',88,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',89,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',91,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',92,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fansInfo.userNm", value:gx_star_name}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',95,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!getStarInfoByName.action"); 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',96,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',100,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (num < 6) { 
if($jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (star_id.indexOf(result.data.userId) < 0) { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); num = num + 1; 
if($jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',103,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (num == 1) { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',104,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp.userId = result.data.userId; 
} else { 
if($jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',105,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (num == 2) { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp.userId1 = result.data.userId; 
} else { 
if($jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',107,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (num == 3) { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp.userId2 = result.data.userId; 
} else { 
if($jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (num == 4) { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp.userId3 = result.data.userId; 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',112,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp.userId4 = result.data.userId; 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); star_id = star_id + result.data.userId + ","; 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',116,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("starName_title").add(create_input(gx_star_name, result.data.userId)); 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("point1").setDisplay(false); 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("point2").setDisplay(true); 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("starName_title").setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("重复了奥"); 
} 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("一个饭团最多关联5个明星"); 
} 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.show(); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
} 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',137,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_input(input, userId) { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var input_id = "input_" + input; 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"id":input_id, width:"60", fontSize:"13", color:"#FFFFFF", height:"40", marginLeft:"10", vAlign:"middle", hAlign:"center", backgroundColor:"#ffcc00", "value":input}); 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',152,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(input_id).addEvent("onClickHold", function () { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',153,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); starName_title.remove($M.get(input_id)); 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); star_id = star_id.replace(userId + ",", ""); 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); num = num - 1; 
}); 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',159,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToHeadInfo() { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',164,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var gx_star_name = $M.get("gx_star_name").getValue(); 
if($jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (star_id == "") { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',166,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("不关联明星，不能创建饭团哦"); 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',168,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fanCreate/fan_head_info.html", {fanGrp:fanGrp}); 
} 
} 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function go_back() { 
$jsd('/NewBuyApp/src/fanCreate/fan_star_create.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
 
Emp.page.render();
