var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_7593366');
var _div_14198050 = new Emp.Panel({"id":"_div_14198050","height":"44","width":"100%","top":"0"});
var _div_11462144 = new Emp.Panel({"id":"_div_11462144","height":"44","vAlign":"middle","width":"100%"});
_div_11462144.addEvent('onClick',go_back);
var _img_8269639 = new Emp.Image({"id":"_img_8269639","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_11462144.add(_img_8269639);
var _div_5376160 = new Emp.Panel({"id":"_div_5376160","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var fan_name_title = new Emp.Label({"id":"fan_name_title","color":"#999999","value":"创建饭团","fontSize":"16"});
_div_5376160.add(fan_name_title);
_div_11462144.add(_div_5376160);
var _div_32764248 = new Emp.Panel({"id":"_div_32764248","height":"100%","vAlign":"middle","hAlign":"right","width":"100%","paddingRight":"10"});
_div_11462144.add(_div_32764248);
_div_14198050.add(_div_11462144);
Emp.page.add(_div_14198050);
var _div_6936254 = new Emp.Panel({"id":"_div_6936254","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_6936254);
var _div_9530041 = new Emp.Panel({"id":"_div_9530041","height":"100%","backgroundColor":"#f2f2f2","overflow":"y","layout":"VBox","width":"100%"});
var _div_16106780 = new Emp.Panel({"id":"_div_16106780","paddingTop":"50","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var _div_23055207 = new Emp.Panel({"id":"_div_23055207","height":"30","layout":"HBox","width":"100%","paddingLeft":"20"});
var _input_2288220 = new Emp.Label({"id":"_input_2288220","height":"30","width":"100%","value":"饭团主题"});
_div_23055207.add(_input_2288220);
_div_16106780.add(_div_23055207);
var _div_4741313 = new Emp.Panel({"id":"_div_4741313","borderColor":"#f2f2f2","height":"60","vAlign":"middle","borderWidth":"1","layout":"HBox","width":"100%","paddingLeft":"20"});
var fan_title_input = new Emp.Text({"id":"fan_title_input","height":"60","backgroundColor":"#ffffff","vAlign":"middle","width":"250","length":"10","emptyText":"输入主题关键词    1~10个字","fontSize":"15"});
_div_4741313.add(fan_title_input);
var _div_3635219 = new Emp.Panel({"id":"_div_3635219","height":"60","backgroundColor":"#f2f2f2","width":"1"});
_div_4741313.add(_div_3635219);
var _input_10851157 = new Emp.Label({"id":"_input_10851157","height":"60","color":"#999999","backgroundColor":"#ffffff","vAlign":"middle","hAlign":"center","width":"60","value":"+","fontSize":"35"});
_input_10851157.addEvent('onClick',showTitle);
_div_4741313.add(_input_10851157);
_div_16106780.add(_div_4741313);
var title = new Emp.Panel({"id":"title","height":"30","layout":"HBox","width":"100%"});
var _input_28617768 = new Emp.Label({"id":"_input_28617768","height":"30","color":"#CCCCCC","width":"100%","value":"填写关键词更容易找到趣味相投的小伙伴","fontSize":"15","paddingLeft":"20"});
title.add(_input_28617768);
_div_16106780.add(title);
var title1 = new Emp.Panel({"id":"title1","height":"30","layout":"HBox","width":"100%","display":"none"});
var _input_15252755 = new Emp.Label({"id":"_input_15252755","height":"40","color":"#CCCCCC","width":"100%","value":"长按标签可删除","fontSize":"12","paddingLeft":"20"});
title1.add(_input_15252755);
_div_16106780.add(title1);
var title2 = new Emp.Panel({"id":"title2","height":"50","layout":"HBox","width":"100%","display":"none","paddingLeft":"10"});
_div_16106780.add(title2);
var _div_29907071 = new Emp.Panel({"id":"_div_29907071","height":"50","layout":"HBox","width":"100%"});
var _input_2751433 = new Emp.Label({"id":"_input_2751433","height":"40","color":"#999999","width":"100%","value":"热门关键词","fontSize":"12","paddingLeft":"20"});
_div_29907071.add(_input_2751433);
_div_16106780.add(_div_29907071);
var fan_title = new Emp.Panel({"id":"fan_title","height":"100%","vAlign":"top","hAlign":"center","layout":"VBox","width":"100%"});
_div_16106780.add(fan_title);
_div_9530041.add(_div_16106780);
Emp.page.add(_div_9530041);
var _div_32311184 = new Emp.Panel({"id":"_div_32311184","height":"70","backgroundColor":"#f2f2f2","vAlign":"middle","hAlign":"center","width":"100%"});
var finish_div = new Emp.Panel({"id":"finish_div","borderColor":"#ffcc00","height":"50","vAlign":"middle","backgroundColor":"#FFCc00","borderWidth":"1","hAlign":"center","width":"340","cornerRadius":"8"});
var finish = new Emp.Label({"id":"finish","color":"#ffffff","value":"完成创建","fontSize":"18"});
finish_div.add(finish);
_div_32311184.add(finish_div);
var finishing_div = new Emp.Panel({"id":"finishing_div","borderColor":"#ffcc00","height":"50","vAlign":"middle","backgroundColor":"#FFCc00","borderWidth":"1","hAlign":"center","width":"340","cornerRadius":"8","display":"false"});
var finish = new Emp.Label({"id":"finish","color":"#ffffff","value":"完成创建","fontSize":"18"});
finishing_div.add(finish);
_div_32311184.add(finishing_div);
Emp.page.add(_div_32311184);




$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',57,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var fanGrp = {}; 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',58,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanGrpTopic = ""; 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',59,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var num = 1; 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',61,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var json = ""; 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',62,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',63,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',64,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',66,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',67,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp = params.fanGrp; 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',68,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var title = fanGrp.fanGrpTopic; 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',69,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var id = fanGrp.id; 
if($jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',70,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (id != undefined && id != "") { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',71,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fan_name_title.setValue("修改主题"); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',72,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpTopic = fanGrpTopic + "" + title + ","; 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',73,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var arr1 = title.split(" "); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',74,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < arr1.length; i++) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',75,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("title2").add(create_input(arr1[i])); 
} 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',77,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("title").setDisplay(false); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',78,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("title1").setDisplay(true); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',79,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("title2").setDisplay(true); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',81,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("finish").setValue("保存"); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',82,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("finish_div").addEvent("onClick", function () { 
if($jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',83,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fanGrpTopic != "") { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',84,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpTopic = fanGrpTopic.substring(0, fanGrpTopic.length - 1); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',85,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); finish_div.setDisplay(false); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); finishing_div.setDisplay(true); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',87,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',88,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanGrp.id", value:id}, {name:"fanGrp.fanGrpTopic", value:fanGrpTopic}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',93,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanGrpAction!updateFanGrpLabel.action"); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',94,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',95,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',96,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setTimeout(500, function () { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',98,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("团主题修改成功啦"); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); finish_div.setDisplay(true); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',100,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); finishing_div.setDisplay(false); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({url:"/fanGroup/fanGroup_message.html", params:{fanGrpId:id}}); 
}); 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',104,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); finish_div.setDisplay(true); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',105,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); finishing_div.setDisplay(false); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("保存失败"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); finish_div.setDisplay(true); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); finishing_div.setDisplay(false); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("请至少添加1个饭团标签~"); 
} 
}); 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("finish_div").addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp.fanGrpTopic = fanGrpTopic.substring(0, fanGrpTopic.length - 1); 
if($jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fanGrpTopic != "") { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); finish_div.setDisplay(false); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); finishing_div.setDisplay(true); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',134,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',135,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); addFanGrpFun(); 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',144,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("请至少添加1个饭团标签~"); 
} 
}); 
} 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',152,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function addFanGrpFun() { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',153,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanGrp.userId", value:fanGrp.userId}, {name:"fanGrp.userId1", value:fanGrp.userId1}, {name:"fanGrp.userId2", value:fanGrp.userId2}, {name:"fanGrp.userId3", value:fanGrp.userId3}, {name:"fanGrp.userId4", value:fanGrp.userId4}, {name:"fanGrp.fanGrpName", value:fanGrp.fanGrpName}, {name:"fanGrp.fanGrpIntroduction", value:fanGrp.fanGrpIntroduction}, {name:"fanGrp.fanGrpBenefit", value:fanGrp.fanGrpBenefit}, {name:"fanGrp.fanGrpTopic", value:fanGrp.fanGrpTopic}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',166,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanGrpAction!addFanGrp.action"); 
if($jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',167,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fanGrp.fanGrpPhoto != "") { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',168,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addFile({name:"fanGrp.fanGrpPhoto", value:fanGrp.fanGrpPhoto}); 
} 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setTimeout(500, function () { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("创建成功"); 
}); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',176,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); finish_div.setDisplay(true); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); finishing_div.setDisplay(false); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanGrpInvite = result.data.fanGrpInvite; 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',179,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp.fanGrpInvite = fanGrpInvite; 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanCreate/fan_invite_friends.html", fanGrp, true); 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',182,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("保存失败"); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); finish_div.setDisplay(true); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',184,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); finishing_div.setDisplay(false); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',187,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',188,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); finish_div.setDisplay(true); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); finishing_div.setDisplay(false); 
}); 
} 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',194,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',195,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',196,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!getHotLabels.action"); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',197,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',198,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',199,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < result.data.length; i++) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',200,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); json = json + result.data[i].HOTWORDS + ","; 
} 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',202,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); json = json.substring(0, json.length - 1); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',203,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var arr = json.split(","); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',204,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var length = Math.ceil((arr.length + 1) / 4); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',205,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < length; i++) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',206,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fan_title").add(Create_Div(i, arr)); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',216,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function Create_Div(i, json) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',217,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "fan_div1" + i; 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "width":"100%", "height":"55", layout:"HBox", paddingLeft:"10", }); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',226,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var j = 0; j < 4; j++) { 
if($jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if ((i * 4 + j) > (json.length - 1)) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',228,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',230,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(create_input_1(i * 4 + j, json[i * 4 + j])); 
} 
} 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',238,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_input_1(m, input) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',239,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var input_id = "input_2" + m; 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',240,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"id":input_id, width:"70", fontSize:"13", color:"#999999", height:"40", marginLeft:"10", vAlign:"middle", hAlign:"center", backgroundColor:"#F8F8F8", "value":input, marginLeft:"10", }); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',253,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(input_id).addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',254,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var name = $M.get(this.id).getValue(); 
if($jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',255,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (num > 5) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',256,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("最多可设置5个关键词"); 
} else { 
if($jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',258,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fanGrpTopic.indexOf(name) < 0) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',259,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpTopic = fanGrpTopic + name + ","; 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("title2").add(create_input(name)); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',261,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("title").setDisplay(false); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("title1").setDisplay(true); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',263,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("title2").setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',265,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("重复了奥"); 
} 
} 
}); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',269,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',275,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function selectTitle() { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',276,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var name = $M.get(this.id).getValue(); 
if($jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',277,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fanGrpTopic.indexOf(name) < 0) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',278,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpTopic = fanGrpTopic + name + ","; 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',279,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("title2").add(create_input(name)); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',280,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("title").setDisplay(false); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',281,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("title1").setDisplay(true); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',282,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("title2").setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',284,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("重复了奥"); 
} 
} 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',288,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function create_input(input) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',289,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var input_id = "input_1" + num; 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',290,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"id":input_id, width:"57", fontSize:"13", color:"#ffffff", height:"40", marginLeft:"10", vAlign:"middle", hAlign:"center", backgroundColor:"#ffcc00", "value":input}); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',302,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(input_id).addEvent("onClickHold", function () { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',303,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("title2").remove($M.get(input_id)); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',304,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpTopic = fanGrpTopic.replace(input + ",", ""); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',305,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); num = num - 1; 
}); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',307,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); num = num + 1; 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',308,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',311,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function showTitle() { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',312,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fan_title_input = $M.get("fan_title_input").getValue(); 
if($jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',313,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (num > 5) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',314,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("最多可设置5个关键词"); 
} else { 
if($jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',316,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fan_title_input == "") { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',317,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("请填写饭团主题"); 
} else { 
if($jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',320,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fanGrpTopic.indexOf(fan_title_input) < 0) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',321,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpTopic = fanGrpTopic + fan_title_input + ","; 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',322,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("title2").add(create_input(fan_title_input)); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',323,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("title").setDisplay(false); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',324,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("title1").setDisplay(true); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',325,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("title2").setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',327,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("重复了奥"); 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',333,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function go_back() { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',334,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',337,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function finish() { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',338,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp.fanGrpTopic = fanGrpTopic; 
if($jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',339,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fanGrpTopic != "") { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',340,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',341,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanGrp.userId", value:fanGrp.userId}, {name:"fanGrp.userId1", value:fanGrp.userId1}, {name:"fanGrp.userId2", value:fanGrp.userId2}, {name:"fanGrp.userId3", value:fanGrp.userId3}, {name:"fanGrp.userId4", value:fanGrp.userId}, {name:"fanGrp.fanGrpName", value:fanGrp.fanGrpName}, {name:"fanGrp.fanGrpPhoto", value:fanGrp.fanGrpPhoto}, {name:"fanGrp.fanGrpIntroduction", value:fanGrp.fanGrpIntroduction}, {name:"fanGrp.fanGrpBenefit", value:fanGrp.fanGrpBenefit}, {name:"fanGrp.fanGrpTopic", value:fanGrp.fanGrpTopic}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',354,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanGrpAction!addFanGrp.action"); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',355,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addFile({name:"fanGrp.fanGrpPhoto", value:fanGrp.fanGrpPhoto}); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',356,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',357,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',358,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',359,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setTimeout(500, function () { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',360,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("创建成功"); 
}); 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',362,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanGrpInvite = result.data.fanGrpInvite; 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',363,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanCreate/fan_invite_friends.html", {fanGrpInvite:fanGrpInvite}); 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',365,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("保存失败"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',368,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
$jsd('/NewBuyApp/src/fanCreate/fan_title.htmlx',371,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("请至少添加1个饭团标签~"); 
} 
} 
 
Emp.page.render();
