var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_32410048');
$M.includeFile("/template/photo_template.html");
var content = new Emp.Panel({"id":"content","height":"44","vAlign":"middle","width":"100%"});
content.addEvent('onClick',goBack);
var _img_31742707 = new Emp.Image({"id":"_img_31742707","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
content.add(_img_31742707);
var _input_17777923 = new Emp.Label({"id":"_input_17777923","color":"#999999","value":"饭团资料","fontSize":"16"});
content.add(_input_17777923);
var _div_24895774 = new Emp.Panel({"id":"_div_24895774","height":"100%","vAlign":"middle","hAlign":"right","width":"100%","paddingRight":"10"});
var _input_33073810 = new Emp.Label({"id":"_input_33073810","color":"#999999","value":"","fontSize":"18"});
_div_24895774.add(_input_33073810);
content.add(_div_24895774);
Emp.page.add(content);
var _div_8805729 = new Emp.Panel({"id":"_div_8805729","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_8805729);
var template1 = new Emp.Panel({"id":"template1","backgroundColor":"#F0F0F0","width":"100%"});
var fanGrpId = new Emp.Label({"id":"fanGrpId","value":"","display":"false"});
template1.add(fanGrpId);
var _div_25325570 = new Emp.Panel({"id":"_div_25325570","marginTop":"15","backgroundColor":"#fafafa","layout":"VBox","width":"100%"});
var modifHead = new Emp.Panel({"id":"modifHead","height":"70","backgroundColor":"#fafafa","vAlign":"middle","width":"100%","paddingLeft":"5","paddingRight":"5"});
var _div_26255230 = new Emp.Panel({"id":"_div_26255230","height":"70","borderColor":"#f2f2f2","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","width":"100%","cornerRadius":"10"});
var _input_30872641 = new Emp.Label({"id":"_input_30872641","marginLeft":"10","value":"头像","fontSize":"20"});
_div_26255230.add(_input_30872641);
var address = new Emp.Image({"id":"address","height":"50","marginLeft":"220","width":"50","src":"","circleClip":"true"});
address.addEvent('onClick',settingOpenCarema);
_div_26255230.add(address);
modifHead.add(_div_26255230);
_div_25325570.add(modifHead);
var modifName = new Emp.Panel({"id":"modifName","height":"70","backgroundColor":"#fafafa","vAlign":"middle","layout":"HBox","width":"100%","paddingLeft":"5","paddingRight":"5"});
var _div_19798911 = new Emp.Panel({"id":"_div_19798911","height":"100%","borderColor":"#f2f2f2","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","width":"100%","cornerRadius":"10"});
var _input_1000702 = new Emp.Label({"id":"_input_1000702","marginLeft":"10","hAlign":"right","value":"团名称","fontSize":"20"});
_div_19798911.add(_input_1000702);
var fanName = new Emp.Label({"id":"fanName","marginLeft":"50","singleLine":"false"});
_div_19798911.add(fanName);
modifName.add(_div_19798911);
_div_25325570.add(modifName);
var modifTopic = new Emp.Panel({"id":"modifTopic","height":"70","backgroundColor":"#fafafa","vAlign":"middle","width":"100%","paddingLeft":"5","paddingRight":"5"});
var _div_24342169 = new Emp.Panel({"id":"_div_24342169","height":"70","borderColor":"#f2f2f2","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","width":"100%","cornerRadius":"10"});
var _input_31328051 = new Emp.Label({"id":"_input_31328051","marginLeft":"10","value":"团主题","fontSize":"20"});
_div_24342169.add(_input_31328051);
var fanGrpTopic = new Emp.Label({"id":"fanGrpTopic","marginLeft":"50","singleLine":"false"});
_div_24342169.add(fanGrpTopic);
modifTopic.add(_div_24342169);
_div_25325570.add(modifTopic);
var modifBenefit = new Emp.Panel({"id":"modifBenefit","height":"70","backgroundColor":"#fafafa","vAlign":"middle","width":"100%","paddingLeft":"5","paddingRight":"5"});
var _div_16746288 = new Emp.Panel({"id":"_div_16746288","height":"70","borderColor":"#f2f2f2","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","width":"100%","cornerRadius":"10"});
var _input_291658 = new Emp.Label({"id":"_input_291658","marginLeft":"10","value":"团福利 ","fontSize":"20"});
_div_16746288.add(_input_291658);
var fanGrpBenefit = new Emp.Label({"id":"fanGrpBenefit","marginLeft":"50","singleLine":"false"});
_div_16746288.add(fanGrpBenefit);
modifBenefit.add(_div_16746288);
_div_25325570.add(modifBenefit);
var modifIntroduction = new Emp.Panel({"id":"modifIntroduction","height":"70","backgroundColor":"#fafafa","vAlign":"middle","width":"100%","paddingLeft":"5","paddingRight":"5"});
var _div_2788347 = new Emp.Panel({"id":"_div_2788347","height":"70","borderColor":"#f2f2f2","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","width":"100%","cornerRadius":"10"});
var _input_21763342 = new Emp.Label({"id":"_input_21763342","marginLeft":"10","value":"简介 ","fontSize":"20"});
_div_2788347.add(_input_21763342);
var fanGrpIntroduction = new Emp.Label({"id":"fanGrpIntroduction","marginLeft":"66","singleLine":"false"});
_div_2788347.add(fanGrpIntroduction);
modifIntroduction.add(_div_2788347);
_div_25325570.add(modifIntroduction);
template1.add(_div_25325570);
Emp.page.add(template1);








$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',62,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',63,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',64,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',66,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',67,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',69,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (param) { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',70,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); initData(param); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',72,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onBack", function (param) { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',73,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); initData(param); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',76,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function initData(param) { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',78,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanGrpIdJ = {}; 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',79,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIdJ.name = "fanGrp.id"; 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',80,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIdJ.value = param.fanGrpId; 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',82,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',83,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([fanGrpIdJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanGrpAction!getFanGrpById.action"); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',87,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',88,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',89,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',91,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpId.setValue(result.data.id); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',93,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanName.setValue(result.data.fanGrpName); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',95,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); address.setSrc(result.data.fanGrpPhoto); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpBenefit.setValue(result.data.fanGrpBenefit); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpTopic.setValue(result.data.fanGrpTopic); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpIntroduction.setValue(result.data.fanGrpIntroduction); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',103,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getData() { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',112,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var items = []; 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var temp = {}; 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); items.push(temp); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',116,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return items; 
} 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function settingOpenCarema() { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); photodialog.show(); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); util.startCamera("photo", null, null, function (url) { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newUrl = util.zipImage(url, 480); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); cropImage(newUrl); 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',129,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function cropImage(imageUrl) { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',137,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',140,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); saveFanGrpPhoto(imageUrl); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',144,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function saveFanGrpPhoto(picUrl) { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.cropImage(picUrl, 40, 40, function (imageUrl) { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',156,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var idJ = {}; 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); idJ.name = "fanGrp.id"; 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',158,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); idJ.value = fanGrpId.getValue(); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',161,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([idJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',166,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanGrpAction!updateFanGrpPhoto.action"); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',167,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addFile({name:"fanGrp.fanGrpPhoto", value:imageUrl}); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',168,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',169,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); address.setSrc(imageUrl); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("数据更新失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',176,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',182,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); modifName.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fanGroup/fanGroup_modif_name.html", {fanName:fanName.getValue(), fanGrpId:fanGrpId.getValue()}, false, false); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',186,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); modifIntroduction.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',187,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fanGroup/fanGroup_modif_introduction.html", {fanGrpIntroduction:fanGrpIntroduction.getValue(), fanGrpId:fanGrpId.getValue()}, false, false); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); modifTopic.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanGrp = {}; 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',192,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp.fanGrpTopic = fanGrpTopic.getValue(); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',193,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp.id = fanGrpId.getValue(); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',194,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fanCreate/fan_title.html", {fanGrp:fanGrp}, false, false); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',197,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); modifBenefit.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanGroup/fanGroup_message.htmlx',198,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fanGroup/fanGroup_modif_benefit.html", {fanGrpBenefit:fanGrpBenefit.getValue(), fanGrpId:fanGrpId.getValue()}, false, false); 
}); 
 
Emp.page.render();
