var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_4307726');
$M.includeFile("/template/fan_groupbook_template.html");
$M.includeFile("/template/reward_template.html");
$M.includeFile("/template/photo_template.html");
$M.includeFile("/template/topic_opt_template.html");
var _div_23044243 = new Emp.Panel({"id":"_div_23044243","height":"50","vAlign":"middle","layout":"HBox","width":"100%","fontSize":"18"});
var _img_19338399 = new Emp.Image({"id":"_img_19338399","height":"30","width":"30","src":"/fan_group/u171.png"});
_img_19338399.addEvent('onClick',goBack);
_div_23044243.add(_img_19338399);
var title = new Emp.Label({"id":"title","value":"","fontSize":"18"});
_div_23044243.add(title);
var _div_26439759 = new Emp.Panel({"id":"_div_26439759","hAlign":"right","width":"100%"});
var toTop = new Emp.Label({"id":"toTop","color":"#000000","marginRight":"8","value":"置顶","display":"false","fontSize":"18"});
_div_26439759.add(toTop);
_div_23044243.add(_div_26439759);
Emp.page.add(_div_23044243);
var _div_4701285 = new Emp.Panel({"id":"_div_4701285","height":"1","backgroundColor":"#CCCCCC","marginTop":"5","borderWidth":"0","width":"100%"});
Emp.page.add(_div_4701285);
var _div_27376183 = new Emp.Panel({"id":"_div_27376183","marginBottom":"10","height":"-2","marginLeft":"10","marginTop":"10","layout":"VBox","width":"100%"});
var _div_13149966 = new Emp.Panel({"id":"_div_13149966","height":"-2","layout":"HBox","width":"100%"});
var titlephoto = new Emp.Image({"id":"titlephoto","height":"25","vAlign":"middle","tag":"titlephoto","hAlign":"left","width":"25","src":""});
titlephoto.addEvent('onClick',gophotohuifu);
_div_13149966.add(titlephoto);
var fantitle = new Emp.Label({"id":"fantitle","vAlign":"middle","marginLeft":"5","tag":"fantitle","width":"280","hAlign":"left","maxWidth":"190","fontSize":"16","singleLine":"false"});
_div_13149966.add(fantitle);
var pointsContainer = new Emp.Panel({"id":"pointsContainer","borderColor":"#ffffff","height":"25","vAlign":"middle","backgroundColor":"#33CC99","borderWidth":"2","hAlign":"center","width":"25","cornerRadius":"5"});
var reply = new Emp.Label({"id":"reply","vAlign":"middle","color":"#ffffff","tag":"reply","hAlign":"center","value":"","fontSize":"12"});
pointsContainer.add(reply);
_div_13149966.add(pointsContainer);
_div_27376183.add(_div_13149966);
var _div_22501845 = new Emp.Panel({"id":"_div_22501845","height":"20","vAlign":"middle","layout":"HBox","width":"100%"});
var img2 = new Emp.Image({"id":"img2","height":"15","marginLeft":"5","tag":"img2","width":"15","src":"/icon_128/iconfont-time.png"});
_div_22501845.add(img2);
var photoexittime2 = new Emp.Label({"id":"photoexittime2","height":"20","marginLeft":"5","color":"#CCCCCC","tag":"photoexittime2","fontSize":"12"});
_div_22501845.add(photoexittime2);
_div_27376183.add(_div_22501845);
var topicId = new Emp.Text({"id":"topicId","display":"false"});
_div_27376183.add(topicId);
var fanGrpId = new Emp.Text({"id":"fanGrpId","display":"false"});
_div_27376183.add(fanGrpId);
Emp.page.add(_div_27376183);
var _div_13879210 = new Emp.Panel({"id":"_div_13879210","height":"390","backgroundColor":"#f0f0f0","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","width":"100%"});
_div_13879210.add(listview);
Emp.page.add(_div_13879210);
var layer = new Emp.Panel({"position":"relative","id":"layer","height":"100%","visibility":"false","width":"100%"});
layer.addEvent('onClick',clickOther);
var menu = new Emp.Panel({"position":"relative","id":"menu","height":"200","backgroundColor":"#f2f2f2","hAlign":"center","layout":"VBox","width":"100%","top":"420"});
var _input_2191965 = new Emp.Label({"id":"_input_2191965","marginBottom":"10","marginTop":"10","value":"分享","fontBold":"true","fontSize":"20"});
menu.add(_input_2191965);
var _div_31160412 = new Emp.Panel({"id":"_div_31160412","height":"100%","width":"100%"});
menu.add(_div_31160412);
var _div_29033432 = new Emp.Panel({"id":"_div_29033432","height":"100%","width":"100%"});
var _div_16351423 = new Emp.Panel({"id":"_div_16351423","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_7581276 = new Emp.Image({"id":"_img_7581276","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_16351423.add(_img_7581276);
var _input_12341405 = new Emp.Label({"id":"_input_12341405","value":"收藏","fontSize":"14"});
_div_16351423.add(_input_12341405);
_div_29033432.add(_div_16351423);
var _div_22060243 = new Emp.Panel({"id":"_div_22060243","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_23601124 = new Emp.Image({"id":"_img_23601124","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_22060243.add(_img_23601124);
var _input_17164236 = new Emp.Label({"id":"_input_17164236","value":"删除","fontSize":"14"});
_div_22060243.add(_input_17164236);
_div_29033432.add(_div_22060243);
var _div_11869247 = new Emp.Panel({"id":"_div_11869247","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_5345635 = new Emp.Image({"id":"_img_5345635","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_11869247.add(_img_5345635);
var _input_18886941 = new Emp.Label({"id":"_input_18886941","value":"复制链接","fontSize":"14"});
_div_11869247.add(_input_18886941);
_div_29033432.add(_div_11869247);
var _div_7892915 = new Emp.Panel({"id":"_div_7892915","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_15564325 = new Emp.Image({"id":"_img_15564325","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_7892915.add(_img_15564325);
var _input_32822673 = new Emp.Label({"id":"_input_32822673","value":"举报","fontSize":"14"});
_div_7892915.add(_input_32822673);
_div_29033432.add(_div_7892915);
menu.add(_div_29033432);
layer.add(menu);
Emp.page.add(layer);
var _div_15809065 = new Emp.Panel({"id":"_div_15809065","height":"100%","vAlign":"middle","backgroundColor":"#f0f0f0","width":"100%","hAlign":"center","layout":"VBox"});
var _div_18967729 = new Emp.Panel({"id":"_div_18967729","height":"-2","borderColor":"#cccccc","vAlign":"middle","borderWidth":"1","hAlign":"center","layout":"HBox","width":"100%"});
var content = new Emp.Text({"id":"content","height":"50","backgroundColor":"#f0f0f0","width":"285","emptyText":"写上你的评论","fontSize":"20"});
_div_18967729.add(content);
var _div_13027107 = new Emp.Panel({"id":"_div_13027107","height":"50","backgroundColor":"#FFCC00","vAlign":"middle","hAlign":"center","width":"100%"});
_div_13027107.addEvent('onClick',replyTopic);
var _input_3933619 = new Emp.Label({"id":"_input_3933619","color":"#ffffff","value":"发布","fontSize":"25"});
_div_13027107.add(_input_3933619);
_div_18967729.add(_div_13027107);
_div_15809065.add(_div_18967729);
var _div_10115078 = new Emp.Panel({"id":"_div_10115078","height":"100%","vAlign":"middle","hAlign":"right","layout":"HBox","width":"100%"});
var img1 = new Emp.Image({"id":"img1","height":"50","width":"50","src":""});
img1.addEvent('onClickHold',deletePic);
_div_10115078.add(img1);
var img2 = new Emp.Image({"id":"img2","height":"50","width":"50","src":""});
img2.addEvent('onClickHold',deletePic);
_div_10115078.add(img2);
var img3 = new Emp.Image({"id":"img3","height":"50","width":"50","src":""});
img3.addEvent('onClickHold',deletePic);
_div_10115078.add(img3);
var img4 = new Emp.Image({"id":"img4","height":"50","width":"50","src":""});
img4.addEvent('onClickHold',deletePic);
_div_10115078.add(img4);
var _input_21150903 = new Emp.Label({"id":"_input_21150903","color":"#AAAAAA","marginLeft":"20","value":"最多4张 ","fontSize":"20"});
_div_10115078.add(_input_21150903);
var _div_7585308 = new Emp.Panel({"id":"_div_7585308","height":"50","vAlign":"middle","hAlign":"center","width":"50","backgroundImage":"/fan_photo/u134.png","maringRight":"10"});
_div_7585308.addEvent('onClick',startCamera);
var _input_12986548 = new Emp.Label({"id":"_input_12986548","color":"#AAAAAA","value":"+","fontSize":"25","maringRight":"10"});
_div_7585308.add(_input_12986548);
_div_10115078.add(_div_7585308);
_div_15809065.add(_div_10115078);
Emp.page.add(_div_15809065);










$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});function setMainData(data) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicId.setValue(data.id); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',103,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpId.setValue(data.fanGrpId); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',104,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); title.setValue(data.fanGrpName); 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',105,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-camera.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',107,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#000000"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "2" || data.fanGrpItemType == "3") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-video.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#33CCFF"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "4") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',112,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-vote.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#FFCC00"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "5") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',115,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-event.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',116,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#CC0066"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "6") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-calendar.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#FF6600"); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-topic.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#33CC99"); 
} 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fantitle.setValue(data.fanGrpItemTitle); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); reply.setValue(data.replyCnt); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',126,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); photoexittime2.setValue(data.dataCreattime); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',129,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function clickOther() { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(false); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gophotohuifu() { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',134,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_photohuifu.html"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',137,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gofabu() { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_bookfabu.html"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack(); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplate(tem1); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',146,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',148,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:params.topicId}, {name:"fanTopic.fanGrpItemType", value:params.fanGrpItemType}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!getFanTopicInfo.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',152,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',153,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.isCreator == "1") { 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.isFanGrpCreator == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',158,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toTop.setDisplay(true); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setMainData(result.data); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',161,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var detailList = result.data.detailList; 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(generateData1(detailList)); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',168,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setOnclickTags(["share", "fabulousClick", "rewardClick", "replyClick"]); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',175,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onItemClick", function (row, tag, data) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "share") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); floorId.setValue(data.id); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',179,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicoptdialog.show(); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',181,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',182,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',187,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',188,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',193,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var data = {}; 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',201,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /**  
						 * content 分享内容  
						 * title 标题  
						 * image  图片路径  
						 * url 点击后跳转到的页面  
						 * desc 描述信息  
						 * type 分享类型  text:0 image:1 news:2 music:3 video:4  
						 */return  %=  -= while  -= .content = "分享内容"; 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',203,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.title = "分享"; 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',205,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.desc = "描述信息"; 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',207,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.type = 0; 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',209,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.url = "http://mqa.newbuy.cn/h5/hmmb/fantown/index.php"; 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.share(data); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',212,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',215,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "fabulousClick") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',221,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',228,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',229,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',230,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',231,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var tieIdJ = {}; 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',235,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tieIdJ.name = "fanTopic.id"; 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',236,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tieIdJ.value = topicId.getValue(); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',238,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var louIdJ = {}; 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',239,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); louIdJ.name = "fanTopic.floorNo"; 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',240,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); louIdJ.value = data.itemReplySort; 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',242,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax1 = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',243,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.addParams([tieIdJ, louIdJ, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',244,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.setAction("/mobile/fanTopicAction!addFabulous.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',245,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',246,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',247,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',248,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("点赞成功~"); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',250,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',253,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',256,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',259,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',266,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "rewardClick") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',267,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',268,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',273,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',274,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',275,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',276,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',277,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',279,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tie_id_temp.setValue(topicId.getValue()); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',281,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tie_floor_temp.setValue(data.itemReplySort); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',282,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.show(); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',284,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',287,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',290,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
} 
} 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',295,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function generateData1(data) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',296,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data && data.length > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',297,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < data.length; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',298,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ii = 0; 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',299,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var res = data[i].topicResource; 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',300,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (res && res.length > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',301,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (; ii < res.length; ii++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',302,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i]["r_img" + (ii + 1)] = res[ii].RESOURCE_URL; 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',306,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (; ii < 9; ii++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',307,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i]["r_img" + (ii + 1)] = "false"; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',311,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fabulous = data[i].fabulousList; 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',312,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fabulous && fabulous.length > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',313,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var length = fabulous.length; 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',314,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (length > 10) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',315,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); length = 10; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',317,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var ii = 0; ii < length; ii++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',318,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i]["t_img" + (ii + 1)] = fabulous[ii].address; 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',323,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return data; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',326,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function replyTopic() { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',330,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',331,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',336,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',337,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',338,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',339,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',340,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',342,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var params = [{name:"fanTopic.fanGrpItemContent", value:content.getValue()}, {name:"fanTopic.fanGrpId", value:fanGrpId.getValue()}, {name:"fanTopic.id", value:topicId.getValue()}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]; 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',349,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax1 = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',350,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.addParams(params); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',351,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.setAction("/mobile/fanTopicAction!replyTopic.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',352,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var files = []; 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',353,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img1.getValue() != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',354,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); files.push({name:"img_url1", value:img1.getSrc()}); 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',356,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img2.getValue() != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',357,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); files.push({name:"img_url2", value:img2.getSrc()}); 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',359,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img3.getValue() != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',360,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); files.push({name:"img_url3", value:img3.getSrc()}); 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',362,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img4.getValue() != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',363,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); files.push({name:"img_url4", value:img4.getSrc()}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',365,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.addFiles(files); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',366,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',367,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',368,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',369,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("回贴成功！"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',370,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); goBack(); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',373,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("回贴失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',376,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',379,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',382,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',385,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',393,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function deletePic() { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',394,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); this.setSrc(""); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',397,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function startCamera() { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',398,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); photodialog.show(); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',399,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',400,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',401,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',406,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',407,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',408,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',409,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',410,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',411,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.selectCameraPhoto(function (path) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',412,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img1.getSrc() == "" || img1.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',413,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img1.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',414,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img2.getSrc() == "" || img2.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',415,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img2.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',416,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img3.getSrc() == "" || img3.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',417,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img3.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',418,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img4.getSrc() == "" || img4.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',419,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img4.setSrc(path); 
} 
} 
} 
} 
}); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',423,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',426,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',429,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',433,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function cropImage(path) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',434,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',435,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',440,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',441,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',442,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',443,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',444,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',445,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.selectCameraPhoto(function (path) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',446,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img1.getSrc() == "" || img1.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',447,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img1.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',448,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img2.getSrc() == "" || img2.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',449,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img2.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',450,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img3.getSrc() == "" || img3.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',451,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img3.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',452,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img4.getSrc() == "" || img4.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',453,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img4.setSrc(path); 
} 
} 
} 
} 
}); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',457,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',460,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',463,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',467,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); jubao.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',468,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',469,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"accusation.dataId", value:topicId.getValue()}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',471,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!accusationTopic.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',472,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',473,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',474,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',475,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("我们会尽快处理你的举报信息"); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',477,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',480,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',484,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); del.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',485,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',486,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:topicId.getValue()}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',488,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!deleteTopic.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',489,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',490,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',491,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',492,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({type:"del"}); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',493,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("删除成功"); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',496,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',499,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',503,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toTop.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',504,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',505,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:topicId.getValue()}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',507,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!setTopTopic.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',508,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',509,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',510,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',511,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("置顶成功"); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',513,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_book.htmlx',516,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
 
Emp.page.render();
