var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_11466252');
$M.includeFile("/template/photo_template.html");
var _div_10211022 = new Emp.Panel({"id":"_div_10211022","height":"50","vAlign":"middle","width":"100%"});
var _img_19283686 = new Emp.Image({"id":"_img_19283686","height":"30","width":"30","src":"/fan_search/u123.png"});
_img_19283686.addEvent('onClick',goBack);
_div_10211022.add(_img_19283686);
var _div_32219627 = new Emp.Panel({"id":"_div_32219627","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var menu = new Emp.Label({"id":"menu","value":"","fontSize":"22"});
_div_32219627.add(menu);
_div_10211022.add(_div_32219627);
var _div_8760679 = new Emp.Panel({"id":"_div_8760679","height":"100%","vAlign":"middle","hAlign":"right","width":"100%","paddingRight":"10"});
var _input_3899374 = new Emp.Label({"id":"_input_3899374","color":"#999999","value":"","fontSize":"18"});
_div_8760679.add(_input_3899374);
_div_10211022.add(_div_8760679);
Emp.page.add(_div_10211022);
var _div_4978142 = new Emp.Panel({"id":"_div_4978142","height":"100%","borderColor":"#cccccc","borderWidth":"1","width":"100%","layout":"VBox","paddingLeft":"5","paddingRight":"5"});
var _div_16435232 = new Emp.Panel({"id":"_div_16435232","height":"100%","backgroundColor":"#f0f0f0","layout":"VBox","width":"100%"});
var _div_6870370 = new Emp.Panel({"id":"_div_6870370","height":"60","vAlign":"middle","width":"100%"});
var title = new Emp.Text({"id":"title","width":"100%","emptyText":"标题","fontSize":"18"});
_div_6870370.add(title);
_div_16435232.add(_div_6870370);
var _div_26644073 = new Emp.Panel({"id":"_div_26644073","height":"150","vAlign":"top","backgroundColor":"#ffffff","overflow":"y","width":"100%"});
var _div_23047695 = new Emp.Panel({"id":"_div_23047695","height":"150","width":"100%"});
var content = new Emp.TextArea({"id":"content","height":"100%","width":"100%","emptyText":"文章","fontSize":"18"});
_div_23047695.add(content);
_div_26644073.add(_div_23047695);
_div_16435232.add(_div_26644073);
var _div_6467463 = new Emp.Panel({"id":"_div_6467463","height":"80","backgroundColor":"#ffffff","vAlign":"middle","hAlign":"left","width":"100%"});
var img1 = new Emp.Image({"id":"img1","height":"50","width":"50","src":""});
img1.addEvent('onClickHold',deletePic);
_div_6467463.add(img1);
var img2 = new Emp.Image({"id":"img2","height":"50","width":"50","src":""});
img2.addEvent('onClickHold',deletePic);
_div_6467463.add(img2);
var img3 = new Emp.Image({"id":"img3","height":"50","width":"50","src":""});
img3.addEvent('onClickHold',deletePic);
_div_6467463.add(img3);
var img4 = new Emp.Image({"id":"img4","height":"50","width":"50","src":""});
img4.addEvent('onClickHold',deletePic);
_div_6467463.add(img4);
var _div_12829918 = new Emp.Panel({"id":"_div_12829918","height":"50","width":"90"});
_div_6467463.add(_div_12829918);
var _div_11659772 = new Emp.Panel({"id":"_div_11659772","height":"50","vAlign":"middle","hAlign":"center","width":"50","backgroundImage":"/fan_photo/u134.png","maringRight":"10"});
_div_11659772.addEvent('onClick',startCamera);
var _input_7916770 = new Emp.Label({"id":"_input_7916770","color":"#AAAAAA","value":"+","fontSize":"25","maringRight":"10"});
_div_11659772.add(_input_7916770);
_div_6467463.add(_div_11659772);
_div_16435232.add(_div_6467463);
var _div_13831622 = new Emp.Panel({"id":"_div_13831622","height":"30","backgroundColor":"#ffffff","vAlign":"middle","hAlign":"left","width":"100%"});
var _input_2972731 = new Emp.Label({"id":"_input_2972731","color":"#AAAAAA","marginLeft":"20","value":"最多9张 ,长按图片可删除","fontSize":"20"});
_div_13831622.add(_input_2972731);
_div_16435232.add(_div_13831622);
var _div_148833 = new Emp.Panel({"id":"_div_148833","marginBottom":"5","height":"1","backgroundColor":"#cccccc","width":"100%"});
_div_16435232.add(_div_148833);
var _div_18410890 = new Emp.Panel({"id":"_div_18410890","height":"60","hAlign":"center","width":"100%"});
var btn_publish = new Emp.Panel({"id":"btn_publish","borderColor":"#FFCC00","height":"50","backgroundColor":"#FFCC00","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"340","cornerRadius":"10"});
btn_publish.addEvent('onClick',addNewTopic);
var _input_33514886 = new Emp.Label({"id":"_input_33514886","color":"#ffffff","value":"发布","fontSize":"25"});
btn_publish.add(_input_33514886);
_div_18410890.add(btn_publish);
var btn_publishing = new Emp.Panel({"id":"btn_publishing","borderColor":"#CCCCCC","height":"50","backgroundColor":"#CCCCCC","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"340","cornerRadius":"10","display":"false"});
var _input_16354475 = new Emp.Label({"id":"_input_16354475","color":"#ffffff","value":"发布中...","fontSize":"25"});
btn_publishing.add(_input_16354475);
_div_18410890.add(btn_publishing);
_div_16435232.add(_div_18410890);
_div_4978142.add(_div_16435232);
Emp.page.add(_div_4978142);








$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',56,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var picindex = 1; 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',57,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var dataType = "0"; 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',58,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanGrpId = "0"; 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',59,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function deletePic() { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',60,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var delindex = parseInt(this.id.replace("img", ""), 10); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',61,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = delindex; i < picindex - 1; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',62,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + i).setSrc($M.get("img" + (i + 1)).getSrc()); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',64,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + (picindex - 1)).setSrc(""); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',65,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + (picindex - 1)).setDisplay(false); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',66,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); picindex--; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',68,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function startCamera() { 
if($jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',69,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (picindex <= 9) { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',70,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); photodialog.show(); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',72,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("最多只能选择9张图片~"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',74,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); photodialog.show(); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',75,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',76,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.selectCameraPhoto(function (path) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',77,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img1.getSrc() == "" || img1.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',78,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img1.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',79,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img2.getSrc() == "" || img2.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',80,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img2.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',81,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img3.getSrc() == "" || img3.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',82,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img3.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',83,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img4.getSrc() == "" || img4.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',84,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img4.setSrc(path); 
} 
} 
} 
} 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',90,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function cropImage(path) { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',91,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + picindex).setSrc(path); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',92,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + picindex).setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',93,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); picindex++; 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /* if(img1.getSrc() == "" || img1.getSrc() == undefined){  
			img1.setSrc(path);  
		}else if(img2.getSrc() == "" || img2.getSrc() == undefined ){  
			img2.setSrc(path);  
		}else if(img3.getSrc() == "" || img3.getSrc() == undefined){  
			img3.setSrc(path);  
		}else if(img4.getSrc() == "" || img4.getSrc() == undefined){  
			img4.setSrc(path);  
		} */ 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',105,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack(); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); title.selectAll(); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpId = params.fanGrpId; 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dataType = params.dataType; 
if($jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',112,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (dataType == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); menu.setValue("发布照片"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (dataType == "2" || dataType == "3") { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',115,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); menu.setValue("发布视频"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',116,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (dataType == "4") { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); menu.setValue("发布投票"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (dataType == "5") { 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (dataType == "6") { 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); menu.setValue("发布讨论"); 
} 
} 
} 
} 
} 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function addNewTopic() { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var titleValue = title.getValue(); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',129,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var contentValue = content.getValue(); 
if($jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (dataType == "0" && (titleValue == "" || titleValue == undefined)) { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("说点什么吧"); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',134,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var files = []; 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',135,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var imgCnt = 0; 
if($jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img1.getValue() != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); files.push({name:"img_url1", value:img1.getSrc()}); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); imgCnt = imgCnt + 1; 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img2.getValue() != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); files.push({name:"img_url2", value:img2.getSrc()}); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',143,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); imgCnt = imgCnt + 1; 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img3.getValue() != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',146,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); files.push({name:"img_url3", value:img3.getSrc()}); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); imgCnt = imgCnt + 1; 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img4.getValue() != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); files.push({name:"img_url4", value:img4.getSrc()}); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); imgCnt = imgCnt + 1; 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',153,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (imgCnt == 0 && dataType == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("发张美照吧"); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); btn_publish.setDisplay(false); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',158,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); btn_publishing.setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',161,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',164,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var params = [{name:"fanTopic.fanGrpItemTitle", value:titleValue}, {name:"fanTopic.fanGrpItemContent", value:contentValue}, {name:"fanTopic.fanGrpId", value:fanGrpId}, {name:"fanTopic.fanGrpItemType", value:dataType}, {name:"fanTopic.floorNo", value:"1"}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]; 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams(params); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',175,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!addNewTopic.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',176,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addFiles(files); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',179,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',181,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_book.html", {topicId:result.data, fanGrpItemType:dataType}, true, false); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("发贴失败！"); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',184,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); btn_publish.setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',185,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); btn_publishing.setDisplay(false); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',188,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); btn_publish.setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_bookfabu.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); btn_publishing.setDisplay(false); 
}); 
} 
 
Emp.page.render();
