var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_3985812');
var _div_14907335 = new Emp.Panel({"id":"_div_14907335","height":"44","width":"100%","top":"0"});
var _div_30196714 = new Emp.Panel({"id":"_div_30196714","height":"44","width":"100%"});
var _div_5403403 = new Emp.Panel({"id":"_div_5403403","width":"100%"});
_div_5403403.addEvent('onClick',go_back);
var _img_16702321 = new Emp.Image({"id":"_img_16702321","height":"35","width":"35","src":"/icon_128/iconfont-back.png"});
_div_5403403.add(_img_16702321);
var _div_33097577 = new Emp.Panel({"id":"_div_33097577","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var _input_5615544 = new Emp.Label({"id":"_input_5615544","color":"#999999","value":"饭团资料","fontSize":"16"});
_div_33097577.add(_input_5615544);
_div_5403403.add(_div_33097577);
_div_30196714.add(_div_5403403);
var _div_25396560 = new Emp.Panel({"id":"_div_25396560","height":"100%","vAlign":"middle","hAlign":"center","width":"80"});
var _img_27611442 = new Emp.Image({"id":"_img_27611442","height":"40","width":"40","src":"/images/u8.png"});
_div_25396560.add(_img_27611442);
_div_30196714.add(_div_25396560);
_div_14907335.add(_div_30196714);
Emp.page.add(_div_14907335);
var _div_7715289 = new Emp.Panel({"id":"_div_7715289","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_7715289);
var fan_title = new Emp.Panel({"id":"fan_title","height":"100%","layout":"VBox","width":"100%"});
var _div_5689693 = new Emp.Panel({"id":"_div_5689693","paddingTop":"50","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var _div_30102981 = new Emp.Panel({"id":"_div_30102981","height":"50","layout":"HBox","width":"300"});
var _input_7083822 = new Emp.Label({"id":"_input_7083822","height":"40","width":"100%","value":"饭团主题","paddingLeft":"10"});
_div_30102981.add(_input_7083822);
_div_5689693.add(_div_30102981);
var _div_6676137 = new Emp.Panel({"id":"_div_6676137","height":"40","layout":"HBox","width":"100%","paddingLeft":"30"});
var messagetext = new Emp.Text({"id":"messagetext","height":"40","borderWidth":"1","width":"250","backgroundImage":"/images/u4.png","emptyText":"输入主题关键词    1~10个字"});
_div_6676137.add(messagetext);
var _input_18285669 = new Emp.Label({"id":"_input_18285669","height":"40","vAlign":"middle","hAlign":"center","width":"40","value":"+","backgroundImage":"/images/u10.png"});
_input_18285669.addEvent('onClick',showTitle);
_div_6676137.add(_input_18285669);
_div_5689693.add(_div_6676137);
var title = new Emp.Panel({"id":"title","height":"30","layout":"HBox","width":"100%"});
var _input_26899046 = new Emp.Label({"id":"_input_26899046","height":"40","color":"#CCCCCC","width":"100%","value":"填写关键词更容易找到趣味相投的小伙伴","fontSize":"12","paddingLeft":"30"});
title.add(_input_26899046);
_div_5689693.add(title);
var title1 = new Emp.Panel({"id":"title1","height":"30","layout":"HBox","width":"100%","display":"none"});
var _input_26452617 = new Emp.Label({"id":"_input_26452617","height":"40","color":"#CCCCCC","width":"100%","value":"长按标签可删除","fontSize":"12","paddingLeft":"30"});
title1.add(_input_26452617);
_div_5689693.add(title1);
var addticket = new Emp.Panel({"id":"addticket","height":"100","vAlign":"","overflow":"x","layout":"HBox","hAlign":"","width":"100%"});
_div_5689693.add(addticket);
var _div_2839547 = new Emp.Panel({"id":"_div_2839547","height":"20","layout":"HBox","width":"100%"});
var _input_18097223 = new Emp.Label({"id":"_input_18097223","height":"20","color":"#333333","width":"100%","value":"----------------------------------","fontSize":"13","paddingLeft":"30"});
_div_2839547.add(_input_18097223);
_div_5689693.add(_div_2839547);
var title2 = new Emp.Panel({"id":"title2","height":"50","layout":"HBox","width":"100%","display":"none","paddingLeft":"30"});
_div_5689693.add(title2);
var _div_344366 = new Emp.Panel({"id":"_div_344366","height":"50","layout":"HBox","width":"100%"});
var _input_16399161 = new Emp.Label({"id":"_input_16399161","height":"40","color":"#999999","width":"100%","value":"热门关键词","fontSize":"12","paddingLeft":"30"});
_div_344366.add(_input_16399161);
_div_5689693.add(_div_344366);
var _div_4604061 = new Emp.Panel({"id":"_div_4604061","height":"55","layout":"HBox","width":"100%","paddingLeft":"30"});
var delectTitle1 = new Emp.Label({"id":"delectTitle1","height":"40","backgroundColor":"#F8F8F8","vAlign":"middle","color":"#999999","hAlign":"center","width":"60","value":"90后","fontSize":"13"});
delectTitle1.addEvent('onClick',delectTitle);
_div_4604061.add(delectTitle1);
var _input_13231112 = new Emp.Label({"id":"_input_13231112","height":"40","backgroundColor":"#F8F8F8","vAlign":"middle","color":"#999999","marginLeft":"10","hAlign":"center","width":"70","value":"周边交易","fontSize":"13"});
_div_4604061.add(_input_13231112);
var _input_10092279 = new Emp.Label({"id":"_input_10092279","height":"40","backgroundColor":"#F8F8F8","vAlign":"middle","color":"#999999","marginLeft":"10","hAlign":"center","width":"70","value":"周边交易","fontSize":"13"});
_div_4604061.add(_input_10092279);
var _input_3283411 = new Emp.Label({"id":"_input_3283411","height":"40","backgroundColor":"#F8F8F8","vAlign":"middle","color":"#999999","marginLeft":"10","hAlign":"center","width":"70","value":"周边交易","fontSize":"13"});
_div_4604061.add(_input_3283411);
_div_5689693.add(_div_4604061);
var _div_20804595 = new Emp.Panel({"id":"_div_20804595","height":"55","layout":"HBox","width":"100%","paddingLeft":"30"});
var _input_25656341 = new Emp.Label({"id":"_input_25656341","height":"40","backgroundColor":"#F8F8F8","vAlign":"middle","color":"#999999","hAlign":"center","width":"60","value":"90后","fontSize":"13"});
_div_20804595.add(_input_25656341);
var _input_31684793 = new Emp.Label({"id":"_input_31684793","height":"40","backgroundColor":"#F8F8F8","vAlign":"middle","color":"#999999","marginLeft":"10","hAlign":"center","width":"70","value":"周边交易","fontSize":"13"});
_div_20804595.add(_input_31684793);
var _input_17480884 = new Emp.Label({"id":"_input_17480884","height":"40","backgroundColor":"#F8F8F8","vAlign":"middle","color":"#999999","marginLeft":"10","hAlign":"center","width":"70","value":"周边交易","fontSize":"13"});
_div_20804595.add(_input_17480884);
var _input_32168516 = new Emp.Label({"id":"_input_32168516","height":"40","backgroundColor":"#F8F8F8","vAlign":"middle","color":"#999999","marginLeft":"10","hAlign":"center","width":"70","value":"周边交易","fontSize":"13"});
_div_20804595.add(_input_32168516);
_div_5689693.add(_div_20804595);
var _div_27242118 = new Emp.Panel({"id":"_div_27242118","height":"55","layout":"HBox","width":"100%","paddingLeft":"30"});
var _input_8053061 = new Emp.Label({"id":"_input_8053061","height":"40","backgroundColor":"#F8F8F8","vAlign":"middle","color":"#999999","hAlign":"center","width":"60","value":"90后","fontSize":"13"});
_div_27242118.add(_input_8053061);
var _input_22785689 = new Emp.Label({"id":"_input_22785689","height":"40","backgroundColor":"#F8F8F8","vAlign":"middle","color":"#999999","marginLeft":"10","hAlign":"center","width":"70","value":"周边交易","fontSize":"13"});
_div_27242118.add(_input_22785689);
var _input_2354602 = new Emp.Label({"id":"_input_2354602","height":"40","backgroundColor":"#F8F8F8","vAlign":"middle","color":"#999999","marginLeft":"10","hAlign":"center","width":"70","value":"周边交易","fontSize":"13"});
_div_27242118.add(_input_2354602);
var _input_13133109 = new Emp.Label({"id":"_input_13133109","height":"40","backgroundColor":"#F8F8F8","vAlign":"middle","color":"#999999","marginLeft":"10","hAlign":"center","width":"70","value":"周边交易","fontSize":"13"});
_div_27242118.add(_input_13133109);
_div_5689693.add(_div_27242118);
var _div_7120661 = new Emp.Panel({"id":"_div_7120661","height":"55","layout":"HBox","width":"100%","paddingLeft":"30"});
var _input_21861515 = new Emp.Label({"id":"_input_21861515","height":"40","backgroundColor":"#F8F8F8","vAlign":"middle","color":"#999999","hAlign":"center","width":"60","value":"90后","fontSize":"13"});
_div_7120661.add(_input_21861515);
var _input_5454214 = new Emp.Label({"id":"_input_5454214","height":"40","backgroundColor":"#F8F8F8","vAlign":"middle","color":"#999999","marginLeft":"10","hAlign":"center","width":"70","value":"周边交易","fontSize":"13"});
_div_7120661.add(_input_5454214);
var _input_16559941 = new Emp.Label({"id":"_input_16559941","height":"40","backgroundColor":"#F8F8F8","vAlign":"middle","color":"#999999","marginLeft":"10","hAlign":"center","width":"70","value":"周边交易","fontSize":"13"});
_div_7120661.add(_input_16559941);
var _input_22475811 = new Emp.Label({"id":"_input_22475811","height":"40","backgroundColor":"#F8F8F8","vAlign":"middle","color":"#999999","marginLeft":"10","hAlign":"center","width":"70","value":"周边交易","fontSize":"13"});
_div_7120661.add(_input_22475811);
_div_5689693.add(_div_7120661);
fan_title.add(_div_5689693);
Emp.page.add(fan_title);
var _div_28718305 = new Emp.Panel({"id":"_div_28718305","paddingTop":"0","height":"65","width":"100%"});
var _input_21609562 = new Emp.Label({"id":"_input_21609562","height":"100%","vAlign":"middle","width":"100%","hAlign":"center","value":"保存","backgroundImage":"/images/u11.png","fontSize":"20"});
_input_21609562.addEvent('onClick',finish);
_div_28718305.add(_input_21609562);
Emp.page.add(_div_28718305);




$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});function CreateDiv(num) { 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',98,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div" + num; 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "width":"100%", "height":"100%", }); 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(getTicketValue()); 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getTicketValue(value, num) { 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',115,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var title = {title:"《纳妾记"}; 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"color":"#999999", "marginLeft":"10", "value":value, "id":"label" + num, "onClick":"showName"}); 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function showName() { 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast(); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',137,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var messageBiaoQian = null; 
if($jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params.messageBiaoQian != undefined && params.messageBiaoQian != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',140,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); messageBiaoQian = params.messageBiaoQian.split(" "); 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < messageBiaoQian.length; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("title2").add(getInputValue(messageBiaoQian[i], i)); 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',143,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("title2").setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',144,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("label" + i).addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.remove("label" + i); 
}); 
} 
} 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',152,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getInputValue(value, num) { 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',153,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"width":"60", "fontSize":"13", "color":"#999999", "vAlign":"middle", "hAlign":"center", "height":"40", "value":value, "id":"label" + num, "backgroundColor":"#FAC008", "marginLeft":"10"}); 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',168,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function delectTitle() { 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',169,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast(1); 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.remove("delectTitle1"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function showTitle() { 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',176,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var title = Emp.get("messagetext").getValue(); 
if($jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (title == "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',179,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("请输入主题关键词"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',184,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("addticket").add(getTicketValue(title, 1)); 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',185,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("title").setDisplay(false); 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',186,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("title1").setDisplay(true); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fan_title.addEvent("onSwipeRight", function () { 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',194,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fan_title.addEvent("onSwipeUp", function () { 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',195,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("这是上滑事件"); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',198,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fan_title.addEvent("onSwipeDown", function () { 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',199,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("这是下滑事件"); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',202,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function go_back() { 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',203,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',206,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function finish() { 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',207,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setTimeout(500, function () { 
$jsd('/NewBuyApp/src/fanGroup/fan_editmessage.htmlx',208,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("保存成功"); 
}); 
} 
 
Emp.page.render();
