var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_6267181');
var _div_5159047 = new Emp.Panel({"id":"_div_5159047","height":"44","width":"100%","top":"0"});
var _div_3454095 = new Emp.Panel({"id":"_div_3454095","height":"44","vAlign":"middle","width":"100%"});
_div_3454095.addEvent('onClick',go_back);
var _img_3812321 = new Emp.Image({"id":"_img_3812321","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_3454095.add(_img_3812321);
var _div_18278630 = new Emp.Panel({"id":"_div_18278630","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var fan_name_title = new Emp.Label({"id":"fan_name_title","color":"#999999","value":"创建饭团","fontSize":"16"});
_div_18278630.add(fan_name_title);
_div_3454095.add(_div_18278630);
var _div_29179759 = new Emp.Panel({"id":"_div_29179759","height":"100%","vAlign":"middle","hAlign":"right","width":"100%","paddingRight":"10"});
_div_3454095.add(_div_29179759);
_div_5159047.add(_div_3454095);
Emp.page.add(_div_5159047);
var _div_26198141 = new Emp.Panel({"id":"_div_26198141","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_26198141);
var headInfo = new Emp.Panel({"id":"headInfo","paddingTop":"0","height":"100%","backgroundColor":"#f0f0f0","layout":"VBox","width":"100%","paddingBottom":"0"});
var _div_20368336 = new Emp.Panel({"id":"_div_20368336","paddingTop":"10","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var fanphoto_select = new Emp.Panel({"id":"fanphoto_select","height":"150","vAlign":"middle","backgroundColor":"#ffffff","hAlign":"center","layout":"VBox","width":"150"});
fanphoto_select.addEvent('onClick',startCamera);
var _div_10650087 = new Emp.Panel({"id":"_div_10650087","height":"-2","marginTop":"20","vAlign":"middle","hAlign":"center","layout":"HBox","width":"100%"});
var _img_16678832 = new Emp.Image({"id":"_img_16678832","height":"50","width":"50","src":"/images/tupian.png","circleClip":"true"});
_div_10650087.add(_img_16678832);
fanphoto_select.add(_div_10650087);
var _div_7407777 = new Emp.Panel({"id":"_div_7407777","height":"-2","marginTop":"20","vAlign":"middle","hAlign":"center","layout":"HBox","width":"100%"});
var updateFanHead = new Emp.Label({"id":"updateFanHead","color":"#CCCCCC","value":"添加饭团图像","fontSize":"16"});
_div_7407777.add(updateFanHead);
fanphoto_select.add(_div_7407777);
_div_20368336.add(fanphoto_select);
var fanphoto_selected = new Emp.Panel({"id":"fanphoto_selected","height":"150","vAlign":"middle","hAlign":"center","layout":"VBox","width":"150","display":"false"});
fanphoto_selected.addEvent('onClick',startCamera);
var fanHead = new Emp.Image({"id":"fanHead","height":"150","width":"150","src":"","circleClip":"true"});
fanphoto_selected.add(fanHead);
_div_20368336.add(fanphoto_selected);
var _div_8687735 = new Emp.Panel({"id":"_div_8687735","paddingTop":"10","height":"40","layout":"HBox","width":"300"});
var _input_19440661 = new Emp.Label({"id":"_input_19440661","height":"40","width":"100%","value":"饭团简介","fontSize":"20","paddingLeft":"10"});
_div_8687735.add(_input_19440661);
_div_20368336.add(_div_8687735);
var _div_19685457 = new Emp.Panel({"id":"_div_19685457","height":"150","backgroundColor":"#f0f0f0","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var fanJianjie = new Emp.TextArea({"id":"fanJianjie","height":"120","width":"300","emptyText":"介绍所建饭团的特色~"});
_div_19685457.add(fanJianjie);
_div_20368336.add(_div_19685457);
var _div_18298171 = new Emp.Panel({"id":"_div_18298171","height":"30","layout":"HBox","width":"300"});
var _input_10996112 = new Emp.Label({"id":"_input_10996112","height":"40","width":"100%","value":"饭团福利","fontSize":"20","paddingLeft":"10"});
_div_18298171.add(_input_10996112);
_div_20368336.add(_div_18298171);
var _div_27404011 = new Emp.Panel({"id":"_div_27404011","height":"80","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var fuli = new Emp.TextArea({"id":"fuli","height":"50","width":"300","emptyText":"你能为小伙伴提供什么粉丝福利"});
_div_27404011.add(fuli);
_div_20368336.add(_div_27404011);
headInfo.add(_div_20368336);
Emp.page.add(headInfo);
var _div_17137416 = new Emp.Panel({"id":"_div_17137416","height":"70","backgroundColor":"#f0f0f0","vAlign":"middle","hAlign":"center","width":"100%"});
var goToTitle = new Emp.Panel({"id":"goToTitle","borderColor":"#ffc600","height":"50","vAlign":"middle","backgroundColor":"#FFC600","borderWidth":"1","hAlign":"center","width":"340","cornerRadius":"5"});
var _input_20022025 = new Emp.Label({"id":"_input_20022025","color":"#ffffff","value":"下一步","fontSize":"25"});
goToTitle.add(_input_20022025);
_div_17137416.add(goToTitle);
Emp.page.add(_div_17137416);




$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',57,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var fanGrp = {}; 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',58,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',59,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp = params.fanGrp; 
if($jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',60,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params.headImg != undefined || params.abstractNm != undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',61,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("fan_name_title").setValue("修改饭团资料"); 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',62,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("goToTitle").setValue("确定修改"); 
if($jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',63,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params.headImg != undefined && params.headImg != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',64,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fanHead").setSrc(params.headImg, "fitCenter"); 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',65,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("updateFanHead").setValue("修改饭团头像"); 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',67,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params.abstractNm != undefined && params.abstractNm != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',68,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fanJianjie").setValue(params.abstractNm); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',71,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); goToTitle.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',72,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var updateFanImg = $M.get("fanHead").getSrc(); 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',73,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanJianjie = $M.get("fanJianjie").getValue(); 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',74,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanFuLi = $M.get("fuli").getValue(); 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',75,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp.fanGrpPhoto = updateFanImg; 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',76,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp.fanGrpIntroduction = fanJianjie; 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',77,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp.fanGrpBenefit = fanFuLi; 
if($jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',78,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (updateFanImg == "" || fanJianjie == "" || fanFuLi == "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',79,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("请完整填写饭团资料~"); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',81,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanCreate/fan_title.html", {fanGrp:fanGrp}); 
} 
}); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',85,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); goToTitle.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var updateFanImg = $M.get("fanHead").getSrc(); 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',87,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanJianjie = $M.get("fanJianjie").getValue(); 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',88,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fanFuLi = $M.get("fuli").getValue(); 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',89,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp.fanGrpPhoto = updateFanImg; 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',90,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp.fanGrpIntroduction = fanJianjie; 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',91,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrp.fanGrpBenefit = fanFuLi; 
if($jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',92,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (updateFanImg == "" || fanJianjie == "" || fanFuLi == "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',93,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("请完整填写饭团资料~"); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',95,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanCreate/fan_title.html", {fanGrp:fanGrp}); 
} 
}); 
} 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function go_back() { 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',105,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function startCamera() { 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.selectCameraPhoto(function (path) { 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',107,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fanHead").setSrc(path); 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fanphoto_select").setDisplay(false); 
$jsd('/NewBuyApp/src/fanGroup/fan_head_info.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("fanphoto_selected").setDisplay(true); 
}); 
} 
 
Emp.page.render();
