var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_26156066');
$M.includeFile("/template/fan_grouphuodong_template.html");
var layer = new Emp.Panel({"position":"relative","id":"layer","height":"100%","visibility":"false","width":"100%"});
layer.addEvent('onClick',clickOther);
var menu = new Emp.Panel({"position":"relative","id":"menu","height":"200","backgroundColor":"#f2f2f2","hAlign":"center","layout":"VBox","width":"100%","top":"20"});
var _input_3382745 = new Emp.Label({"id":"_input_3382745","marginBottom":"10","marginTop":"10","value":"分享","fontBold":"true","fontSize":"20"});
menu.add(_input_3382745);
var _div_10761176 = new Emp.Panel({"id":"_div_10761176","height":"100%","width":"100%"});
var _div_4703464 = new Emp.Panel({"id":"_div_4703464","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_30433175 = new Emp.Image({"id":"_img_30433175","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_4703464.add(_img_30433175);
var _input_20169426 = new Emp.Label({"id":"_input_20169426","value":"新浪微博","fontSize":"14"});
_div_4703464.add(_input_20169426);
_div_10761176.add(_div_4703464);
var _div_20676128 = new Emp.Panel({"id":"_div_20676128","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_13986191 = new Emp.Image({"id":"_img_13986191","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_20676128.add(_img_13986191);
var _input_17116611 = new Emp.Label({"id":"_input_17116611","value":"微信朋友圈","fontSize":"14"});
_div_20676128.add(_input_17116611);
_div_10761176.add(_div_20676128);
var _div_16746967 = new Emp.Panel({"id":"_div_16746967","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_11701510 = new Emp.Image({"id":"_img_11701510","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_16746967.add(_img_11701510);
var _input_4755335 = new Emp.Label({"id":"_input_4755335","value":"微信好友","fontSize":"14"});
_div_16746967.add(_input_4755335);
_div_10761176.add(_div_16746967);
var _div_29824082 = new Emp.Panel({"id":"_div_29824082","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_17248019 = new Emp.Image({"id":"_img_17248019","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_29824082.add(_img_17248019);
var _input_10721621 = new Emp.Label({"id":"_input_10721621","value":"QQ","fontSize":"14"});
_div_29824082.add(_input_10721621);
_div_10761176.add(_div_29824082);
var _div_10996733 = new Emp.Panel({"id":"_div_10996733","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_4289352 = new Emp.Image({"id":"_img_4289352","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_10996733.add(_img_4289352);
var _input_16225726 = new Emp.Label({"id":"_input_16225726","value":"QQ空间","fontSize":"14"});
_div_10996733.add(_input_16225726);
_div_10761176.add(_div_10996733);
menu.add(_div_10761176);
var _div_8921538 = new Emp.Panel({"id":"_div_8921538","height":"100%","width":"100%"});
var _div_23088110 = new Emp.Panel({"id":"_div_23088110","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_18417504 = new Emp.Image({"id":"_img_18417504","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_23088110.add(_img_18417504);
var _input_3362025 = new Emp.Label({"id":"_input_3362025","value":"收藏","fontSize":"14"});
_div_23088110.add(_input_3362025);
_div_8921538.add(_div_23088110);
var _div_33448559 = new Emp.Panel({"id":"_div_33448559","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_32535755 = new Emp.Image({"id":"_img_32535755","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_33448559.add(_img_32535755);
var _input_25415657 = new Emp.Label({"id":"_input_25415657","value":"删除","fontSize":"14"});
_div_33448559.add(_input_25415657);
_div_8921538.add(_div_33448559);
var _div_13031451 = new Emp.Panel({"id":"_div_13031451","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_9833313 = new Emp.Image({"id":"_img_9833313","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_13031451.add(_img_9833313);
var _input_12918794 = new Emp.Label({"id":"_input_12918794","value":"复制链接","fontSize":"14"});
_div_13031451.add(_input_12918794);
_div_8921538.add(_div_13031451);
var _div_29011313 = new Emp.Panel({"id":"_div_29011313","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_13687213 = new Emp.Image({"id":"_img_13687213","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_29011313.add(_img_13687213);
var _input_25372344 = new Emp.Label({"id":"_input_25372344","value":"举报","fontSize":"14"});
_div_29011313.add(_input_25372344);
_div_8921538.add(_div_29011313);
menu.add(_div_8921538);
layer.add(menu);
Emp.page.add(layer);
var _div_23267889 = new Emp.Panel({"id":"_div_23267889","height":"60","layout":"HBox","width":"100%","backgroundImage":"/fan_group/u93.png"});
_div_23267889.addEvent('onClick',goBack);
var _img_20071894 = new Emp.Image({"id":"_img_20071894","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_23267889.add(_img_20071894);
var title = new Emp.Label({"id":"title","color":"#999999","tag":"title","value":"","fontSize":"16"});
_div_23267889.add(title);
Emp.page.add(_div_23267889);
var _div_31521326 = new Emp.Panel({"id":"_div_31521326","height":"80","layout":"VBox","width":"100%"});
var _div_21568356 = new Emp.Panel({"id":"_div_21568356","height":"40","vAlign":"","layout":"HBox","hAlign":"","width":"100%"});
var titlephoto = new Emp.Image({"id":"titlephoto","height":"30","vAlign":"middle","tag":"titlephoto","hAlign":"center","width":"30","src":""});
_div_21568356.add(titlephoto);
var fantitle = new Emp.Label({"id":"fantitle","vAlign":"middle","tag":"fantitle","width":"100%","value":""});
_div_21568356.add(fantitle);
var _div_7955372 = new Emp.Panel({"id":"_div_7955372","borderColor":"#FF44AA","height":"30","vAlign":"middle","backgroundColor":"#FF44AA","borderWidth":"1","marginRight":"80","hAlign":"center","width":"50","cornerRadius":"5"});
var points = new Emp.Label({"id":"points","tag":"points","value":""});
_div_7955372.add(points);
_div_21568356.add(_div_7955372);
_div_31521326.add(_div_21568356);
var _div_6411375 = new Emp.Panel({"id":"_div_6411375","height":"50","layout":"HBox","width":"100%"});
var titlephoto2 = new Emp.Image({"id":"titlephoto2","tag":"titlephoto2","width":"30","src":""});
_div_6411375.add(titlephoto2);
var exittime = new Emp.Label({"id":"exittime","height":"40","color":"#5599FF","tag":"exittime","value":""});
_div_6411375.add(exittime);
var titlephoto3 = new Emp.Image({"id":"titlephoto3","tag":"titlephoto3","width":"60","src":""});
_div_6411375.add(titlephoto3);
var fanlocation = new Emp.Label({"id":"fanlocation","height":"40","color":"#5599FF","tag":"fanlocation","value":""});
_div_6411375.add(fanlocation);
_div_31521326.add(_div_6411375);
Emp.page.add(_div_31521326);
var _div_16497440 = new Emp.Panel({"id":"_div_16497440","height":"100%","backgroundColor":"#fcfcfc","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","width":"100%"});
_div_16497440.add(listview);
Emp.page.add(_div_16497440);
var _div_5092866 = new Emp.Panel({"id":"_div_5092866","height":"70","vAlign":"middle","hAlign":"center","width":"100%","backgroundImage":"/fan_message/u11.png"});
var _input_32007281 = new Emp.Label({"id":"_input_32007281","color":"#AAAAAA","value":"我要参加","fontSize":"25"});
_div_5092866.add(_input_32007281);
Emp.page.add(_div_5092866);










$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var message = {title:"孙坚全国粉丝会", titlephoto:"/discover/u67.png", titlephoto2:"/fan_photo/u53.png", titlephoto3:"/discover/u86.png", exittime:"2015.04.14 19:00", fantitle:"孙坚横店秘密探班报名了", points:"358", fanlocation:"上海"}; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); title.setValue(message.title); 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue(message.titlephoto); 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fantitle.setValue(message.fantitle); 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto2.setValue(message.titlephoto2); 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); exittime.setValue(message.exittime); 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto3.setValue(message.titlephoto3); 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanlocation.setValue(message.fanlocation); 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); points.setValue(message.points); 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var topic = {userNm:"饭糖菌", exittime:"40分钟前", img:"/fan_photo/u45.png", levelid:"Lv2", content:"你觉得孙坚颜值最高是哪部剧，孙坚粉丝快来投票。投票结束后，将从参与者中抽取10名，赠送得票最高的作品签名海报~", fangrp:"孙坚全国后援会", fabulous:"4", reward:"1", reply:"8", fabulousmember:[{userid:"1", username:"test1", img:"/fan_myfantie/u104.png"}, {userid:"2", username:"test2", img:"/fan_myfantie/u110.jpg"}, {userid:"3", username:"test3", img:"/fan_myfantie/u106.png"}, {userid:"4", username:"test4", img:"/fan_myfantie/u108.jpg"}], starttime:"2015年5月1日~", endtime:"2015年5月3日", worktime:"2015年5月8日", worklocation:"横店影视城", golocation:"上海市工人文化宫大门"}; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function clickOther() { 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',137,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(false); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',140,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function show() { 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); menu.moveToY(0, 1000); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',144,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gofabu() { 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_photofabu.html"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',161,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplate(tem1); 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function () { 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var arr = generateData1(); 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',164,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(generateData1()); 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',169,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setOnclickTags(["share"]); 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onItemClick", function (row, tag, data) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "share") { 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); show(); 
} 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function generateData1() { 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',179,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var arr = []; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < 1; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',181,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var tem = {}; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',182,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.userNm = topic.userNm; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.exittime = topic.exittime; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',184,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.levelid = topic.levelid; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',185,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.content = topic.content; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',186,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.fangrp = topic.fangrp; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',187,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.fabulous = topic.fabulous; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',188,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.reward = topic.reward; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.reply = topic.reply; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.t_img1 = topic.fabulousmember[0].img; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.t_img2 = topic.fabulousmember[1].img; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',192,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.t_img3 = topic.fabulousmember[2].img; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',193,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.t_img4 = topic.fabulousmember[3].img; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',194,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.starttime = topic.starttime; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',195,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.endtime = topic.endtime; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',196,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.worktime = topic.worktime; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',197,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.worklocation = topic.worklocation; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',198,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.golocation = topic.golocation; 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',217,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); arr.push(tem); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_huodong.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return arr; 
} 
 
Emp.page.render();
