var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_12293829');
//$M.includeFile("/template/fan_groupticket_template.html");
var _div_27762294 = new Emp.Panel({"id":"_div_27762294","height":"60","layout":"HBox","width":"100%","backgroundImage":"/fan_group/u93.png"});
_div_27762294.addEvent('onClick',goBack);
var _img_31389695 = new Emp.Image({"id":"_img_31389695","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_img_31389695.addEvent('onClick',goBack);
_div_27762294.add(_img_31389695);
var _input_7284597 = new Emp.Label({"id":"_input_7284597","color":"#999999","value":"照片库","fontSize":"16"});
_div_27762294.add(_input_7284597);
Emp.page.add(_div_27762294);
var layer = new Emp.Panel({"position":"relative","id":"layer","height":"100%","visibility":"false","width":"100%"});
layer.addEvent('onClick',clickOther);
var menu = new Emp.Panel({"position":"relative","id":"menu","height":"200","backgroundColor":"#f2f2f2","hAlign":"center","layout":"VBox","width":"100%","top":"20"});
var _div_31848254 = new Emp.Panel({"id":"_div_31848254","height":"100%","width":"100%"});
var _div_12444844 = new Emp.Panel({"id":"_div_12444844","height":"75","vAlign":"middle","hAlign":"center","width":"200"});
var _img_15720125 = new Emp.Image({"id":"_img_15720125","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_12444844.add(_img_15720125);
var _input_544217 = new Emp.Label({"id":"_input_544217","value":"Camera(348)    ","fontSize":"14"});
_div_12444844.add(_input_544217);
_div_31848254.add(_div_12444844);
menu.add(_div_31848254);
var _div_19864062 = new Emp.Panel({"id":"_div_19864062","height":"1px","backgroundColor":"#aabbcc","width":"100%"});
menu.add(_div_19864062);
var _div_22259089 = new Emp.Panel({"id":"_div_22259089","height":"100%","width":"100%"});
var _div_10151881 = new Emp.Panel({"id":"_div_10151881","height":"75","vAlign":"middle","hAlign":"center","width":"200"});
var _img_31938323 = new Emp.Image({"id":"_img_31938323","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_10151881.add(_img_31938323);
var _input_17157499 = new Emp.Label({"id":"_input_17157499","value":"Screenshots(27)","fontSize":"14"});
_div_10151881.add(_input_17157499);
_div_22259089.add(_div_10151881);
menu.add(_div_22259089);
var _div_32854277 = new Emp.Panel({"id":"_div_32854277","height":"1px","backgroundColor":"#aabbcc","width":"100%"});
menu.add(_div_32854277);
var _div_10106844 = new Emp.Panel({"id":"_div_10106844","height":"100%","width":"100%"});
var _div_13194766 = new Emp.Panel({"id":"_div_13194766","height":"75","vAlign":"middle","hAlign":"center","width":"200"});
var _img_3200893 = new Emp.Image({"id":"_img_3200893","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_13194766.add(_img_3200893);
var _input_9667835 = new Emp.Label({"id":"_input_9667835","value":"保存 (30)          ","fontSize":"14"});
_div_13194766.add(_input_9667835);
_div_10106844.add(_div_13194766);
menu.add(_div_10106844);
var _div_16755519 = new Emp.Panel({"id":"_div_16755519","height":"1px","backgroundColor":"#aabbcc","width":"100%"});
menu.add(_div_16755519);
var _div_21219609 = new Emp.Panel({"id":"_div_21219609","height":"100%","width":"100%"});
var _div_21477150 = new Emp.Panel({"id":"_div_21477150","height":"75","vAlign":"middle","hAlign":"center","width":"200"});
var _img_21443334 = new Emp.Image({"id":"_img_21443334","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_21477150.add(_img_21443334);
var _input_23531307 = new Emp.Label({"id":"_input_23531307","value":"偶吧私藏 (139)   ","fontSize":"14"});
_div_21477150.add(_input_23531307);
_div_21219609.add(_div_21477150);
menu.add(_div_21219609);
layer.add(menu);
Emp.page.add(layer);
var _div_18151360 = new Emp.Panel({"id":"_div_18151360","height":"100%","backgroundColor":"#fcfcfc","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","width":"100%"});
_div_18151360.add(listview);
Emp.page.add(_div_18151360);
var _template_12983473 = new Emp.Panel({"id":"_template_12983473"});
_template_12983473.__isTemplate=true;
var tem1 = new Emp.Panel({"id":"tem1","height":"150","backgroundColor":"#FFFFFF","vAlign":"middle","layout":"VBox","width":"100%"});
var _div_10830160 = new Emp.Panel({"id":"_div_10830160","height":"250px","layout":"HBox","width":"100%"});
var _div_23275530 = new Emp.Panel({"id":"_div_23275530","borderColor":"#FFBB00","height":"160","vAlign":"middle","backgroundColor":"#DDDDDD","borderWidth":"0","hAlign":"center","width":"120","cornerRadius":"5"});
var _img_14276453 = new Emp.Image({"id":"_img_14276453","height":"100%","scalable":"true","width":"100%","src":"/fan_photo/u16.jpg"});
_div_23275530.add(_img_14276453);
var _input_30166599 = new Emp.Label({"id":"_input_30166599","color":"#ffffff","value":""});
_div_23275530.add(_input_30166599);
_div_10830160.add(_div_23275530);
var _div_2566573 = new Emp.Panel({"id":"_div_2566573","borderColor":"#FFBB00","height":"160","marginLeft":"2","vAlign":"middle","backgroundColor":"#DDDDDD","borderWidth":"0","hAlign":"center","width":"120","cornerRadius":"5"});
var _img_18954926 = new Emp.Image({"id":"_img_18954926","height":"100%","scalable":"true","width":"100%","src":"/fan_photo/u16.jpg"});
_div_2566573.add(_img_18954926);
var _input_9676627 = new Emp.Label({"id":"_input_9676627","color":"#ffffff","value":""});
_div_2566573.add(_input_9676627);
_div_10830160.add(_div_2566573);
var _div_30302571 = new Emp.Panel({"id":"_div_30302571","borderColor":"#FFBB00","height":"160","marginLeft":"2","vAlign":"middle","backgroundColor":"#DDDDDD","borderWidth":"0","hAlign":"center","width":"120","cornerRadius":"5"});
var _img_6156844 = new Emp.Image({"id":"_img_6156844","height":"100%","scalable":"true","width":"100%","src":"/fan_photo/u16.jpg"});
_div_30302571.add(_img_6156844);
var _input_29768027 = new Emp.Label({"id":"_input_29768027","color":"#ffffff","value":""});
_div_30302571.add(_input_29768027);
_div_10830160.add(_div_30302571);
tem1.add(_div_10830160);
var _div_14651265 = new Emp.Panel({"id":"_div_14651265","height":"1px","backgroundColor":"#aabbcc","width":"100%"});
tem1.add(_div_14651265);
_template_12983473.add(tem1);
var tem2 = new Emp.Panel({"id":"tem2","height":"150","backgroundColor":"#FFFFFF","vAlign":"middle","layout":"VBox","width":"100%"});
var _div_9293121 = new Emp.Panel({"id":"_div_9293121","height":"250px","layout":"HBox","width":"100%"});
var _div_27162393 = new Emp.Panel({"id":"_div_27162393","borderColor":"#FFBB00","height":"160","vAlign":"middle","backgroundColor":"#DDDDDD","borderWidth":"0","hAlign":"center","width":"120","cornerRadius":"5"});
var _img_10299881 = new Emp.Image({"id":"_img_10299881","height":"100%","scalable":"true","width":"100%","src":"/fan_photo/u16.jpg"});
_div_27162393.add(_img_10299881);
var _input_2799803 = new Emp.Label({"id":"_input_2799803","color":"#ffffff","value":""});
_div_27162393.add(_input_2799803);
_div_9293121.add(_div_27162393);
var _div_12977479 = new Emp.Panel({"id":"_div_12977479","borderColor":"#FFBB00","height":"160","marginLeft":"2","vAlign":"middle","backgroundColor":"#DDDDDD","borderWidth":"0","hAlign":"center","width":"120","cornerRadius":"5"});
var _img_8694785 = new Emp.Image({"id":"_img_8694785","height":"100%","scalable":"true","width":"100%","src":""});
_div_12977479.add(_img_8694785);
var _input_3700728 = new Emp.Label({"id":"_input_3700728","color":"#ffffff","value":""});
_div_12977479.add(_input_3700728);
_div_9293121.add(_div_12977479);
var _div_21777493 = new Emp.Panel({"id":"_div_21777493","borderColor":"#FFBB00","height":"160","marginLeft":"2","vAlign":"middle","backgroundColor":"#DDDDDD","borderWidth":"0","hAlign":"center","width":"120","cornerRadius":"5"});
var _img_2586017 = new Emp.Image({"id":"_img_2586017","height":"100%","scalable":"true","width":"100%","src":""});
_div_21777493.add(_img_2586017);
var _input_10208803 = new Emp.Label({"id":"_input_10208803","color":"#ffffff","value":""});
_div_21777493.add(_input_10208803);
_div_9293121.add(_div_21777493);
tem2.add(_div_9293121);
var _div_15551526 = new Emp.Panel({"id":"_div_15551526","height":"1px","backgroundColor":"#aabbcc","width":"100%"});
tem2.add(_div_15551526);
_template_12983473.add(tem2);
var _div_19037785 = new Emp.Panel({"id":"_div_19037785","height":"90","layout":"HBox","width":"100%"});
var _div_26548513 = new Emp.Panel({"id":"_div_26548513","height":"90","vAlign":"right","hAlign":"center","width":"100"});
_div_26548513.addEvent('onClick',gophotochoice);
var _input_27585348 = new Emp.Label({"id":"_input_27585348","height":"80","width":"100%","value":"所有图片","fontSize":"20"});
_div_26548513.add(_input_27585348);
_div_19037785.add(_div_26548513);
var _div_5368925 = new Emp.Panel({"id":"_div_5368925","borderColor":"#FFBB00","height":"90","vAlign":"middle","backgroundColor":"#BBBB00","borderWidth":"2","hAlign":"center","width":"100%","cornerRadius":"5"});
var _input_7660121 = new Emp.Label({"id":"_input_7660121","color":"#ffffff","value":"添加(9)","fontSize":"20"});
_div_5368925.add(_input_7660121);
_div_19037785.add(_div_5368925);
Emp.page.add(_div_19037785);










$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});function clickOther() { 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',146,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(false); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function show() { 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); menu.moveToY(0, 10); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',153,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gophotochoice() { 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',156,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); menu.moveToY(10, 500); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',159,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goFabu() { 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_tickettequan.html"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',166,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplates({"tem1":tem1, "tem2":tem2}); 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function () { 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var arr = generateData1(); 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(generateData1()); 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setOnclickTags(["share"]); 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onItemClick", function (row, tag, data) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',182,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "share") { 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); show(); 
} 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',187,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function generateData1() { 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',188,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var arr = []; 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < 3; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var tem = {}; 
if($jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (i == 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',192,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.template = "tem1"; 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',197,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (i == 1) { 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',198,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.template = "tem2"; 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',204,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tem.template = "tem2"; 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',208,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); arr.push(tem); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_photochoice.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return arr; 
} 
 
Emp.page.render();
