var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_24604537');
var _div_3638047 = new Emp.Panel({"id":"_div_3638047","height":"44","width":"100%","top":"0"});
var _div_8496347 = new Emp.Panel({"id":"_div_8496347","height":"44","vAlign":"middle","width":"100%"});
var _div_24003025 = new Emp.Panel({"id":"_div_24003025","height":"44","vAlign":"middle","width":"100%"});
_div_24003025.addEvent('onClick',goBack);
var _img_27475615 = new Emp.Image({"id":"_img_27475615","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_24003025.add(_img_27475615);
var _div_6575163 = new Emp.Panel({"id":"_div_6575163","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var fan_name_title = new Emp.Label({"id":"fan_name_title","color":"#999999","value":"明星行程","fontSize":"16"});
_div_6575163.add(fan_name_title);
_div_24003025.add(_div_6575163);
_div_8496347.add(_div_24003025);
var _div_27479952 = new Emp.Panel({"id":"_div_27479952","height":"100%","vAlign":"middle","hAlign":"right","width":"100%","paddingRight":"10"});
_div_8496347.add(_div_27479952);
_div_3638047.add(_div_8496347);
Emp.page.add(_div_3638047);
var _div_12357733 = new Emp.Panel({"id":"_div_12357733","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_12357733);
var _div_28050534 = new Emp.Panel({"id":"_div_28050534","height":"80","layout":"VBox","width":"100%"});
var _div_5564223 = new Emp.Panel({"id":"_div_5564223","height":"50","vAlign":"middle","layout":"HBox","hAlign":"center","width":"100%"});
var _div_1704787 = new Emp.Panel({"id":"_div_1704787","height":"45","marginLeft":"5","marginRight":"5","layout":"HBox","width":"150"});
var _div_30433555 = new Emp.Panel({"id":"_div_30433555","height":"45","vAlign":"middle","hAlign":"center","width":"35"});
var _img_26552935 = new Emp.Image({"id":"_img_26552935","height":"28","marginTop":"3","width":"28","src":"/icon_128/iconfont-calendar.png"});
_div_30433555.add(_img_26552935);
_div_1704787.add(_div_30433555);
var _div_1233152 = new Emp.Panel({"id":"_div_1233152","height":"45","marginLeft":"5","vAlign":"middle","hAlign":"center","width":"115"});
var day = new Emp.Label({"id":"day","value":"","fontSize":"38"});
_div_1233152.add(day);
var _div_12667522 = new Emp.Panel({"id":"_div_12667522","height":"45","marginTop":"5","marginLeft":"3","vAlign":"middle","hAlign":"left","layout":"VBox","width":"70"});
var week = new Emp.Label({"id":"week","value":"","fontSize":"14"});
_div_12667522.add(week);
var yearMonth = new Emp.Label({"id":"yearMonth","value":"","fontSize":"14"});
_div_12667522.add(yearMonth);
_div_1233152.add(_div_12667522);
_div_1704787.add(_div_1233152);
_div_5564223.add(_div_1704787);
var _div_23563633 = new Emp.Panel({"id":"_div_23563633","height":"45","marginTop":"5","vAlign":"middle","hAlign":"center","width":"100%"});
var star1 = new Emp.Image({"id":"star1","height":"35","width":"35","opacity":"1","display":"false","src":"","circleClip":"true"});
star1.addEvent('onClick',changeStar);
_div_23563633.add(star1);
var star2 = new Emp.Image({"id":"star2","height":"35","marginLeft":"5","width":"35","opacity":"0.5","display":"false","src":"","circleClip":"true"});
star2.addEvent('onClick',changeStar);
_div_23563633.add(star2);
var star3 = new Emp.Image({"id":"star3","height":"35","marginLeft":"5","width":"35","opacity":"0.5","display":"false","src":"","circleClip":"true"});
star3.addEvent('onClick',changeStar);
_div_23563633.add(star3);
var star4 = new Emp.Image({"id":"star4","height":"35","marginLeft":"5","width":"35","opacity":"0.5","display":"false","src":"","circleClip":"true"});
star4.addEvent('onClick',changeStar);
_div_23563633.add(star4);
var star5 = new Emp.Image({"id":"star5","height":"35","marginLeft":"5","width":"35","opacity":"0.5","display":"false","src":"","circleClip":"true"});
star5.addEvent('onClick',changeStar);
_div_23563633.add(star5);
_div_5564223.add(_div_23563633);
_div_28050534.add(_div_5564223);
var gostartyear = new Emp.Panel({"id":"gostartyear","height":"30","vAlign":"middle","hAlign":"center","overflow":"x","width":"100%"});
var _div_21634060 = new Emp.Panel({"id":"_div_21634060","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable1 = new Emp.Label({"id":"lable1","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable1.addEvent('onClick',onclickMonth);
_div_21634060.add(lable1);
var dateline1 = new Emp.Panel({"id":"dateline1","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_21634060.add(dateline1);
gostartyear.add(_div_21634060);
var _div_13402455 = new Emp.Panel({"id":"_div_13402455","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable2 = new Emp.Label({"id":"lable2","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable2.addEvent('onClick',onclickMonth);
_div_13402455.add(lable2);
var dateline2 = new Emp.Panel({"id":"dateline2","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_13402455.add(dateline2);
gostartyear.add(_div_13402455);
var _div_18742002 = new Emp.Panel({"id":"_div_18742002","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable3 = new Emp.Label({"id":"lable3","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable3.addEvent('onClick',onclickMonth);
_div_18742002.add(lable3);
var dateline3 = new Emp.Panel({"id":"dateline3","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_18742002.add(dateline3);
gostartyear.add(_div_18742002);
var _div_7692174 = new Emp.Panel({"id":"_div_7692174","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable4 = new Emp.Label({"id":"lable4","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable4.addEvent('onClick',onclickMonth);
_div_7692174.add(lable4);
var dateline4 = new Emp.Panel({"id":"dateline4","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_7692174.add(dateline4);
gostartyear.add(_div_7692174);
var _div_11438046 = new Emp.Panel({"id":"_div_11438046","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable5 = new Emp.Label({"id":"lable5","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable5.addEvent('onClick',onclickMonth);
_div_11438046.add(lable5);
var dateline5 = new Emp.Panel({"id":"dateline5","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_11438046.add(dateline5);
gostartyear.add(_div_11438046);
var _div_29396773 = new Emp.Panel({"id":"_div_29396773","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable6 = new Emp.Label({"id":"lable6","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable6.addEvent('onClick',onclickMonth);
_div_29396773.add(lable6);
var dateline6 = new Emp.Panel({"id":"dateline6","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_29396773.add(dateline6);
gostartyear.add(_div_29396773);
var _div_27945016 = new Emp.Panel({"id":"_div_27945016","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable7 = new Emp.Label({"id":"lable7","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable7.addEvent('onClick',onclickMonth);
_div_27945016.add(lable7);
var dateline7 = new Emp.Panel({"id":"dateline7","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_27945016.add(dateline7);
gostartyear.add(_div_27945016);
var _div_14304423 = new Emp.Panel({"id":"_div_14304423","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable8 = new Emp.Label({"id":"lable8","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable8.addEvent('onClick',onclickMonth);
_div_14304423.add(lable8);
var dateline8 = new Emp.Panel({"id":"dateline8","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_14304423.add(dateline8);
gostartyear.add(_div_14304423);
var _div_12854927 = new Emp.Panel({"id":"_div_12854927","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable9 = new Emp.Label({"id":"lable9","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable9.addEvent('onClick',onclickMonth);
_div_12854927.add(lable9);
var dateline9 = new Emp.Panel({"id":"dateline9","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_12854927.add(dateline9);
gostartyear.add(_div_12854927);
var _div_17209840 = new Emp.Panel({"id":"_div_17209840","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable10 = new Emp.Label({"id":"lable10","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable10.addEvent('onClick',onclickMonth);
_div_17209840.add(lable10);
var dateline10 = new Emp.Panel({"id":"dateline10","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_17209840.add(dateline10);
gostartyear.add(_div_17209840);
var _div_17700905 = new Emp.Panel({"id":"_div_17700905","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable11 = new Emp.Label({"id":"lable11","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable11.addEvent('onClick',onclickMonth);
_div_17700905.add(lable11);
var dateline11 = new Emp.Panel({"id":"dateline11","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_17700905.add(dateline11);
gostartyear.add(_div_17700905);
var _div_20891438 = new Emp.Panel({"id":"_div_20891438","height":"30","vAlign":"bottom","hAlign":"center","layout":"VBox","width":"90"});
var lable12 = new Emp.Label({"id":"lable12","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable12.addEvent('onClick',onclickMonth);
_div_20891438.add(lable12);
var dateline12 = new Emp.Panel({"id":"dateline12","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_20891438.add(dateline12);
gostartyear.add(_div_20891438);
var _div_12276208 = new Emp.Panel({"id":"_div_12276208","height":"30","vAlign":"bottom","hAlign":"center","layout":"VBox","width":"90"});
var lable13 = new Emp.Label({"id":"lable13","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable13.addEvent('onClick',onclickMonth);
_div_12276208.add(lable13);
var dateline13 = new Emp.Panel({"id":"dateline13","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_12276208.add(dateline13);
gostartyear.add(_div_12276208);
var _div_7740771 = new Emp.Panel({"id":"_div_7740771","height":"30","vAlign":"bottom","hAlign":"center","layout":"VBox","width":"90"});
var lable14 = new Emp.Label({"id":"lable14","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable14.addEvent('onClick',onclickMonth);
_div_7740771.add(lable14);
var dateline14 = new Emp.Panel({"id":"dateline14","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_7740771.add(dateline14);
gostartyear.add(_div_7740771);
var _div_5735135 = new Emp.Panel({"id":"_div_5735135","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable15 = new Emp.Label({"id":"lable15","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable15.addEvent('onClick',onclickMonth);
_div_5735135.add(lable15);
var dateline15 = new Emp.Panel({"id":"dateline15","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_5735135.add(dateline15);
gostartyear.add(_div_5735135);
var _div_29134205 = new Emp.Panel({"id":"_div_29134205","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable16 = new Emp.Label({"id":"lable16","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable16.addEvent('onClick',onclickMonth);
_div_29134205.add(lable16);
var dateline16 = new Emp.Panel({"id":"dateline16","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_29134205.add(dateline16);
gostartyear.add(_div_29134205);
var _div_17936816 = new Emp.Panel({"id":"_div_17936816","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable17 = new Emp.Label({"id":"lable17","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable17.addEvent('onClick',onclickMonth);
_div_17936816.add(lable17);
var dateline17 = new Emp.Panel({"id":"dateline17","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_17936816.add(dateline17);
gostartyear.add(_div_17936816);
var _div_25849300 = new Emp.Panel({"id":"_div_25849300","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable18 = new Emp.Label({"id":"lable18","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable18.addEvent('onClick',onclickMonth);
_div_25849300.add(lable18);
var dateline18 = new Emp.Panel({"id":"dateline18","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_25849300.add(dateline18);
gostartyear.add(_div_25849300);
var _div_8635164 = new Emp.Panel({"id":"_div_8635164","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable19 = new Emp.Label({"id":"lable19","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable19.addEvent('onClick',onclickMonth);
_div_8635164.add(lable19);
var dateline19 = new Emp.Panel({"id":"dateline19","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_8635164.add(dateline19);
gostartyear.add(_div_8635164);
var _div_21045217 = new Emp.Panel({"id":"_div_21045217","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable20 = new Emp.Label({"id":"lable20","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable20.addEvent('onClick',onclickMonth);
_div_21045217.add(lable20);
var dateline20 = new Emp.Panel({"id":"dateline20","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_21045217.add(dateline20);
gostartyear.add(_div_21045217);
var _div_3184116 = new Emp.Panel({"id":"_div_3184116","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable21 = new Emp.Label({"id":"lable21","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable21.addEvent('onClick',onclickMonth);
_div_3184116.add(lable21);
var dateline21 = new Emp.Panel({"id":"dateline21","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_3184116.add(dateline21);
gostartyear.add(_div_3184116);
var _div_8748905 = new Emp.Panel({"id":"_div_8748905","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable22 = new Emp.Label({"id":"lable22","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable22.addEvent('onClick',onclickMonth);
_div_8748905.add(lable22);
var dateline22 = new Emp.Panel({"id":"dateline22","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_8748905.add(dateline22);
gostartyear.add(_div_8748905);
var _div_4835549 = new Emp.Panel({"id":"_div_4835549","height":"30","vAlign":"middle","hAlign":"center","layout":"VBox","width":"90"});
var lable23 = new Emp.Label({"id":"lable23","height":"100%","color":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"90","value":"","fontSize":"18"});
lable23.addEvent('onClick',onclickMonth);
_div_4835549.add(lable23);
var dateline23 = new Emp.Panel({"id":"dateline23","height":"2","backgroundColor":"#FF9900","borderWidth":"0","width":"65","display":"false"});
_div_4835549.add(dateline23);
gostartyear.add(_div_4835549);
_div_28050534.add(gostartyear);
Emp.page.add(_div_28050534);
var _div_28550500 = new Emp.Panel({"id":"_div_28550500","paddingTop":"10","height":"100%","backgroundColor":"#f0f0f0","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","width":"100%"});
_div_28550500.add(listview);
Emp.page.add(_div_28550500);
var _template_7683999 = new Emp.Panel({"id":"_template_7683999"});
_template_7683999.__isTemplate=true;
var tem1 = new Emp.Panel({"id":"tem1","backgroundColor":"#f0f0f0","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_3961222 = new Emp.Panel({"id":"_div_3961222","height":"-2","layout":"VBox","width":"100%"});
var _div_4272712 = new Emp.Panel({"id":"_div_4272712","paddingTop":"15","borderColor":"#ffffff","height":"-2","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"HBox","width":"340","cornerRadius":"10","paddingBottom":"15"});
var _div_4997429 = new Emp.Panel({"id":"_div_4997429","height":"-2","marginLeft":"10","vAlign":"middle","layout":"VBox","hAlign":"center","width":"50"});
var _input_5056713 = new Emp.Label({"id":"_input_5056713","color":"#FFBB00","tag":"dateOfMonth","value":"","fontSize":"24"});
_div_4997429.add(_input_5056713);
var _input_28355182 = new Emp.Label({"id":"_input_28355182","color":"#FFBB00","tag":"dayOfWeek","value":"","fontSize":"16"});
_div_4997429.add(_input_28355182);
_div_4272712.add(_div_4997429);
var _div_25504508 = new Emp.Panel({"id":"_div_25504508","height":"-2","marginLeft":"10","vAlign":"middle","marginRight":"10","layout":"VBox","hAlign":"left","width":"100%"});
var _input_29959140 = new Emp.Label({"id":"_input_29959140","tag":"stime","value":"","fontSize":"24"});
_div_25504508.add(_input_29959140);
var tripContent = new Emp.Label({"id":"tripContent","color":"#333333","tag":"tripContent","width":"100%","maxWidth":"220","value":"","fontSize":"16","singleLine":"false"});
_div_25504508.add(tripContent);
_div_4272712.add(_div_25504508);
_div_3961222.add(_div_4272712);
var _div_6105577 = new Emp.Panel({"id":"_div_6105577","height":"10","backgroundColor":"#f0f0f0","layout":"HBox","width":"340"});
_div_3961222.add(_div_6105577);
tem1.add(_div_3961222);
_template_7683999.add(tem1);






$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var fanId = ""; 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',166,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var selectedMonth = ""; 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',167,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',168,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',169,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function onclickMonth() { 
if($jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (this.yyyymm == selectedMonth) { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',176,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 1; i <= 23; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("lable" + i).setColor("#CCCCCC"); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("dateline" + i).setDisplay(false); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("lable" + this.month).setColor("#FF9900"); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',181,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("dateline" + this.month).setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',182,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); selectedMonth = this.yyyymm; 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',184,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); getStarTrip(fanId, this.yyyymm); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',187,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function changeStar() { 
if($jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',188,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fanId == this.starId) { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanId = this.starId; 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',192,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); star1.setOpacity(0.5); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',193,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); star2.setOpacity(0.5); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',194,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); star3.setOpacity(0.5); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',195,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); star4.setOpacity(0.5); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',196,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); star5.setOpacity(0.5); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',197,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); this.setOpacity(1); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',198,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); getStarTrip(fanId, selectedMonth); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',201,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',202,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',205,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getGrpStars(fanGrpId) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',206,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fanGrpId == "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',207,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); goBack(); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',208,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',211,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fansInfo.fanGrpId", value:fanGrpId}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!getFanGrpStars.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',221,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success && result.data && result.data.length > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var i = 0; 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',223,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (; i < result.data.length; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',224,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("star" + (i + 1)).setSrc(result.data[i].address); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',225,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("star" + (i + 1)).starId = result.data[i].userId; 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',226,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("star" + (i + 1)).setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("star" + (i + 1)).setOpacity(0.5); 
if($jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',228,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (i == 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',229,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanId = result.data[i].userId; 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',230,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("star" + (i + 1)).setOpacity(1); 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (; i < 5; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("star" + (i + 1)).setSrc(""); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',235,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("star" + (i + 1)).starId = ""; 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',236,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("star" + (i + 1)).setDisplay(false); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',237,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("star" + (i + 1)).setOpacity(0.5); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',239,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); getStarTrip(fanId, selectedMonth); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',241,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); goBack(); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',244,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',248,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplate(tem1); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',249,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',250,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); initMonths(); 
if($jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',251,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params && params.fanId) { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',252,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanId = params.fanId; 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',253,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); getStarTrip(params.fanId, selectedMonth); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',254,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params && params.fanGrpId) { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',255,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); getGrpStars(params.fanGrpId); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',257,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
} 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',261,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function initMonths() { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var myDate = new Date(); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',264,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var dayInWeek = myDate.getDay(); 
if($jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',265,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (dayInWeek == "0") { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',266,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); week.setValue("周日"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',267,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (dayInWeek == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',268,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); week.setValue("周一"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',269,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (dayInWeek == "2") { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',270,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); week.setValue("周二"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',271,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (dayInWeek == "3") { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',272,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); week.setValue("周三"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',273,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (dayInWeek == "4") { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',274,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); week.setValue("周四"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',275,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (dayInWeek == "5") { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',276,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); week.setValue("周五"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',277,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (dayInWeek == "6") { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',278,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); week.setValue("周六"); 
} 
} 
} 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',280,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); day.setValue(myDate.getDate()); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',281,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); yearMonth.setValue(myDate.getFullYear() + "." + (myDate.getMonth() + 1)); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',282,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < 23; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',283,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var yyyymm = getMonths(new Date(), i - 11); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',284,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("lable" + (i + 1)).setValue(yyyymm); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',285,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("lable" + (i + 1)).month = (i + 1); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',286,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("lable" + (i + 1)).yyyymm = yyyymm.replace(".", ""); 
if($jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',287,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (i == 11) { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',288,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("lable12").setColor("#FF9900"); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',289,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("dateline12").setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',290,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); selectedMonth = $M.get("lable12").yyyymm; 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',293,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); gostartyear.scrollToX(855); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',296,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getMonths(date, diff) { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',297,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); date.setMonth(date.getMonth() + diff); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',298,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var year = date.getFullYear(); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',299,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var month = date.getMonth() + 1; 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',300,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); month = month > 9 ? month : "0" + month; 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',301,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return year + "." + month; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',304,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getStarTrip(starId, month) { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',305,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems([]); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',306,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',307,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',308,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.yyyyMM", value:month}, {name:"fanTopic.fanGrpItemType", value:6}, {name:"fanTopic.starId", value:starId}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',317,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!getFanTopicInfo.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',318,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',319,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',320,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',321,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',322,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.starId && star1.getSrc() == "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',323,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); star1.setSrc(result.data.creatorPhoto); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',324,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); star1.starId = result.data.starId; 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',325,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); star1.setDisplay(true); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',327,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(result.data.starTripList); 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',328,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_star.htmlx',332,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
 
Emp.page.render();
