var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_20017845');
var _nav_23190566 = new Emp.Nav({"id":"_nav_23190566","title":"发布投票","fontSize":"18"});
Emp.page.add(_nav_23190566);
var _div_24726624 = new Emp.Panel({"id":"_div_24726624","height":"100%","backgroundColor":"#F0F0F0","overflow":"y","layout":"VBox","width":"100%"});
var _div_8737057 = new Emp.Panel({"id":"_div_8737057","height":"50","backgroundColor":"#fafafa","vAlign":"middle","width":"100%","paddingLeft":"5","paddingRight":"5"});
var _input_11701859 = new Emp.Label({"id":"_input_11701859","marginLeft":"20","color":"#999999","value":"标题","fontSize":"16"});
_div_8737057.add(_input_11701859);
_div_24726624.add(_div_8737057);
var _div_21033734 = new Emp.Panel({"id":"_div_21033734","height":"1px","backgroundColor":"#aabbcc","width":"100%"});
_div_24726624.add(_div_21033734);
var addticketline = new Emp.Panel({"id":"addticketline","height":"1px","overflow":"y","width":"100%"});
var gophototicket = new Emp.Panel({"id":"gophototicket","height":"200","vAlign":"middle","overflow":"y","hAlign":"center","layout":"VBox","width":"100%"});
var _div_7161852 = new Emp.Panel({"id":"_div_7161852","height":"60","backgroundColor":"#fafafa","vAlign":"middle","layout":"HBox","width":"100%"});
var _input_9511116 = new Emp.Label({"id":"_input_9511116","color":"#AAAAAA","marginLeft":"20","value":"选项1   20个字之内","fontSize":"20"});
_div_7161852.add(_input_9511116);
var _div_13951 = new Emp.Panel({"id":"_div_13951","height":"20","width":"100%"});
_div_7161852.add(_div_13951);
var _div_33156005 = new Emp.Panel({"id":"_div_33156005","height":"50","vAlign":"middle","hAlign":"center","width":"50","backgroundImage":"/fan_photo/u134.png"});
var _input_14540614 = new Emp.Label({"id":"_input_14540614","color":"#AAAAAA","value":"+","fontSize":"25"});
_div_33156005.add(_input_14540614);
_div_7161852.add(_div_33156005);
gophototicket.add(_div_7161852);
var _div_7186061 = new Emp.Panel({"id":"_div_7186061","height":"1px","backgroundColor":"#aabbcc","width":"100%"});
gophototicket.add(_div_7186061);
var _div_13742009 = new Emp.Panel({"id":"_div_13742009","height":"60","backgroundColor":"#fafafa","vAlign":"middle","width":"100%","paddingLeft":"5","paddingRight":"5"});
var _input_6793065 = new Emp.Label({"id":"_input_6793065","color":"#AAAAAA","marginLeft":"20","value":"选项2","fontSize":"20"});
_div_13742009.add(_input_6793065);
var _div_18880287 = new Emp.Panel({"id":"_div_18880287","height":"20","width":"100%"});
_div_13742009.add(_div_18880287);
var _div_30286056 = new Emp.Panel({"id":"_div_30286056","height":"50","vAlign":"middle","hAlign":"center","width":"50","backgroundImage":"/fan_photo/u134.png"});
var _input_30580440 = new Emp.Label({"id":"_input_30580440","color":"#AAAAAA","value":"+","fontSize":"25"});
_div_30286056.add(_input_30580440);
_div_13742009.add(_div_30286056);
gophototicket.add(_div_13742009);
var _div_12223526 = new Emp.Panel({"id":"_div_12223526","height":"1px","backgroundColor":"#aabbcc","width":"100%"});
gophototicket.add(_div_12223526);
var _div_20579640 = new Emp.Panel({"id":"_div_20579640","height":"50","backgroundColor":"#fafafa","vAlign":"middle","width":"100%","paddingLeft":"5","paddingRight":"5"});
var _input_2935352 = new Emp.Label({"id":"_input_2935352","color":"#AAAAAA","marginLeft":"20","value":"选项3","fontSize":"20"});
_div_20579640.add(_input_2935352);
var _div_9446834 = new Emp.Panel({"id":"_div_9446834","height":"20","width":"100%"});
_div_20579640.add(_div_9446834);
var _div_26934713 = new Emp.Panel({"id":"_div_26934713","height":"50","vAlign":"middle","hAlign":"center","width":"50","backgroundImage":"/fan_photo/u134.png"});
var _input_8879489 = new Emp.Label({"id":"_input_8879489","color":"#AAAAAA","value":"+","fontSize":"25"});
_div_26934713.add(_input_8879489);
_div_20579640.add(_div_26934713);
gophototicket.add(_div_20579640);
var _div_21025981 = new Emp.Panel({"id":"_div_21025981","height":"1px","backgroundColor":"#aabbcc","width":"100%"});
gophototicket.add(_div_21025981);
var _div_21948893 = new Emp.Panel({"id":"_div_21948893","height":"50","backgroundColor":"#fafafa","vAlign":"middle","width":"100%","paddingLeft":"5","paddingRight":"5"});
var _input_31181987 = new Emp.Label({"id":"_input_31181987","color":"#AAAAAA","marginLeft":"20","value":"选项4","fontSize":"20"});
_div_21948893.add(_input_31181987);
var _div_22547806 = new Emp.Panel({"id":"_div_22547806","height":"20","width":"100%"});
_div_21948893.add(_div_22547806);
var _div_30785546 = new Emp.Panel({"id":"_div_30785546","height":"50","vAlign":"middle","hAlign":"center","width":"50","backgroundImage":"/fan_photo/u134.png"});
var _input_3344341 = new Emp.Label({"id":"_input_3344341","color":"#AAAAAA","value":"+","fontSize":"25"});
_div_30785546.add(_input_3344341);
_div_21948893.add(_div_30785546);
gophototicket.add(_div_21948893);
addticketline.add(gophototicket);
var _div_4669552 = new Emp.Panel({"id":"_div_4669552","clear":"both","height":"1px","marginTop":"-1px","overflow":"xy"});
addticketline.add(_div_4669552);
var _div_30903736 = new Emp.Panel({"id":"_div_30903736","height":"1px","backgroundColor":"#aabbcc","width":"100%"});
addticketline.add(_div_30903736);
var _div_10050345 = new Emp.Panel({"id":"_div_10050345","height":"50","backgroundColor":"#fafafa","vAlign":"middle","hAlign":"center","width":"100%"});
_div_10050345.addEvent('onClick',goaddticket);
var _input_3152774 = new Emp.Label({"id":"_input_3152774","color":"#EEEE00","marginLeft":"20","value":"增加一个选项","fontSize":"20"});
_div_10050345.add(_input_3152774);
addticketline.add(_div_10050345);
var _div_6231079 = new Emp.Panel({"id":"_div_6231079","height":"1px","backgroundColor":"#aabbcc","width":"100%"});
addticketline.add(_div_6231079);
var _div_2377761 = new Emp.Panel({"id":"_div_2377761","height":"50","backgroundColor":"#fafafa","vAlign":"middle","width":"100%","paddingLeft":"5","paddingRight":"5"});
var _input_33256903 = new Emp.Label({"id":"_input_33256903","color":"#AAAAAA","marginLeft":"20","value":"有效期","fontSize":"20"});
_div_2377761.add(_input_33256903);
var _input_32609600 = new Emp.Text({"id":"_input_32609600","color":"#AAAAAA","marginLeft":"10","inputType":"number","width":"50","length":"2","emptyText":"","fontSize":"20"});
_div_2377761.add(_input_32609600);
var _input_25022729 = new Emp.Label({"id":"_input_25022729","color":"#AAAAAA","marginLeft":"10","value":"天","fontSize":"20"});
_div_2377761.add(_input_25022729);
addticketline.add(_div_2377761);
var _div_19321535 = new Emp.Panel({"id":"_div_19321535","height":"1px","backgroundColor":"#aabbcc","width":"100%"});
addticketline.add(_div_19321535);
var _div_30800957 = new Emp.Panel({"id":"_div_30800957","height":"200","backgroundColor":"#fafafa","vAlign":"top","width":"100%","paddingLeft":"5","paddingRight":"5"});
var textarea = new Emp.TextArea({"id":"textarea","height":"100%","color":"#AAAAAA","marginLeft":"20","width":"100%","emptyText":"说明","fontSize":"20"});
_div_30800957.add(textarea);
addticketline.add(_div_30800957);
var _div_32406124 = new Emp.Panel({"id":"_div_32406124","height":"1px","backgroundColor":"#aabbcc","width":"100%"});
addticketline.add(_div_32406124);
var _div_27748407 = new Emp.Panel({"id":"_div_27748407","height":"90","backgroundColor":"#fafafa","vAlign":"middle","hAlign":"right","width":"100%"});
addticketline.add(_div_27748407);
_div_24726624.add(addticketline);
var _div_27995698 = new Emp.Panel({"id":"_div_27995698","height":"70","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_23465969 = new Emp.Panel({"id":"_div_23465969","borderColor":"#ffc600","height":"50","vAlign":"middle","backgroundColor":"#FFC600","borderWidth":"1","hAlign":"center","width":"340","cornerRadius":"5"});
var _input_27315788 = new Emp.Label({"id":"_input_27315788","color":"#ffffff","value":"发布","fontSize":"25"});
_div_23465969.add(_input_27315788);
_div_27995698.add(_div_23465969);
_div_24726624.add(_div_27995698);
Emp.page.add(_div_24726624);




$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});function addticketlinediv() { 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',98,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"width":"100%", "height":"1px", "backgroundColor":"#aabbcc"}); 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',103,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goaddticket() { 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',107,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("addticketline").add(addticketlinediv(1)); 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("gophototicket").add(CreateDiv(1)); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function adddiv() { 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',112,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"width":"100%", "height":"20", }); 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',116,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function addsubdiv(num) { 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div" + num; 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "width":"50", "height":"50", "vAlign":"middle", "backgroundImage":"/fan_photo/u134.png", "hAlign":"center"}); 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(addsublabelvalue()); 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',134,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function addsublabelvalue() { 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',135,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"fontSize":"25", "color":"#AAAAAA", "value":"+", }); 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',140,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',143,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function CreateDiv(num) { 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',144,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div" + num; 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "width":"100%", "height":"50", "vAlign":"middle", "backgroundColor":"#fafafa", "paddingLeft":"5", "paddingRight":"5"}); 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(getInputValue()); 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',156,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',159,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createImg() { 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({width:"50", height:"50", src:"/fan_tie/u141.png", }); 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',168,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getInputValue() { 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',169,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"fontSize":"20", "color":"#AAAAAA", "marginLeft":"20", "value":"选项4", "onClick":"delticket"}); 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function delticket() { 
$jsd('/NewBuyApp/src/fanGroup/fan_tickettequan.htmlx',181,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast(); 
} 
 
Emp.page.render();
