var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_19230288');
$M.includeFile("/template/fan_groupbook_template.html");
$M.includeFile("/template/reward_template.html");
$M.includeFile("/template/photo_template.html");
$M.includeFile("/template/topic_opt_template.html");
var _div_7177824 = new Emp.Panel({"id":"_div_7177824","height":"44","layout":"HBox","width":"100%","backgroundImage":"/fan_group/u93.png"});
var _div_9509711 = new Emp.Panel({"id":"_div_9509711","height":"100%","vAlign":"middle","width":"100%"});
_div_9509711.addEvent('onClick',goBack);
var _img_9955598 = new Emp.Image({"id":"_img_9955598","height":"25","width":"25","src":"/icon_128/iconfont-back.png"});
_img_9955598.addEvent('onClick',goBack);
_div_9509711.add(_img_9955598);
var title = new Emp.Label({"id":"title","color":"#999999","tag":"title","value":"","fontSize":"16"});
_div_9509711.add(title);
_div_7177824.add(_div_9509711);
var _div_14267129 = new Emp.Panel({"id":"_div_14267129","hAlign":"right","width":"100%"});
var toTop = new Emp.Label({"id":"toTop","color":"#999999","marginRight":"8","value":"置顶","display":"false","fontSize":"18"});
_div_14267129.add(toTop);
var cancelTop = new Emp.Label({"id":"cancelTop","color":"#999999","marginRight":"8","value":"取消置顶","display":"false","fontSize":"18"});
_div_14267129.add(cancelTop);
_div_7177824.add(_div_14267129);
Emp.page.add(_div_7177824);
var _div_9001018 = new Emp.Panel({"id":"_div_9001018","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_9001018);
var _div_16742483 = new Emp.Panel({"id":"_div_16742483","marginBottom":"10","height":"-2","marginTop":"10","layout":"VBox","width":"100%"});
var _div_3446473 = new Emp.Panel({"id":"_div_3446473","height":"-2","marginLeft":"10","layout":"HBox","width":"100%"});
var titlephoto = new Emp.Image({"id":"titlephoto","height":"25","vAlign":"middle","tag":"titlephoto","hAlign":"left","width":"25","src":""});
titlephoto.addEvent('onClick',gophotohuifu);
_div_3446473.add(titlephoto);
var fantitle = new Emp.Label({"id":"fantitle","vAlign":"middle","marginLeft":"5","tag":"fantitle","width":"260","hAlign":"left","maxWidth":"190","fontSize":"16","singleLine":"false"});
_div_3446473.add(fantitle);
var _div_21492335 = new Emp.Panel({"id":"_div_21492335","height":"100%","marginRight":"10","hAlign":"right","width":"100%"});
var pointsContainer = new Emp.Panel({"id":"pointsContainer","borderColor":"#33CCFF","height":"18","vAlign":"middle","backgroundColor":"#33CCFF","borderWidth":"2","hAlign":"center","cornerRadius":"9","paddingLeft":"5","paddingRight":"5"});
var points = new Emp.Label({"id":"points","vAlign":"middle","color":"#ffffff","tag":"points","hAlign":"center","value":"","fontSize":"12"});
pointsContainer.add(points);
_div_21492335.add(pointsContainer);
_div_3446473.add(_div_21492335);
_div_16742483.add(_div_3446473);
var _div_7275500 = new Emp.Panel({"id":"_div_7275500","height":"20","vAlign":"middle","layout":"HBox","width":"100%"});
var img2 = new Emp.Image({"id":"img2","height":"15","marginLeft":"15","tag":"img2","width":"15","src":"/icon_128/iconfont-time.png"});
_div_7275500.add(img2);
var photoexittime2 = new Emp.Label({"id":"photoexittime2","height":"20","marginLeft":"10","color":"#CCCCCC","tag":"photoexittime2","fontSize":"12"});
_div_7275500.add(photoexittime2);
_div_16742483.add(_div_7275500);
var topicId = new Emp.Text({"id":"topicId","value":"","display":"false"});
_div_16742483.add(topicId);
var fanGrpItemType = new Emp.Text({"id":"fanGrpItemType","value":"","display":"false"});
_div_16742483.add(fanGrpItemType);
var fanGrpId = new Emp.Text({"id":"fanGrpId","value":"","display":"false"});
_div_16742483.add(fanGrpId);
var topicCreator = new Emp.Text({"id":"topicCreator","value":"","display":"false"});
_div_16742483.add(topicCreator);
var fanGrpCreator = new Emp.Text({"id":"fanGrpCreator","value":"","display":"false"});
_div_16742483.add(fanGrpCreator);
Emp.page.add(_div_16742483);
var _div_9528079 = new Emp.Panel({"id":"_div_9528079","height":"100%","backgroundColor":"#f0f0f0","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","enablePullUp":"true","width":"100%","enablePullDown":"true"});
_div_9528079.add(listview);
Emp.page.add(_div_9528079);
var layer = new Emp.Panel({"position":"relative","id":"layer","height":"100%","visibility":"false","width":"100%"});
layer.addEvent('onClick',clickOther);
var menu = new Emp.Panel({"position":"relative","id":"menu","height":"200","backgroundColor":"#f2f2f2","hAlign":"center","layout":"VBox","width":"100%","top":"20"});
var _input_28780817 = new Emp.Label({"id":"_input_28780817","marginBottom":"10","marginTop":"10","value":"分享","fontBold":"true","fontSize":"20"});
menu.add(_input_28780817);
var _div_32069495 = new Emp.Panel({"id":"_div_32069495","height":"100%","width":"100%"});
var _div_7171216 = new Emp.Panel({"id":"_div_7171216","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
_div_7171216.addEvent('onClick',shareWeibo);
var _img_32670984 = new Emp.Image({"id":"_img_32670984","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_7171216.add(_img_32670984);
var _input_16517013 = new Emp.Label({"id":"_input_16517013","value":"新浪微博","fontSize":"14"});
_div_7171216.add(_input_16517013);
_div_32069495.add(_div_7171216);
var _div_5638228 = new Emp.Panel({"id":"_div_5638228","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_3993101 = new Emp.Image({"id":"_img_3993101","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_5638228.add(_img_3993101);
var _input_3196618 = new Emp.Label({"id":"_input_3196618","value":"微信朋友圈","fontSize":"14"});
_div_5638228.add(_input_3196618);
_div_32069495.add(_div_5638228);
var _div_4917845 = new Emp.Panel({"id":"_div_4917845","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_9671481 = new Emp.Image({"id":"_img_9671481","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_4917845.add(_img_9671481);
var _input_10927340 = new Emp.Label({"id":"_input_10927340","value":"微信好友","fontSize":"14"});
_div_4917845.add(_input_10927340);
_div_32069495.add(_div_4917845);
var _div_12410785 = new Emp.Panel({"id":"_div_12410785","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_13717694 = new Emp.Image({"id":"_img_13717694","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_12410785.add(_img_13717694);
var _input_781681 = new Emp.Label({"id":"_input_781681","value":"QQ","fontSize":"14"});
_div_12410785.add(_input_781681);
_div_32069495.add(_div_12410785);
var _div_17932812 = new Emp.Panel({"id":"_div_17932812","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_10870290 = new Emp.Image({"id":"_img_10870290","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_17932812.add(_img_10870290);
var _input_26649700 = new Emp.Label({"id":"_input_26649700","value":"QQ空间","fontSize":"14"});
_div_17932812.add(_input_26649700);
_div_32069495.add(_div_17932812);
menu.add(_div_32069495);
var _div_16952136 = new Emp.Panel({"id":"_div_16952136","height":"100%","width":"100%"});
var _div_3868560 = new Emp.Panel({"id":"_div_3868560","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_23961569 = new Emp.Image({"id":"_img_23961569","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_3868560.add(_img_23961569);
var _input_1810374 = new Emp.Label({"id":"_input_1810374","value":"收藏","fontSize":"14"});
_div_3868560.add(_input_1810374);
_div_16952136.add(_div_3868560);
var _div_26647005 = new Emp.Panel({"id":"_div_26647005","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_5215904 = new Emp.Image({"id":"_img_5215904","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_26647005.add(_img_5215904);
var _input_19535315 = new Emp.Label({"id":"_input_19535315","value":"删除","fontSize":"14"});
_div_26647005.add(_input_19535315);
_div_16952136.add(_div_26647005);
var _div_33481396 = new Emp.Panel({"id":"_div_33481396","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_14012374 = new Emp.Image({"id":"_img_14012374","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_33481396.add(_img_14012374);
var _input_20981908 = new Emp.Label({"id":"_input_20981908","value":"复制链接","fontSize":"14"});
_div_33481396.add(_input_20981908);
_div_16952136.add(_div_33481396);
var _div_19405708 = new Emp.Panel({"id":"_div_19405708","height":"75","vAlign":"middle","hAlign":"center","layout":"VBox","width":"70"});
var _img_9170204 = new Emp.Image({"id":"_img_9170204","height":"50","width":"50","src":"/fan_tie/u234.png"});
_div_19405708.add(_img_9170204);
var _input_8129068 = new Emp.Label({"id":"_input_8129068","value":"举报","fontSize":"14"});
_div_19405708.add(_input_8129068);
_div_16952136.add(_div_19405708);
menu.add(_div_16952136);
layer.add(menu);
Emp.page.add(layer);
var replypanel = new Emp.Panel({"id":"replypanel","height":"50","vAlign":"middle","backgroundColor":"#ffffff","width":"100%","hAlign":"center","layout":"VBox"});
var _div_9262465 = new Emp.Panel({"id":"_div_9262465","height":"1","backgroundColor":"#cccccc","borderWidth":"0","width":"100%"});
replypanel.add(_div_9262465);
var _div_15244269 = new Emp.Panel({"id":"_div_15244269","height":"-2","vAlign":"middle","hAlign":"center","layout":"HBox","width":"100%"});
var _img_22341932 = new Emp.Image({"id":"_img_22341932","height":"32","marginLeft":"5","width":"32","src":"/icon_128/iconfont-addpic.png"});
_img_22341932.addEvent('onClick',showPicPanel);
_div_15244269.add(_img_22341932);
var content = new Emp.Text({"id":"content","height":"50","backgroundColor":"#ffffff","width":"265","emptyText":"写上你的评论","fontSize":"14"});
_div_15244269.add(content);
var publishbtn = new Emp.Panel({"id":"publishbtn","height":"50","backgroundColor":"#FFCC00","vAlign":"middle","hAlign":"center","width":"100%"});
publishbtn.addEvent('onClick',replyTopic);
var _input_2077006 = new Emp.Label({"id":"_input_2077006","color":"#ffffff","value":"发布","fontSize":"16"});
publishbtn.add(_input_2077006);
_div_15244269.add(publishbtn);
var publishingbtn = new Emp.Panel({"id":"publishingbtn","height":"50","backgroundColor":"#CCCCCC","vAlign":"middle","hAlign":"center","width":"100%","display":"false"});
var _input_196453 = new Emp.Label({"id":"_input_196453","color":"#ffffff","value":"发布","fontSize":"16"});
publishingbtn.add(_input_196453);
_div_15244269.add(publishingbtn);
replypanel.add(_div_15244269);
var _div_13455438 = new Emp.Panel({"id":"_div_13455438","height":"1","backgroundColor":"#cccccc","borderWidth":"0","width":"100%"});
replypanel.add(_div_13455438);
var picpanel = new Emp.Panel({"id":"picpanel","height":"100%","vAlign":"middle","width":"100%","layout":"VBox","hAlign":"left","display":"false"});
var addpictip = new Emp.Label({"id":"addpictip","color":"#AAAAAA","marginLeft":"20","marginRight":"50","hAlign":"right","width":"100%","value":"最多9张 长按图片删除 ","fontSize":"14"});
picpanel.add(addpictip);
var _div_26101139 = new Emp.Panel({"id":"_div_26101139","position":"relative","height":"100%","vAlign":"middle","hAlign":"right","layout":"HBox","width":"100%"});
var _div_24767234 = new Emp.Panel({"id":"_div_24767234","height":"100%","vAlign":"middle","overflow":"x","hAlign":"left","layout":"HBox","width":"100%"});
var img1 = new Emp.Image({"id":"img1","height":"50","width":"50","display":"false","src":""});
img1.addEvent('onClickHold',deletePic);
_div_24767234.add(img1);
var img2 = new Emp.Image({"id":"img2","height":"50","width":"50","display":"false","src":""});
img2.addEvent('onClickHold',deletePic);
_div_24767234.add(img2);
var img3 = new Emp.Image({"id":"img3","height":"50","width":"50","display":"false","src":""});
img3.addEvent('onClickHold',deletePic);
_div_24767234.add(img3);
var img4 = new Emp.Image({"id":"img4","height":"50","width":"50","display":"false","src":""});
img4.addEvent('onClickHold',deletePic);
_div_24767234.add(img4);
var img5 = new Emp.Image({"id":"img5","height":"50","width":"50","display":"false","src":""});
img5.addEvent('onClickHold',deletePic);
_div_24767234.add(img5);
var img6 = new Emp.Image({"id":"img6","height":"50","width":"50","display":"false","src":""});
img6.addEvent('onClickHold',deletePic);
_div_24767234.add(img6);
var img7 = new Emp.Image({"id":"img7","height":"50","width":"50","display":"false","src":""});
img7.addEvent('onClickHold',deletePic);
_div_24767234.add(img7);
var img8 = new Emp.Image({"id":"img8","height":"50","width":"50","display":"false","src":""});
img8.addEvent('onClickHold',deletePic);
_div_24767234.add(img8);
var img9 = new Emp.Image({"id":"img9","height":"50","width":"50","display":"false","src":""});
img9.addEvent('onClickHold',deletePic);
_div_24767234.add(img9);
_div_26101139.add(_div_24767234);
var _img_18961874 = new Emp.Image({"id":"_img_18961874","height":"40","vAlign":"middle","hAlign":"center","width":"40","marginRight":"5","src":"/icon_128/iconfont-picadd.png"});
_img_18961874.addEvent('onClick',startCamera);
_div_26101139.add(_img_18961874);
picpanel.add(_div_26101139);
replypanel.add(picpanel);
Emp.page.add(replypanel);










$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',134,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',135,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var firstDataIndex = 1; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',137,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var nextDataIndex = 1; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var picindex = 1; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var parentPage = null; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function showPicPanel() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); replypanel.setHeight(100); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',143,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); picpanel.setDisplay(true); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',146,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function hidePicPanel() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); replypanel.setHeight(50); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',148,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); picpanel.setDisplay(false); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); content.setValue(""); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 1; i < 10; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + i).setSrc(""); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',152,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + i).setDisplay(false); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); picindex = 1; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',156,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishbtn.setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishingbtn.setDisplay(false); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function setMainData(data) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',161,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); title.setValue(data.fanGrpName); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-camera.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',164,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#000000"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "2" || data.fanGrpItemType == "3") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',166,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-video.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',167,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#33CCFF"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',168,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "4") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',169,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-vote.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#FFCC00"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "5") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-event.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#CC0066"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.fanGrpItemType == "6") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',175,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-calendar.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',176,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#FF6600"); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); titlephoto.setValue("/icon_128/iconfont-topic.png"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',179,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsContainer.setBackgroundColor("#33CC99"); 
} 
} 
} 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',181,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fantitle.setValue(data.fanGrpItemTitle); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',182,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); points.setValue(data.replyCnt); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); photoexittime2.setValue(data.dataCreattime); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',186,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function clickOther() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',187,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(false); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function show() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); layer.setVisibility(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',192,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); menu.moveToY(0, 1000); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',195,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gophotohuifu() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',196,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_photohuifu.html"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',199,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gofabu() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',200,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_bookfabu.html"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',203,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function shareWeibo() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',204,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); clickOther(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',205,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("weibo"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',208,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',209,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (parentPage && parentPage == "adpage") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); gotoIndex(); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',212,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',216,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplate(tem1); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',217,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params && params.parentpage) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); parentPage = params.parentpage; 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',221,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params && params.floorNo) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); firstDataIndex = params.floorNo; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',223,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); nextDataIndex = params.floorNo; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',225,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicId.setValue(params.topicId); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',226,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpId.setValue(params.fanGrpId); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpItemType.setValue(params.fanGrpItemType); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',228,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); loadTopicData("down"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',254,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /* var preference = new $M.Preferences();  
		preference.open('newbuy_config');  
		var newbuy_config = preference.get('newbuy_config');  
		var ajax = new $M.Ajax();  
		ajax.addParams([{name:"fanTopic.id", value:params.topicId}, {name:"fanTopic.fanGrpItemType", value:params.fanGrpItemType},  
						{name:"loginkey", value:newbuy_config.loginkey},  
						{name:"mobileImei", value:Utils.getImei()},{name:"mobileType", value:Utils.getOs()},{name:"mobileToken", value:Utils.getMessageToken()}]);  
		ajax.setAction("/mobile/fanTopicAction!getFanTopicInfo.action");  
		ajax.submit(function(result) {  
			log(result)  
			result = Utils.stringToJson(result);  
			if (result.success) {  
				setMainData(result.data);  
				var detailList = result.data.detailList;  
				if (listview.getItems() && listview.getItems().length > 0) {  
					listview.appendItems(generateData1(detailList));  
				} else {  
					listview.setItems(generateData1(detailList));  
				}  
				listview.reloadData();  
			}else{  
				toast("获取数据失败！")  
			}  
		}, function(error) {  
			toast("网络菌罢工了！")  
		}); */); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',257,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function loadTopicData(act) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',258,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var loadRecordCnt = 10; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',259,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var requiredfloorNo = 0; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var addPosition = "bottom"; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',261,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (act == "up") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); addPosition = "top"; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',263,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); requiredfloorNo = firstDataIndex - 10; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',264,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (requiredfloorNo < 1) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',265,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); loadRecordCnt = 9 + requiredfloorNo; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',266,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); requiredfloorNo = 1; 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',269,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); requiredfloorNo = nextDataIndex; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',271,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',272,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:topicId.getValue()}, {name:"fanTopic.fanGrpItemType", value:fanGrpItemType.getValue()}, {name:"fanTopic.floorNo", value:requiredfloorNo}, {name:"fanTopic.fanGrpId", value:fanGrpId.getValue()}, {name:"fanTopic.loadRecordCnt", value:loadRecordCnt}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',278,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!getFanTopicInfo.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',279,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',280,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',281,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',282,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.isCreator == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',283,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicCreator.setValue("1"); 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',286,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.isFanGrpCreator == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',287,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpCreator.setValue("1"); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',288,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.holdTop == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',289,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); cancelTop.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',291,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toTop.setDisplay(true); 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',294,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var detailList = result.data.detailList; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',295,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (listview.getItems() && listview.getItems().length > 0) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',296,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (detailList.length > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',297,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.appendItems(generateData1(detailList), addPosition); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',300,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setMainData(result.data); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',301,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(generateData1(detailList)); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',303,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',312,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /* 				if (act == "up") {  
					firstDataIndex = firstDataIndex - loadRecordCnt;  
					if (firstDataIndex < 1) {  
						firstDataIndex = 1;  
					}  
				} else {  
					nextDataIndex = nextDataIndex + detailList.length;  
				}  
 */(detailList && detailList.length > 0) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',313,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (act == "up") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',314,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); firstDataIndex = parseInt(detailList[0].itemReplySort.replace("#", "")); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',316,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); nextDataIndex = parseInt(detailList[detailList.length - 1].itemReplySort.replace("#", "")) + 1; 
} 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',320,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',323,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',328,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setOnclickTags(["share", "videoPlayT", "fabulousClick", "rewardClick", "replyClick"]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',330,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onItemClick", function (row, tag, data) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',332,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "share") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',333,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); floorId.setValue(data.id); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',334,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicoptdialog.show(); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',337,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.isCreator == "1" || fanGrpCreator.getValue() == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',338,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delbtn.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',340,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delbtn.setDisplay(false); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',342,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',343,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',344,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',350,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',351,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',352,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',353,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',354,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',356,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var data = {}; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',364,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /**  
						 * content 分享内容  
						 * title 标题  
						 * image  图片路径  
						 * url 点击后跳转到的页面  
						 * desc 描述信息  
						 * type 分享类型  text:0 image:1 news:2 music:3 video:4  
						 */return  %=  -= while  -= .content = "分享内容"; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',366,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.title = "分享"; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',367,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.image = "/images/app.png"; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',368,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.desc = "描述信息"; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',370,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.type = 0; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',372,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.url = "http://www.baidu.com"; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',373,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.share(data); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',375,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',378,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',381,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',383,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "fabulousClick") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',384,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',385,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',391,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',392,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',393,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',394,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',395,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',398,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var tieIdJ = {}; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',399,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tieIdJ.name = "fanTopic.id"; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',400,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tieIdJ.value = topicId.getValue(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',402,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var louIdJ = {}; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',403,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); louIdJ.name = "fanTopic.floorNo"; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',404,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); louIdJ.value = data.itemReplySort; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',406,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax1 = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',407,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.addParams([tieIdJ, louIdJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',408,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.setAction("/mobile/fanTopicAction!addFabulous.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',409,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',410,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',411,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',412,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("点赞成功~"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',414,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newItemData = generateItemData(result.data); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',415,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.updateItem(row, newItemData); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',416,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',418,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("点赞失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',421,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',424,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',427,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',430,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',432,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "rewardClick") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',434,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',435,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',441,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',442,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',443,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',444,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',445,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',447,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tie_id_temp.setValue(topicId.getValue()); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',448,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listviewrowno.setValue(row); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',449,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tie_floor_temp.setValue(data.itemReplySort); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',450,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); floor_creator.setValue(data.dataCreator); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',451,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.show(); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',453,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',456,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',459,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',461,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (tag == "videoPlayT") { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',463,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.itemReplySort == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',464,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/videoPlay.html", {url:data.video_url}, false, false); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',466,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
} 
} 
} 
} 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',472,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function generateItemData(data) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',473,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ii = 0; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',474,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var res = data.topicResource; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',475,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (res && res.length > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',476,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (; ii < res.length; ii++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',477,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data["video_url"] = res[ii].RESOURCE_URL; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',478,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data["r_img" + (ii + 1)] = res[ii].RESOURCE_URL; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',479,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (res[ii].RESOURCE_TYPE != "0") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',480,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data["r_img" + (ii + 1)] = res[ii].RESOURCE_IMG; 
} 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',485,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (; ii < 9; ii++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',486,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data["r_img" + (ii + 1)] = "false"; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',489,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fabulous = data.fabulousList; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',490,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var iii = 0; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',491,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fabulous && fabulous.length > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',492,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var length = fabulous.length; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',493,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (length > 10) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',494,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); length = 10; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',496,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (; iii < length; iii++) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',498,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fabulous[iii].address && fabulous[iii].address != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',499,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data["t_img" + (iii + 1)] = fabulous[iii].address; 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',501,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data["t_img" + (iii + 1)] = "/icon_128/avatar_blank.png"; 
} 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',505,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (; iii < 10; iii++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',506,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data["t_img" + (iii + 1)] = "null"; 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',508,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data.creatorPhoto && data.creatorPhoto != "") { 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',510,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data.creatorPhoto = "/icon_128/avatar_blank.png"; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',512,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return data; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',516,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function generateData1(data) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',517,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data && data.length > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',518,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < data.length; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',519,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ii = 0; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',520,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var res = data[i].topicResource; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',521,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (res && res.length > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',522,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (; ii < res.length; ii++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',523,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i]["video_url"] = res[ii].RESOURCE_URL; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',524,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i]["r_img" + (ii + 1)] = res[ii].RESOURCE_URL; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',525,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (res[ii].RESOURCE_TYPE != "0") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',526,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i]["r_img" + (ii + 1)] = res[ii].RESOURCE_IMG; 
} 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',531,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (; ii < 9; ii++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',532,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i]["r_img" + (ii + 1)] = "false"; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',535,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var fabulous = data[i].fabulousList; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',536,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var iii = 0; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',537,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fabulous && fabulous.length > 0) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',538,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var length = fabulous.length; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',539,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (length > 10) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',540,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); length = 10; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',542,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (; iii < length; iii++) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',544,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (fabulous[iii].address && fabulous[iii].address != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',545,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i]["t_img" + (iii + 1)] = fabulous[iii].address; 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',547,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i]["t_img" + (iii + 1)] = "/icon_128/avatar_blank.png"; 
} 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',551,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (; iii < 10; iii++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',552,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i]["t_img" + (iii + 1)] = "null"; 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',555,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data[i].itemReplySort.replace("#", "") == "1") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',556,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i].topicCreatorPic = "/icon_128/louzhu-05.png"; 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',558,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i].topicCreatorPic = ""; 
} 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',561,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (data[i].creatorPhoto && data[i].creatorPhoto != "") { 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',563,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); data[i].creatorPhoto = "/icon_128/avatar_blank.png"; 
} 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',567,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return data; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',570,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function replyTopic() { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',571,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (content.getValue() == "" && picindex <= 1) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',572,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("说点什么吧"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',573,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',575,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishbtn.setDisplay(false); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',576,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishingbtn.setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',577,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',578,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',584,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',585,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',586,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',587,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',588,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',590,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var params = [{name:"fanTopic.fanGrpItemContent", value:content.getValue()}, {name:"fanTopic.fanGrpId", value:fanGrpId.getValue()}, {name:"fanTopic.id", value:topicId.getValue()}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',597,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax1 = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',598,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.addParams(params); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',599,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.setAction("/mobile/fanTopicAction!replyTopic.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',600,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var files = []; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',601,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 1; i < picindex; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',602,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); files.push({name:"img_url" + i, value:$M.get("img" + i).getSrc()}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',604,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.addFiles(files); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',605,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',606,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',607,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',608,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("回贴成功！"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',609,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); hidePicPanel(); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',613,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("回贴失败！"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',614,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishbtn.setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',615,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishingbtn.setDisplay(false); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',618,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',619,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishbtn.setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',620,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishingbtn.setDisplay(false); 
}); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',623,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',626,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',629,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',630,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishbtn.setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',631,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); publishingbtn.setDisplay(false); 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',639,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function deletePic() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',640,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var delindex = parseInt(this.id.replace("img", ""), 10); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',641,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = delindex; i < picindex - 1; i++) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',642,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + i).setSrc($M.get("img" + (i + 1)).getSrc()); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',644,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + (picindex - 1)).setSrc(""); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',645,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + (picindex - 1)).setDisplay(false); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',646,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); picindex--; 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',647,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (picindex <= 1) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',648,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); addpictip.setDisplay(true); 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',652,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function startCamera() { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',653,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (picindex <= 9) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',654,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); photodialog.show(); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',656,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("最多只能选择9张图片~"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',658,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',659,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',660,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',666,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',667,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',668,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',669,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',670,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',671,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.selectCameraPhoto(function (path) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',672,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img1.getSrc() == "" || img1.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',673,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img1.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',674,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img2.getSrc() == "" || img2.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',675,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img2.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',676,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img3.getSrc() == "" || img3.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',677,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img3.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',678,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img4.getSrc() == "" || img4.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',679,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img4.setSrc(path); 
} 
} 
} 
} 
}); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',683,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',686,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',689,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',693,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function cropImage(path) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',694,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + picindex).setSrc(path); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',695,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("img" + picindex).setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',696,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); picindex++; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',697,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); addpictip.setDisplay(false); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',698,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',699,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',700,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',706,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',707,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',708,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',709,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',710,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',711,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.selectCameraPhoto(function (path) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',712,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img1.getSrc() == "" || img1.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',713,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img1.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',714,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img2.getSrc() == "" || img2.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',715,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img2.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',716,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img3.getSrc() == "" || img3.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',717,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img3.setSrc(path); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',718,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (img4.getSrc() == "" || img4.getSrc() == undefined) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',719,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); img4.setSrc(path); 
} 
} 
} 
} 
}); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',723,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',726,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',729,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',733,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function reloadData() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',734,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems([]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',735,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',736,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var firstDataIndex = 1; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',737,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var nextDataIndex = 1; 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',738,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); loadTopicData("down"); 
} 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',742,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onLoadMore", function (type) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',743,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullDown") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',744,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); loadTopicData("up"); 
} else { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',745,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullUp") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',746,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); loadTopicData("down"); 
} 
} 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',751,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toTop.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',752,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',753,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:topicId.getValue()}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',756,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!setTopTopic.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',757,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',758,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',759,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',760,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("置顶成功！"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',761,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); cancelTop.setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',762,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toTop.setDisplay(false); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',764,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("置顶失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',767,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',772,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); cancelTop.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',773,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',774,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fanTopic.id", value:topicId.getValue()}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',777,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!cancelTopTopic.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',778,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',779,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',780,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',781,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("取消置顶成功！"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',782,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); cancelTop.setDisplay(false); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',783,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toTop.setDisplay(true); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',785,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("取消置顶失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',788,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',792,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gotoIndex() { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',793,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',794,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',800,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',801,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',802,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',803,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',804,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',805,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/mainpage_loggedin.html", {}, true); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',807,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", {}, true); 
} 
} else { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',810,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", {}, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/fan_video.htmlx',813,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", {}, true); 
}); 
} 
 
Emp.page.render();
