var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_14524264');
var _div_827593 = new Emp.Panel({"id":"_div_827593","height":"44","vAlign":"middle","width":"100%"});
var _div_17820972 = new Emp.Panel({"id":"_div_17820972","height":"100%","vAlign":"middle","width":"100%"});
_div_17820972.addEvent('onClick',goBack);
var _img_32948170 = new Emp.Image({"id":"_img_32948170","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_17820972.add(_img_32948170);
var _div_11103202 = new Emp.Panel({"id":"_div_11103202","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var _input_15324738 = new Emp.Label({"id":"_input_15324738","color":"#999999","value":"发布投票","fontSize":"16"});
_div_11103202.add(_input_15324738);
_div_17820972.add(_div_11103202);
_div_827593.add(_div_17820972);
var _div_32613964 = new Emp.Panel({"id":"_div_32613964","height":"100%","vAlign":"middle","hAlign":"right","width":"100%","paddingRight":"10"});
var _input_31249897 = new Emp.Label({"id":"_input_31249897","color":"#999999","value":"","fontSize":"18"});
_div_32613964.add(_input_31249897);
_div_827593.add(_div_32613964);
Emp.page.add(_div_827593);
var _div_23052085 = new Emp.Panel({"id":"_div_23052085","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_23052085);
var _div_16931933 = new Emp.Panel({"id":"_div_16931933","height":"100%","width":"100%","layout":"VBox"});
var _div_33414703 = new Emp.Panel({"id":"_div_33414703","height":"100%","borderColor":"#cccccc","borderWidth":"1","layout":"VBox","width":"100%","overflow":"y","paddingLeft":"5","paddingRight":"5"});
var _div_393602 = new Emp.Panel({"id":"_div_393602","height":"-2","vAlign":"middle","width":"100%"});
var title = new Emp.Text({"id":"title","backgroundColor":"#ffffff","width":"100%","emptyText":"标题","fontSize":"18"});
_div_393602.add(title);
_div_33414703.add(_div_393602);
var _div_26216357 = new Emp.Panel({"id":"_div_26216357","height":"1","backgroundColor":"#f2f2f2","borderWidth":"0","width":"100%"});
_div_33414703.add(_div_26216357);
var voteselection = new Emp.Panel({"id":"voteselection","height":"-2","vAlign":"middle","layout":"VBox","width":"100%"});
var selection1 = new Emp.Text({"id":"selection1","marginTop":"3","backgroundColor":"#ffffff","width":"100%","length":"20","value":"","emptyText":"选项1 20个字以内","fontSize":"18"});
voteselection.add(selection1);
var _div_25804864 = new Emp.Panel({"id":"_div_25804864","height":"1","backgroundColor":"#f2f2f2","borderWidth":"0","width":"100%"});
voteselection.add(_div_25804864);
var selection2 = new Emp.Text({"id":"selection2","marginTop":"3","backgroundColor":"#ffffff","width":"100%","length":"20","value":"","emptyText":"选项2","fontSize":"18"});
voteselection.add(selection2);
var _div_27206703 = new Emp.Panel({"id":"_div_27206703","height":"1","backgroundColor":"#f2f2f2","borderWidth":"0","width":"100%"});
voteselection.add(_div_27206703);
var selection3 = new Emp.Text({"id":"selection3","marginTop":"3","backgroundColor":"#ffffff","width":"100%","length":"20","value":"","emptyText":"选项3","fontSize":"18"});
voteselection.add(selection3);
var _div_6162358 = new Emp.Panel({"id":"_div_6162358","height":"1","backgroundColor":"#f2f2f2","borderWidth":"0","width":"100%"});
voteselection.add(_div_6162358);
var selection4 = new Emp.Text({"id":"selection4","marginTop":"3","backgroundColor":"#ffffff","width":"100%","length":"20","value":"","display":"false","emptyText":"选项4","fontSize":"18"});
voteselection.add(selection4);
var selection_bottom_line4 = new Emp.Panel({"id":"selection_bottom_line4","height":"1","backgroundColor":"#f2f2f2","borderWidth":"0","width":"100%","display":"false"});
voteselection.add(selection_bottom_line4);
var selection5 = new Emp.Text({"id":"selection5","marginTop":"3","backgroundColor":"#ffffff","width":"100%","length":"20","value":"","display":"false","emptyText":"选项5","fontSize":"18"});
voteselection.add(selection5);
var selection_bottom_line5 = new Emp.Panel({"id":"selection_bottom_line5","height":"1","backgroundColor":"#f2f2f2","borderWidth":"0","width":"100%","display":"false"});
voteselection.add(selection_bottom_line5);
var selection6 = new Emp.Text({"id":"selection6","marginTop":"3","backgroundColor":"#ffffff","width":"100%","length":"20","value":"","display":"false","emptyText":"选项6","fontSize":"18"});
voteselection.add(selection6);
var selection_bottom_line6 = new Emp.Panel({"id":"selection_bottom_line6","height":"1","backgroundColor":"#f2f2f2","borderWidth":"0","width":"100%","display":"false"});
voteselection.add(selection_bottom_line6);
var selection7 = new Emp.Text({"id":"selection7","marginTop":"3","backgroundColor":"#ffffff","width":"100%","length":"20","value":"","display":"false","emptyText":"选项7","fontSize":"18"});
voteselection.add(selection7);
var selection_bottom_line7 = new Emp.Panel({"id":"selection_bottom_line7","height":"1","backgroundColor":"#f2f2f2","borderWidth":"0","width":"100%","display":"false"});
voteselection.add(selection_bottom_line7);
var selection8 = new Emp.Text({"id":"selection8","marginTop":"3","backgroundColor":"#ffffff","width":"100%","length":"20","value":"","display":"false","emptyText":"选项8","fontSize":"18"});
voteselection.add(selection8);
var selection_bottom_line8 = new Emp.Panel({"id":"selection_bottom_line8","height":"1","backgroundColor":"#f2f2f2","borderWidth":"0","width":"100%","display":"false"});
voteselection.add(selection_bottom_line8);
var selection9 = new Emp.Text({"id":"selection9","marginTop":"3","backgroundColor":"#ffffff","width":"100%","length":"20","value":"","display":"false","emptyText":"选项9","fontSize":"18"});
voteselection.add(selection9);
var selection_bottom_line9 = new Emp.Panel({"id":"selection_bottom_line9","height":"1","backgroundColor":"#f2f2f2","borderWidth":"0","width":"100%","display":"false"});
voteselection.add(selection_bottom_line9);
var selection10 = new Emp.Text({"id":"selection10","marginTop":"3","backgroundColor":"#ffffff","width":"100%","length":"20","value":"","display":"false","emptyText":"选项10","fontSize":"18"});
voteselection.add(selection10);
var selection_bottom_line10 = new Emp.Panel({"id":"selection_bottom_line10","height":"1","backgroundColor":"#f2f2f2","borderWidth":"0","width":"100%","display":"false"});
voteselection.add(selection_bottom_line10);
_div_33414703.add(voteselection);
var _div_9386980 = new Emp.Panel({"id":"_div_9386980","marginBottom":"5","height":"-2","vAlign":"middle","marginTop":"5","hAlign":"center","width":"100%"});
_div_9386980.addEvent('onClick',addSelection);
var selectionCnt = new Emp.Text({"id":"selectionCnt","value":"3","display":"false"});
_div_9386980.add(selectionCnt);
var _input_7013668 = new Emp.Label({"id":"_input_7013668","color":"#FF9900","width":"-2","value":"增加一个选项","fontSize":"18"});
_div_9386980.add(_input_7013668);
_div_33414703.add(_div_9386980);
var _div_26579196 = new Emp.Panel({"id":"_div_26579196","height":"1","backgroundColor":"#f2f2f2","marginTop":"20","borderWidth":"0","width":"100%"});
_div_33414703.add(_div_26579196);
var _div_6405193 = new Emp.Panel({"id":"_div_6405193","height":"-2","vAlign":"middle","width":"100%"});
var validDate = new Emp.Text({"id":"validDate","backgroundColor":"#ffffff","width":"100%","emptyText":"有效期","fontSize":"18"});
_div_6405193.add(validDate);
var _input_12736 = new Emp.Label({"id":"_input_12736","marginLeft":"10","width":"100%","value":"天","fontSize":"18"});
_div_6405193.add(_input_12736);
_div_33414703.add(_div_6405193);
var _div_12741803 = new Emp.Panel({"id":"_div_12741803","height":"1","backgroundColor":"#f2f2f2","borderWidth":"0","width":"100%"});
_div_33414703.add(_div_12741803);
var _div_7108338 = new Emp.Panel({"id":"_div_7108338","height":"100%","vAlign":"top","layout":"VBox","width":"100%"});
var remark = new Emp.TextArea({"id":"remark","height":"100","backgroundColor":"#ffffff","width":"100%","emptyText":"说明","fontSize":"18"});
_div_7108338.add(remark);
var _div_26269381 = new Emp.Panel({"id":"_div_26269381","height":"1","backgroundColor":"#f2f2f2","borderWidth":"0","width":"100%"});
_div_7108338.add(_div_26269381);
_div_33414703.add(_div_7108338);
var _div_284597 = new Emp.Panel({"id":"_div_284597","marginBottom":"5","height":"50","marginTop":"5","vAlign":"bottom","hAlign":"center","width":"100%"});
var btn_publish = new Emp.Panel({"id":"btn_publish","borderColor":"#FFCC00","height":"50","backgroundColor":"#FFCC00","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"340","cornerRadius":"8"});
btn_publish.addEvent('onClick',addNewVote);
var _input_28263192 = new Emp.Label({"id":"_input_28263192","color":"#ffffff","value":"发 布","fontSize":"18"});
btn_publish.add(_input_28263192);
_div_284597.add(btn_publish);
var btn_publishing = new Emp.Panel({"id":"btn_publishing","borderColor":"#CCCCCC","height":"50","backgroundColor":"#CCCCCC","vAlign":"middle","borderWidth":"1","hAlign":"center","width":"340","cornerRadius":"8","display":"false"});
var _input_19424169 = new Emp.Label({"id":"_input_19424169","color":"#ffffff","value":"发布中...","fontSize":"18"});
btn_publishing.add(_input_19424169);
_div_284597.add(btn_publishing);
_div_33414703.add(_div_284597);
_div_16931933.add(_div_33414703);
Emp.page.add(_div_16931933);




$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',72,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var fanGrpId = ""; 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',73,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',74,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); confirm("要放弃发布投票吗？", function () { 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',75,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',79,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
if($jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',80,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params && params.fanGrpId && params.fanGrpId != "") { 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',81,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpId = params.fanGrpId; 
} else { 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',83,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
}); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',87,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function addNewVote() { 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',88,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var titleValue = title.getValue(); 
if($jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',89,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (titleValue == "") { 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',90,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("请输入标题"); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',91,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',93,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var validSelection = 0; 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',94,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 1; i <= 10; i++) { 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',95,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var itemValue = $M.get("selection" + i).getValue(); 
if($jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',96,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (itemValue != "") { 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); validSelection++; 
} 
} 
if($jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',100,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (validSelection < 2) { 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("请添加2个及以上选项"); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',104,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var validDateCnt = validDate.getValue(); 
if($jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',105,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (validDateCnt == "" || isNaN(validDateCnt) || parseInt(validDateCnt) < 1) { 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("请输入正确的有效期"); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',107,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var contentValue = remark.getValue(); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); btn_publish.setDisplay(false); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); btn_publishing.setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',115,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var params = [{name:"voteInfo.fanGrpId", value:fanGrpId}, {name:"voteInfo.title", value:titleValue}, {name:"voteInfo.validDateCnt", value:validDateCnt}, {name:"voteInfo.remark", value:contentValue}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]; 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var index = 0; 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',126,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 1; i <= 10; i++) { 
if($jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if ($M.get("selection" + i).getValue() != "") { 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); params.push({name:"voteInfo.items[" + (index++) + "]", value:$M.get("selection" + i).getValue()}); 
} 
} 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams(params); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanTopicAction!addNewVote.action"); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',134,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',135,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_ticket_demo.html", {topicId:result.data, fanGrpItemType:"4"}, true, false); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',140,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("发布投票失败！"); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); btn_publish.setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); btn_publishing.setDisplay(false); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',146,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); btn_publish.setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); btn_publishing.setDisplay(false); 
}); 
} 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function addSelection() { 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',152,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var itemCnt = parseInt(selectionCnt.getValue(), 10); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',153,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); itemCnt += 1; 
if($jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (itemCnt <= 10) { 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("selection" + itemCnt).setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',156,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("selection_bottom_line" + itemCnt).setDisplay(true); 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); selectionCnt.setValue(itemCnt); 
} else { 
$jsd('/NewBuyApp/src/fanGroup/tuan_addVote.htmlx',159,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("最多只能设置10个选项~"); 
} 
} 
 
Emp.page.render();
