var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_12864009');
$M.includeFile("/template/photo_template.html");
var content = new Emp.Panel({"id":"content","height":"44","vAlign":"middle","width":"100%"});
content.addEvent('onClick',goBack);
var _img_4845342 = new Emp.Image({"id":"_img_4845342","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
content.add(_img_4845342);
var _div_32611262 = new Emp.Panel({"id":"_div_32611262","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var _input_19397067 = new Emp.Label({"id":"_input_19397067","color":"#999999","value":"我的资料","fontSize":"16"});
_div_32611262.add(_input_19397067);
content.add(_div_32611262);
var _div_25203855 = new Emp.Panel({"id":"_div_25203855","height":"100%","vAlign":"middle","hAlign":"right","width":"100%","paddingRight":"10"});
var _input_10051593 = new Emp.Label({"id":"_input_10051593","color":"#999999","value":"","fontSize":"18"});
_div_25203855.add(_input_10051593);
content.add(_div_25203855);
Emp.page.add(content);
var _div_24119769 = new Emp.Panel({"id":"_div_24119769","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_24119769);
var template1 = new Emp.Panel({"id":"template1","height":"100%","backgroundColor":"#f0f0f0","layout":"VBox","width":"100%"});
var _div_11924982 = new Emp.Panel({"id":"_div_11924982","borderColor":"#cccccc","height":"283","backgroundColor":"#ffffff","marginLeft":"10","marginTop":"10","borderWidth":"1","layout":"VBox","marginRight":"10","width":"100%","cornerRadius":"12"});
var _div_2560735 = new Emp.Panel({"id":"_div_2560735","height":"70","marginLeft":"10","vAlign":"middle","marginRight":"10","hAlign":"right","width":"100%"});
_div_2560735.addEvent('onClick',settingOpenCarema);
var _input_21503158 = new Emp.Label({"id":"_input_21503158","hAlign":"left","width":"100%","value":"头像","fontSize":"20"});
_div_2560735.add(_input_21503158);
var from = new Emp.Label({"id":"from","value":"","display":"false"});
_div_2560735.add(from);
var userId = new Emp.Label({"id":"userId","value":"","display":"false"});
_div_2560735.add(userId);
var birthdayOld = new Emp.Label({"id":"birthdayOld","value":"","display":"false"});
_div_2560735.add(birthdayOld);
var address = new Emp.Image({"id":"address","height":"50","width":"50","src":"/icon_128/avatar_blank.png","circleClip":"true"});
_div_2560735.add(address);
_div_11924982.add(_div_2560735);
var _div_26215493 = new Emp.Panel({"id":"_div_26215493","height":"1","backgroundColor":"#cccccc","borderWidth":"0","width":"100%"});
_div_11924982.add(_div_26215493);
var modifName = new Emp.Panel({"id":"modifName","height":"70","marginLeft":"10","vAlign":"middle","marginRight":"10","hAlign":"right","width":"100%"});
var _input_18686433 = new Emp.Label({"id":"_input_18686433","hAlign":"left","width":"100%","value":"昵称","fontSize":"20"});
modifName.add(_input_18686433);
var uName = new Emp.Label({"id":"uName","color":"#999999","fontSize":"16"});
modifName.add(uName);
_div_11924982.add(modifName);
var _div_2884022 = new Emp.Panel({"id":"_div_2884022","height":"1","backgroundColor":"#cccccc","borderWidth":"0","width":"100%"});
_div_11924982.add(_div_2884022);
var _div_19168210 = new Emp.Panel({"id":"_div_19168210","height":"70","marginLeft":"10","vAlign":"middle","hAlign":"right","width":"100%"});
var _input_4009502 = new Emp.Label({"id":"_input_4009502","hAlign":"left","width":"100%","value":"性别  ","fontSize":"20"});
_div_19168210.add(_input_4009502);
var radio = new Emp.Radio({"id":"radio","color":"#999999","value":"F","fontSize":"16",items:[ {"text":"男","value":"M"}, {"text":"女","value":"F"}]});
_div_19168210.add(radio);
_div_11924982.add(_div_19168210);
var _div_20455997 = new Emp.Panel({"id":"_div_20455997","height":"1","backgroundColor":"#cccccc","borderWidth":"0","width":"100%"});
_div_11924982.add(_div_20455997);
var modifBirthday = new Emp.Panel({"id":"modifBirthday","height":"70","marginLeft":"10","vAlign":"middle","marginRight":"10","hAlign":"right","width":"100%"});
var _input_9996943 = new Emp.Label({"id":"_input_9996943","hAlign":"left","width":"100%","value":"年龄 ","fontSize":"20"});
modifBirthday.add(_input_9996943);
var age = new Emp.Label({"id":"age","color":"#999999","marginRight":"5","hAlign":"right","width":"100%","value":"","fontSize":"16"});
modifBirthday.add(age);
var birthday = new Emp.Date({"id":"birthday","color":"#999999","width":"170","value":"","fontSize":"16","paddingRight":"0","size":"10"});
modifBirthday.add(birthday);
_div_11924982.add(modifBirthday);
template1.add(_div_11924982);
var _div_12827001 = new Emp.Panel({"id":"_div_12827001","borderColor":"#cccccc","height":"141","backgroundColor":"#ffffff","marginLeft":"10","marginTop":"20","borderWidth":"1","layout":"VBox","marginRight":"10","width":"100%","cornerRadius":"12"});
var modifyArea = new Emp.Panel({"id":"modifyArea","height":"70","marginLeft":"10","vAlign":"middle","marginRight":"10","hAlign":"right","width":"100%"});
var _input_4392000 = new Emp.Label({"id":"_input_4392000","hAlign":"left","width":"100%","value":"地区","fontSize":"20"});
modifyArea.add(_input_4392000);
var areaDis = new Emp.Label({"id":"areaDis","color":"#999999","hAlign":"right","width":"230","value":"","fontSize":"16","singleLine":"true"});
modifyArea.add(areaDis);
_div_12827001.add(modifyArea);
var _div_3656231 = new Emp.Panel({"id":"_div_3656231","height":"1","backgroundColor":"#cccccc","borderWidth":"0","width":"100%"});
_div_12827001.add(_div_3656231);
var modifSignature = new Emp.Panel({"id":"modifSignature","height":"70","marginLeft":"10","vAlign":"middle","marginRight":"10","hAlign":"right","width":"100%"});
var _input_29145374 = new Emp.Label({"id":"_input_29145374","hAlign":"left","width":"100%","value":"个性签名","fontSize":"20"});
modifSignature.add(_input_29145374);
var qm = new Emp.Label({"id":"qm","color":"#999999","hAlign":"right","width":"230","fontSize":"16","singleLine":"true"});
modifSignature.add(qm);
_div_12827001.add(modifSignature);
template1.add(_div_12827001);
Emp.page.add(template1);








$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',69,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});function goBack() { 
if($jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',70,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (birthdayOld.getValue() != birthday.getValue()) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',71,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userIdJ = {}; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',72,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userIdJ.name = "fansInfo.userId"; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',73,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userIdJ.value = userId.getValue(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',74,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var birthDateJ = {}; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',75,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); birthDateJ.name = "fansInfo.birthDate"; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',76,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); birthDateJ.value = birthday.getValue(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',78,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',79,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',80,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',81,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',82,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([userIdJ, birthDateJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',85,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!updateFansBirthday.action"); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',87,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',88,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',89,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fanReg/application_settings.html", {from:from.getValue()}, true, false); 
} else { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',91,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("数据更新失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',94,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fanReg/application_settings.html", {from:from.getValue()}, true, false); 
} 
} 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',100,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); initpage(params); 
}); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',104,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onBack", function (params) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',105,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); initpage(params); 
}); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function initpage(params) { 
if($jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params != null) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); from.setValue(params.from); 
} 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',112,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',115,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',116,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!getFanUserInfo.action"); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userInfo = result.data; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); uName.setValue(userInfo.actorname); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userId.setValue(userInfo.userId); 
if($jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',126,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userInfo.address && userInfo.address != "") { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); address.setSrc(userInfo.address); 
} 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',129,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); age.setValue(userInfo.age + "岁"); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); qm.setValue(userInfo.quotations); 
if($jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userInfo.birthDate == undefined) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); birthday.setValue(""); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); birthdayOld.setValue(""); 
} else { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',135,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); birthday.setValue(userInfo.birthDate); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); birthdayOld.setValue(userInfo.birthDate); 
} 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); areaDis.setValue(userInfo.curAddrProvince + " " + userInfo.curAddrCity); 
if($jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userInfo.sex == "1") { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',140,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); radio.setValue("M"); 
} else { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); radio.setValue("F"); 
} 
} else { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',148,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',152,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getData() { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',153,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var items = []; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var temp = {}; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); items.push(temp); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return items; 
} 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function settingOpenCarema() { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',161,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); photodialog.show(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',167,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /*  
		util.startCamera("photo",null,null,function(url){  
			var newUrl = util.zipImage(url,480);  
			cropImage(newUrl);  
		});  
		*/ 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function cropImage(picUrl) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.cropImage(picUrl, 40, 40, function (imageUrl) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userIdJ = {}; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userIdJ.name = "fansInfo.userId"; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userIdJ.value = userId.getValue(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',176,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',181,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([userIdJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',182,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!updateFansPhoto.action"); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addFile({name:"fansInfo.address", value:imageUrl}); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',184,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',185,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',186,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',187,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); address.setSrc(imageUrl); 
} else { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("数据更新失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',192,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
} 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',196,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); radio.addEvent("onChange", function (oldValue, newValue) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',197,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userIdJ = {}; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',198,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userIdJ.name = "fansInfo.userId"; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',199,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userIdJ.value = userId.getValue(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',200,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var sexJ = {}; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',201,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexJ.name = "fansInfo.sex"; 
if($jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',202,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (newValue == "M") { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',203,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexJ.value = "1"; 
} else { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',205,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexJ.value = "2"; 
} 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',208,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',209,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',212,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',213,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([userIdJ, sexJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',216,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!updateFansSex.action"); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',217,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
} else { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("数据更新失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',225,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); modifSignature.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userInfo = {}; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',236,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo.from = from.getValue(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',237,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo.qm = qm.getValue(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',238,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo.userId = userId.getValue(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',239,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo.pageTitle = "个性签名"; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',240,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo.pageType = "0"; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',241,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo.columnName = "fansInfo.quotations"; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',242,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo.method = "/mobile/fanAction!updateFansQuotation.action"; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',243,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fanReg/modif_signature.html", userInfo, false, false); 
}); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',247,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); modifName.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',248,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userInfo = {}; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',249,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo.from = from.getValue(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',250,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo.qm = uName.getValue(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',251,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo.userId = userId.getValue(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',252,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo.pageTitle = "昵称"; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',253,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo.pageType = "1"; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',254,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo.columnName = "fansInfo.actorname"; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',255,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo.method = "/mobile/fanAction!updateFansActorName.action"; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',256,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fanReg/modif_signature.html", userInfo, false, false); 
}); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); modifyArea.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',261,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userInfo = {}; 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo.userId = userId.getValue(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',263,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo.currentAddr = areaDis.getValue(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',264,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo.from = from.getValue(); 
$jsd('/NewBuyApp/src/fanReg/fans_date.htmlx',265,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fanReg/modif_area.html", userInfo, false, false); 
}); 
 
Emp.page.render();
