var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_7763737');
var _div_25497779 = new Emp.Panel({"id":"_div_25497779","height":"44","vAlign":"middle","backgroundColor":"#ffcc00","layout":"HBox","width":"100%"});
var _div_17527608 = new Emp.Panel({"id":"_div_17527608","height":"100%","vAlign":"middle","width":"100%"});
_div_17527608.addEvent('onClick',goBack);
var _img_12155830 = new Emp.Image({"id":"_img_12155830","height":"30","width":"30","src":"/icon_128/iconfont-back-white.png"});
_div_17527608.add(_img_12155830);
var _input_23659716 = new Emp.Label({"id":"_input_23659716","color":"#ffffff","value":"返回","fontSize":"16"});
_div_17527608.add(_input_23659716);
_div_25497779.add(_div_17527608);
Emp.page.add(_div_25497779);
var _div_28844078 = new Emp.Panel({"id":"_div_28844078","height":"100%","backgroundColor":"#ffcc00","hAlign":"center","layout":"VBox","width":"100%"});
var _div_21555824 = new Emp.Panel({"id":"_div_21555824","height":"150","vAlign":"middle","hAlign":"center","layout":"VBox","width":"350"});
var _img_1536822 = new Emp.Image({"id":"_img_1536822","height":"121","width":"125","src":"/images/logo2.png"});
_div_21555824.add(_img_1536822);
_div_28844078.add(_div_21555824);
var _div_26013884 = new Emp.Panel({"id":"_div_26013884","height":"220","backgroundColor":"#FFCC00","vAlign":"middle","hAlign":"center","layout":"VBox","width":"350"});
var _div_1116175 = new Emp.Panel({"id":"_div_1116175","borderColor":"#fcfcfc","height":"220","backgroundColor":"#fcfcfc","vAlign":"middle","borderWidth":"1","hAlign":"center","layout":"VBox","width":"320","cornerRadius":"8"});
var _div_2642290 = new Emp.Panel({"id":"_div_2642290","borderColor":"#c6c6c6","height":"55","borderWidth":"1"});
var USER_ID = new Emp.Text({"id":"USER_ID","height":"50","backgroundColor":"#ffffff","inputType":"number","width":"280","emptyText":"手机号"});
_div_2642290.add(USER_ID);
_div_1116175.add(_div_2642290);
var _div_30709081 = new Emp.Panel({"id":"_div_30709081","borderColor":"#c6c6c6","height":"55","marginTop":"10","borderWidth":"1"});
var password = new Emp.Text({"id":"password","height":"50","backgroundColor":"#ffffff","width":"280","value":"","emptyText":"密码"});
password.setInputType("password");
_div_30709081.add(password);
_div_1116175.add(_div_30709081);
var _div_24237095 = new Emp.Panel({"id":"_div_24237095","borderColor":"#FFFFFF","marginTop":"10","width":"280","layout":"HBox"});
var fans = new Emp.Button({"id":"fans","height":"50","borderColor":"#FFFFFF","backgroundColor":"#000000","color":"#FFFFFF","width":"100%","value":"登 录","fontSize":"18"});
_div_24237095.add(fans);
_div_1116175.add(_div_24237095);
_div_26013884.add(_div_1116175);
_div_28844078.add(_div_26013884);
var _div_17851490 = new Emp.Panel({"id":"_div_17851490","marginTop":"10"});
var _input_19827612 = new Emp.Label({"id":"_input_19827612","fantSize":"14","marginLeft":"5","value":"密码忘了？"});
_input_19827612.addEvent('onClick',set_password);
_div_17851490.add(_input_19827612);
var _input_13619513 = new Emp.Label({"id":"_input_13619513","fantSize":"14","marginLeft":"100","value":"注册新账号"});
_input_13619513.addEvent('onClick',reg_login);
_div_17851490.add(_input_13619513);
_div_28844078.add(_div_17851490);
var _div_28379152 = new Emp.Panel({"id":"_div_28379152","marginTop":"60"});
var _img_25720629 = new Emp.Image({"id":"_img_25720629","height":"55","width":"55","src":"/images/QQ.png"});
_img_25720629.addEvent('onClick',bindQQ);
_div_28379152.add(_img_25720629);
var _img_4871438 = new Emp.Image({"id":"_img_4871438","height":"55","marginLeft":"25","width":"55","src":"/images/wx.png"});
_img_4871438.addEvent('onClick',bindWechat);
_div_28379152.add(_img_4871438);
var _img_1457029 = new Emp.Image({"id":"_img_1457029","height":"55","marginLeft":"25","width":"55","src":"/images/xb.png"});
_img_1457029.addEvent('onClick',bindSinaWeibo);
_div_28379152.add(_img_1457029);
_div_28844078.add(_div_28379152);
Emp.page.add(_div_28844078);




$jsd('/NewBuyApp/src/fanReg/login.htmlx',43,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',44,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',45,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config") || {}; 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',47,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function set_password() { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',48,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/update_registered_iphone.html"); 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',50,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fans.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',51,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userid = {}; 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',52,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var password = {}; 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',53,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userid.name = "userid"; 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',54,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userid.value = $M.get("USER_ID").getValue(); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',55,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); password.name = "password"; 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',56,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); password.value = $M.get("password").getValue(); 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',57,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userid.value == "") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',58,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("请输入用户名！"); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',59,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} else { 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',60,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (password.value == "") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',61,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("请输入密码！"); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',62,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',65,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',66,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([userid, password, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',67,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!doLogin.action"); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',68,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',69,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',70,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',71,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data) { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',72,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delete newbuy_config.loginkey; 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',73,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); newbuy_config.loginkey = result.data; 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',74,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.put("newbuy_config", newbuy_config); 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',77,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/mainpage_loggedin.html", {}, true, false); 
} else { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',79,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("登录失败，账号与密码不匹配！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',82,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',85,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function reg_login() { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/reg.html", null, true); 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',89,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function my_info_shejiao() { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',90,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/san.html"); 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',94,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function bindSinaWeibo() { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',96,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var isbind = Utils.isAuthValid("SinaWeibo"); 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (isbind == true) { 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',98,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if ($M.isAndroid) { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var info = Utils.authInfo("SinaWeibo"); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',100,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var wbUserGender = "2"; 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (info.userGender == "m") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); wbUserGender = "1"; 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',104,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sanfang_login(info.userId, info.userName, info.userIcon, wbUserGender, "wb"); 
} else { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.authLogin("SinaWeibo", function (arg) { 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',107,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (arg.result == "success") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var wbUserGender = "2"; 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (arg.data.gender == "m") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); wbUserGender = "1"; 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',112,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sanfang_login(arg.data.idstr, arg.data.name, arg.data.avatar_large, wbUserGender, "wb"); 
} 
}); 
} 
} else { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.authLogin("SinaWeibo", function (arg) { 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if ($M.isAndroid) { 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (arg == "success") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var info = Utils.authInfo("SinaWeibo"); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var wbUserGender = "2"; 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (info.userGender == "m") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); wbUserGender = "1"; 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',126,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sanfang_login(info.userId, info.userName, info.userIcon, wbUserGender, "wb"); 
} else { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("授权失败"); 
} 
} else { 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (arg.result == "success") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var wbUserGender = "2"; 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (arg.data.gender == "m") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',134,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); wbUserGender = "1"; 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sanfang_login(arg.data.idstr, arg.data.name, arg.data.avatar_large, wbUserGender, "wb"); 
} 
} 
}); 
} 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',144,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function bindQQ() { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',146,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var isbind = Utils.isAuthValid("QQ"); 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (isbind == true) { 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',148,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if ($M.isAndroid) { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var info = Utils.authInfo("QQ"); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var qqUserGender = "2"; 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (info.userGender == "m") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',152,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); qqUserGender = "1"; 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sanfang_login(info.userId, info.userName, info.userIcon, qqUserGender, "qq"); 
} else { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',156,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.authLogin("QQ", function (arg) { 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (arg.result == "success") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',158,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var qqUserGender = "2"; 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',159,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (arg.data.gender == "男") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); qqUserGender = "1"; 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sanfang_login(arg.data.uid, arg.data.nickname, arg.data.figureurl_qq_2, qqUserGender, "qq"); 
} 
}); 
} 
} else { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',167,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.authLogin("QQ", function (arg) { 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',168,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if ($M.isAndroid) { 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',169,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (arg == "success") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',170,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var info = Utils.authInfo("QQ"); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var qqUserGender = "2"; 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',172,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (info.userGender == "m") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); qqUserGender = "1"; 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',175,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sanfang_login(info.userId, info.userName, info.userIcon, qqUserGender, "qq"); 
} else { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("授权失败"); 
} 
} else { 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (arg.result == "success") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',181,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var qqUserGender = "2"; 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',182,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (arg.data.gender == "男") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); qqUserGender = "1"; 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',185,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sanfang_login(arg.data.uid, arg.data.nickname, arg.data.figureurl_qq_2, qqUserGender, "qq"); 
} 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',188,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("授权成功"); 
}); 
} 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',194,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function bindWechat() { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',196,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var isbind = Utils.isAuthValid("Wechat"); 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',197,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (isbind == true) { 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',198,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if ($M.isAndroid) { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',199,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var info = Utils.authInfo("Wechat"); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',200,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var wxUserGender = "2"; 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',201,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (info.userGender == "m") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',202,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); wxUserGender = "1"; 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',204,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sanfang_login(info.userId, info.userName, info.userIcon, wxUserGender, "wx"); 
} else { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',206,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.authLogin("Wechat", function (arg) { 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',207,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (arg.result == "success") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',208,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var wxUserGender = "2"; 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',209,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (arg.data.sex == "1") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); wxUserGender = "1"; 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',212,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); log(arg.data.unionid + "," + arg.data.nickname + "," + arg.data.headimgurl + "," + wxUserGender); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',213,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sanfang_login(arg.data.unionid, arg.data.nickname, arg.data.headimgurl, wxUserGender, "wx"); 
} 
}); 
} 
} else { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Utils.authLogin("Wechat", function (arg) { 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if ($M.isAndroid) { 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (arg == "success") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',221,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var info = Utils.authInfo("Wechat"); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var wxUserGender = "2"; 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',223,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (info.userGender == "m") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',224,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); wxUserGender = "1"; 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',226,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sanfang_login(info.userId, info.userName, info.userIcon, wxUserGender, "wx"); 
} else { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',228,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("授权失败"); 
} 
} else { 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',231,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (arg.result == "success") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',232,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var wxUserGender = "2"; 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (arg.data.gender == "1") { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); wxUserGender = "1"; 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',236,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sanfang_login(arg.data.unionid, arg.data.nickname, arg.data.headimgurl, wxUserGender, "wx"); 
} 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',239,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("授权成功"); 
}); 
} 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',244,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function sanfang_login(loginNm, userName, userPhoto, userGender, type) { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',245,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',246,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fansInfo.loginNm", value:loginNm}, {name:"fansInfo.password", value:"888888"}, {name:"fansInfo.actorname", value:userName}, {name:"fansInfo.sex", value:userGender}, {name:"fansInfo.address", value:userPhoto}, {name:"fansInfo.userLoginType", value:type}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',255,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!doLoginSF.action"); 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',256,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',257,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',258,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/fanReg/login.htmlx',259,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data) { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delete newbuy_config.loginkey; 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',261,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); newbuy_config.loginkey = result.data; 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',262,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.put("newbuy_config", newbuy_config); 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',265,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/mainpage_loggedin.html", {}, true, false); 
} else { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',267,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("登录失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',270,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',274,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fanReg/login.htmlx',275,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo({url:"/index.html", animation:"slideright"}); 
} 
 
Emp.page.render();
