var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_28498144');
$M.includeFile("/commons/listview_common.html");

var _div_12355880 = new Emp.Panel({"id":"_div_12355880","height":"100%","backgroundColor":"#F0F0F0","layout":"VBox","width":"100%"});
var _div_30457656 = new Emp.Panel({"id":"_div_30457656","height":"44","vAlign":"middle","layout":"HBox","width":"100%","backgroundImage":"/fan_group/u93.png"});
var _div_28970510 = new Emp.Panel({"id":"_div_28970510","height":"100%","vAlign":"middle","width":"100%"});
_div_28970510.addEvent('onClick',goBack);
var _img_32559779 = new Emp.Image({"id":"_img_32559779","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_28970510.add(_img_32559779);
var _input_26534629 = new Emp.Label({"id":"_input_26534629","color":"#999999","value":"通讯录好友","fontSize":"16"});
_div_28970510.add(_input_26534629);
_div_30457656.add(_div_28970510);
_div_12355880.add(_div_30457656);
var _div_29112207 = new Emp.Panel({"id":"_div_29112207","height":"30","marginLeft":"10","marginTop":"20","width":"320"});
var _input_31693436 = new Emp.Label({"id":"_input_31693436","color":"#888888","value":"7位通讯录好友已加入饭糖"});
_div_29112207.add(_input_31693436);
_div_12355880.add(_div_29112207);
var _div_28527895 = new Emp.Panel({"id":"_div_28527895","height":"200","marginLeft":"5","layout":"VBox","width":"350","backgroundImage":"/image/u2.png"});
var _div_9061306 = new Emp.Panel({"id":"_div_9061306","height":"50","marginLeft":"10","marginTop":"15","width":"100%"});
var _div_23363899 = new Emp.Panel({"id":"_div_23363899","height":"100%","width":"100%"});
var _img_23096340 = new Emp.Image({"id":"_img_23096340","height":"33","width":"33","src":"/image/u16.png"});
_div_23363899.add(_img_23096340);
var _div_22526638 = new Emp.Panel({"id":"_div_22526638","marginLeft":"10","layout":"VBox"});
var _input_10560341 = new Emp.Label({"id":"_input_10560341","value":"Raymend"});
_div_22526638.add(_input_10560341);
var _input_18262259 = new Emp.Label({"id":"_input_18262259","color":"#C0C0C0","value":"张三"});
_div_22526638.add(_input_18262259);
_div_23363899.add(_div_22526638);
_div_9061306.add(_div_23363899);
var _div_11412883 = new Emp.Panel({"id":"_div_11412883","height":"100%","width":"100%"});
var _img_19195822 = new Emp.Image({"id":"_img_19195822","height":"33","marginLeft":"10","width":"33","src":"/image/u16.png"});
_div_11412883.add(_img_19195822);
var _div_31882548 = new Emp.Panel({"id":"_div_31882548","marginLeft":"10","layout":"VBox"});
var _input_19266967 = new Emp.Label({"id":"_input_19266967","value":"Raymend"});
_div_31882548.add(_input_19266967);
var _input_19662001 = new Emp.Label({"id":"_input_19662001","color":"#C0C0C0","value":"张三"});
_div_31882548.add(_input_19662001);
_div_11412883.add(_div_31882548);
_div_9061306.add(_div_11412883);
_div_28527895.add(_div_9061306);
var _div_15214078 = new Emp.Panel({"id":"_div_15214078","height":"50","marginLeft":"10","marginTop":"15","width":"100%"});
var _div_18250880 = new Emp.Panel({"id":"_div_18250880","height":"100%","width":"100%"});
var _img_21489996 = new Emp.Image({"id":"_img_21489996","height":"33","width":"33","src":"/image/u16.png"});
_div_18250880.add(_img_21489996);
var _div_2458205 = new Emp.Panel({"id":"_div_2458205","marginLeft":"10","layout":"VBox"});
var _input_9549601 = new Emp.Label({"id":"_input_9549601","value":"Raymend"});
_div_2458205.add(_input_9549601);
var _input_9302128 = new Emp.Label({"id":"_input_9302128","color":"#C0C0C0","value":"张三"});
_div_2458205.add(_input_9302128);
_div_18250880.add(_div_2458205);
_div_15214078.add(_div_18250880);
var _div_10772720 = new Emp.Panel({"id":"_div_10772720","height":"100%","width":"100%"});
var _img_30958139 = new Emp.Image({"id":"_img_30958139","height":"33","marginLeft":"10","width":"33","src":"/image/u16.png"});
_div_10772720.add(_img_30958139);
var _div_18436367 = new Emp.Panel({"id":"_div_18436367","marginLeft":"10","layout":"VBox"});
var _input_18406517 = new Emp.Label({"id":"_input_18406517","value":"Raymend"});
_div_18436367.add(_input_18406517);
var _input_20030895 = new Emp.Label({"id":"_input_20030895","color":"#C0C0C0","value":"张三"});
_div_18436367.add(_input_20030895);
_div_10772720.add(_div_18436367);
_div_15214078.add(_div_10772720);
_div_28527895.add(_div_15214078);
var _div_7651922 = new Emp.Panel({"id":"_div_7651922","height":"50","marginLeft":"10","marginTop":"15","width":"100%"});
var _div_25275204 = new Emp.Panel({"id":"_div_25275204","height":"100%","width":"100%"});
var _img_1255998 = new Emp.Image({"id":"_img_1255998","height":"33","width":"33","src":"/image/u16.png"});
_div_25275204.add(_img_1255998);
var _div_3820930 = new Emp.Panel({"id":"_div_3820930","marginLeft":"10","layout":"VBox"});
var _input_28749476 = new Emp.Label({"id":"_input_28749476","value":"Raymend"});
_div_3820930.add(_input_28749476);
var _input_8638576 = new Emp.Label({"id":"_input_8638576","color":"#C0C0C0","value":"张三"});
_div_3820930.add(_input_8638576);
_div_25275204.add(_div_3820930);
_div_7651922.add(_div_25275204);
var _div_32076956 = new Emp.Panel({"id":"_div_32076956","height":"100%","width":"100%"});
var _img_31900220 = new Emp.Image({"id":"_img_31900220","height":"33","marginLeft":"10","width":"33","src":"/image/u16.png"});
_div_32076956.add(_img_31900220);
var _div_14293535 = new Emp.Panel({"id":"_div_14293535","marginLeft":"10","layout":"VBox"});
var _input_15271259 = new Emp.Label({"id":"_input_15271259","value":"Raymend"});
_div_14293535.add(_input_15271259);
var _input_6205016 = new Emp.Label({"id":"_input_6205016","color":"#C0C0C0","value":"张三"});
_div_14293535.add(_input_6205016);
_div_32076956.add(_div_14293535);
_div_7651922.add(_div_32076956);
_div_28527895.add(_div_7651922);
var _div_541121 = new Emp.Panel({"id":"_div_541121","height":"50","marginLeft":"10","marginTop":"15","width":"100%"});
var _div_1386123 = new Emp.Panel({"id":"_div_1386123","height":"100%","width":"100%"});
var _img_9803968 = new Emp.Image({"id":"_img_9803968","height":"33","width":"33","src":"/image/u16.png"});
_div_1386123.add(_img_9803968);
var _div_23032809 = new Emp.Panel({"id":"_div_23032809","marginLeft":"10","layout":"VBox"});
var _input_28497693 = new Emp.Label({"id":"_input_28497693","value":"Raymend"});
_div_23032809.add(_input_28497693);
var _input_4764106 = new Emp.Label({"id":"_input_4764106","color":"#C0C0C0","value":"张三"});
_div_23032809.add(_input_4764106);
_div_1386123.add(_div_23032809);
_div_541121.add(_div_1386123);
var _div_9455352 = new Emp.Panel({"id":"_div_9455352","height":"100%","width":"100%"});
var _img_2319589 = new Emp.Image({"id":"_img_2319589","height":"33","marginLeft":"10","width":"33","src":"/image/u16.png"});
_div_9455352.add(_img_2319589);
var _div_28645192 = new Emp.Panel({"id":"_div_28645192","marginLeft":"10","layout":"VBox"});
var _input_762599 = new Emp.Label({"id":"_input_762599","value":"Raymend"});
_div_28645192.add(_input_762599);
var _input_32765695 = new Emp.Label({"id":"_input_32765695","color":"#C0C0C0","value":"张三"});
_div_28645192.add(_input_32765695);
_div_9455352.add(_div_28645192);
_div_541121.add(_div_9455352);
_div_28527895.add(_div_541121);
_div_12355880.add(_div_28527895);
var _div_31263599 = new Emp.Panel({"id":"_div_31263599","height":"30","marginLeft":"10","marginTop":"20","width":"320"});
var _div_18458212 = new Emp.Panel({"id":"_div_18458212","height":"25","marginLeft":"10","width":"320"});
var _input_16450115 = new Emp.Label({"id":"_input_16450115","color":"#888888","value":"76位好友等待您的邀请"});
_div_18458212.add(_input_16450115);
_div_31263599.add(_div_18458212);
_div_12355880.add(_div_31263599);
var _template_22124776 = new Emp.Panel({"id":"_template_22124776"});
_template_22124776.__isTemplate=true;
var template1 = new Emp.Panel({"id":"template1","backgroundColor":"#F0F0F0","vAlign":"middle","width":"100%"});
var _div_28972441 = new Emp.Panel({"id":"_div_28972441","height":"70","marginLeft":"10","layout":"VBox","width":"100%","backgroundImage":"/image/u2.png"});
var _div_31458351 = new Emp.Panel({"id":"_div_31458351","height":"70","marginTop":"25","layout":"HBox","width":"100%"});
var _input_3325731 = new Emp.Label({"id":"_input_3325731","marginLeft":"10","value":"李四"});
_div_31458351.add(_input_3325731);
var _input_27438228 = new Emp.Label({"id":"_input_27438228","color":"#C0C0C0","marginLeft":"220","value":"发送邀请"});
_div_31458351.add(_input_27438228);
_div_28972441.add(_div_31458351);
template1.add(_div_28972441);
_template_22124776.add(template1);
var _div_15743436 = new Emp.Panel({"id":"_div_15743436","height":"100%","backgroundColor":"#fcfcfc","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","enablePullUp":"true","width":"100%"});


_div_15743436.add(listview);
_div_12355880.add(_div_15743436);
Emp.page.add(_div_12355880);







$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});listview.setTemplate(template1); 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',115,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newsScroller = new Emp.ListView.PrimetonerScroller({"modelId":this.modelId}); 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',116,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setScroller(newsScroller); 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function () { 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(getItems()); 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
}); 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getItems() { 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',126,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var items = []; 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < 10; i++) { 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var temp = {}; 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',129,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.level = i + 5; 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fansCount = i + 200; 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.title = "李四"; 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.subTitle = "发送邀请"; 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); items.push(temp); 
} 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',135,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return items; 
} 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fanReg/mail_friends.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
 
Emp.page.render();
