var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_13880367');
var _div_6910985 = new Emp.Panel({"id":"_div_6910985","height":"44","backgroundColor":"#ffcc00","vAlign":"middle","width":"100%"});
_div_6910985.addEvent('onClick',goBack);
var _img_27069728 = new Emp.Image({"id":"_img_27069728","height":"30","width":"30","src":"/icon_128/iconfont-back-white.png"});
_div_6910985.add(_img_27069728);
var _div_26066667 = new Emp.Panel({"id":"_div_26066667","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var _input_19027342 = new Emp.Label({"id":"_input_19027342","color":"#ffffff","value":"返回","fontSize":"16"});
_div_26066667.add(_input_19027342);
_div_6910985.add(_div_26066667);
Emp.page.add(_div_6910985);
var _div_18800445 = new Emp.Panel({"id":"_div_18800445","height":"100%","backgroundColor":"#ffcc00","hAlign":"center","layout":"VBox","width":"100%"});
var _div_8040169 = new Emp.Panel({"id":"_div_8040169","height":"150","vAlign":"middle","hAlign":"center","layout":"VBox","width":"350"});
var _img_7432498 = new Emp.Image({"id":"_img_7432498","height":"121","width":"125","src":"/icon_128/logo2.png"});
_div_8040169.add(_img_7432498);
_div_18800445.add(_div_8040169);
var _div_5812905 = new Emp.Panel({"id":"_div_5812905","borderColor":"#fcfcfc","height":"230","backgroundColor":"#fcfcfc","vAlign":"middle","borderWidth":"1","hAlign":"center","layout":"VBox","width":"320","cornerRadius":"8"});
var _div_27032572 = new Emp.Panel({"id":"_div_27032572","borderColor":"#c6c6c6","height":"50","marginTop":"20","borderWidth":"1","hAlign":"center","layout":"VBox","width":"280"});
var userName = new Emp.Text({"id":"userName","height":"50","backgroundColor":"#ffffff","width":"280","length":"10","value":"","emptyText":"昵称 4-10字符"});
_div_27032572.add(userName);
_div_5812905.add(_div_27032572);
var _div_33258472 = new Emp.Panel({"id":"_div_33258472","height":"50","vAlign":"middle","hAlign":"center","layout":"HBox","width":"280"});
var sex = new Emp.Radio({"id":"sex",items:[ {"text":"妹    子","value":"2"}, {"text":"汉    子","value":"1"}]});
_div_33258472.add(sex);
_div_5812905.add(_div_33258472);
var friendsdiv = new Emp.Panel({"id":"friendsdiv","height":"50","vAlign":"middle","hAlign":"center","layout":"VBox","width":"280"});
var friends = new Emp.Button({"id":"friends","height":"50","backgroundColor":"#000000","color":"#FFFFFF","width":"280","value":"完成注册","fontSize":"18"});
friendsdiv.add(friends);
_div_5812905.add(friendsdiv);
var reg_doing = new Emp.Panel({"id":"reg_doing","height":"50","vAlign":"middle","hAlign":"center","layout":"VBox","width":"280","display":"false"});
var _input_10695123 = new Emp.Button({"id":"_input_10695123","height":"50","backgroundColor":"#000000","color":"#FFFFFF","width":"280","value":"注册中","fontSize":"18"});
reg_doing.add(_input_10695123);
_div_5812905.add(reg_doing);
_div_18800445.add(_div_5812905);
Emp.page.add(_div_18800445);




$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',39,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var userInfo = {}; 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',40,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',41,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo = params; 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',42,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userName = Emp.get("userName"); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',43,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userName.setLength(16); 
}); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',47,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); friends.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',48,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userName = Emp.get("userName").getValue().trim(); 
if($jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',49,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userName != "") { 
if($jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',51,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userName.length < 2) { 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',52,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("昵称至少2位"); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',53,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} else { 
if($jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',54,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userName.length > 10) { 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',55,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("昵称必须小于10位"); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',56,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
} 
} else { 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',59,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("天了噜，有人要裸奔！"); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',60,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
if($jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',62,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (sex.getValue() == undefined || sex.getValue() == "") { 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',63,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("性别不明,我要如何与你厮守!"); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',64,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',67,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); reg_doing.setDisplay(true); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',68,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); friendsdiv.setDisplay(false); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',72,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var inputNumJ = {}; 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',73,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); inputNumJ.name = "fansInfo.telNo"; 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',74,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); inputNumJ.value = userInfo.inputNum; 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',76,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var passwordJ = {}; 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',77,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); passwordJ.name = "fansInfo.password"; 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',78,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); passwordJ.value = userInfo.password; 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',80,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userNameJ = {}; 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',81,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userNameJ.name = "fansInfo.actorname"; 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',82,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userNameJ.value = userName; 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',84,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var sexJ = {}; 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',85,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexJ.name = "fansInfo.sex"; 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexJ.value = sex.getValue(); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',88,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',89,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',90,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',92,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',93,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([inputNumJ, passwordJ, userNameJ, sexJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',96,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!addFansUser.action"); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',98,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /* Emp.page.goTo("/fanReg/login.html", {},false,false);  
				Emp.get("userName").setValue(""); */(result.data) { 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',103,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); delete newbuy_config.loginkey; 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',104,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); newbuy_config.loginkey = result.data; 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',105,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.put("newbuy_config", newbuy_config); 
} 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/mainpage_loggedin.html", {}, true, false); 
} else { 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast(result.errorMsg); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',111,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goBack({url:"/fanReg/login.html", animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("userName").setValue(""); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); reg_doing.setDisplay(false); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',115,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); friendsdiv.setDisplay(true); 
}, function (error) { 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); reg_doing.setDisplay(false); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); friendsdiv.setDisplay(true); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fanReg/set_Username.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
 
Emp.page.render();
