var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_25922391');
var _div_6883803 = new Emp.Panel({"id":"_div_6883803","height":"44","backgroundColor":"#ffcc00","vAlign":"middle","width":"100%"});
_div_6883803.addEvent('onClick',goBack);
var _img_398690 = new Emp.Image({"id":"_img_398690","height":"30","width":"30","src":"/icon_128/iconfont-back-white.png"});
_div_6883803.add(_img_398690);
var _div_23454016 = new Emp.Panel({"id":"_div_23454016","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var _input_27741482 = new Emp.Label({"id":"_input_27741482","color":"#ffffff","value":"返回","fontSize":"16"});
_div_23454016.add(_input_27741482);
_div_6883803.add(_div_23454016);
Emp.page.add(_div_6883803);
var _div_12255551 = new Emp.Panel({"id":"_div_12255551","height":"100%","backgroundColor":"#ffcc00","hAlign":"center","layout":"VBox","width":"100%"});
var _div_21943975 = new Emp.Panel({"id":"_div_21943975","height":"150","vAlign":"middle","hAlign":"center","layout":"VBox","width":"350"});
var _img_15628773 = new Emp.Image({"id":"_img_15628773","height":"121","width":"125","src":"/icon_128/logo2.png"});
_div_21943975.add(_img_15628773);
_div_12255551.add(_div_21943975);
var _div_8701590 = new Emp.Panel({"id":"_div_8701590","borderColor":"#fcfcfc","height":"180","backgroundColor":"#fcfcfc","vAlign":"middle","borderWidth":"1","hAlign":"center","layout":"VBox","width":"320","cornerRadius":"8"});
var _div_17414844 = new Emp.Panel({"id":"_div_17414844","height":"22","vAlign":"middle","hAlign":"center","layout":"VBox","width":"320"});
var _input_29539420 = new Emp.Label({"id":"_input_29539420","color":"#999999","value":"设置你的登录密码"});
_div_17414844.add(_input_29539420);
_div_8701590.add(_div_17414844);
var _div_31215983 = new Emp.Panel({"id":"_div_31215983","borderColor":"#c6c6c6","height":"50","marginTop":"10","borderWidth":"1","hAlign":"center","layout":"VBox","width":"280"});
var password = new Emp.Text({"id":"password","height":"50","backgroundColor":"#ffffff","inputType":"password","width":"280","length":"20","emptyText":"密码 6-20位英文字符"});
_div_31215983.add(password);
_div_8701590.add(_div_31215983);
var _div_32601103 = new Emp.Panel({"id":"_div_32601103","height":"50","marginTop":"10","vAlign":"middle","hAlign":"center","layout":"VBox","width":"320"});
var setPassword = new Emp.Button({"id":"setPassword","height":"50","backgroundColor":"#000000","color":"#FFFFFF","width":"280","value":"提交密码","fontSize":"18"});
_div_32601103.add(setPassword);
_div_8701590.add(_div_32601103);
_div_12255551.add(_div_8701590);
Emp.page.add(_div_12255551);




$jsd('/NewBuyApp/src/fanReg/set_password.htmlx',31,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var userInfo = {}; 
$jsd('/NewBuyApp/src/fanReg/set_password.htmlx',32,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
$jsd('/NewBuyApp/src/fanReg/set_password.htmlx',33,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo = params; 
$jsd('/NewBuyApp/src/fanReg/set_password.htmlx',34,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var password = Emp.get("password"); 
$jsd('/NewBuyApp/src/fanReg/set_password.htmlx',35,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); password.setLength(20); 
}); 
$jsd('/NewBuyApp/src/fanReg/set_password.htmlx',39,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setPassword.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanReg/set_password.htmlx',40,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var password = Emp.get("password").getValue().trim(); 
if($jsd('/NewBuyApp/src/fanReg/set_password.htmlx',42,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (password == "") { 
$jsd('/NewBuyApp/src/fanReg/set_password.htmlx',43,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("密码格式不正确，必须是6~20英文字符!"); 
$jsd('/NewBuyApp/src/fanReg/set_password.htmlx',44,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} else { 
if($jsd('/NewBuyApp/src/fanReg/set_password.htmlx',45,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (password.length > 20) { 
$jsd('/NewBuyApp/src/fanReg/set_password.htmlx',47,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("密码格式不正确，必须是6~20英文字符!"); 
$jsd('/NewBuyApp/src/fanReg/set_password.htmlx',48,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} else { 
if($jsd('/NewBuyApp/src/fanReg/set_password.htmlx',49,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (password.length < 6) { 
$jsd('/NewBuyApp/src/fanReg/set_password.htmlx',51,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("密码格式不正确，必须是6~20英文字符!"); 
$jsd('/NewBuyApp/src/fanReg/set_password.htmlx',52,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
} 
} 
$jsd('/NewBuyApp/src/fanReg/set_password.htmlx',54,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo.password = password; 
$jsd('/NewBuyApp/src/fanReg/set_password.htmlx',55,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fanReg/set_Username.html", userInfo, false, false); 
$jsd('/NewBuyApp/src/fanReg/set_password.htmlx',57,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("password").setValue(""); 
}); 
$jsd('/NewBuyApp/src/fanReg/set_password.htmlx',59,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fanReg/set_password.htmlx',60,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
 
Emp.page.render();
