var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_5703735');
var _div_31220336 = new Emp.Panel({"id":"_div_31220336","height":"44","vAlign":"middle","width":"100%"});
_div_31220336.addEvent('onClick',goBack);
var _img_29547080 = new Emp.Image({"id":"_img_29547080","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_31220336.add(_img_29547080);
var _div_25737774 = new Emp.Panel({"id":"_div_25737774","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var _input_24594098 = new Emp.Label({"id":"_input_24594098","color":"#999999","value":"账户安全","fontSize":"16"});
_div_25737774.add(_input_24594098);
_div_31220336.add(_div_25737774);
var _div_29524507 = new Emp.Panel({"id":"_div_29524507","height":"100%","vAlign":"middle","hAlign":"right","width":"100%","paddingRight":"10"});
var _input_15461044 = new Emp.Label({"id":"_input_15461044","color":"#999999","value":"","fontSize":"18"});
_div_29524507.add(_input_15461044);
_div_31220336.add(_div_29524507);
Emp.page.add(_div_31220336);
var _div_8246796 = new Emp.Panel({"id":"_div_8246796","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_8246796);
var _div_24107306 = new Emp.Panel({"id":"_div_24107306","height":"100%","backgroundColor":"#fafafa","layout":"VBox","width":"100%"});
var warning = new Emp.Panel({"id":"warning","layout":"VBox","width":"100%"});
var _div_15081141 = new Emp.Panel({"id":"_div_15081141","height":"100","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var _img_32126189 = new Emp.Image({"id":"_img_32126189","height":"120px","width":"120px","src":"/images/app.png"});
_div_15081141.add(_img_32126189);
warning.add(_div_15081141);
var _div_20508956 = new Emp.Panel({"id":"_div_20508956","hAlign":"center","width":"100%"});
var _input_22904451 = new Emp.Label({"id":"_input_22904451","value":"安全等级 "});
_div_20508956.add(_input_22904451);
var _input_18666333 = new Emp.Label({"id":"_input_18666333","color":"#FF0000","value":"低  "});
_div_20508956.add(_input_18666333);
warning.add(_div_20508956);
var _div_24676209 = new Emp.Panel({"id":"_div_24676209","paddingTop":"20","hAlign":"center","width":"100%"});
var _input_281355 = new Emp.Label({"id":"_input_281355","color":"#A0A0A0","value":"你的帐号存在被盗风险！请立即绑定手机"});
_div_24676209.add(_input_281355);
warning.add(_div_24676209);
_div_24107306.add(warning);
var _div_31117996 = new Emp.Panel({"id":"_div_31117996","height":"70","marginTop":"30","backgroundColor":"#fafafa","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_20794731 = new Emp.Panel({"id":"_div_20794731","borderColor":"#f2f2f2","height":"70","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","width":"350","cornerRadius":"10"});
_div_20794731.addEvent('onClick',doOn);
var _input_27641364 = new Emp.Label({"id":"_input_27641364","marginLeft":"10","width":"350","value":"修改密码"});
_div_20794731.add(_input_27641364);
_div_31117996.add(_div_20794731);
_div_24107306.add(_div_31117996);
var _div_7310206 = new Emp.Panel({"id":"_div_7310206","paddingTop":"10","height":"70","backgroundColor":"#fafafa","vAlign":"middle","width":"100%","paddingLeft":"5","paddingRight":"5"});
var off = new Emp.Panel({"id":"off","height":"70","borderColor":"#f2f2f2","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","width":"350","cornerRadius":"10"});
off.addEvent('onClick',doOff);
var _input_30865456 = new Emp.Label({"id":"_input_30865456","marginLeft":"10","value":"绑定手机","fontSize":"20"});
off.add(_input_30865456);
var _div_4212068 = new Emp.Panel({"id":"_div_4212068","marginLeft":"180","hAlign":"center"});
var _input_25936123 = new Emp.Label({"id":"_input_25936123","color":"#C0C0C0","value":"未绑定","fontSize":"20"});
_div_4212068.add(_input_25936123);
var secLevImg = new Emp.Image({"id":"secLevImg","height":"9","marginLeft":"4","marginTop":"5","width":"9","display":"false","src":"/image/u23.png","fontSize":"20"});
_div_4212068.add(secLevImg);
off.add(_div_4212068);
_div_7310206.add(off);
var on = new Emp.Panel({"id":"on","height":"70","borderColor":"#f2f2f2","backgroundColor":"#ffffff","vAlign":"middle","borderWidth":"1px","width":"100%","cornerRadius":"10","display":"false"});
on.addEvent('onClick',doOff);
var _input_27357521 = new Emp.Label({"id":"_input_27357521","marginLeft":"10","value":"绑定手机","fontSize":"18"});
on.add(_input_27357521);
var _div_1481580 = new Emp.Panel({"id":"_div_1481580","marginLeft":"80","hAlign":"center"});
var mobileFixnoDis = new Emp.Label({"id":"mobileFixnoDis","color":"#C0C0C0","value":"","fontSize":"18"});
_div_1481580.add(mobileFixnoDis);
var mobileFixno = new Emp.Label({"id":"mobileFixno","value":"","display":"false"});
_div_1481580.add(mobileFixno);
var passwordOld = new Emp.Label({"id":"passwordOld","value":"","display":"false"});
_div_1481580.add(passwordOld);
on.add(_div_1481580);
_div_7310206.add(on);
_div_24107306.add(_div_7310206);
Emp.page.add(_div_24107306);




$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',54,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});$M.page.addEvent("onLoad", function (params) { 
$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',55,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); passwordOld.setValue(params.passwordOld); 
if($jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',56,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params.secLev == "安全等级低") { 
$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',57,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); warning.setDisplay(true); 
$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',58,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); secLevImg.setDisplay(true); 
$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',59,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); off.setDisplay(true); 
$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',60,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); on.setDisplay(false); 
} else { 
$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',62,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); warning.setDisplay(false); 
$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',63,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); secLevImg.setDisplay(false); 
$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',64,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); off.setDisplay(false); 
$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',65,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); on.setDisplay(true); 
$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',66,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); mobileFixno.setValue(params.mobileFixno); 
if($jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',68,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (params.mobileFixno.length == 11) { 
$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',69,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); mobileFixnoDisT = "已绑定" + params.mobileFixno.substring(0, 3) + "*****" + params.mobileFixno.substring(8, 3); 
$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',70,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); mobileFixnoDis.setValue(mobileFixnoDisT); 
} 
} 
}); 
$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',78,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function doOn() { 
$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',79,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fanReg/update_password.html", {passwordOld:passwordOld.getValue()}, false, false); 
} 
$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',81,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',82,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',85,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function doOff() { 
$jsd('/NewBuyApp/src/fanSetPassword/off_phone.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fanSetPassword/enter_your_number.html", {}, false, false); 
} 
 
Emp.page.render();
