var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_BODY_10308388');
var _div_11553972 = new Emp.Panel({"id":"_div_11553972","height":"44","vAlign":"middle","width":"100%"});
_div_11553972.addEvent('onClick',goBack);
var _img_8109510 = new Emp.Image({"id":"_img_8109510","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_11553972.add(_img_8109510);
var _div_31993371 = new Emp.Panel({"id":"_div_31993371","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var _input_2829078 = new Emp.Label({"id":"_input_2829078","color":"#999999","value":"验证手机号","fontSize":"16"});
_div_31993371.add(_input_2829078);
_div_11553972.add(_div_31993371);
var _div_1696166 = new Emp.Panel({"id":"_div_1696166","height":"100%","vAlign":"middle","hAlign":"right","width":"100%","paddingRight":"10"});
var _input_19762337 = new Emp.Label({"id":"_input_19762337","color":"#999999","value":"","fontSize":"18"});
_div_1696166.add(_input_19762337);
_div_11553972.add(_div_1696166);
Emp.page.add(_div_11553972);
var _div_23842520 = new Emp.Panel({"id":"_div_23842520","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_23842520);
var _div_14211872 = new Emp.Panel({"id":"_div_14211872","height":"100%","hAlign":"center","layout":"VBox","width":"100%","backgroundImage":"/image/u0.png"});
var _div_18488727 = new Emp.Panel({"id":"_div_18488727","height":"150","vAlign":"middle","hAlign":"center","layout":"VBox","width":"350"});
var _img_26010007 = new Emp.Image({"id":"_img_26010007","height":"121","width":"125","src":"/images/logo.png"});
_div_18488727.add(_img_26010007);
_div_14211872.add(_div_18488727);
var _div_3058523 = new Emp.Panel({"id":"_div_3058523","height":"250","vAlign":"middle","hAlign":"center","layout":"VBox","width":"340","backgroundImage":"/image/u2.png"});
var _div_32769884 = new Emp.Panel({"id":"_div_32769884","height":"30","vAlign":"middle","hAlign":"center","layout":"hBox","width":"340"});
var _input_997998 = new Emp.Label({"id":"_input_997998","color":"#999999","value":"已发送"});
_div_32769884.add(_input_997998);
var _input_29694502 = new Emp.Label({"id":"_input_29694502","color":"#FFCC00","value":"验证码"});
_div_32769884.add(_input_29694502);
var _input_20433725 = new Emp.Label({"id":"_input_20433725","color":"#999999","value":"到你的手机"});
_div_32769884.add(_input_20433725);
_div_3058523.add(_div_32769884);
var _div_31544505 = new Emp.Panel({"id":"_div_31544505","height":"30","vAlign":"middle","hAlign":"center","layout":"hBox","width":"340"});
var _input_8473333 = new Emp.Label({"id":"_input_8473333","color":"#000000","value":"+86  ","fontSize":"18"});
_div_31544505.add(_input_8473333);
var phoneNum = new Emp.Label({"id":"phoneNum","color":"#000000","fontSize":"28"});
_div_31544505.add(phoneNum);
_div_3058523.add(_div_31544505);
var _div_12205941 = new Emp.Panel({"id":"_div_12205941","borderColor":"#c6c6c6","height":"65","vAlign":"middle","hAlign":"center","layout":"hBox","width":"340"});
var _div_27019221 = new Emp.Panel({"id":"_div_27019221","borderColor":"#c6c6c6","height":"55","borderWidth":"1","hAlign":"center","layout":"VBox","width":"200"});
var validationNum = new Emp.Text({"id":"validationNum","height":"50","backgroundColor":"#ffffff","inputType":"number","width":"200","emptyText":"6位验证码号"});
_div_27019221.add(validationNum);
_div_12205941.add(_div_27019221);
var chuce = new Emp.Button({"id":"chuce","height":"52","backgroundColor":"#D8D8D8","color":"#FFFFFF","marginLeft":"5","width":"90","value":"60S","fontSize":"18"});
_div_12205941.add(chuce);
var resend = new Emp.Button({"id":"resend","height":"52","backgroundColor":"#D8D8D8","color":"#FFFFFF","marginLeft":"5","width":"90","value":"重新发送","display":"none","fontSize":"15"});
_div_12205941.add(resend);
_div_3058523.add(_div_12205941);
var _div_10175649 = new Emp.Panel({"id":"_div_10175649","height":"65","vAlign":"middle","hAlign":"center","layout":"hBox","width":"340"});
var validation = new Emp.Button({"id":"validation","height":"52","backgroundColor":"#000000","color":"#FFFFFF","width":"300","value":"验  证","fontSize":"22"});
_div_10175649.add(validation);
_div_3058523.add(_div_10175649);
_div_14211872.add(_div_3058523);
Emp.page.add(_div_14211872);




$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',46,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var userInfo = {}; 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',47,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (params) { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',48,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); set_time_out(60); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',49,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userInfo = params; 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',50,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("phoneNum").setValue(userInfo.inputNum); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',52,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var validationNum = Emp.get("validationNum"); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',53,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); validationNum.setLength(6); 
}); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',57,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); validation.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',59,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var validationNum = Emp.get("validationNum").getValue().trim(); 
if($jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',61,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (validationNum == "") { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',62,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("验证码不能为空!"); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',63,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} else { 
if($jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',66,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (validationNum.length != 6) { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',67,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("验证码不正确!"); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',68,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} else { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',71,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var validationNumJ = {}; 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',72,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); validationNumJ.name = "fansInfo.validationNum"; 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',73,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); validationNumJ.value = validationNum; 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',75,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',76,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',77,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',78,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',79,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fansInfo.validationNum", value:validationNum}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',82,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!checkValidationNum.action"); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',83,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',84,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',85,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',87,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',88,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',89,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax1 = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',90,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.addParams([{name:"fansInfo.mobileFixno", value:phoneNum.getValue()}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',93,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.setAction("/mobile/fanAction!updateFansFixedTel.action"); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',94,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.submit(function (result1) { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',95,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result1 = Utils.stringToJson(result1); 
if($jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',96,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result1.success) { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("绑定成功！"); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',98,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright", params:"", url:"/fanSetPassword/off_phone.html"}); 
} else { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',100,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("绑定成功失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',103,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("验证码不正确！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
} 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.get("validationNum").setValue(""); 
}); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); resend.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("chuce").setDisplay(true); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("resend").setDisplay(false); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); set_time_out(60); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var inputNum = Emp.get("phoneNum").getValue(); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',126,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"fansInfo.loginNm", value:inputNum}, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/fanAction!sendValidationNum.action"); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',131,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
} else { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("验证码发送失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',144,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function set_time_out(m) { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var interval_id = setInterval(function () { 
if($jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',146,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (m != 0) { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("chuce").setValue((m - 1) + "S"); 
} else { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("chuce").setDisplay(false); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("resend").setDisplay(true); 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); clearInterval(interval_id); 
} 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',153,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); m = m - 1; 
}, 1000); 
} 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',156,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/fanSetPassword/validation_number.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
 
Emp.page.render();
