var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_3100770');
$M.includeFile("/commons/listview_common.html");
$M.includeFile("/template/fan_tie_template.html");
$M.includeFile("/fan_club_pop.html");
var _div_4609568 = new Emp.Panel({"id":"_div_4609568","height":"100%","layout":"VBox","width":"100%"});
var _div_29392173 = new Emp.Panel({"id":"_div_29392173","height":"40","vAlign":"middle","marginLeft":"10","width":"100%","top":"0"});
var _img_5912077 = new Emp.Image({"id":"_img_5912077","height":"20","marginLeft":"80","width":"20","src":"/homeImg/index_u53.png"});
_img_5912077.addEvent('onClick',gotoPageLoggedin);
_div_29392173.add(_img_5912077);
var _img_9620527 = new Emp.Image({"id":"_img_9620527","height":"20","marginLeft":"80","width":"20","src":"/homeImg/discover_u49_selected.png"});
_div_29392173.add(_img_9620527);
var _img_26947664 = new Emp.Image({"id":"_img_26947664","height":"20","marginLeft":"20","width":"20","src":"/homeImg/massage_u47.png"});
_img_26947664.addEvent('onClick',goToTips);
_div_29392173.add(_img_26947664);
var _img_25234010 = new Emp.Image({"id":"_img_25234010","height":"20","marginLeft":"20","width":"20","src":"/homeImg/shop_u55.png"});
_img_25234010.addEvent('onClick',goToShop);
_div_29392173.add(_img_25234010);
var _img_13549936 = new Emp.Image({"id":"_img_13549936","height":"20","marginLeft":"20","width":"20","src":"/homeImg/me_u45.png"});
_img_13549936.addEvent('onClick',my_info);
_div_29392173.add(_img_13549936);
_div_4609568.add(_div_29392173);
var _div_33399431 = new Emp.Panel({"id":"_div_33399431","height":"50","marginTop":"10","layout":"HBox","width":"100%","backgroundImage":"/coupon/u4.png"});
var _input_12148352 = new Emp.Label({"id":"_input_12148352","marginTop":"5","marginLeft":"70","value":"找明星","fontSize":"20"});
_input_12148352.addEvent('onClick',find_star);
_div_33399431.add(_input_12148352);
var _img_32190234 = new Emp.Image({"id":"_img_32190234","height":"100%","marginLeft":"50","width":"2","src":"/coupon/u55_line.png"});
_div_33399431.add(_img_32190234);
var _input_23165145 = new Emp.Label({"id":"_input_23165145","marginTop":"5","marginLeft":"50","value":"找饭团","fontSize":"20"});
_input_23165145.addEvent('onClick',find_fan);
_div_33399431.add(_input_23165145);
_div_4609568.add(_div_33399431);
var _div_4521902 = new Emp.Panel({"id":"_div_4521902","height":"500","layout":"VBox","width":"100%"});
var _div_32373689 = new Emp.Panel({"id":"_div_32373689","height":"100%","backgroundColor":"#fcfcfc","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","width":"100%"});
_div_32373689.add(listview);
_div_4521902.add(_div_32373689);
_div_4609568.add(_div_4521902);
Emp.page.add(_div_4609568);
var _template_6578525 = new Emp.Panel({"id":"_template_6578525"});
_template_6578525.__isTemplate=true;
var template1 = new Emp.Panel({"id":"template1","paddingTop":"80","height":"100%","backgroundColor":"#fcfcfc","vAlign":"middle","layout":"VBox","hAlign":"center","width":"100%"});
var _div_24399767 = new Emp.Panel({"id":"_div_24399767","height":"100%","layout":"VBox","width":"100%"});
var _div_18176465 = new Emp.Panel({"id":"_div_18176465","height":"30","width":"100%"});
var _input_12304509 = new Emp.Label({"id":"_input_12304509","height":"30","value":"封神榜"});
_div_18176465.add(_input_12304509);
_div_24399767.add(_div_18176465);
var fengshenbang = new Emp.Panel({"id":"fengshenbang","height":"200","layout":"VBox","width":"100%"});
var _div_23863712 = new Emp.Panel({"id":"_div_23863712","height":"100","layout":"HBox","width":"100%"});
_div_23863712.addEvent('onClick',star_home);
var _div_1297831 = new Emp.Panel({"id":"_div_1297831","height":"100%","layout":"VBox","width":"100%"});
var _img_2270341 = new Emp.Image({"id":"_img_2270341","height":"50","width":"50","src":"/fan_tie/u141.png"});
_div_1297831.add(_img_2270341);
var _input_6248039 = new Emp.Label({"id":"_input_6248039","height":"30","vAlign":"middle","color":"#999999","backgroundColor":"#FAC008","hAlign":"center","width":"60","value":"杨幂","fontSize":"13"});
_div_1297831.add(_input_6248039);
_div_23863712.add(_div_1297831);
var _div_18989550 = new Emp.Panel({"id":"_div_18989550","height":"100%","layout":"VBox","width":"100%"});
var _img_21171862 = new Emp.Image({"id":"_img_21171862","height":"50","width":"50","src":"/fan_tie/u141.png"});
_div_18989550.add(_img_21171862);
var _input_24292598 = new Emp.Label({"id":"_input_24292598","height":"30","vAlign":"middle","color":"#999999","backgroundColor":"#FAC008","hAlign":"center","width":"60","value":"杨幂","fontSize":"13"});
_div_18989550.add(_input_24292598);
_div_23863712.add(_div_18989550);
var _div_28931661 = new Emp.Panel({"id":"_div_28931661","height":"100%","layout":"VBox","width":"100%"});
var _img_17164358 = new Emp.Image({"id":"_img_17164358","height":"50","width":"50","src":"/fan_tie/u141.png"});
_div_28931661.add(_img_17164358);
var _input_13927317 = new Emp.Label({"id":"_input_13927317","height":"30","vAlign":"middle","color":"#999999","backgroundColor":"#FAC008","hAlign":"center","width":"60","value":"杨幂","fontSize":"13"});
_div_28931661.add(_input_13927317);
_div_23863712.add(_div_28931661);
var _div_703235 = new Emp.Panel({"id":"_div_703235","height":"100%","layout":"VBox","width":"100%"});
var _img_8112949 = new Emp.Image({"id":"_img_8112949","height":"50","width":"50","src":"/fan_tie/u141.png"});
_div_703235.add(_img_8112949);
var _input_22693234 = new Emp.Label({"id":"_input_22693234","height":"30","vAlign":"middle","color":"#999999","backgroundColor":"#FAC008","hAlign":"center","width":"60","value":"杨幂","fontSize":"13"});
_div_703235.add(_input_22693234);
_div_23863712.add(_div_703235);
fengshenbang.add(_div_23863712);
var _div_25524609 = new Emp.Panel({"id":"_div_25524609","height":"100","layout":"HBox","width":"100%"});
_div_25524609.addEvent('onClick',star_home);
var _div_32257054 = new Emp.Panel({"id":"_div_32257054","height":"100%","layout":"VBox","width":"100%"});
var _img_5362136 = new Emp.Image({"id":"_img_5362136","height":"50","width":"50","src":"/fan_tie/u141.png"});
_div_32257054.add(_img_5362136);
var _input_27785367 = new Emp.Label({"id":"_input_27785367","height":"30","vAlign":"middle","color":"#999999","backgroundColor":"#FAC008","hAlign":"center","width":"60","value":"杨幂","fontSize":"13"});
_div_32257054.add(_input_27785367);
_div_25524609.add(_div_32257054);
var _div_11648473 = new Emp.Panel({"id":"_div_11648473","height":"100%","layout":"VBox","width":"100%"});
var _img_19342907 = new Emp.Image({"id":"_img_19342907","height":"50","width":"50","src":"/fan_tie/u141.png"});
_div_11648473.add(_img_19342907);
var _input_20904823 = new Emp.Label({"id":"_input_20904823","height":"30","vAlign":"middle","color":"#999999","backgroundColor":"#FAC008","hAlign":"center","width":"60","value":"杨幂","fontSize":"13"});
_div_11648473.add(_input_20904823);
_div_25524609.add(_div_11648473);
var _div_32465950 = new Emp.Panel({"id":"_div_32465950","height":"100%","layout":"VBox","width":"100%"});
var _img_26614969 = new Emp.Image({"id":"_img_26614969","height":"50","width":"50","src":"/fan_tie/u141.png"});
_div_32465950.add(_img_26614969);
var _input_3659602 = new Emp.Label({"id":"_input_3659602","height":"30","vAlign":"middle","color":"#999999","backgroundColor":"#FAC008","hAlign":"center","width":"60","value":"杨幂","fontSize":"13"});
_div_32465950.add(_input_3659602);
_div_25524609.add(_div_32465950);
var _div_1670379 = new Emp.Panel({"id":"_div_1670379","height":"100%","layout":"VBox","width":"100%"});
var _img_22566794 = new Emp.Image({"id":"_img_22566794","height":"50","width":"50","src":"/fan_tie/u141.png"});
_div_1670379.add(_img_22566794);
var _input_14363614 = new Emp.Label({"id":"_input_14363614","height":"30","vAlign":"middle","color":"#999999","backgroundColor":"#FAC008","hAlign":"center","width":"60","value":"杨幂","fontSize":"13"});
_div_1670379.add(_input_14363614);
_div_25524609.add(_div_1670379);
fengshenbang.add(_div_25524609);
_div_24399767.add(fengshenbang);
template1.add(_div_24399767);
var _div_18681266 = new Emp.Panel({"id":"_div_18681266","paddingTop":"20","height":"250","overflow":"x","width":"100%"});
var bottom1 = new Emp.Panel({"id":"bottom1","height":"190","layout":"VBox"});
var _div_21609599 = new Emp.Panel({"id":"_div_21609599","borderColor":"#f2f2f2","height":"180","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"12"});
var _div_32913288 = new Emp.Panel({"id":"_div_32913288","height":"30","marginTop":"30","hAlign":"center","width":"100%"});
var _input_28832233 = new Emp.Label({"id":"_input_28832233","value":"孙大圣上海见面会","fontSize":"15"});
_div_32913288.add(_input_28832233);
_div_21609599.add(_div_32913288);
var _div_23797986 = new Emp.Panel({"id":"_div_23797986","height":"60","hAlign":"center","width":"100%"});
var _img_3928276 = new Emp.Image({"id":"_img_3928276","height":"60","width":"60","src":"/fan_club/u40.png"});
_div_23797986.add(_img_3928276);
_div_21609599.add(_div_23797986);
var _div_20968594 = new Emp.Panel({"id":"_div_20968594","height":"30","marginTop":"10","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_30521223 = new Emp.Panel({"id":"_div_30521223","borderColor":"#ffca45","height":"20","borderWidth":"1","width":"20"});
var _input_23598730 = new Emp.Label({"id":"_input_23598730","color":"#ffca45","value":"福"});
_div_30521223.add(_input_23598730);
_div_20968594.add(_div_30521223);
var _input_10480084 = new Emp.Label({"id":"_input_10480084","color":"#999999","marginLeft":"5","value":"签名照首发","fontSize":"15"});
_div_20968594.add(_input_10480084);
_div_21609599.add(_div_20968594);
bottom1.add(_div_21609599);
var _div_11563028 = new Emp.Panel({"id":"_div_11563028","height":"30","marginLeft":"10","marginTop":"-190","layout":"HBox","width":"100%"});
var _div_26112518 = new Emp.Panel({"id":"_div_26112518","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var _input_14688808 = new Emp.Label({"id":"_input_14688808","color":"#ffffff","value":"V6"});
_div_26112518.add(_input_14688808);
_div_11563028.add(_div_26112518);
var _div_14848087 = new Emp.Panel({"id":"_div_14848087","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","marginLeft":"10","borderWidth":"2","hAlign":"center","width":"60","cornerRadius":"5"});
var _img_7501722 = new Emp.Image({"id":"_img_7501722","height":"16","width":"16","src":"/fan_club/u50.png"});
_div_14848087.add(_img_7501722);
var _input_17442526 = new Emp.Label({"id":"_input_17442526","color":"#ffffff","value":"236"});
_div_14848087.add(_input_17442526);
_div_11563028.add(_div_14848087);
bottom1.add(_div_11563028);
_div_18681266.add(bottom1);
var _div_25032948 = new Emp.Panel({"id":"_div_25032948","height":"190","layout":"VBox"});
var _div_23293542 = new Emp.Panel({"id":"_div_23293542","borderColor":"#f2f2f2","height":"180","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"12"});
var _div_15017138 = new Emp.Panel({"id":"_div_15017138","height":"30","marginTop":"30","hAlign":"center","width":"100%"});
var _input_30162501 = new Emp.Label({"id":"_input_30162501","value":"孙大圣上海见面会","fontSize":"15"});
_div_15017138.add(_input_30162501);
_div_23293542.add(_div_15017138);
var _div_812168 = new Emp.Panel({"id":"_div_812168","height":"60","hAlign":"center","width":"100%"});
var _img_27022371 = new Emp.Image({"id":"_img_27022371","height":"60","width":"60","src":"/fan_club/u40.png"});
_div_812168.add(_img_27022371);
_div_23293542.add(_div_812168);
var _div_5756690 = new Emp.Panel({"id":"_div_5756690","height":"30","marginTop":"10","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_15265358 = new Emp.Panel({"id":"_div_15265358","borderColor":"#ffca45","height":"20","borderWidth":"1","width":"20"});
var _input_7688104 = new Emp.Label({"id":"_input_7688104","color":"#ffca45","value":"福"});
_div_15265358.add(_input_7688104);
_div_5756690.add(_div_15265358);
var _input_29413918 = new Emp.Label({"id":"_input_29413918","color":"#999999","marginLeft":"5","value":"签名照首发","fontSize":"15"});
_div_5756690.add(_input_29413918);
_div_23293542.add(_div_5756690);
_div_25032948.add(_div_23293542);
var _div_2283904 = new Emp.Panel({"id":"_div_2283904","height":"30","marginLeft":"10","marginTop":"-190","layout":"HBox","width":"100%"});
var _div_32868486 = new Emp.Panel({"id":"_div_32868486","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var _input_14037271 = new Emp.Label({"id":"_input_14037271","color":"#ffffff","value":"V6"});
_div_32868486.add(_input_14037271);
_div_2283904.add(_div_32868486);
var _div_3203727 = new Emp.Panel({"id":"_div_3203727","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","marginLeft":"10","borderWidth":"2","hAlign":"center","width":"60","cornerRadius":"5"});
var _img_23746017 = new Emp.Image({"id":"_img_23746017","height":"16","width":"16","src":"/fan_club/u50.png"});
_div_3203727.add(_img_23746017);
var _input_2900524 = new Emp.Label({"id":"_input_2900524","color":"#ffffff","value":"236"});
_div_3203727.add(_input_2900524);
_div_2283904.add(_div_3203727);
_div_25032948.add(_div_2283904);
_div_18681266.add(_div_25032948);
var _div_28083181 = new Emp.Panel({"id":"_div_28083181","height":"190","layout":"VBox"});
var _div_17391178 = new Emp.Panel({"id":"_div_17391178","borderColor":"#f2f2f2","height":"180","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"12"});
var _div_876357 = new Emp.Panel({"id":"_div_876357","height":"30","marginTop":"30","hAlign":"center","width":"100%"});
var _input_32092202 = new Emp.Label({"id":"_input_32092202","value":"孙大圣上海见面会","fontSize":"15"});
_div_876357.add(_input_32092202);
_div_17391178.add(_div_876357);
var _div_19714265 = new Emp.Panel({"id":"_div_19714265","height":"60","hAlign":"center","width":"100%"});
var _img_21205410 = new Emp.Image({"id":"_img_21205410","height":"60","width":"60","src":"/fan_club/u40.png"});
_div_19714265.add(_img_21205410);
_div_17391178.add(_div_19714265);
var _div_17704026 = new Emp.Panel({"id":"_div_17704026","height":"30","marginTop":"10","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_24426030 = new Emp.Panel({"id":"_div_24426030","borderColor":"#ffca45","height":"20","borderWidth":"1","width":"20"});
var _input_23373454 = new Emp.Label({"id":"_input_23373454","color":"#ffca45","value":"福"});
_div_24426030.add(_input_23373454);
_div_17704026.add(_div_24426030);
var _input_15906924 = new Emp.Label({"id":"_input_15906924","color":"#999999","marginLeft":"5","value":"签名照首发","fontSize":"15"});
_div_17704026.add(_input_15906924);
_div_17391178.add(_div_17704026);
_div_28083181.add(_div_17391178);
var _div_19524653 = new Emp.Panel({"id":"_div_19524653","height":"30","marginLeft":"10","marginTop":"-190","layout":"HBox","width":"100%"});
var _div_22064938 = new Emp.Panel({"id":"_div_22064938","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var _input_1838027 = new Emp.Label({"id":"_input_1838027","color":"#ffffff","value":"V6"});
_div_22064938.add(_input_1838027);
_div_19524653.add(_div_22064938);
var _div_21654968 = new Emp.Panel({"id":"_div_21654968","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","marginLeft":"10","borderWidth":"2","hAlign":"center","width":"60","cornerRadius":"5"});
var _img_23688377 = new Emp.Image({"id":"_img_23688377","height":"16","width":"16","src":"/fan_club/u50.png"});
_div_21654968.add(_img_23688377);
var _input_7230925 = new Emp.Label({"id":"_input_7230925","color":"#ffffff","value":"236"});
_div_21654968.add(_input_7230925);
_div_19524653.add(_div_21654968);
_div_28083181.add(_div_19524653);
_div_18681266.add(_div_28083181);
var _div_29563249 = new Emp.Panel({"id":"_div_29563249","height":"190","layout":"VBox"});
var _div_29054176 = new Emp.Panel({"id":"_div_29054176","borderColor":"#f2f2f2","height":"180","backgroundColor":"#ffffff","marginTop":"10","marginLeft":"5","borderWidth":"1","layout":"VBox","width":"144","cornerRadius":"12"});
var _div_29449411 = new Emp.Panel({"id":"_div_29449411","height":"30","marginTop":"30","hAlign":"center","width":"100%"});
var _input_28379695 = new Emp.Label({"id":"_input_28379695","value":"孙大圣上海见面会","fontSize":"15"});
_div_29449411.add(_input_28379695);
_div_29054176.add(_div_29449411);
var _div_1288196 = new Emp.Panel({"id":"_div_1288196","height":"60","hAlign":"center","width":"100%"});
var _img_8113096 = new Emp.Image({"id":"_img_8113096","height":"60","width":"60","src":"/fan_club/u40.png"});
_div_1288196.add(_img_8113096);
_div_29054176.add(_div_1288196);
var _div_25162288 = new Emp.Panel({"id":"_div_25162288","height":"30","marginTop":"10","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_16071793 = new Emp.Panel({"id":"_div_16071793","borderColor":"#ffca45","height":"20","borderWidth":"1","width":"20"});
var _input_5455092 = new Emp.Label({"id":"_input_5455092","color":"#ffca45","value":"福"});
_div_16071793.add(_input_5455092);
_div_25162288.add(_div_16071793);
var _input_13030678 = new Emp.Label({"id":"_input_13030678","color":"#999999","marginLeft":"5","value":"签名照首发","fontSize":"15"});
_div_25162288.add(_input_13030678);
_div_29054176.add(_div_25162288);
_div_29563249.add(_div_29054176);
var _div_30388055 = new Emp.Panel({"id":"_div_30388055","height":"30","marginLeft":"10","marginTop":"-190","layout":"HBox","width":"100%"});
var _div_47695 = new Emp.Panel({"id":"_div_47695","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var _input_29861605 = new Emp.Label({"id":"_input_29861605","color":"#ffffff","value":"V6"});
_div_47695.add(_input_29861605);
_div_30388055.add(_div_47695);
var _div_10371013 = new Emp.Panel({"id":"_div_10371013","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","marginLeft":"10","borderWidth":"2","hAlign":"center","width":"60","cornerRadius":"5"});
var _img_23903117 = new Emp.Image({"id":"_img_23903117","height":"16","width":"16","src":"/fan_club/u50.png"});
_div_10371013.add(_img_23903117);
var _input_26031378 = new Emp.Label({"id":"_input_26031378","color":"#ffffff","value":"236"});
_div_10371013.add(_input_26031378);
_div_30388055.add(_div_10371013);
_div_29563249.add(_div_30388055);
_div_18681266.add(_div_29563249);
var bottomMore = new Emp.Panel({"id":"bottomMore","borderColor":"#f2f2f2","height":"190","backgroundColor":"#ffffff","vAlign":"middle","marginTop":"10","marginLeft":"5","borderWidth":"1","width":"144","hAlign":"center","layout":"VBox","cornerRadius":"12"});
var _input_20216927 = new Emp.Label({"id":"_input_20216927","value":"更多饭团"});
bottomMore.add(_input_20216927);
var _input_13714603 = new Emp.Label({"id":"_input_13714603","value":"100+ ——>"});
bottomMore.add(_input_13714603);
_div_18681266.add(bottomMore);
template1.add(_div_18681266);
var _div_15940108 = new Emp.Panel({"id":"_div_15940108","height":"100%","layout":"VBox","width":"100%"});
var _div_6812818 = new Emp.Panel({"id":"_div_6812818","paddingTop":"20","height":"50","width":"100%"});
var _input_15324376 = new Emp.Label({"id":"_input_15324376","height":"30","value":"最热饭贴"});
_div_6812818.add(_input_15324376);
_div_15940108.add(_div_6812818);
var _div_26525628 = new Emp.Panel({"id":"_div_26525628","height":"100%","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_12054067 = new Emp.Panel({"id":"_div_12054067","borderColor":"#f2f2f2","height":"80","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
_div_12054067.addEvent('onClick',fan_tie);
var _div_24602643 = new Emp.Panel({"id":"_div_24602643","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_5367112 = new Emp.Panel({"id":"_div_5367112","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var _input_10744250 = new Emp.Label({"id":"_input_10744250","color":"#ffffff","tag":"level","value":"V6"});
_div_5367112.add(_input_10744250);
_div_24602643.add(_div_5367112);
var _div_22211504 = new Emp.Panel({"id":"_div_22211504","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","marginLeft":"10","borderWidth":"2","hAlign":"center","width":"60","cornerRadius":"5"});
var _img_15703456 = new Emp.Image({"id":"_img_15703456","height":"16","width":"16","src":"/fan_club/u50.png"});
_div_22211504.add(_img_15703456);
var _input_22388201 = new Emp.Label({"id":"_input_22388201","color":"#ffffff","tag":"fansCount","value":"236"});
_div_22211504.add(_input_22388201);
_div_24602643.add(_div_22211504);
var _div_32663072 = new Emp.Panel({"id":"_div_32663072","height":"100%","marginLeft":"20","width":"100%"});
var _input_17749354 = new Emp.Label({"id":"_input_17749354","tag":"title","value":"孙大圣上海后援会","fontSize":"20"});
_div_32663072.add(_input_17749354);
_div_24602643.add(_div_32663072);
_div_12054067.add(_div_24602643);
_div_26525628.add(_div_12054067);
_div_15940108.add(_div_26525628);
var _div_14499427 = new Emp.Panel({"id":"_div_14499427","height":"100%","paddingTop":"10","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_19590558 = new Emp.Panel({"id":"_div_19590558","borderColor":"#f2f2f2","height":"160","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
_div_19590558.addEvent('onClick',fan_tie);
var _div_22429816 = new Emp.Panel({"id":"_div_22429816","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_27432013 = new Emp.Panel({"id":"_div_27432013","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var _input_11954641 = new Emp.Label({"id":"_input_11954641","color":"#ffffff","tag":"level","value":"V6"});
_div_27432013.add(_input_11954641);
_div_22429816.add(_div_27432013);
var _div_31273036 = new Emp.Panel({"id":"_div_31273036","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","marginLeft":"10","borderWidth":"2","hAlign":"center","width":"60","cornerRadius":"5"});
var _img_9302902 = new Emp.Image({"id":"_img_9302902","height":"16","width":"16","src":"/fan_club/u50.png"});
_div_31273036.add(_img_9302902);
var _input_23786853 = new Emp.Label({"id":"_input_23786853","color":"#ffffff","tag":"fansCount","value":"236"});
_div_31273036.add(_input_23786853);
_div_22429816.add(_div_31273036);
var _div_18145950 = new Emp.Panel({"id":"_div_18145950","height":"100%","marginLeft":"20","width":"100%"});
var _input_2764837 = new Emp.Label({"id":"_input_2764837","tag":"title","value":"孙大圣上海后援会","fontSize":"20"});
_div_18145950.add(_input_2764837);
_div_22429816.add(_div_18145950);
_div_19590558.add(_div_22429816);
_div_14499427.add(_div_19590558);
_div_15940108.add(_div_14499427);
var _div_29297874 = new Emp.Panel({"id":"_div_29297874","height":"100%","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_31640207 = new Emp.Panel({"id":"_div_31640207","borderColor":"#f2f2f2","height":"160","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
_div_31640207.addEvent('onClick',fan_tie);
var _div_6323061 = new Emp.Panel({"id":"_div_6323061","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_4808535 = new Emp.Panel({"id":"_div_4808535","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var _input_17992071 = new Emp.Label({"id":"_input_17992071","color":"#ffffff","tag":"level","value":"V6"});
_div_4808535.add(_input_17992071);
_div_6323061.add(_div_4808535);
var _div_196516 = new Emp.Panel({"id":"_div_196516","borderColor":"#ff0094","height":"25","vAlign":"middle","backgroundColor":"#ff0094","marginLeft":"10","borderWidth":"2","hAlign":"center","width":"60","cornerRadius":"5"});
var _img_14517167 = new Emp.Image({"id":"_img_14517167","height":"16","width":"16","src":"/fan_club/u50.png"});
_div_196516.add(_img_14517167);
var _input_15767355 = new Emp.Label({"id":"_input_15767355","color":"#ffffff","tag":"fansCount","value":"236"});
_div_196516.add(_input_15767355);
_div_6323061.add(_div_196516);
var _div_22586104 = new Emp.Panel({"id":"_div_22586104","height":"100%","marginLeft":"20","width":"100%"});
var _input_3367454 = new Emp.Label({"id":"_input_3367454","tag":"title","value":"孙大圣上海后援会","fontSize":"20"});
_div_22586104.add(_input_3367454);
_div_6323061.add(_div_22586104);
_div_31640207.add(_div_6323061);
_div_29297874.add(_div_31640207);
_div_15940108.add(_div_29297874);
template1.add(_div_15940108);
_template_6578525.add(template1);










$jsd('/NewBuyApp/src/homePage/homepage.htmlx',281,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});function goToShop() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',282,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/coupon/coupon_info.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',286,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplate(template1); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',288,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function () { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',289,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(getItems()); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',290,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
}); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',293,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function fengshenbangDiv(num) { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',294,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div" + num; 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',295,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "paddingLeft":"10", "width":"100%", "height":"100", "layout":"HBox"}); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',302,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var m = 0; m < 4; m++) { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',303,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(CreateDiv(m)); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',305,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',308,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function CreateDiv(num) { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',309,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var divId = "div" + num; 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',310,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var div = new $M.Panel({"id":divId, "width":"100%", "height":"100", "layout":"VBox", "paddingLeft":"30"}); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',317,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(createImg()); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',318,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get(divId).add(getInputValue(num)); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',319,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return div; 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',322,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function createImg() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',323,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var img = new $M.Image({width:"50", height:"50", src:"/fan_tie/u141.png", scaleType:"fitCenter"}); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',329,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return img; 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',332,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getInputValue(value, num) { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',333,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var id = "label" + num; 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',334,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var label = new $M.Label({"width":"60", "fontSize":"13", "color":"#999999", "vAlign":"middle", "hAlign":"center", "height":"40", "value":value, "id":id, "backgroundColor":"#FAC008", "onClick":"showName"}); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',346,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return label; 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',350,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onLoadMore", function (type) { 
if($jsd('/NewBuyApp/src/homePage/homepage.htmlx',351,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullDown") { 
} 
if($jsd('/NewBuyApp/src/homePage/homepage.htmlx',354,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullUp") { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',355,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.appendItems(getItems()); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',357,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); scroll_template_label.setValue("加载更多"); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',358,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} 
}); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',362,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getItems() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',363,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var items = []; 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',364,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var temp = {}; 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',365,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); items.push(temp); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',366,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return items; 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',369,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',370,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack(); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',374,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function my_info() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',375,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_tie.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',378,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToShop() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',379,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/coupon/coupon_home.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',383,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function fan_home() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',384,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_group.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',388,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToTips() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',389,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/tips/tips.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',392,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToHome() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',393,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/homePage/homepage.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',395,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function find_fan() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',396,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_search.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',398,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function find_star() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',399,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/search/find_star.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',402,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function star_home() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',403,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_club.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',406,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottom1.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',407,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.show(); 
})/*  
	//点击入团，弹出提示信息，同时弹出层消失  
	join_in.addEvent("onClick",function(){  
		dialog.close();  
		setTimeout(500,function(){  
			toast('入团')  
		})  
	});  
	*/ 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',420,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomMore.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',422,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo({url:"/fan_search.html"}); 
}); 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',424,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function fan_tie() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',425,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_tie.html"); 
} 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',429,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gotoPageLoggedin() { 
$jsd('/NewBuyApp/src/homePage/homepage.htmlx',430,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/mainpage_loggedin.html", null, true, false); 
} 
 
Emp.page.render();
