var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_32140129');
$M.includeFile("/commons/listview_common.html");
var _div_19917249 = new Emp.Panel({"id":"_div_19917249","height":"100%","hAlign":"center","layout":"VBox","width":"100%"});
var _div_19409730 = new Emp.Panel({"id":"_div_19409730","height":"44","vAlign":"middle","marginLeft":"10","width":"350","top":"0"});
var _div_3159064 = new Emp.Panel({"id":"_div_3159064","height":"44","marginLeft":"100","vAlign":"middle","layout":"VBox","hAlign":"center","width":"50"});
_div_3159064.addEvent('onClick',gotoPageLoggedin);
var _img_30114719 = new Emp.Image({"id":"_img_30114719","height":"25","width":"40","src":"/icon_128/iconfont-fantown-menu-1.png"});
_div_3159064.add(_img_30114719);
var _input_3043836 = new Emp.Label({"id":"_input_3043836","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"饭团","fontSize":"8"});
_div_3159064.add(_input_3043836);
_div_19409730.add(_div_3159064);
var _div_9099345 = new Emp.Panel({"id":"_div_9099345","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
_div_9099345.addEvent('onClick',goToHome);
var _img_3913023 = new Emp.Image({"id":"_img_3913023","height":"25","width":"25","src":"/homeImg/discover_u49.png"});
_div_9099345.add(_img_3913023);
var _input_33057121 = new Emp.Label({"id":"_input_33057121","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"发现","fontSize":"8"});
_div_9099345.add(_input_33057121);
_div_19409730.add(_div_9099345);
var _div_10107277 = new Emp.Panel({"id":"_div_10107277","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
_div_10107277.addEvent('onClick',goToTips);
var _img_20471672 = new Emp.Image({"id":"_img_20471672","height":"25","width":"25","src":"/homeImg/massage_u47.png"});
_div_10107277.add(_img_20471672);
var _input_3744741 = new Emp.Label({"id":"_input_3744741","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"消息","fontSize":"8"});
_div_10107277.add(_input_3744741);
_div_19409730.add(_div_10107277);
var _div_20553510 = new Emp.Panel({"id":"_div_20553510","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
_div_20553510.addEvent('onClick',goToShop);
var _img_8233468 = new Emp.Image({"id":"_img_8233468","height":"25","width":"25","src":"/homeImg/shop_u55.png"});
_div_20553510.add(_img_8233468);
var _input_1429151 = new Emp.Label({"id":"_input_1429151","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"集市","fontSize":"8"});
_div_20553510.add(_input_1429151);
_div_19409730.add(_div_20553510);
var _div_4430593 = new Emp.Panel({"id":"_div_4430593","height":"44","marginLeft":"20","vAlign":"middle","layout":"VBox","hAlign":"center","width":"25"});
var _img_7700906 = new Emp.Image({"id":"_img_7700906","height":"25","width":"25","src":"/homeImg/me_u45_selected.png"});
_div_4430593.add(_img_7700906);
var _input_12499184 = new Emp.Label({"id":"_input_12499184","height":"10","color":"#cccccc","vAlign":"middle","hAlign":"center","width":"25","value":"我","fontSize":"8"});
_div_4430593.add(_input_12499184);
_div_19409730.add(_div_4430593);
_div_19917249.add(_div_19409730);
var _div_28433306 = new Emp.Panel({"id":"_div_28433306","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
_div_19917249.add(_div_28433306);
var background = new Emp.Panel({"id":"background","height":"140","backgroundColor":"#ffcc00","width":"100%","layout":"VBox"});
var _div_29582954 = new Emp.Panel({"id":"_div_29582954","height":"100","vAlign":"middle","hAlign":"left","width":"100%","paddingLeft":"30"});
var address = new Emp.Image({"id":"address","height":"60","width":"60","src":"/icon_128/avatar_blank.png","circleClip":"true"});
address.addEvent('onClick',set_my_info);
_div_29582954.add(address);
var _div_24153838 = new Emp.Panel({"id":"_div_24153838","height":"90","vAlign":"middle","hAlign":"left","layout":"VBox","width":"100%","paddingLeft":"15"});
var _div_32863724 = new Emp.Panel({"id":"_div_32863724","height":"30","marginLeft":"5","vAlign":"middle","hAlign":"left","width":"100%"});
var userNm = new Emp.Label({"id":"userNm","height":"16","color":"#ffffff","width":"50","value":"","fontSize":"14"});
_div_32863724.add(userNm);
var sexAge_male_div = new Emp.Panel({"borderColor":"#33CCFF","vAlign":"middle","marginLeft":"10","backgroundColor":"#33CCFF","width":"35","hAlign":"center","cornerRadius":"5","display":"false","paddingLeft":"5","paddingRight":"5","id":"sexAge_male_div","height":"16","borderWidth":"1"});
var sexAge_male = new Emp.Label({"id":"sexAge_male","height":"16","color":"#ffffff","width":"30","value":"","fontSize":"10"});
sexAge_male_div.add(sexAge_male);
_div_32863724.add(sexAge_male_div);
var sexAge_female_div = new Emp.Panel({"borderColor":"#FF99CC","vAlign":"middle","marginLeft":"5","backgroundColor":"#FF99CC","width":"35","hAlign":"center","cornerRadius":"5","display":"false","paddingLeft":"5","paddingRight":"5","id":"sexAge_female_div","height":"16","borderWidth":"1"});
var sexAge_female = new Emp.Label({"id":"sexAge_female","height":"16","color":"#ffffff","width":"30","value":"","fontSize":"10"});
sexAge_female_div.add(sexAge_female);
_div_32863724.add(sexAge_female_div);
var _div_5257964 = new Emp.Panel({"id":"_div_5257964","borderColor":"#ff9900","height":"16","backgroundColor":"#ff9900","marginLeft":"5","vAlign":"middle","borderWidth":"1","hAlign":"center","cornerRadius":"5","paddingLeft":"5","paddingRight":"5"});
var _input_18318065 = new Emp.Label({"id":"_input_18318065","color":"#ffffff","value":"饭票 ","fontSize":"10"});
_div_5257964.add(_input_18318065);
var points = new Emp.Label({"id":"points","color":"#ffffff","value":"","fontSize":"10"});
_div_5257964.add(points);
_div_32863724.add(_div_5257964);
_div_24153838.add(_div_32863724);
var quotations = new Emp.Label({"id":"quotations","marginLeft":"5","color":"#ffffff","width":"200","value":"","fontSize":"12"});
_div_24153838.add(quotations);
_div_29582954.add(_div_24153838);
background.add(_div_29582954);
var _div_32100624 = new Emp.Panel({"id":"_div_32100624","height":"100%","marginTop":"2","vAlign":"middle","backgroundColor":"#ffffff","width":"100%","opacity":"0.8"});
var _div_25597173 = new Emp.Panel({"id":"_div_25597173","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
_div_25597173.addEvent('onClick',fan_tie);
var topicCnt = new Emp.Label({"id":"topicCnt","value":"","fontSize":"12"});
_div_25597173.add(topicCnt);
var _input_10169772 = new Emp.Label({"id":"_input_10169772","value":"饭帖","fontSize":"12"});
_div_25597173.add(_input_10169772);
_div_32100624.add(_div_25597173);
var _div_24297061 = new Emp.Panel({"id":"_div_24297061","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var fansGrpCnt = new Emp.Label({"id":"fansGrpCnt","value":"","fontSize":"12"});
_div_24297061.add(fansGrpCnt);
var _input_5909480 = new Emp.Label({"id":"_input_5909480","value":"饭团","fontSize":"12"});
_div_24297061.add(_input_5909480);
_div_32100624.add(_div_24297061);
var _div_29009106 = new Emp.Panel({"id":"_div_29009106","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
_div_29009106.addEvent('onClick',fan_xingqu);
var labelCnt = new Emp.Label({"id":"labelCnt","value":"","fontSize":"12"});
_div_29009106.add(labelCnt);
var _input_30155624 = new Emp.Label({"id":"_input_30155624","value":"兴趣标签","fontSize":"12"});
_div_29009106.add(_input_30155624);
_div_32100624.add(_div_29009106);
background.add(_div_32100624);
_div_19917249.add(background);
var _div_19417404 = new Emp.Panel({"id":"_div_19417404","height":"10","backgroundColor":"#f0f0f0","layout":"VBox","width":"100%"});
_div_19917249.add(_div_19417404);
var _template_8517866 = new Emp.Panel({"id":"_template_8517866"});
_template_8517866.__isTemplate=true;
var template111 = new Emp.Panel({"id":"template111"});
var _div_17994003 = new Emp.Panel({"id":"_div_17994003","height":"70","backgroundColor":"#f0f0f0","width":"100%","paddingBottom":"10"});
var _div_32628883 = new Emp.Panel({"id":"_div_32628883","borderColor":"#f2f2f2","height":"60","backgroundColor":"#ffffff","vAlign":"middle","marginLeft":"10","borderWidth":"1px","hAlign":"center","layout":"VBox","marginRight":"10","width":"100%","cornerRadius":"10"});
_div_32628883.addEvent('onClick',findFanGrp);
var _input_9426735 = new Emp.Label({"id":"_input_9426735","height":"60","color":"#cccccc","vAlign":"middle","width":"35","hAlign":"center","value":"+","fontSize":"40"});
_div_32628883.add(_input_9426735);
_div_17994003.add(_div_32628883);
template111.add(_div_17994003);
_template_8517866.add(template111);
var template1 = new Emp.Panel({"id":"template1","height":"80","backgroundColor":"#f0f0f0","vAlign":"middle","layout":"VBox","hAlign":"center","width":"100%"});
var _div_29914742 = new Emp.Panel({"id":"_div_29914742","height":"100%","borderColor":"#f2f2f2","backgroundColor":"#ffffff","vAlign":"middle","tag":"fanDetail","borderWidth":"1px","layout":"VBox","width":"340","cornerRadius":"10","paddingLeft":"10"});
var _div_13370790 = new Emp.Panel({"id":"_div_13370790","height":"100%","vAlign":"middle","width":"100%"});
var _input_6260734 = new Emp.Label({"id":"_input_6260734","tag":"fanId","display":"false"});
_div_13370790.add(_input_6260734);
var _div_15202883 = new Emp.Panel({"id":"_div_15202883","height":"100%","vAlign":"middle","width":"60"});
var _img_30917586 = new Emp.Image({"id":"_img_30917586","height":"50","tag":"fanGrpPhoto","width":"50","src":"","circleClip":"true"});
_div_15202883.add(_img_30917586);
_div_13370790.add(_div_15202883);
var _div_12575336 = new Emp.Panel({"id":"_div_12575336","height":"60","vAlign":"middle","layout":"VBox","width":"200"});
var _div_14097063 = new Emp.Panel({"id":"_div_14097063","height":"30","vAlign":"middle","width":"100%"});
var _input_1502790 = new Emp.Label({"id":"_input_1502790","color":"#333333","tag":"fanGrpName","value":"","fontSize":"14"});
_div_14097063.add(_input_1502790);
_div_12575336.add(_div_14097063);
var _div_18538081 = new Emp.Panel({"id":"_div_18538081","height":"30","vAlign":"middle","width":"100%"});
var _div_2875766 = new Emp.Panel({"id":"_div_2875766","borderColor":"#FF9999","height":"16","vAlign":"middle","backgroundColor":"#FF9999","borderWidth":"1","hAlign":"center","width":"30","cornerRadius":"2"});
var _input_14632861 = new Emp.Label({"id":"_input_14632861","color":"#FFFFFF","tag":"fanGrpLevel","value":"","display":"false","fontSize":"12"});
_div_2875766.add(_input_14632861);
var _input_18819889 = new Emp.Label({"id":"_input_18819889","color":"#FFFFFF","tag":"currentUserLevel","value":"","fontSize":"12"});
_div_2875766.add(_input_18819889);
_div_18538081.add(_div_2875766);
var _div_21806416 = new Emp.Panel({"id":"_div_21806416","height":"16","marginLeft":"3","vAlign":"middle","hAlign":"center","width":"16"});
var fanGrpTuanzhang = new Emp.Image({"id":"fanGrpTuanzhang","height":"16","tag":"fanGrpTuanzhang","width":"16","src":""});
_div_21806416.add(fanGrpTuanzhang);
_div_18538081.add(_div_21806416);
_div_12575336.add(_div_18538081);
_div_13370790.add(_div_12575336);
var _div_10919431 = new Emp.Panel({"id":"_div_10919431","borderColor":"#FFCC00","height":"18","vAlign":"middle","backgroundColor":"#FFCC00","borderWidth":"1","hAlign":"center","width":"50","cornerRadius":"9"});
var _input_13694334 = new Emp.Label({"id":"_input_13694334","height":"18","color":"#FFFFFF","tag":"updatedTopicCnt","hAlign":"center","width":"100%","value":"","fontSize":"12"});
_div_10919431.add(_input_13694334);
_div_13370790.add(_div_10919431);
_div_29914742.add(_div_13370790);
template1.add(_div_29914742);
var _div_10830435 = new Emp.Panel({"id":"_div_10830435","height":"5","backgroundColor":"#f0f0f0","width":"100%"});
template1.add(_div_10830435);
_template_8517866.add(template1);
var _div_27889577 = new Emp.Panel({"id":"_div_27889577","height":"100%","backgroundColor":"#f0f0f0","width":"100%"});
var listview = new Emp.ListView({"id":"listview","height":"100%","enablePullUp":"true","width":"100%","display":"false","enablePullDown":"true"});
_div_27889577.add(listview);
_div_19917249.add(_div_27889577);
Emp.page.add(_div_19917249);










$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var page = 1; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',123,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',126,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function fan_tie() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',134,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',135,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',137,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_tie.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',144,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',147,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function fan_xingqu() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',152,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fensixingqu/fen_xingqu.html", {}, false); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',153,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',155,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',161,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',164,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',166,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fensixingqu/fen_xingqu.html", {}, true); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',168,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',171,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function set_my_info() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',179,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',186,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',187,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',188,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',189,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/application_settings.html", {from:"fangrp"}); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',193,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',196,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',199,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',203,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newsScroller = new Emp.ListView.PrimetonerScroller({"modelId":this.modelId}); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',204,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setScroller(newsScroller); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',206,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function (userId) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',207,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); onloadFun(); 
}); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function onloadFun() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',212,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplates({"normal":template1, "first":template111}); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',216,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems([{template:"first"}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',217,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',219,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if ($M.isAndroid) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',220,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setTemplate(template1); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',223,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',224,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!getFanUserInfo.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',228,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',229,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',230,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',231,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = page + 1; 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',233,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data && result.data.address && result.data.address != "") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); address.setSrc(result.data.address); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',237,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); background.setBackgroundImage(result.data.background); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',240,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); userNm.setValue(result.data.actorname); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',250,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); /* var sexAgeT = "";  
				if (result.data.sex =="1"){  
					sexAgeT = "♂ ";  
				}else{  
					sexAgeT = "♀ ";  
				}  
				//年龄  
				sexAgeT = sexAgeT + result.data.age;  
				sexAge.setValue(sexAgeT); */sexAgeT = ""; 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',253,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data.sex == "1") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',254,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAgeT = "♂ "; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',255,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAge_male_div.setDisplay(true); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',256,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAge_female_div.setDisplay(false); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',258,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAgeT = "♀ "; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',259,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAge_male_div.setDisplay(false); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAge_female_div.setDisplay(true); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',263,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAgeT = sexAgeT + result.data.age; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',264,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAge_male.setValue(sexAgeT); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',265,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); sexAge_female.setValue(sexAgeT); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',267,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); points.setValue(result.data.points); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',269,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); quotations.setValue(result.data.quotations); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',271,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicCnt.setValue(result.data.topicCnt); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',273,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fansGrpCnt.setValue(result.data.fansGrpCnt); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',275,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); labelCnt.setValue(result.data.labelCnt); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',277,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); json = result.data.fanGrpList; 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',279,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (json.length > 0) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',280,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setDisplay(true); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',281,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (listview.getItems() && listview.getItems().length > 0) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',282,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.appendItems(getItems(json)); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',284,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.setItems(getItems(json)); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',286,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',289,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',292,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',297,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onLoadMore", function (type) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',298,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullDown") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',299,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = 1; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',300,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); onloadFun(); 
} 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',302,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullUp") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',304,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var pageJ = {}; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',305,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pageJ.name = "fanGrp.requiredPage"; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',306,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pageJ.value = page; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',308,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',309,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([pageJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',312,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanGrpAction!getUserFanGrp.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',313,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',315,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',317,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',318,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.length > 0) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',319,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); page = page + 1; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',321,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); json = result.data; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',322,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.appendItems(getItems(json)); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',325,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); scroll_template_label.setValue("加载更多"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',326,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',328,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',331,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
}); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',335,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); fanGrpTuanzhang.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',337,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function getItems(json) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',338,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var items = []; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',339,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < json.length; i++) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',340,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var temp = {}; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',341,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.template = "normal"; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',342,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanGrpLevel = json[i].fanGrpLevel; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',343,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.currentUserLevel = json[i].currentUserLevel; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',344,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.updatedTopicCnt = "更新" + json[i].updatedTopicCnt; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',345,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanGrpName = json[i].fanGrpName; 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',347,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (json[i].isCreator == "0") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',349,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanGrpTuanzhang = ""; 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',351,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanGrpTuanzhang = "/images/tuanzhang.png"; 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',353,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanGrpPhoto = json[i].fanGrpPhoto; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',354,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.num = "更新" + json[i].num; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',355,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); temp.fanId = json[i].id; 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',356,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); items.push(temp); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',358,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return items; 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',364,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onItemClick", function (row, tag, data) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',367,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_group.html", {fanId:data.fanId}, false, false); 
}); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',370,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function my_info() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',371,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',372,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',378,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',379,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',380,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',381,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',382,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',383,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_tie.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',385,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',388,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',391,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',395,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToShop() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',396,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',397,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',403,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',404,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',405,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',406,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',407,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',408,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/coupon/coupon_home.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',410,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',413,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',416,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',421,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToTips() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',422,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',423,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',429,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',430,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',431,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',432,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',433,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',434,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/message.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',436,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',439,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',442,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',446,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToHome() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',447,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/index.html", null, true, false); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',451,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onBack", function (param) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',452,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',453,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',459,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',460,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',461,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',462,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',463,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',465,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", {}, true); 
} 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',468,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',471,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
}); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',475,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function gotoPageLoggedin() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',476,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',477,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',483,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',484,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',485,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',486,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',487,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',488,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/mainpage_loggedin.html", null, true, false); 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',490,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',493,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',496,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',500,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function findFanGrp() { 
$jsd('/NewBuyApp/src/homePage/homepage_log.htmlx',501,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fan_search.html", null, false, false); 
} 
 
Emp.page.render();
