var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_22218547');
$M.includeFile("/commons/listview_common.html");
var _div_33402932 = new Emp.Panel({"id":"_div_33402932","height":"44","vAlign":"middle","width":"100%"});
_div_33402932.addEvent('onClick',goBack);
var _img_3892875 = new Emp.Image({"id":"_img_3892875","height":"30","width":"30","src":"/icon_128/iconfont-back.png"});
_div_33402932.add(_img_3892875);
var _div_29965601 = new Emp.Panel({"id":"_div_29965601","height":"100%","vAlign":"middle","hAlign":"left","width":"200"});
var _input_13392656 = new Emp.Label({"id":"_input_13392656","color":"#999999","value":"找明星","fontSize":"16"});
_div_29965601.add(_input_13392656);
_div_33402932.add(_div_29965601);
var _div_7242004 = new Emp.Panel({"id":"_div_7242004","height":"100%","vAlign":"middle","hAlign":"right","width":"100%","paddingRight":"10"});
var _input_14441410 = new Emp.Label({"id":"_input_14441410","color":"#FF6600","value":"添加明星","fontSize":"16"});
_input_14441410.addEvent('onClick',addStar);
_div_7242004.add(_input_14441410);
_div_33402932.add(_div_7242004);
Emp.page.add(_div_33402932);
var _div_17575528 = new Emp.Panel({"id":"_div_17575528","height":"1","backgroundColor":"#CCCCCC","borderWidth":"0","width":"100%"});
Emp.page.add(_div_17575528);
var _div_12247205 = new Emp.Panel({"id":"_div_12247205","height":"32","width":"100%"});
var china = new Emp.Panel({"id":"china","height":"32","backgroundColor":"#ffffff","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
var _input_28342817 = new Emp.Label({"id":"_input_28342817","height":"30","vAlign":"middle","color":"#999999","value":"大陆","fontSize":"14"});
china.add(_input_28342817);
var bottomline_china = new Emp.Panel({"id":"bottomline_china","height":"3","width":"70","backgroundImage":"/images/u25_line.png"});
china.add(bottomline_china);
_div_12247205.add(china);
var jk = new Emp.Panel({"id":"jk","height":"32","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
var _input_19450180 = new Emp.Label({"id":"_input_19450180","height":"30","vAlign":"middle","color":"#999999","value":"日韩","fontSize":"14"});
jk.add(_input_19450180);
var bottomline_jp = new Emp.Panel({"id":"bottomline_jp","height":"3","width":"70","backgroundImage":"/images/u25_line.png","display":"false"});
jk.add(bottomline_jp);
_div_12247205.add(jk);
var ht = new Emp.Panel({"id":"ht","height":"32","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
var _input_11901464 = new Emp.Label({"id":"_input_11901464","height":"30","vAlign":"middle","color":"#999999","value":"港台","fontSize":"14"});
ht.add(_input_11901464);
var bottomline_hk = new Emp.Panel({"id":"bottomline_hk","height":"3","width":"70","backgroundImage":"/images/u25_line.png","display":"false"});
ht.add(bottomline_hk);
_div_12247205.add(ht);
var euro = new Emp.Panel({"id":"euro","height":"32","vAlign":"middle","layout":"VBox","hAlign":"center","width":"72"});
var _input_29242098 = new Emp.Label({"id":"_input_29242098","height":"30","vAlign":"middle","color":"#999999","value":"欧美","fontSize":"14"});
euro.add(_input_29242098);
var bottomline_usa = new Emp.Panel({"id":"bottomline_usa","height":"3","width":"70","backgroundImage":"/images/u25_line.png","display":"false"});
euro.add(bottomline_usa);
_div_12247205.add(euro);
var other = new Emp.Panel({"id":"other","height":"32","vAlign":"middle","layout":"VBox","hAlign":"center","width":"100%"});
var _input_9840625 = new Emp.Label({"id":"_input_9840625","height":"30","vAlign":"middle","color":"#999999","value":"其他","fontSize":"14"});
other.add(_input_9840625);
var bottomline_other = new Emp.Panel({"id":"bottomline_other","height":"3","width":"70","backgroundImage":"/images/u25_line.png","display":"false"});
other.add(bottomline_other);
_div_12247205.add(other);
Emp.page.add(_div_12247205);
var _div_19340394 = new Emp.Panel({"id":"_div_19340394","height":"100%","backgroundColor":"#f0f0f0","layout":"VBox","width":"100%"});
var listview1 = new Emp.ListView({"id":"listview1","height":"100%","width":"100%","display":"false"});
_div_19340394.add(listview1);
var listview2 = new Emp.ListView({"id":"listview2","height":"100%","width":"100%","display":"false"});
_div_19340394.add(listview2);
var listview3 = new Emp.ListView({"id":"listview3","height":"100%","width":"100%","display":"false"});
_div_19340394.add(listview3);
var listview4 = new Emp.ListView({"id":"listview4","height":"100%","width":"100%","display":"false"});
_div_19340394.add(listview4);
var listview5 = new Emp.ListView({"id":"listview5","height":"100%","width":"100%","display":"false"});
_div_19340394.add(listview5);
Emp.page.add(_div_19340394);
var _template_14895898 = new Emp.Panel({"id":"_template_14895898"});
_template_14895898.__isTemplate=true;
var temp1 = new Emp.Panel({"id":"temp1","height":"100%","vAlign":"top","layout":"VBox","width":"100%"});
var star_list1 = new Emp.Panel({"id":"star_list1","paddingTop":"10","height":"100%","vAlign":"top","layout":"VBox","width":"100%"});
var _div_27705431 = new Emp.Panel({"id":"_div_27705431","height":"100","layout":"HBox","width":"100%"});
var _div_10333785 = new Emp.Panel({"id":"_div_10333785","height":"100","hAlign":"center","layout":"VBox","width":"90"});
var starimg1 = new Emp.Image({"id":"starimg1","height":"60","tag":"starimg1","width":"60","src":"","circleClip":"true"});
_div_10333785.add(starimg1);
var starname1 = new Emp.Label({"id":"starname1","height":"35","color":"#333333","vAlign":"top","marginTop":"5","tag":"starname1","hAlign":"center","width":"90","value":"","fontSize":"12","singleLine":"true"});
_div_10333785.add(starname1);
_div_27705431.add(_div_10333785);
var _div_20877540 = new Emp.Panel({"id":"_div_20877540","height":"100","hAlign":"center","layout":"VBox","width":"90"});
var starimg2 = new Emp.Image({"id":"starimg2","height":"60","tag":"starimg2","width":"60","src":"","circleClip":"true"});
_div_20877540.add(starimg2);
var starname2 = new Emp.Label({"id":"starname2","height":"35","color":"#333333","vAlign":"top","marginTop":"5","tag":"starname2","hAlign":"center","width":"90","value":"","fontSize":"12","singleLine":"true"});
_div_20877540.add(starname2);
_div_27705431.add(_div_20877540);
var _div_31716225 = new Emp.Panel({"id":"_div_31716225","height":"100","hAlign":"center","layout":"VBox","width":"90"});
var starimg3 = new Emp.Image({"id":"starimg3","height":"60","tag":"starimg3","width":"60","src":"","circleClip":"true"});
_div_31716225.add(starimg3);
var starname3 = new Emp.Label({"id":"starname3","height":"35","color":"#333333","vAlign":"top","marginTop":"5","tag":"starname3","hAlign":"center","width":"90","value":"","fontSize":"12","singleLine":"true"});
_div_31716225.add(starname3);
_div_27705431.add(_div_31716225);
var _div_10923171 = new Emp.Panel({"id":"_div_10923171","height":"100","hAlign":"center","layout":"VBox","width":"90"});
var starimg4 = new Emp.Image({"id":"starimg4","height":"60","tag":"starimg4","width":"60","src":"","circleClip":"true"});
_div_10923171.add(starimg4);
var starname4 = new Emp.Label({"id":"starname4","height":"35","color":"#333333","vAlign":"top","marginTop":"5","tag":"starname4","hAlign":"center","width":"90","value":"","fontSize":"12","singleLine":"true"});
_div_10923171.add(starname4);
_div_27705431.add(_div_10923171);
star_list1.add(_div_27705431);
temp1.add(star_list1);
_template_14895898.add(temp1);


















$jsd('/NewBuyApp/src/search/find_star.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); china.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); findStar("1", true); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',126,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_china.setDisplay(true); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_jp.setDisplay(false); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_hk.setDisplay(false); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',129,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_usa.setDisplay(false); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_other.setDisplay(false); 
}); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); jk.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); findStar("2", true); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',134,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_china.setDisplay(false); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',135,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_jp.setDisplay(true); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',136,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_hk.setDisplay(false); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',137,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_usa.setDisplay(false); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',138,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_other.setDisplay(false); 
}); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',140,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ht.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',141,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); findStar("3", true); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_china.setDisplay(false); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',143,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_jp.setDisplay(false); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',144,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_hk.setDisplay(true); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_usa.setDisplay(false); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',146,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_other.setDisplay(false); 
}); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',148,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); euro.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',149,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); findStar("4", true); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',150,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_china.setDisplay(false); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_jp.setDisplay(false); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',152,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_hk.setDisplay(false); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',153,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_usa.setDisplay(true); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_other.setDisplay(false); 
}); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',157,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); other.addEvent("onClick", function () { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',158,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); findStar("5", true); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',159,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_china.setDisplay(false); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',160,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_jp.setDisplay(false); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',161,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_hk.setDisplay(false); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',162,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_usa.setDisplay(false); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); bottomline_other.setDisplay(true); 
}); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function addStar() { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',166,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',167,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',173,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',174,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',175,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/search/find_star.htmlx',176,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/search/find_star.htmlx',177,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',178,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/search/add_star.html"); 
} else { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',180,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html"); 
} 
} else { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',183,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',186,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/search/find_star.htmlx',190,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function findStar(area1, clear) { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',191,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var area1J = {}; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',192,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); area1J.name = "fansInfo.area1"; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',193,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); area1J.value = area1; 
if($jsd('/NewBuyApp/src/search/find_star.htmlx',195,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (clear) { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',196,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("listview" + area1).setItems([]); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',197,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("listview" + area1).reloadData(); 
} 
$jsd('/NewBuyApp/src/search/find_star.htmlx',201,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',202,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([area1J, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',205,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/fanAction!searchStar.action"); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',206,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',207,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/search/find_star.htmlx',208,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',209,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); json = result.data; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',210,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var length = Math.ceil((json.length + 1) / 4); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',211,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); for (var i = 0; i < length; i++) { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',212,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); generalRowData(json, i, area1); 
} 
} else { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',215,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("获取数据失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',218,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
$jsd('/NewBuyApp/src/search/find_star.htmlx',222,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function generalRowData(data, rowIndex, area) { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',223,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var rowdata = {}; 
if($jsd('/NewBuyApp/src/search/find_star.htmlx',224,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (rowIndex * 4 < data.length) { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',225,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starid1 = data[rowIndex * 4].userId; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',226,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starimg1 = data[rowIndex * 4].address; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',227,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starname1 = data[rowIndex * 4].userNm; 
} else { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',229,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starid1 = null; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',230,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starimg1 = "empty"; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',231,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starname1 = "empty"; 
} 
if($jsd('/NewBuyApp/src/search/find_star.htmlx',234,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if ((rowIndex * 4 + 1) < data.length) { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',235,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starid2 = data[rowIndex * 4 + 1].userId; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',236,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starimg2 = data[rowIndex * 4 + 1].address; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',237,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starname2 = data[rowIndex * 4 + 1].userNm; 
} else { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',239,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starid2 = null; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',240,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starimg2 = "empty"; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',241,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starname2 = "empty"; 
} 
if($jsd('/NewBuyApp/src/search/find_star.htmlx',244,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if ((rowIndex * 4 + 2) < data.length) { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',245,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starid3 = data[rowIndex * 4 + 2].userId; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',246,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starimg3 = data[rowIndex * 4 + 2].address; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',247,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starname3 = data[rowIndex * 4 + 2].userNm; 
} else { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',249,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starid3 = null; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',250,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starimg3 = "empty"; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',251,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starname3 = "empty"; 
} 
if($jsd('/NewBuyApp/src/search/find_star.htmlx',254,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if ((rowIndex * 4 + 3) < data.length) { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',255,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starid4 = data[rowIndex * 4 + 3].userId; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',256,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starimg4 = data[rowIndex * 4 + 3].address; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',257,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starname4 = data[rowIndex * 4 + 3].userNm; 
} else { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',259,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starid4 = null; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',260,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starimg4 = "empty"; 
$jsd('/NewBuyApp/src/search/find_star.htmlx',261,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rowdata.starname4 = "empty"; 
} 
$jsd('/NewBuyApp/src/search/find_star.htmlx',264,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); setTimeout(function () { 
if($jsd('/NewBuyApp/src/search/find_star.htmlx',265,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if ($M.get("listview" + area).getItems() && $M.get("listview" + area).getItems().length > 0) { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',266,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("listview" + area).appendItems([rowdata]); 
} else { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',268,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("listview" + area).setItems([rowdata]); 
} 
$jsd('/NewBuyApp/src/search/find_star.htmlx',270,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.get("listview" + area).reloadData(); 
}, rowIndex * 50); 
} 
$jsd('/NewBuyApp/src/search/find_star.htmlx',275,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.addEvent("onLoad", function () { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',276,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview1.setTemplate(temp1); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',277,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview2.setTemplate(temp1); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',278,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview3.setTemplate(temp1); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',279,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview4.setTemplate(temp1); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',280,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview5.setTemplate(temp1); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',281,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); findStar("1", true); 
}); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',285,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goBack() { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',286,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goBack({animation:"slideright"}); 
} 
$jsd('/NewBuyApp/src/search/find_star.htmlx',290,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function goToFanClub() { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',291,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var userId = this.userId; 
if($jsd('/NewBuyApp/src/search/find_star.htmlx',292,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (userId != "" && userId != undefined) { 
$jsd('/NewBuyApp/src/search/find_star.htmlx',293,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); Emp.page.goTo("/fan_club.html", userId, false, false); 
} 
} 
$jsd('/NewBuyApp/src/search/find_star.htmlx',298,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.addEvent("onLoadMore", function (type) { 
if($jsd('/NewBuyApp/src/search/find_star.htmlx',299,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (type == "pullUp") { 
} 
}); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',304,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); starname1.setAttrAdapter([{value:"empty", display:"false"}, {value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',305,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); starname2.setAttrAdapter([{value:"empty", display:"false"}, {value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',306,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); starname3.setAttrAdapter([{value:"empty", display:"false"}, {value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',307,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); starname4.setAttrAdapter([{value:"empty", display:"false"}, {value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',308,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); starimg1.setAttrAdapter([{value:"empty", display:"false"}, {value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',309,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); starimg2.setAttrAdapter([{value:"empty", display:"false"}, {value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',310,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); starimg3.setAttrAdapter([{value:"empty", display:"false"}, {value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/search/find_star.htmlx',311,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); starimg4.setAttrAdapter([{value:"empty", display:"false"}, {value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
 
Emp.page.render();
