var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_18611006');
var _template_765772 = new Emp.Panel({"id":"_template_765772"});
_template_765772.__isTemplate=true;
var tem1 = new Emp.Panel({"id":"tem1","height":"-2","backgroundColor":"#f0f0f0","vAlign":"middle","hAlign":"center","width":"100%","layout":"VBox"});
var _div_5096754 = new Emp.Panel({"id":"_div_5096754","height":"5","width":"100%"});
tem1.add(_div_5096754);
var _div_30244295 = new Emp.Panel({"id":"_div_30244295","borderColor":"#ffffff","height":"-2","paddingTop":"10","backgroundColor":"#ffffff","marginLeft":"5","borderWidth":"1","marginRight":"5","layout":"VBox","width":"100%","cornerRadius":"8","paddingBottom":"10"});
var _div_33341132 = new Emp.Panel({"id":"_div_33341132","height":"40","marginLeft":"10","layout":"HBox","width":"100%"});
var _div_5402677 = new Emp.Panel({"id":"_div_5402677","height":"40","vAlign":"middle","hAlign":"center","width":"40"});
var creatorPhoto = new Emp.Image({"id":"creatorPhoto","height":"40","tag":"creatorPhoto","width":"40","src":"","circleClip":"true"});
_div_5402677.add(creatorPhoto);
_div_33341132.add(_div_5402677);
var _div_29269039 = new Emp.Panel({"id":"_div_29269039","height":"-2","vAlign":"middle","marginLeft":"20","layout":"VBox","width":"200"});
var _div_16766895 = new Emp.Panel({"id":"_div_16766895","height":"-2"});
var creatorName = new Emp.Label({"id":"creatorName","color":"#999999","tag":"creatorName","width":"110","value":"","fontSize":"14","singleLine":"true"});
_div_16766895.add(creatorName);
var _div_33212249 = new Emp.Panel({"id":"_div_33212249","borderColor":"#ff9999","height":"16","vAlign":"bottom","marginTop":"3","marginLeft":"10","backgroundColor":"#ff9999","borderWidth":"1","hAlign":"center","width":"30","cornerRadius":"2"});
var creatorLevel = new Emp.Label({"id":"creatorLevel","color":"#ffffff","tag":"creatorLevel","value":"","fontSize":"12"});
_div_33212249.add(creatorLevel);
_div_16766895.add(_div_33212249);
var topicCreatorPic = new Emp.Image({"id":"topicCreatorPic","height":"16","marginLeft":"2","marginTop":"3","tag":"topicCreatorPic","width":"30","src":""});
_div_16766895.add(topicCreatorPic);
_div_29269039.add(_div_16766895);
var topicTime = new Emp.Label({"id":"topicTime","height":"-2","color":"#cccccc","tag":"topicTime","width":"100","value":"1","fontSize":"12"});
_div_29269039.add(topicTime);
_div_33341132.add(_div_29269039);
var _div_15616903 = new Emp.Panel({"id":"_div_15616903","height":"25","vAlign":"top","borderWidth":"0","hAlign":"right","marginRight":"10","width":"100%"});
var _input_10531455 = new Emp.Label({"id":"_input_10531455","color":"#cccccc","value":"#","fontSize":"14"});
_div_15616903.add(_input_10531455);
var itemReplySort = new Emp.Label({"id":"itemReplySort","color":"#cccccc","tag":"itemReplySort","value":"","fontSize":"12"});
_div_15616903.add(itemReplySort);
_div_33341132.add(_div_15616903);
_div_30244295.add(_div_33341132);
var _div_14415859 = new Emp.Panel({"id":"_div_14415859","height":"-2","marginLeft":"10","marginTop":"5","tag":"videoPlayT","hAlign":"center","layout":"VBox","width":"100%"});
var _div_24358517 = new Emp.Panel({"id":"_div_24358517","height":"-2","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var r_img1 = new Emp.Image({"id":"r_img1","height":"200","scaleType":"fitCenter","tag":"r_img1","width":"300","display":"false","src":""});
_div_24358517.add(r_img1);
var r_img2 = new Emp.Image({"id":"r_img2","height":"200","scaleType":"fitCenter","tag":"r_img2","width":"300","display":"false","src":""});
_div_24358517.add(r_img2);
var r_img3 = new Emp.Image({"id":"r_img3","height":"200","scaleType":"fitCenter","tag":"r_img3","width":"300","display":"false","src":""});
_div_24358517.add(r_img3);
var r_img4 = new Emp.Image({"id":"r_img4","height":"200","scaleType":"fitCenter","tag":"r_img4","width":"300","display":"false","src":""});
_div_24358517.add(r_img4);
var r_img5 = new Emp.Image({"id":"r_img5","height":"200","scaleType":"fitCenter","tag":"r_img5","width":"300","display":"false","src":""});
_div_24358517.add(r_img5);
var r_img6 = new Emp.Image({"id":"r_img6","height":"200","scaleType":"fitCenter","tag":"r_img6","width":"300","display":"false","src":""});
_div_24358517.add(r_img6);
var r_img7 = new Emp.Image({"id":"r_img7","height":"200","scaleType":"fitCenter","tag":"r_img7","width":"300","display":"false","src":""});
_div_24358517.add(r_img7);
var r_img8 = new Emp.Image({"id":"r_img8","height":"200","scaleType":"fitCenter","tag":"r_img8","width":"300","display":"false","src":""});
_div_24358517.add(r_img8);
var r_img9 = new Emp.Image({"id":"r_img9","height":"200","scaleType":"fitCenter","tag":"r_img9","width":"300","display":"false","src":""});
_div_24358517.add(r_img9);
_div_14415859.add(_div_24358517);
_div_30244295.add(_div_14415859);
var _div_8803921 = new Emp.Panel({"id":"_div_8803921","marginBottom":"10","height":"-2","marginLeft":"10","marginTop":"5","marginRight":"10","layout":"VBox","width":"100%"});
var itemReplyContent = new Emp.Label({"id":"itemReplyContent","color":"#333333","tag":"itemReplyContent","width":"100%","maxWidth":"280","value":"","fontSize":"14","singleLine":"false"});
_div_8803921.add(itemReplyContent);
_div_30244295.add(_div_8803921);
var _div_1888506 = new Emp.Panel({"id":"_div_1888506","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_30244295.add(_div_1888506);
var _div_31197085 = new Emp.Panel({"id":"_div_31197085","paddingTop":"3","height":"-2","vAlign":"middle","marginLeft":"10","hAlign":"right","width":"100%","paddingRight":"10"});
var _input_7861810 = new Emp.Label({"id":"_input_7861810","tag":"tie_type","value":"","display":"false"});
_div_31197085.add(_input_7861810);
var _input_29652977 = new Emp.Label({"id":"_input_29652977","tag":"tie_id","value":"","display":"false"});
_div_31197085.add(_input_29652977);
var _div_27162445 = new Emp.Panel({"id":"_div_27162445","widht":"100%","hAlign":"right"});
var _img_11171482 = new Emp.Image({"id":"_img_11171482","height":"20","tag":"fabulousClick","width":"20","src":"/icon_128/iconfont-zan.png"});
_div_27162445.add(_img_11171482);
var _input_22057324 = new Emp.Label({"id":"_input_22057324","height":"20","color":"#cccccc","vAlign":"middle","tag":"fabulousCnt","value":"0","fontSize":"12"});
_div_27162445.add(_input_22057324);
var _img_8080692 = new Emp.Image({"id":"_img_8080692","height":"20","marginLeft":"20","tag":"rewardClick","width":"20","src":"/icon_128/iconfont-aword.png"});
_div_27162445.add(_img_8080692);
var _input_17411818 = new Emp.Label({"id":"_input_17411818","height":"20","color":"#cccccc","vAlign":"middle","tag":"rewardCnt","value":"0","fontSize":"12"});
_div_27162445.add(_input_17411818);
var _img_12239021 = new Emp.Image({"id":"_img_12239021","height":"20","tag":"replyClick","width":"20","display":"false","src":"/icon_128/iconfont-message.png"});
_div_27162445.add(_img_12239021);
var _input_12568124 = new Emp.Label({"id":"_input_12568124","height":"20","color":"#cccccc","vAlign":"middle","tag":"replyCnt","value":"0","display":"false","fontSize":"12"});
_div_27162445.add(_input_12568124);
var _img_7319917 = new Emp.Image({"id":"_img_7319917","height":"20","marginLeft":"20","tag":"share","width":"20","src":"/icon_128/iconfont-more.png"});
_div_27162445.add(_img_7319917);
_div_31197085.add(_div_27162445);
_div_30244295.add(_div_31197085);
var _div_15308919 = new Emp.Panel({"id":"_div_15308919","height":"-2","marginLeft":"10","layout":"HBox","width":"100%"});
var t_img1 = new Emp.Image({"id":"t_img1","height":"25","tag":"t_img1","width":"25","display":"false","src":"","circleClip":"true"});
_div_15308919.add(t_img1);
var t_img2 = new Emp.Image({"id":"t_img2","height":"25","marginLeft":"2","tag":"t_img2","width":"25","display":"false","src":"","circleClip":"true"});
_div_15308919.add(t_img2);
var t_img3 = new Emp.Image({"id":"t_img3","height":"25","marginLeft":"2","tag":"t_img3","width":"25","display":"false","src":"","circleClip":"true"});
_div_15308919.add(t_img3);
var t_img4 = new Emp.Image({"id":"t_img4","height":"25","marginLeft":"2","tag":"t_img4","width":"25","display":"false","src":"","circleClip":"true"});
_div_15308919.add(t_img4);
var t_img5 = new Emp.Image({"id":"t_img5","height":"25","marginLeft":"2","tag":"t_img5","width":"25","display":"false","src":"","circleClip":"true"});
_div_15308919.add(t_img5);
var t_img6 = new Emp.Image({"id":"t_img6","height":"25","marginLeft":"2","tag":"t_img6","width":"25","display":"false","src":"","circleClip":"true"});
_div_15308919.add(t_img6);
var t_img7 = new Emp.Image({"id":"t_img7","height":"25","marginLeft":"2","tag":"t_img7","width":"25","display":"false","src":"","circleClip":"true"});
_div_15308919.add(t_img7);
var t_img8 = new Emp.Image({"id":"t_img8","height":"25","marginLeft":"2","tag":"t_img8","width":"25","display":"false","src":"","circleClip":"true"});
_div_15308919.add(t_img8);
var t_img9 = new Emp.Image({"id":"t_img9","height":"25","marginLeft":"2","tag":"t_img9","width":"25","display":"false","src":"","circleClip":"true"});
_div_15308919.add(t_img9);
var t_img10 = new Emp.Image({"id":"t_img10","height":"25","marginLeft":"2","tag":"t_img10","width":"25","display":"false","src":"","circleClip":"true"});
_div_15308919.add(t_img10);
_div_30244295.add(_div_15308919);
tem1.add(_div_30244295);
_template_765772.add(tem1);



$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',78,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});function goshare() { 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',79,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_photofabu.html"); 
} 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',82,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function openVideo(data) { 
} 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',85,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); topicCreatorPic.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img1.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',87,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img2.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',88,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img3.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',89,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img4.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',90,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img5.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',91,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img6.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',92,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img7.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',93,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img8.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',94,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img9.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',95,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); t_img10.setAttrAdapter([{value:"null", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); r_img1.setAttrAdapter([{value:"false", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',98,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); r_img2.setAttrAdapter([{value:"false", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',99,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); r_img3.setAttrAdapter([{value:"false", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',100,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); r_img4.setAttrAdapter([{value:"false", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); r_img5.setAttrAdapter([{value:"false", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); r_img6.setAttrAdapter([{value:"false", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',103,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); r_img7.setAttrAdapter([{value:"false", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',104,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); r_img8.setAttrAdapter([{value:"false", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
$jsd('/NewBuyApp/src/template/fan_groupbook_template.htmlx',105,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); r_img9.setAttrAdapter([{value:"false", display:"false"}, {value:"", display:"false"}, {value:"other", display:"true"}]); 
 
Emp.page.render();
