var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_30343096');
var _template_16164526 = new Emp.Panel({"id":"_template_16164526"});
_template_16164526.__isTemplate=true;
var tem1 = new Emp.Panel({"id":"tem1","height":"-2","vAlign":"top","hAlign":"center","width":"100%","backgroundImage":""});
var _div_8165060 = new Emp.Panel({"id":"_div_8165060","marginBottom":"10","borderColor":"#f2f2f2","height":"-2","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10","paddingBottom":"5"});
var _div_26092611 = new Emp.Panel({"id":"_div_26092611","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_15650664 = new Emp.Panel({"id":"_div_15650664","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var _img_7526451 = new Emp.Image({"id":"_img_7526451","height":"30","width":"30","src":"/fan_huodong/photo.png"});
_div_15650664.add(_img_7526451);
_div_26092611.add(_div_15650664);
var _div_30411221 = new Emp.Panel({"id":"_div_30411221","height":"60","marginLeft":"20","layout":"VBox","width":"60"});
var userNm = new Emp.Label({"id":"userNm","color":"#999999","tag":"userNm","value":"","fontSize":"12"});
_div_30411221.add(userNm);
var exittime = new Emp.Label({"id":"exittime","color":"#999999","tag":"exittime","value":"","fontSize":"12"});
_div_30411221.add(exittime);
_div_26092611.add(_div_30411221);
var _div_19550014 = new Emp.Panel({"id":"_div_19550014","borderColor":"#FFB7DD","height":"20","vAlign":"middle","backgroundColor":"#FF9999","borderWidth":"1","hAlign":"center","width":"40","cornerRadius":"5"});
var _input_12093347 = new Emp.Label({"id":"_input_12093347","color":"#ffffff","value":"楼主","fontSize":"15"});
_div_19550014.add(_input_12093347);
_div_26092611.add(_div_19550014);
var _div_13688762 = new Emp.Panel({"id":"_div_13688762","borderColor":"#AAAAAA","height":"20","marginLeft":"10","vAlign":"middle","backgroundColor":"#AAAAAA","borderWidth":"1","hAlign":"center","width":"40","cornerRadius":"5"});
var levelid = new Emp.Label({"id":"levelid","color":"#ffffff","tag":"levelid","value":"Lv1","fontSize":"15"});
_div_13688762.add(levelid);
_div_26092611.add(_div_13688762);
_div_8165060.add(_div_26092611);
var _div_18860643 = new Emp.Panel({"id":"_div_18860643","marginBottom":"5","height":"-2","layout":"VBox","hAlign":"center","width":"100%"});
var _div_2120549 = new Emp.Panel({"id":"_div_2120549","height":"-2","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var _img_5274719 = new Emp.Image({"id":"_img_5274719","src":"/fan_huodong/test.jpg"});
_div_2120549.add(_img_5274719);
_div_18860643.add(_div_2120549);
var _div_1394768 = new Emp.Panel({"id":"_div_1394768","marginBottom":"5","height":"-2","marginTop":"5","vAlign":"middle","layout":"VBox","width":"100%"});
var content = new Emp.Label({"id":"content","color":"#999999","tag":"content","width":"340","value":"","maxWidth":"340","fontSize":"16","singleLine":"false"});
_div_1394768.add(content);
_div_18860643.add(_div_1394768);
_div_8165060.add(_div_18860643);
var _div_8595508 = new Emp.Panel({"id":"_div_8595508","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_8165060.add(_div_8595508);
var _div_12882717 = new Emp.Panel({"id":"_div_12882717","marginBottom":"5","height":"-2","marginTop":"5","vAlign":"middle","marginLeft":"5","width":"100%"});
var fangrp = new Emp.Label({"id":"fangrp","color":"#999999","tag":"fangrp","width":"150","value":"","fontSize":"12"});
_div_12882717.add(fangrp);
var _img_2518954 = new Emp.Image({"id":"_img_2518954","height":"20","marginLeft":"80","width":"20","src":"/fan_tie/u22.png"});
_div_12882717.add(_img_2518954);
var fabulous = new Emp.Label({"id":"fabulous","color":"#999999","tag":"fabulous","value":"","fontSize":"12"});
_div_12882717.add(fabulous);
var _img_22213731 = new Emp.Image({"id":"_img_22213731","height":"20","marginLeft":"20","width":"20","display":"false","src":"/fan_tie/u26.png"});
_div_12882717.add(_img_22213731);
var reward = new Emp.Label({"id":"reward","color":"#999999","tag":"reward","value":"6","display":"false","fontSize":"12"});
_div_12882717.add(reward);
var _img_27246179 = new Emp.Image({"id":"_img_27246179","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u24.png"});
_div_12882717.add(_img_27246179);
var reply = new Emp.Label({"id":"reply","color":"#999999","tag":"reply","value":"0","fontSize":"12"});
_div_12882717.add(reply);
var _img_27903623 = new Emp.Image({"id":"_img_27903623","height":"20","marginLeft":"20","tag":"share","width":"20","display":"false","src":"/fan_tie/u34.png"});
_div_12882717.add(_img_27903623);
_div_8165060.add(_div_12882717);
var _div_19456650 = new Emp.Panel({"id":"_div_19456650","height":"-2","marginLeft":"2","width":"100%"});
var t_img1 = new Emp.Image({"id":"t_img1","height":"30","tag":"t_img1","width":"30","src":""});
_div_19456650.add(t_img1);
var t_img2 = new Emp.Image({"id":"t_img2","height":"30","tag":"t_img2","width":"30","src":""});
_div_19456650.add(t_img2);
var t_img3 = new Emp.Image({"id":"t_img3","height":"30","tag":"t_img3","width":"30","src":""});
_div_19456650.add(t_img3);
var t_img4 = new Emp.Image({"id":"t_img4","height":"30","tag":"t_img4","width":"30","src":""});
_div_19456650.add(t_img4);
var _img_5734724 = new Emp.Image({"id":"_img_5734724","height":"30","tag":"t_img5","width":"30","src":""});
_div_19456650.add(_img_5734724);
var _img_15181810 = new Emp.Image({"id":"_img_15181810","height":"30","tag":"t_img6","width":"30","src":""});
_div_19456650.add(_img_15181810);
var _img_12790365 = new Emp.Image({"id":"_img_12790365","height":"30","tag":"t_img7","width":"30","src":""});
_div_19456650.add(_img_12790365);
var _img_17976414 = new Emp.Image({"id":"_img_17976414","height":"30","tag":"t_img8","width":"30","src":""});
_div_19456650.add(_img_17976414);
var _img_5491338 = new Emp.Image({"id":"_img_5491338","height":"30","tag":"t_img9","width":"30","src":""});
_div_19456650.add(_img_5491338);
var _img_18238737 = new Emp.Image({"id":"_img_18238737","height":"30","tag":"t_img10","width":"30","src":""});
_div_19456650.add(_img_18238737);
_div_8165060.add(_div_19456650);
tem1.add(_div_8165060);
_template_16164526.add(tem1);



	  
  
Emp.page.render();
