var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_6605850');
var _template_26462571 = new Emp.Panel({"id":"_template_26462571"});
_template_26462571.__isTemplate=true;
var tem1 = new Emp.Panel({"id":"tem1","height":"600","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_9524931 = new Emp.Panel({"id":"_div_9524931","borderColor":"#f2f2f2","height":"600","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
var _div_30882104 = new Emp.Panel({"id":"_div_30882104","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_15577972 = new Emp.Panel({"id":"_div_15577972","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var img = new Emp.Image({"id":"img","height":"30","tag":"img","width":"30","src":""});
_div_15577972.add(img);
_div_30882104.add(_div_15577972);
var _div_28982835 = new Emp.Panel({"id":"_div_28982835","height":"100%","marginLeft":"20","layout":"VBox","width":"100%"});
var userNm = new Emp.Label({"id":"userNm","color":"#999999","tag":"userNm","value":"","fontSize":"12"});
_div_28982835.add(userNm);
var exittime = new Emp.Label({"id":"exittime","color":"#999999","tag":"exittime","value":"","fontSize":"12"});
_div_28982835.add(exittime);
_div_30882104.add(_div_28982835);
var _div_20554599 = new Emp.Panel({"id":"_div_20554599","paddingTop":"5","height":"100%","layout":"HBox","width":"220"});
var _div_18272053 = new Emp.Panel({"id":"_div_18272053","borderColor":"#FFBB00","height":"25","vAlign":"middle","backgroundColor":"#FFBB00","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var levelid = new Emp.Label({"id":"levelid","color":"#ffffff","tag":"levelid","value":""});
_div_18272053.add(levelid);
_div_20554599.add(_div_18272053);
var _div_31309678 = new Emp.Panel({"id":"_div_31309678","borderColor":"#FFBB00","height":"25","marginLeft":"2","vAlign":"middle","backgroundColor":"#FFBB00","borderWidth":"2","hAlign":"center","width":"40","cornerRadius":"5"});
var _input_21162857 = new Emp.Label({"id":"_input_21162857","color":"#ffffff","value":"楼主"});
_div_31309678.add(_input_21162857);
_div_20554599.add(_div_31309678);
var _div_7166705 = new Emp.Panel({"id":"_div_7166705","borderColor":"#FFBB00","height":"25","marginLeft":"100","vAlign":"middle","borderWidth":"0","hAlign":"center","width":"40","cornerRadius":"5"});
var photolabel = new Emp.Label({"id":"photolabel","tag":"photolabel","value":""});
_div_7166705.add(photolabel);
_div_20554599.add(_div_7166705);
_div_30882104.add(_div_20554599);
_div_9524931.add(_div_30882104);
var _div_29364137 = new Emp.Panel({"id":"_div_29364137","height":"400","hAlign":"center","width":"100%"});
var _div_4479113 = new Emp.Panel({"id":"_div_4479113","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var fanimg = new Emp.Image({"id":"fanimg","height":"100%","tag":"fanimg","width":"100%","src":""});
_div_4479113.add(fanimg);
var _img_17783498 = new Emp.Image({"id":"_img_17783498","height":"100%","marginTop":"10","width":"100%","src":"/fan_photo/u16.jpg"});
_div_4479113.add(_img_17783498);
_div_29364137.add(_div_4479113);
_div_9524931.add(_div_29364137);
var _div_17940695 = new Emp.Panel({"id":"_div_17940695","height":"80","width":"100%"});
var content = new Emp.Label({"id":"content","tag":"content","maxWidth":"300","value":"","singleLine":"false"});
_div_17940695.add(content);
_div_9524931.add(_div_17940695);
var _div_23071244 = new Emp.Panel({"id":"_div_23071244","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_9524931.add(_div_23071244);
var _div_3389774 = new Emp.Panel({"id":"_div_3389774","height":"100%","vAlign":"middle","marginLeft":"10","width":"100%"});
var fangrp = new Emp.Label({"id":"fangrp","color":"#999999","tag":"fangrp","width":"100","value":"孙坚后援会","fontSize":"12"});
_div_3389774.add(fangrp);
var _img_1879524 = new Emp.Image({"id":"_img_1879524","height":"20","marginLeft":"80","width":"20","src":"/fan_tie/u22.png"});
_div_3389774.add(_img_1879524);
var fabulous = new Emp.Label({"id":"fabulous","color":"#999999","tag":"fabulous","value":"","fontSize":"12"});
_div_3389774.add(fabulous);
var _img_15895088 = new Emp.Image({"id":"_img_15895088","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u24.png"});
_div_3389774.add(_img_15895088);
var reward = new Emp.Label({"id":"reward","color":"#999999","tag":"reward","value":"","fontSize":"12"});
_div_3389774.add(reward);
var _img_28986583 = new Emp.Image({"id":"_img_28986583","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u26.png"});
_div_3389774.add(_img_28986583);
var reply = new Emp.Label({"id":"reply","color":"#999999","tag":"reply","value":"","fontSize":"12"});
_div_3389774.add(reply);
var _img_17823456 = new Emp.Image({"id":"_img_17823456","height":"20","marginLeft":"20","tag":"share","width":"20","src":"/fan_tie/u34.png"});
_div_3389774.add(_img_17823456);
var _input_18424848 = new Emp.Label({"id":"_input_18424848","color":"#999999","value":"","fontSize":"12"});
_div_3389774.add(_input_18424848);
var _img_26128549 = new Emp.Image({"id":"_img_26128549","height":"20","marginLeft":"20","tag":"share","width":"20","src":"/fan_tie/u47.png"});
_div_3389774.add(_img_26128549);
_div_9524931.add(_div_3389774);
var _div_15678753 = new Emp.Panel({"id":"_div_15678753","height":"100%","marginLeft":"10","width":"100%"});
var t_img1 = new Emp.Image({"id":"t_img1","height":"30","tag":"t_img1","width":"30","src":""});
_div_15678753.add(t_img1);
var t_img2 = new Emp.Image({"id":"t_img2","height":"30","tag":"t_img2","width":"30","src":""});
_div_15678753.add(t_img2);
var t_img3 = new Emp.Image({"id":"t_img3","height":"30","tag":"t_img3","width":"30","src":""});
_div_15678753.add(t_img3);
var t_img4 = new Emp.Image({"id":"t_img4","height":"30","tag":"t_img4","width":"30","src":""});
_div_15678753.add(t_img4);
var _img_32420658 = new Emp.Image({"id":"_img_32420658","height":"30","tag":"t_img5","width":"30","src":""});
_div_15678753.add(_img_32420658);
var _img_3582738 = new Emp.Image({"id":"_img_3582738","height":"30","tag":"t_img6","width":"30","src":""});
_div_15678753.add(_img_3582738);
var _img_18438403 = new Emp.Image({"id":"_img_18438403","height":"30","tag":"t_img7","width":"30","src":""});
_div_15678753.add(_img_18438403);
var _img_19067460 = new Emp.Image({"id":"_img_19067460","height":"30","tag":"t_img8","width":"30","src":""});
_div_15678753.add(_img_19067460);
var _img_21991051 = new Emp.Image({"id":"_img_21991051","height":"30","tag":"t_img9","width":"30","src":""});
_div_15678753.add(_img_21991051);
var _img_1525849 = new Emp.Image({"id":"_img_1525849","height":"30","tag":"t_img10","width":"30","src":""});
_div_15678753.add(_img_1525849);
_div_9524931.add(_div_15678753);
tem1.add(_div_9524931);
_template_26462571.add(tem1);



$jsd('/NewBuyApp/src/template/fan_groupphoto_template.htmlx',163,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});function goshare() { 
$jsd('/NewBuyApp/src/template/fan_groupphoto_template.htmlx',165,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanGroup/fan_photofabu.html"); 
} 
 
Emp.page.render();
