var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_5265286');
var _template_10628073 = new Emp.Panel({"id":"_template_10628073"});
_template_10628073.__isTemplate=true;
var tem1 = new Emp.Panel({"id":"tem1","height":"340","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_533254 = new Emp.Panel({"id":"_div_533254","borderColor":"#f2f2f2","height":"330","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
var _div_19994027 = new Emp.Panel({"id":"_div_19994027","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_19561245 = new Emp.Panel({"id":"_div_19561245","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var _img_33084543 = new Emp.Image({"id":"_img_33084543","height":"30","width":"30","src":"/fan_photo/u45.png"});
_div_19561245.add(_img_33084543);
_div_19994027.add(_div_19561245);
var _div_29585115 = new Emp.Panel({"id":"_div_29585115","height":"100%","marginLeft":"20","layout":"VBox","width":"100%"});
var _input_20826629 = new Emp.Label({"id":"_input_20826629","color":"#999999","value":"阿晨","fontSize":"12"});
_div_29585115.add(_input_20826629);
var _input_22302211 = new Emp.Label({"id":"_input_22302211","color":"#999999","value":"45分钟前","fontSize":"12"});
_div_29585115.add(_input_22302211);
_div_19994027.add(_div_29585115);
_div_533254.add(_div_19994027);
var _div_27963762 = new Emp.Panel({"id":"_div_27963762","height":"200","hAlign":"center","width":"100%"});
var _div_23606180 = new Emp.Panel({"id":"_div_23606180","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var _img_25929692 = new Emp.Image({"id":"_img_25929692","height":"100%","width":"100%","src":"/fan_photo/u16.jpg"});
_div_23606180.add(_img_25929692);
_div_27963762.add(_div_23606180);
_div_533254.add(_div_27963762);
var _div_2307233 = new Emp.Panel({"id":"_div_2307233","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_533254.add(_div_2307233);
var _div_21805510 = new Emp.Panel({"id":"_div_21805510","height":"100%","vAlign":"middle","marginLeft":"10","width":"100%"});
var _input_3710153 = new Emp.Label({"id":"_input_3710153","color":"#999999","width":"120","value":"孙坚全国见面会","fontSize":"12"});
_div_21805510.add(_input_3710153);
var _img_4856203 = new Emp.Image({"id":"_img_4856203","height":"20","marginLeft":"80","width":"20","src":"/fan_tie/u22.png"});
_div_21805510.add(_img_4856203);
var _input_21270432 = new Emp.Label({"id":"_input_21270432","color":"#999999","value":"9","fontSize":"12"});
_div_21805510.add(_input_21270432);
var _img_31756906 = new Emp.Image({"id":"_img_31756906","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u24.png"});
_div_21805510.add(_img_31756906);
var _input_3459610 = new Emp.Label({"id":"_input_3459610","color":"#999999","value":"0","fontSize":"12"});
_div_21805510.add(_input_3459610);
var _img_17349722 = new Emp.Image({"id":"_img_17349722","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u26.png"});
_div_21805510.add(_img_17349722);
var _input_13292209 = new Emp.Label({"id":"_input_13292209","color":"#999999","value":"6","fontSize":"12"});
_div_21805510.add(_input_13292209);
var _img_20666062 = new Emp.Image({"id":"_img_20666062","height":"20","marginLeft":"20","tag":"share","width":"20","src":"/fan_tie/u34.png"});
_div_21805510.add(_img_20666062);
_div_533254.add(_div_21805510);
var _div_27336481 = new Emp.Panel({"id":"_div_27336481","height":"100%","marginLeft":"10","width":"100%"});
var _img_7557841 = new Emp.Image({"id":"_img_7557841","height":"30","tag":"t_img1","width":"30","src":"/fan_myfantie/u104.png"});
_div_27336481.add(_img_7557841);
var _img_33417151 = new Emp.Image({"id":"_img_33417151","height":"30","tag":"t_img2","width":"30","src":"/fan_myfantie/u110.jpg"});
_div_27336481.add(_img_33417151);
var _img_4990114 = new Emp.Image({"id":"_img_4990114","height":"30","tag":"t_img3","width":"30","src":"/fan_myfantie/u106.png"});
_div_27336481.add(_img_4990114);
var _img_2807345 = new Emp.Image({"id":"_img_2807345","height":"30","tag":"t_img4","width":"30","src":"/fan_myfantie/u108.jpg"});
_div_27336481.add(_img_2807345);
var _img_30826648 = new Emp.Image({"id":"_img_30826648","height":"30","tag":"t_img5","width":"30","src":""});
_div_27336481.add(_img_30826648);
var _img_30021039 = new Emp.Image({"id":"_img_30021039","height":"30","tag":"t_img6","width":"30","src":""});
_div_27336481.add(_img_30021039);
var _img_32172862 = new Emp.Image({"id":"_img_32172862","height":"30","tag":"t_img7","width":"30","src":""});
_div_27336481.add(_img_32172862);
var _img_19474206 = new Emp.Image({"id":"_img_19474206","height":"30","tag":"t_img8","width":"30","src":""});
_div_27336481.add(_img_19474206);
var _img_4119113 = new Emp.Image({"id":"_img_4119113","height":"30","tag":"t_img9","width":"30","src":""});
_div_27336481.add(_img_4119113);
var _img_28999009 = new Emp.Image({"id":"_img_28999009","height":"30","tag":"t_img10","width":"30","src":""});
_div_27336481.add(_img_28999009);
_div_533254.add(_div_27336481);
tem1.add(_div_533254);
_template_10628073.add(tem1);
var tem2 = new Emp.Panel({"id":"tem2","height":"200","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_24575660 = new Emp.Panel({"id":"_div_24575660","borderColor":"#f2f2f2","height":"350","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
var _div_14418746 = new Emp.Panel({"id":"_div_14418746","height":"50","marginLeft":"10","marginTop":"10","layout":"VBox","width":"100%"});
var _div_5758856 = new Emp.Panel({"id":"_div_5758856","height":"100%","layout":"HBox","width":"100%"});
var _div_14853453 = new Emp.Panel({"id":"_div_14853453","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var _img_20911435 = new Emp.Image({"id":"_img_20911435","height":"30","width":"30","src":"/fan_myfantie/u104.png"});
_div_14853453.add(_img_20911435);
_div_5758856.add(_div_14853453);
var _div_9381884 = new Emp.Panel({"id":"_div_9381884","height":"100%","marginLeft":"20","layout":"HBox","width":"100%"});
var _input_9051382 = new Emp.Label({"id":"_input_9051382","color":"#999999","value":"孙坚正宫娘娘","fontSize":"12"});
_div_9381884.add(_input_9051382);
var _div_24339189 = new Emp.Panel({"id":"_div_24339189","height":"20","hAlign":"right","width":"30","backgroundImage":"/fan_photo/u55.png"});
var _input_6681018 = new Emp.Label({"id":"_input_6681018","color":"#999999","value":"Lv1","fontSize":"12"});
_div_24339189.add(_input_6681018);
_div_9381884.add(_div_24339189);
var _div_14755337 = new Emp.Panel({"id":"_div_14755337","height":"100%","width":"100%","hAlight":"right"});
var _input_25707098 = new Emp.Label({"id":"_input_25707098","color":"#999999","value":"                              15分钟前","fontSize":"12"});
_div_14755337.add(_input_25707098);
_div_9381884.add(_div_14755337);
_div_5758856.add(_div_9381884);
_div_14418746.add(_div_5758856);
var _div_32716100 = new Emp.Panel({"id":"_div_32716100","height":"100%","width":"100%"});
var _div_3019973 = new Emp.Panel({"id":"_div_3019973","height":"100%","width":"100%","hAlight":"right"});
var _input_22398443 = new Emp.Label({"id":"_input_22398443","color":"#999999","value":" 亲，你在哪里拍到的啊~~羡慕嫉妒恨啊，学生党表示苦逼!","fontSize":"12"});
_div_3019973.add(_input_22398443);
_div_32716100.add(_div_3019973);
_div_14418746.add(_div_32716100);
_div_24575660.add(_div_14418746);
var _div_3470885 = new Emp.Panel({"id":"_div_3470885","height":"50","marginLeft":"10","marginTop":"10","layout":"VBox","width":"100%"});
var _div_17573486 = new Emp.Panel({"id":"_div_17573486","height":"100%","layout":"HBox","width":"100%"});
var _div_11472026 = new Emp.Panel({"id":"_div_11472026","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var _img_6588980 = new Emp.Image({"id":"_img_6588980","height":"30","width":"30","src":"/fan_myfantie/u110.jpg"});
_div_11472026.add(_img_6588980);
_div_17573486.add(_div_11472026);
var _div_11372866 = new Emp.Panel({"id":"_div_11372866","height":"100%","marginLeft":"20","layout":"HBox","width":"100%"});
var _input_17720581 = new Emp.Label({"id":"_input_17720581","color":"#999999","value":"DUAI鹿","fontSize":"12"});
_div_11372866.add(_input_17720581);
var _div_677078 = new Emp.Panel({"id":"_div_677078","height":"20","hAlign":"right","width":"30","backgroundImage":"/fan_photo/u55.png"});
var _input_4698553 = new Emp.Label({"id":"_input_4698553","color":"#999999","value":"Lv3","fontSize":"12"});
_div_677078.add(_input_4698553);
_div_11372866.add(_div_677078);
var _div_15014154 = new Emp.Panel({"id":"_div_15014154","height":"100%","width":"100%","hAlight":"right"});
var _input_13564583 = new Emp.Label({"id":"_input_13564583","color":"#999999","value":"                              16分钟前","fontSize":"12"});
_div_15014154.add(_input_13564583);
_div_11372866.add(_div_15014154);
_div_17573486.add(_div_11372866);
_div_3470885.add(_div_17573486);
var _div_11141356 = new Emp.Panel({"id":"_div_11141356","height":"100%","width":"100%"});
var _div_19049273 = new Emp.Panel({"id":"_div_19049273","height":"100%","width":"100%","hAlight":"right"});
var _input_18297848 = new Emp.Label({"id":"_input_18297848","color":"#999999","value":" FIGHTING~^_^","fontSize":"12"});
_div_19049273.add(_input_18297848);
_div_11141356.add(_div_19049273);
_div_3470885.add(_div_11141356);
_div_24575660.add(_div_3470885);
var _div_5578218 = new Emp.Panel({"id":"_div_5578218","height":"50","marginLeft":"10","marginTop":"10","layout":"VBox","width":"100%"});
var _div_2033264 = new Emp.Panel({"id":"_div_2033264","height":"100%","layout":"HBox","width":"100%"});
var _div_14661014 = new Emp.Panel({"id":"_div_14661014","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var _img_17482942 = new Emp.Image({"id":"_img_17482942","height":"30","width":"30","src":"/fan_myfantie/u106.png"});
_div_14661014.add(_img_17482942);
_div_2033264.add(_div_14661014);
var _div_33214182 = new Emp.Panel({"id":"_div_33214182","height":"100%","marginLeft":"20","layout":"HBox","width":"100%"});
var _input_19231896 = new Emp.Label({"id":"_input_19231896","color":"#999999","value":"DearLU","fontSize":"12"});
_div_33214182.add(_input_19231896);
var _div_645109 = new Emp.Panel({"id":"_div_645109","height":"20","hAlign":"right","width":"30","backgroundImage":"/fan_photo/u55.png"});
var _input_4268058 = new Emp.Label({"id":"_input_4268058","color":"#999999","value":"Lv3","fontSize":"12"});
_div_645109.add(_input_4268058);
_div_33214182.add(_div_645109);
var _div_27432018 = new Emp.Panel({"id":"_div_27432018","height":"100%","width":"100%","hAlight":"right"});
var _input_12045766 = new Emp.Label({"id":"_input_12045766","color":"#999999","value":"                              16分钟前","fontSize":"12"});
_div_27432018.add(_input_12045766);
_div_33214182.add(_div_27432018);
_div_2033264.add(_div_33214182);
_div_5578218.add(_div_2033264);
var _div_19314655 = new Emp.Panel({"id":"_div_19314655","height":"100%","width":"100%"});
var _div_15847587 = new Emp.Panel({"id":"_div_15847587","height":"100%","width":"100%","hAlight":"right"});
var _input_28873563 = new Emp.Label({"id":"_input_28873563","color":"#999999","value":"楼主，快更新","fontSize":"12"});
_div_15847587.add(_input_28873563);
_div_19314655.add(_div_15847587);
_div_5578218.add(_div_19314655);
_div_24575660.add(_div_5578218);
var _div_13791638 = new Emp.Panel({"id":"_div_13791638","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_24575660.add(_div_13791638);
tem2.add(_div_24575660);
_template_10628073.add(tem2);



	  
  
Emp.page.render();
