var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_10276356');
var _template_10061221 = new Emp.Panel({"id":"_template_10061221"});
_template_10061221.__isTemplate=true;
var tem1 = new Emp.Panel({"id":"tem1","height":"100%","layout":"HBox","width":"100%","backgroundImage":"/fan_group/u93.png"});
var _div_16263304 = new Emp.Panel({"id":"_div_16263304","height":"100%","vAlign":"middle","hAlign":"center","width":"130"});
var _img_2956574 = new Emp.Image({"id":"_img_2956574","height":"80","width":"80","src":"/fan_grouplogin/u16.png"});
_div_16263304.add(_img_2956574);
tem1.add(_div_16263304);
var _div_30590122 = new Emp.Panel({"id":"_div_30590122","height":"90","vAlign":"middle","layout":"VBox","hAlign":"center","width":"100%"});
var _div_7188558 = new Emp.Panel({"id":"_div_7188558","height":"100%","layout":"HBox","width":"100%"});
var _div_22141525 = new Emp.Panel({"id":"_div_22141525"});
var subfanGrpName = new Emp.Label({"id":"subfanGrpName","value":"","fontSize":"20"});
_div_22141525.add(subfanGrpName);
_div_7188558.add(_div_22141525);
var _div_18714637 = new Emp.Panel({"id":"_div_18714637","borderColor":"#ff0094","height":"25","marginLeft":"2","vAlign":"middle","backgroundColor":"#FFBB00","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var points = new Emp.Label({"id":"points","color":"#ffffff","value":""});
_div_18714637.add(points);
_div_7188558.add(_div_18714637);
var _div_24819630 = new Emp.Panel({"id":"_div_24819630","borderColor":"#ff0094","height":"25","marginLeft":"2","vAlign":"middle","backgroundColor":"#FFBB00","borderWidth":"2","hAlign":"center","width":"30","cornerRadius":"5"});
var allpoints = new Emp.Label({"id":"allpoints","color":"#ffffff","value":""});
_div_24819630.add(allpoints);
_div_7188558.add(_div_24819630);
_div_30590122.add(_div_7188558);
var _div_15783559 = new Emp.Panel({"id":"_div_15783559","height":"65","width":"100%"});
var content = new Emp.Label({"id":"content","height":"100%","maxWidth":"190","value":"","fontSize":"20","singleLine":"false"});
_div_15783559.add(content);
_div_30590122.add(_div_15783559);
tem1.add(_div_30590122);
_template_10061221.add(tem1);
var tem2 = new Emp.Panel({"id":"tem2","hAlign":"center","width":"100%","layout":"VBox"});
var _div_25533836 = new Emp.Panel({"id":"_div_25533836","borderColor":"#ffffff","height":"500","marginTop":"20","backgroundColor":"#ffffff","borderWidth":"2","width":"340","layout":"VBox","cornerRadius":"10"});
var _div_21425727 = new Emp.Panel({"id":"_div_21425727","height":"1px","backgroundColor":"#999999","marginLeft":"10","width":"100%","marginRight":"10"});
_div_25533836.add(_div_21425727);
var _div_27456498 = new Emp.Panel({"id":"_div_27456498","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_26889593 = new Emp.Panel({"id":"_div_26889593","borderColor":"#ffca45","height":"20","borderWidth":"1","width":"20"});
var _input_30263940 = new Emp.Label({"id":"_input_30263940","color":"#ffca45","value":"星"});
_div_26889593.add(_input_30263940);
_div_27456498.add(_div_26889593);
var _input_23583540 = new Emp.Label({"id":"_input_23583540","color":"#999999","marginLeft":"10","value":"孙坚"});
_div_27456498.add(_input_23583540);
_div_25533836.add(_div_27456498);
var _div_1472930 = new Emp.Panel({"id":"_div_1472930","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_28930777 = new Emp.Panel({"id":"_div_28930777","borderColor":"#91ff00","height":"20","borderWidth":"1","width":"20"});
var _input_22303704 = new Emp.Label({"id":"_input_22303704","color":"#91ff00","value":"福"});
_div_28930777.add(_input_22303704);
_div_1472930.add(_div_28930777);
var _input_21805510 = new Emp.Label({"id":"_input_21805510","color":"#999999","marginLeft":"10","value":"签名照照发 "});
_div_1472930.add(_input_21805510);
_div_25533836.add(_div_1472930);
var _div_12410257 = new Emp.Panel({"id":"_div_12410257","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_13830224 = new Emp.Panel({"id":"_div_13830224","borderColor":"#66ccff","height":"20","borderWidth":"1","hAlign":"center","width":"20"});
var _input_13034128 = new Emp.Label({"id":"_input_13034128","color":"#66ccff","value":"签"});
_div_13830224.add(_input_13034128);
_div_12410257.add(_div_13830224);
var _input_3240140 = new Emp.Label({"id":"_input_3240140","color":"#999999","marginLeft":"10","value":"上海"});
_div_12410257.add(_input_3240140);
var _input_21533977 = new Emp.Label({"id":"_input_21533977","color":"#999999","marginLeft":"10","value":"09后"});
_div_12410257.add(_input_21533977);
var _input_29394850 = new Emp.Label({"id":"_input_29394850","color":"#999999","marginLeft":"10","value":"00后"});
_div_12410257.add(_input_29394850);
_div_25533836.add(_div_12410257);
var _div_8769224 = new Emp.Panel({"id":"_div_8769224","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_30305831 = new Emp.Panel({"id":"_div_30305831","borderColor":"#66ccff","height":"20","borderWidth":"1","hAlign":"center","width":"40"});
var _input_27390606 = new Emp.Label({"id":"_input_27390606","color":"#66ccff","value":"坚果"});
_div_30305831.add(_input_27390606);
_div_8769224.add(_div_30305831);
var _img_12583290 = new Emp.Image({"id":"_img_12583290","height":"40","width":"40","src":"/fan_club/u124.png"});
_div_8769224.add(_img_12583290);
var _input_16968405 = new Emp.Label({"id":"_input_16968405","color":"#ff2ec0","value":"85%"});
_div_8769224.add(_input_16968405);
var _img_8876692 = new Emp.Image({"id":"_img_8876692","height":"40","width":"40","src":"/fan_club/u126.png"});
_div_8769224.add(_img_8876692);
var _input_21116504 = new Emp.Label({"id":"_input_21116504","color":"#009ed6","value":"15%"});
_div_8769224.add(_input_21116504);
_div_25533836.add(_div_8769224);
var _div_7986119 = new Emp.Panel({"id":"_div_7986119","height":"40","marginLeft":"20","vAlign":"middle","width":"100%"});
var _div_16331761 = new Emp.Panel({"id":"_div_16331761","borderColor":"#ff0017","height":"20","borderWidth":"1","hAlign":"center","width":"40"});
var _input_12657696 = new Emp.Label({"id":"_input_12657696","color":"#ff0017","value":"饭帖"});
_div_16331761.add(_input_12657696);
_div_7986119.add(_div_16331761);
var _input_5516044 = new Emp.Label({"id":"_input_5516044","color":"#999999","marginLeft":"10","value":"今日更新99+"});
_div_7986119.add(_input_5516044);
_div_25533836.add(_div_7986119);
var _div_23058853 = new Emp.Panel({"id":"_div_23058853","layout":"VBox","width":"100%","paddingLeft":"10","paddingRight":"10"});
var _div_5611087 = new Emp.Panel({"id":"_div_5611087"});
var fanziliaophoto1 = new Emp.Image({"id":"fanziliaophoto1","height":"80","width":"80","src":""});
_div_5611087.add(fanziliaophoto1);
var fanziliaophoto2 = new Emp.Image({"id":"fanziliaophoto2","height":"80","marginLeft":"5","width":"80","src":""});
_div_5611087.add(fanziliaophoto2);
var fanziliaophoto3 = new Emp.Image({"id":"fanziliaophoto3","height":"80","marginLeft":"5","width":"80","src":""});
_div_5611087.add(fanziliaophoto3);
var fanziliaophoto4 = new Emp.Image({"id":"fanziliaophoto4","height":"80","marginLeft":"5","width":"80","src":""});
_div_5611087.add(fanziliaophoto4);
_div_23058853.add(_div_5611087);
var _div_7155026 = new Emp.Panel({"id":"_div_7155026","marginTop":"5"});
var fanziliaophoto5 = new Emp.Image({"id":"fanziliaophoto5","height":"80","width":"80","src":"/fan_club/u163.png"});
_div_7155026.add(fanziliaophoto5);
var fanziliaophoto6 = new Emp.Image({"id":"fanziliaophoto6","height":"80","marginLeft":"5","width":"80","src":"/fan_club/u156.png"});
_div_7155026.add(fanziliaophoto6);
var fanziliaophoto7 = new Emp.Image({"id":"fanziliaophoto7","height":"80","marginLeft":"5","width":"80","src":"/fan_club/u161.png"});
_div_7155026.add(fanziliaophoto7);
var fanziliaophoto8 = new Emp.Image({"id":"fanziliaophoto8","height":"80","marginLeft":"5","width":"80","src":"/fan_club/u164.png"});
_div_7155026.add(fanziliaophoto8);
_div_23058853.add(_div_7155026);
_div_25533836.add(_div_23058853);
var join_in = new Emp.Panel({"id":"join_in","borderColor":"#ff2ec0","height":"50","backgroundColor":"#ff989a","vAlign":"middle","marginLeft":"1","marginTop":"5","borderWidth":"1","marginRight":"1","hAlign":"center","width":"100%"});
var _input_30568978 = new Emp.Label({"id":"_input_30568978","color":"#ffffff","value":"+ 入团","fontSize":"20"});
join_in.add(_input_30568978);
_div_25533836.add(join_in);
tem2.add(_div_25533836);
_template_10061221.add(tem2);



	  
  
Emp.page.render();
