var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_31480526');
var _template_6925093 = new Emp.Panel({"id":"_template_6925093"});
_template_6925093.__isTemplate=true;
var tem1 = new Emp.Panel({"id":"tem1","height":"170","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_28659132 = new Emp.Panel({"id":"_div_28659132","borderColor":"#f2f2f2","height":"160","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
var _div_168003 = new Emp.Panel({"id":"_div_168003","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_5070416 = new Emp.Panel({"id":"_div_5070416","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var _img_23780479 = new Emp.Image({"id":"_img_23780479","height":"30","width":"30","src":"/fan_tie/u4.png"});
_div_5070416.add(_img_23780479);
_div_168003.add(_div_5070416);
var _div_11676701 = new Emp.Panel({"id":"_div_11676701","height":"100%","marginLeft":"20","layout":"VBox","width":"100%"});
var _input_24010693 = new Emp.Label({"id":"_input_24010693","tag":"title","value":"用一句话证明你是二坚的忠实粉丝"});
_div_11676701.add(_input_24010693);
var _input_22130286 = new Emp.Label({"id":"_input_22130286","color":"#999999","value":"15s前","fontSize":"12"});
_div_11676701.add(_input_22130286);
_div_168003.add(_div_11676701);
_div_28659132.add(_div_168003);
var _div_26408443 = new Emp.Panel({"id":"_div_26408443","height":"30","hAlign":"center","width":"100%"});
var _input_22242248 = new Emp.Label({"id":"_input_22242248","value":"雪姨之歌倒背如流：傅文佩开门啊…","fontBold":"true"});
_div_26408443.add(_input_22242248);
_div_28659132.add(_div_26408443);
var _div_29105324 = new Emp.Panel({"id":"_div_29105324","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_28659132.add(_div_29105324);
var _div_16671262 = new Emp.Panel({"id":"_div_16671262","height":"100%","vAlign":"middle","marginLeft":"10","width":"100%"});
var _input_14399929 = new Emp.Label({"id":"_input_14399929","color":"#999999","width":"80","value":"孙坚全国后援会","fontSize":"12"});
_div_16671262.add(_input_14399929);
var _img_25055049 = new Emp.Image({"id":"_img_25055049","height":"20","marginLeft":"80","width":"20","src":"/fan_tie/u22.png"});
_div_16671262.add(_img_25055049);
var _input_25643409 = new Emp.Label({"id":"_input_25643409","color":"#999999","value":"9","fontSize":"12"});
_div_16671262.add(_input_25643409);
var _img_15656433 = new Emp.Image({"id":"_img_15656433","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u24.png"});
_div_16671262.add(_img_15656433);
var _input_3815385 = new Emp.Label({"id":"_input_3815385","color":"#999999","value":"0","fontSize":"12"});
_div_16671262.add(_input_3815385);
var _img_2659324 = new Emp.Image({"id":"_img_2659324","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u26.png"});
_div_16671262.add(_img_2659324);
var _input_757953 = new Emp.Label({"id":"_input_757953","color":"#999999","value":"6","fontSize":"12"});
_div_16671262.add(_input_757953);
var _img_21795015 = new Emp.Image({"id":"_img_21795015","height":"20","marginLeft":"20","tag":"share","width":"20","src":"/fan_tie/u34.png"});
_div_16671262.add(_img_21795015);
_div_28659132.add(_div_16671262);
var _div_28638088 = new Emp.Panel({"id":"_div_28638088","height":"100%","marginLeft":"10","width":"100%"});
var _img_15585762 = new Emp.Image({"id":"_img_15585762","height":"30","tag":"t_img1","width":"30","src":""});
_div_28638088.add(_img_15585762);
var _img_24015843 = new Emp.Image({"id":"_img_24015843","height":"30","tag":"t_img2","width":"30","src":""});
_div_28638088.add(_img_24015843);
var _img_8013061 = new Emp.Image({"id":"_img_8013061","height":"30","tag":"t_img3","width":"30","src":""});
_div_28638088.add(_img_8013061);
var _img_21594592 = new Emp.Image({"id":"_img_21594592","height":"30","tag":"t_img4","width":"30","src":""});
_div_28638088.add(_img_21594592);
var _img_15571401 = new Emp.Image({"id":"_img_15571401","height":"30","tag":"t_img5","width":"30","src":""});
_div_28638088.add(_img_15571401);
var _img_17521560 = new Emp.Image({"id":"_img_17521560","height":"30","tag":"t_img6","width":"30","src":""});
_div_28638088.add(_img_17521560);
var _img_11178268 = new Emp.Image({"id":"_img_11178268","height":"30","tag":"t_img7","width":"30","src":""});
_div_28638088.add(_img_11178268);
var _img_1896362 = new Emp.Image({"id":"_img_1896362","height":"30","tag":"t_img8","width":"30","src":""});
_div_28638088.add(_img_1896362);
var _img_29008059 = new Emp.Image({"id":"_img_29008059","height":"30","tag":"t_img9","width":"30","src":""});
_div_28638088.add(_img_29008059);
var _img_26107150 = new Emp.Image({"id":"_img_26107150","height":"30","tag":"t_img10","width":"30","src":""});
_div_28638088.add(_img_26107150);
var t_showNumber = new Emp.Panel({"id":"t_showNumber","height":"20","vAlign":"middle","marginTop":"5","backgroundColor":"#f2f2f2","hAlign":"center","width":"20","adapterTag":"otherCount"});
var _input_12545310 = new Emp.Label({"id":"_input_12545310","tag":"otherCount","value":"15"});
t_showNumber.add(_input_12545310);
_div_28638088.add(t_showNumber);
_div_28659132.add(_div_28638088);
tem1.add(_div_28659132);
_template_6925093.add(tem1);
var tem2 = new Emp.Panel({"id":"tem2","height":"260","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_30903639 = new Emp.Panel({"id":"_div_30903639","borderColor":"#f2f2f2","height":"250","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
var _div_8420066 = new Emp.Panel({"id":"_div_8420066","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_17024552 = new Emp.Panel({"id":"_div_17024552","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var _img_13014437 = new Emp.Image({"id":"_img_13014437","height":"30","width":"30","src":"/fan_tie/u4.png"});
_div_17024552.add(_img_13014437);
_div_8420066.add(_div_17024552);
var _div_25865226 = new Emp.Panel({"id":"_div_25865226","height":"100%","marginLeft":"20","layout":"VBox","width":"100%"});
var _input_19197266 = new Emp.Label({"id":"_input_19197266","tag":"title","value":"用一句话证明你是二坚的忠实粉丝"});
_div_25865226.add(_input_19197266);
var _input_22589283 = new Emp.Label({"id":"_input_22589283","color":"#999999","value":"15s前","fontSize":"12"});
_div_25865226.add(_input_22589283);
_div_8420066.add(_div_25865226);
_div_30903639.add(_div_8420066);
var _div_23245101 = new Emp.Panel({"id":"_div_23245101","height":"120","hAlign":"center","width":"100%"});
var _div_6162751 = new Emp.Panel({"id":"_div_6162751","height":"100%","vAlign":"middle","hAlign":"center","width":"110"});
var _img_28382104 = new Emp.Image({"id":"_img_28382104","height":"100","width":"100","src":"/fan_tie/u191.png"});
_div_6162751.add(_img_28382104);
_div_23245101.add(_div_6162751);
var _div_8225766 = new Emp.Panel({"id":"_div_8225766","height":"100%","vAlign":"middle","hAlign":"center","width":"100%"});
var _input_6203567 = new Emp.Label({"id":"_input_6203567","height":"100%","value":"《纳妾记》今年初开机，曾定名《明朝不科学  》。然而，如今该剧即将首播，名字重新改回《纳妾记》，原著小说中的6房妾室，竟然被“P”掉了… ","maxWidth":"190","singleLine":"false"});
_div_8225766.add(_input_6203567);
_div_23245101.add(_div_8225766);
_div_30903639.add(_div_23245101);
var _div_9735120 = new Emp.Panel({"id":"_div_9735120","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_30903639.add(_div_9735120);
var _div_6760150 = new Emp.Panel({"id":"_div_6760150","height":"100%","vAlign":"middle","marginLeft":"10","width":"100%"});
var _input_2539340 = new Emp.Label({"id":"_input_2539340","color":"#999999","width":"80","value":"见面会","fontSize":"12"});
_div_6760150.add(_input_2539340);
var _img_31012468 = new Emp.Image({"id":"_img_31012468","height":"20","marginLeft":"80","width":"20","src":"/fan_tie/u22.png"});
_div_6760150.add(_img_31012468);
var _input_25570267 = new Emp.Label({"id":"_input_25570267","color":"#999999","value":"9","fontSize":"12"});
_div_6760150.add(_input_25570267);
var _img_27883064 = new Emp.Image({"id":"_img_27883064","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u24.png"});
_div_6760150.add(_img_27883064);
var _input_9464281 = new Emp.Label({"id":"_input_9464281","color":"#999999","value":"0","fontSize":"12"});
_div_6760150.add(_input_9464281);
var _img_18166312 = new Emp.Image({"id":"_img_18166312","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u26.png"});
_div_6760150.add(_img_18166312);
var _input_9435460 = new Emp.Label({"id":"_input_9435460","color":"#999999","value":"6","fontSize":"12"});
_div_6760150.add(_input_9435460);
var _img_3544054 = new Emp.Image({"id":"_img_3544054","height":"20","marginLeft":"20","tag":"share","width":"20","src":"/fan_tie/u34.png"});
_div_6760150.add(_img_3544054);
_div_30903639.add(_div_6760150);
var _div_5814299 = new Emp.Panel({"id":"_div_5814299","height":"100%","marginLeft":"10","width":"100%"});
var _img_10428909 = new Emp.Image({"id":"_img_10428909","height":"30","tag":"t_img1","width":"30","src":""});
_div_5814299.add(_img_10428909);
var _img_23880560 = new Emp.Image({"id":"_img_23880560","height":"30","tag":"t_img2","width":"30","src":""});
_div_5814299.add(_img_23880560);
var _img_16024347 = new Emp.Image({"id":"_img_16024347","height":"30","tag":"t_img3","width":"30","src":""});
_div_5814299.add(_img_16024347);
var _img_13345204 = new Emp.Image({"id":"_img_13345204","height":"30","tag":"t_img4","width":"30","src":""});
_div_5814299.add(_img_13345204);
var _img_15023395 = new Emp.Image({"id":"_img_15023395","height":"30","tag":"t_img5","width":"30","src":""});
_div_5814299.add(_img_15023395);
var _img_1111687 = new Emp.Image({"id":"_img_1111687","height":"30","tag":"t_img6","width":"30","src":""});
_div_5814299.add(_img_1111687);
var _img_27873143 = new Emp.Image({"id":"_img_27873143","height":"30","tag":"t_img7","width":"30","src":""});
_div_5814299.add(_img_27873143);
var _img_10506011 = new Emp.Image({"id":"_img_10506011","height":"30","tag":"t_img8","width":"30","src":""});
_div_5814299.add(_img_10506011);
var _img_11114703 = new Emp.Image({"id":"_img_11114703","height":"30","tag":"t_img9","width":"30","src":""});
_div_5814299.add(_img_11114703);
var _img_7306220 = new Emp.Image({"id":"_img_7306220","height":"30","tag":"t_img10","width":"30","src":""});
_div_5814299.add(_img_7306220);
var t1_showNumber = new Emp.Panel({"id":"t1_showNumber","height":"20","vAlign":"middle","marginTop":"5","backgroundColor":"#f2f2f2","hAlign":"center","width":"20","adapterTag":"otherCount"});
var _input_26407803 = new Emp.Label({"id":"_input_26407803","tag":"otherCount","value":"15"});
t1_showNumber.add(_input_26407803);
_div_5814299.add(t1_showNumber);
_div_30903639.add(_div_5814299);
tem2.add(_div_30903639);
_template_6925093.add(tem2);
var tem3 = new Emp.Panel({"id":"tem3","height":"340","backgroundColor":"#fcfcfc","vAlign":"middle","hAlign":"center","width":"100%"});
var _div_4426037 = new Emp.Panel({"id":"_div_4426037","borderColor":"#f2f2f2","height":"330","backgroundColor":"#ffffff","marginLeft":"10","borderWidth":"1","marginRight":"10","layout":"VBox","width":"340","cornerRadius":"10"});
var _div_31799126 = new Emp.Panel({"id":"_div_31799126","height":"50","marginLeft":"10","marginTop":"10","layout":"HBox","width":"100%"});
var _div_26472729 = new Emp.Panel({"id":"_div_26472729","height":"30","vAlign":"middle","hAlign":"center","width":"30"});
var _img_28950500 = new Emp.Image({"id":"_img_28950500","height":"30","width":"30","src":"/fan_tie/u4.png"});
_div_26472729.add(_img_28950500);
_div_31799126.add(_div_26472729);
var _div_31797342 = new Emp.Panel({"id":"_div_31797342","height":"100%","marginLeft":"20","layout":"VBox","width":"100%"});
var _input_30047149 = new Emp.Label({"id":"_input_30047149","tag":"title","value":"用一句话证明你是二坚的忠实粉丝"});
_div_31797342.add(_input_30047149);
var _input_8248422 = new Emp.Label({"id":"_input_8248422","color":"#999999","value":"15s前","fontSize":"12"});
_div_31797342.add(_input_8248422);
_div_31799126.add(_div_31797342);
_div_4426037.add(_div_31799126);
var _div_17879217 = new Emp.Panel({"id":"_div_17879217","height":"200","hAlign":"center","width":"100%"});
var _div_16076405 = new Emp.Panel({"id":"_div_16076405","height":"100%","vAlign":"middle","hAlign":"center","layout":"VBox","width":"100%"});
var _img_15853284 = new Emp.Image({"id":"_img_15853284","height":"100%","width":"100%","src":"/fan_tie/u91.jpg"});
_div_16076405.add(_img_15853284);
var _input_23964999 = new Emp.Label({"id":"_input_23964999","value":"雪姨之歌倒背如流：傅文佩开门啊…","fontBold":"true"});
_div_16076405.add(_input_23964999);
_div_17879217.add(_div_16076405);
_div_4426037.add(_div_17879217);
var _div_25891872 = new Emp.Panel({"id":"_div_25891872","height":"1px","backgroundColor":"#f2f2f2","width":"100%"});
_div_4426037.add(_div_25891872);
var _div_30825033 = new Emp.Panel({"id":"_div_30825033","height":"100%","vAlign":"middle","marginLeft":"10","width":"100%"});
var _input_29458425 = new Emp.Label({"id":"_input_29458425","color":"#999999","width":"80","value":"见面会","fontSize":"12"});
_div_30825033.add(_input_29458425);
var _img_12121589 = new Emp.Image({"id":"_img_12121589","height":"20","marginLeft":"80","width":"20","src":"/fan_tie/u22.png"});
_div_30825033.add(_img_12121589);
var _input_18605502 = new Emp.Label({"id":"_input_18605502","color":"#999999","value":"9","fontSize":"12"});
_div_30825033.add(_input_18605502);
var _img_8927542 = new Emp.Image({"id":"_img_8927542","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u24.png"});
_div_30825033.add(_img_8927542);
var _input_23334042 = new Emp.Label({"id":"_input_23334042","color":"#999999","value":"0","fontSize":"12"});
_div_30825033.add(_input_23334042);
var _img_24602282 = new Emp.Image({"id":"_img_24602282","height":"20","marginLeft":"20","width":"20","src":"/fan_tie/u26.png"});
_div_30825033.add(_img_24602282);
var _input_32845813 = new Emp.Label({"id":"_input_32845813","color":"#999999","value":"6","fontSize":"12"});
_div_30825033.add(_input_32845813);
var _img_2078264 = new Emp.Image({"id":"_img_2078264","height":"20","marginLeft":"20","tag":"share","width":"20","src":"/fan_tie/u34.png"});
_div_30825033.add(_img_2078264);
_div_4426037.add(_div_30825033);
var _div_32790066 = new Emp.Panel({"id":"_div_32790066","height":"100%","marginLeft":"10","width":"100%"});
var _img_4648875 = new Emp.Image({"id":"_img_4648875","height":"30","tag":"t_img1","width":"30","src":""});
_div_32790066.add(_img_4648875);
var _img_18938646 = new Emp.Image({"id":"_img_18938646","height":"30","tag":"t_img2","width":"30","src":""});
_div_32790066.add(_img_18938646);
var _img_4486245 = new Emp.Image({"id":"_img_4486245","height":"30","tag":"t_img3","width":"30","src":""});
_div_32790066.add(_img_4486245);
var _img_3514197 = new Emp.Image({"id":"_img_3514197","height":"30","tag":"t_img4","width":"30","src":""});
_div_32790066.add(_img_3514197);
var _img_7315776 = new Emp.Image({"id":"_img_7315776","height":"30","tag":"t_img5","width":"30","src":""});
_div_32790066.add(_img_7315776);
var _img_12824460 = new Emp.Image({"id":"_img_12824460","height":"30","tag":"t_img6","width":"30","src":""});
_div_32790066.add(_img_12824460);
var _img_20589674 = new Emp.Image({"id":"_img_20589674","height":"30","tag":"t_img7","width":"30","src":""});
_div_32790066.add(_img_20589674);
var _img_3807518 = new Emp.Image({"id":"_img_3807518","height":"30","tag":"t_img8","width":"30","src":""});
_div_32790066.add(_img_3807518);
var _img_4667150 = new Emp.Image({"id":"_img_4667150","height":"30","tag":"t_img9","width":"30","src":""});
_div_32790066.add(_img_4667150);
var _img_24084078 = new Emp.Image({"id":"_img_24084078","height":"30","tag":"t_img10","width":"30","src":""});
_div_32790066.add(_img_24084078);
var t3_showNumber = new Emp.Panel({"id":"t3_showNumber","height":"20","vAlign":"middle","marginTop":"5","backgroundColor":"#f2f2f2","hAlign":"center","width":"20","adapterTag":"otherCount"});
var _input_27531917 = new Emp.Label({"id":"_input_27531917","tag":"otherCount","value":"15"});
t3_showNumber.add(_input_27531917);
_div_32790066.add(t3_showNumber);
_div_4426037.add(_div_32790066);
tem3.add(_div_4426037);
_template_6925093.add(tem3);



  
Emp.page.render();
