var top = this;

var arguments = [];
var window= top;

arguments.callee = {};
var DEBUG_FUNC_INDEX = 1;

var del = ["arguments","top","window","Emp","empBridge","util","DEBUG_FUNC_INDEX","del","BridgeUtil","ResultUtil"];

function jsDebug(){
	
}

jsDebug.debugCommand = null;
jsDebug.currResource = null;
jsDebug.breakpoints = null;
jsDebug.functionStack = [];
jsDebug.currResource = null;
jsDebug.currLine = null;
jsDebug.isExpression = false;

/**
 * 
 */
jsDebug.getErrorStack = function(func) {
	var stack = [];
	while (func) {
		var funcStr = func.toString();
		var funcOffset = funcStr.indexOf(")");
		var funcHead = funcStr.substring(0, funcOffset + 1);
		var args = func.arguments;
		var argArr = [];
		for (var i = 0; i < args.length; i++) {
			argArr.push(args[i]);
		}
		stack.push(funcHead + json2string(argArr, 12));
		func = func.caller;
	}
	return stack.join("\n");
}

/**
 * 
 */
var parseVars = function(line) {
	var varNames = [];
	if (line && line.length > 0) {
		var endOffset = line.indexOf(";");
		if (endOffset > 0) {
			line = line.substring(0, endOffset);
		}
		var lineArr = line.split(",");
		for (var i = 0; i < lineArr.length; i++) {
			var varStr = lineArr[i];
			var varEndOffset = varStr.indexOf("=");
			if (varEndOffset > 0) {
				varNames.push(varStr.substring(0, varEndOffset));
			} else {
				varNames.push(varStr);
			}
		}
	}
	return varNames;
}

/**
 * 
 */
jsDebug.updateStack = function(args, resource, scope, line, evalFunc) {
	if (args && args.callee) {
		var func = args.callee;
		func.__resource = resource;
		func.__line = line;
		func.__evalFunc = evalFunc;
		func.__scope = scope;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				jsDebug.functionStack = jsDebug.functionStack.slice(0, i + 1);
				return;
			}
		}
		jsDebug.functionStack.push(func);
	} else {
		jsDebug.functionStack = [];
	}

}

/**
 * 
 */
var getFuncData = function(args, evalFunc) {
	
		var vars = [];
		var func = args.callee;
		if (func) {
			var funcStr = func.toString().replace(/\n/g, "");
			var argStart = funcStr.indexOf("(");
			var argEnd = funcStr.indexOf(")");
			if (argStart > 0 && argEnd > 0) {
				var argStr = funcStr.substring(argStart + 1, argEnd);
				vars = argStr.split(",");
			}
			var nameArr = funcStr.split("var ");
			for (var i = 1; i < nameArr.length; i++) {
				var line = nameArr[i];
				vars = vars.concat(parseVars(line));
			}
		}
		var data = {};
		
		for (var i = 0; i < vars.length; i++) {
			var key = vars[i];
			if (key && key.length > 0) {
				key = key.replace(/\n|\r|\t| /g, "");
				if (/^[A-Za-z0-9_\$]*$/.test(key)) {
					try {
						var result = evalFunc(key);
						if (result == undefined) {
							data[key] = {"value":"undefined","type":"string"};
						} else if (result == null) {
							data[key] = {"value":"null","type":"string"};
						} else {
							data[key] = {"value":evalFunc(key),"type":typeof(evalFunc(key))};
						}
					} catch (e) {

					}
				}
			}
		}
		return data;
}

var getWindowData = function(args,evalFunc){
	var data = {};
	for (var i in top) { 
	    data[i] = {value:top[i],type:typeof(top[i])};
	}
//	return {"x":{"value":top.x,"type":typeof(top.x)}};

	return {"window":{value:top,type:typeof(top)}};
}


/**
 * find if arguments is stepreturn context
 */
jsDebug.isStepReturn = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 2; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * find if arguments is stepover context
 */
jsDebug.isStepOver = function(args) {
	if (args) {
		var func = args.callee;
		for (var i = jsDebug.functionStack.length - 1; i > -1; i--) {
			if (func == jsDebug.functionStack[i]) {
				return true;
			}
		}
		return false;
	} else {
		return true;
	}
}

/**
 * 
 */
jsDebug.error = function(e, resource, line,callFunc) {
	try {
		var funcStr = callFunc + "";
			if(funcStr.indexOf("function anonymous")>=0){
				funcStr = undefined;
			}
		var postData = {
			"ERROR" : encodeURI(e),
			"COMMAND" : "ERROR",
			"RESOURCE" : resource,
			"LINE" : line,
			"ERRORFUNC":funcStr,
			"ISIE":isIE
		}
		empBridge.debug(obj2string(postData));
	} catch (e) {

	}
}

/**
 * 
 */
jsDebug.stepReturn = function(func) {
	try {
		var data = jsDebug.getFuncData(func.arguments, func.__evalFunc);
		jsDebug.updateStack(func.arguments, func.__resource, func.__scope,
				func.__line, func.__evalFunc);
		if (func.__scope != top) {
			data["this"] = func.__scope;
		}
		var postData = {
			"STACK" : data,
			"COMMAND" : jsDebug.debugCommand,
			"RESOURCE" : func.__resource,
			"LINE" : func.__line
		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,func.__evalFunc);
		
	} catch (e) {
	}
}


jsDebug.evalExpression = function(expression, evalFunc) {
	try {
	//	jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "EXPRESSION",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}
			postData["RESULT"] = ret;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {

	}
}

jsDebug.evalValue = function(expression, evalFunc){
	try {
//		jsDebug.xmlHttp.open("POST", "/jsdebug.debug?" + new Date(), false);
		var postData = {
			"STACK" : {},
			"COMMAND" : "VALUE",
			"EXPRESSION" : expression
		}
		try {
			jsDebug.isExpression = true;
			var ret = evalFunc(expression);
			var data = {};
			if(typeof(ret)=="undefined"){
				ret = "undefined";
			}else if(ret==null){
				ret = "null";
			}else{
				for(var prop in ret){
					try{
						if(prop!="postData"&&!contains(del,prop)){
						var value = ret[prop];
						var type = typeof(value);
						if(type=="function"){
							continue;
						}
						var stringValue = "";
						if(value){
							stringValue = value.toString();
						}
						if(value==null){
							stringValue = "null";
							type = "null";
						}else if(value==undefined){
							stringValue = "undefined";
							type = "undefined";
						}
						data[prop] = {"value":stringValue,"type":typeof(value)};
						}
					}catch(e){

					}
				}
			}
			postData["RESULT"] = data;
		} catch (e) {
			postData["ERROR"] = e;
		}
		jsDebug.isExpression = false;
		var submitString = "{}";
		try{
			submitString = json2string(postData);
		}catch(e){

		}
		var res = empBridge.debug(obj2string(postData));
		jsDebug.parseResult(res,evalFunc);
	} catch (e) {
		alert(e);
	}
}

/**
 * 
 */
jsDebug.parseResult = function(result, evalFunc) {
	if (result) {
		if (result.indexOf("{") == 0) {
			try {
				eval("var retObj = " + result);
				if( retObj["COMMAND"]){
					if(retObj["COMMAND"]=="EXPRESSION"){
						jsDebug.evalExpression(retObj["EXPRESSION"], evalFunc);
					}else if(retObj["COMMAND"]=="VALUE"){
						jsDebug.evalValue(retObj["EXPRESSION"], evalFunc);
					}else{
						jsDebug.isExpression = false;
						jsDebug.debugCommand = retObj["COMMAND"];
						if (jsDebug.debugCommand == "BREAKPOINT") {
							jsDebug.breakpoints = retObj["BREAKPOINTS"];
						}
					}
				}
                return retObj;
			} catch (e) {
			}
		} else {
			 alert("Debug error:" + result);
		}
	} else {

	}
}



function json2string(obj, depth) {
	depth = depth || 0;
	if (typeof obj == "function") {
		return "\"function\"";
	}  else if (obj && typeof obj.pop == 'function' && obj instanceof Array) {
		return array2string(obj, depth + 1);
	} else if (typeof obj == "object") {
		return obj2string(obj, depth + 1);
	} else {
		if (typeof obj == "string") {
			return "\"" + obj.replace(/"/gm, "'").replace(/\n|\r/gm, "")
					+ "\"";
		} else if (typeof obj == "number") {
			if (isFinite(obj)) {
				return obj;
			} else {
				return "\"out of number\"";
			}
		} else {
			//return util.jsonToString(obj).replace(/"/gm, "\\\"").replace(/\n|\r/gm, "");
		}
	}
}

function obj2string(obj, depth) {
	depth = depth || 0;
		var arr = [];
		for (var prop in obj) {
			try {
				if (obj.hasOwnProperty(prop) && typeof(obj[prop]) != "function") {
					if (depth < 9) {
						arr.push("\"" + prop + "\":"
								+ json2string(obj[prop], depth + 1));
					} else {
						arr.push("\"" + prop + "\":\"...\"")
					}
				}
			} catch (e) {

			}
		}
		return "{" + arr.join(",") + "}";
}

function complexObj2String(obj){
	var arr = [];
	for (var prop in obj) {
		try {
			if (typeof(obj[prop]) != "function") {
				var value = (obj[prop] + "").replace(/"/gm, "'").replace(/\n|\r/gm, "");
				arr.push("\"" + prop + "\":\""
						+ value + "\"");
			}
		} catch (e) {

		}
	}
	return "{" + arr.join(",") + "}";
}
function array2string(array, depth) {
	depth = depth || 0;
	var arr = [];
	for (var i = 0; i < array.length; i++) {
		arr.push(json2string(array[i], depth + 1));
	}
	return "[" + arr.join(",") + "]";
}

function mergeJsonObject(jsonbject1, jsonbject2)  
{  
    var resultJsonObject={};  
    for(var attr in jsonbject1){  
        resultJsonObject[attr]=jsonbject1[attr];  
    }  
    for(var attr in jsonbject2){  
        resultJsonObject[attr]=jsonbject2[attr];  
    }  

    return resultJsonObject;  
};  

function convertStringToJSON(str){
    var stu = eval('('+str+')');
    return stu;
}

function contains(a,obj){
	var i = a.length;
	while(i--){
		if(a[i]===obj){
			return true;
		}
	}
	return false;
}

jsDebug.getBreakPoint = function(async) {
	var postData = {"COMMAND":"RESUME"}; 
    var res = empBridge.debug(obj2string(postData));
    var retObj = util.stringToJson(res);
    jsDebug.breakpoints = retObj["BREAKPOINTS"];
    return;

	async = async?false:true;
	log(":"+async);
	try{
//	var jsonResume = "{\"COMMAND\":\"RESUME\"}";
		var postData = {"COMMAND":"RESUME"}; 
	if(async){
		var id;
	    log("");
		id = setInterval(jsDebug.getBreakPoint,1000);
	}else{
		log("");
	    var res = empBridge.debug(obj2string(postData));
	    var retObj = util.stringToJson(res);
	    jsDebug.breakpoints = retObj["BREAKPOINTS"];
	}
	} catch(e){
		
	}
}

jsDebug.getBreakPoint();

jsDebug.debug =  function(resource,line,scope,args,evalFunc){
	var isNewStack = false;
	if(args&&args["_funcIndex"]==undefined){
		if(args.callee.caller && args.callee.caller.arguments){
			if(args.callee.caller.arguments["__funcIndex"]==undefined){
				args["__funcIndex"] = DEBUG_FUNC_INDEX++;
				isNewStack = true;
			}else{
				args["__funcIndex"] = args.callee.caller.arguments["__funcIndex"];
			}
		}
	}
	
	if (jsDebug.isExpression) {
		return;
	}
	
	
	try {
		jsDebug.currResource = resource;
		jsDebug.currLine = line;
		if (jsDebug.debugCommand == null) {
			jsDebug.debugCommand = "START";
		}
		if (jsDebug.debugCommand == "TERMINATE") {
			throw "exit";
		}
		if(!jsDebug.breakpoints){
			jsDebug.getBreakPoint(true);
		}
		if (!(jsDebug.breakpoints && jsDebug.breakpoints[resource + line])) {
			if (jsDebug.debugCommand == "STEPRETURN"
					|| jsDebug.debugCommand == "STEPOVER") {
				var parentFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 2];
				var currFunc = jsDebug.functionStack[jsDebug.functionStack.length
						- 1];
				if(currFunc && (currFunc==args.callee)){
					if(jsDebug.debugCommand == "STEPRETURN"){
						return;
					}
					// do nothing
				}else{
					if (parentFunc && (args.callee.caller == parentFunc)) {
						jsDebug.stepReturn(parentFunc);
						jsDebug.debug(resource, line, scope, args, evalFunc);
						if(jsDebug.debugCommand == "STEPRETURN"){
							return;
						}
					}else{
//						if(args.callee){
//							return;
//						}
					}
				}

			}
			if (jsDebug.debugCommand == "STEPRETURN") {
				if (!jsDebug.isStepReturn(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "STEPOVER") {
				if (!jsDebug.isStepOver(args)) {
					if(args.callee){
						return;
					}
				}
			} else if (jsDebug.debugCommand == "RESUME") {
				return;
			} else if (jsDebug.debugCommand == "STEPINTO") {

			} else {
				return;
			}
		} else {
			jsDebug.debugCommand = "BREAKPOINT";
		}
		
		var data = getFuncData(args,evalFunc);
		var windowData = getWindowData(args,evalFunc);
		var stack = mergeJsonObject(windowData,data);
		
		jsDebug.updateStack(args, resource, scope, line, evalFunc);
		
		var postData = {
				"STACK" : stack,
				"COMMAND" : jsDebug.debugCommand,
				"RESOURCE" : resource,
				"LINE" : line,
				"NEWSTACK":true
		};
		var postDataStr = json2string(postData,0);
		
	    var res = empBridge.debug(postDataStr);
		
		jsDebug.parseResult(res, evalFunc);
		
	} catch (e) {

	}

};

var $jsd = jsDebug.debug;
Emp.page.setId('_body_12827238');
var tie_id_temp = new Emp.Label({"id":"tie_id_temp","value":"","display":"false"});
Emp.page.add(tie_id_temp);
var tie_floor_temp = new Emp.Label({"id":"tie_floor_temp","value":"","display":"false"});
Emp.page.add(tie_floor_temp);
var listviewrowno = new Emp.Label({"id":"listviewrowno","value":"","display":"false"});
Emp.page.add(listviewrowno);
var floor_creator = new Emp.Label({"id":"floor_creator","value":"","display":"false"});
Emp.page.add(floor_creator);
var dialog = new Emp.CustomDialog({"id":"dialog","canceledOnTouchOutside":"true"});
var _div_632994 = new Emp.Panel({"id":"_div_632994","borderColor":"#ffffff","height":"200","paddingTop":"20","backgroundColor":"#ffffff","borderWidth":"2","hAlign":"center","width":"320","layout":"VBox","cornerRadius":"10"});
var _div_1978107 = new Emp.Panel({"id":"_div_1978107","height":"30","vAlign":"middle","hAlign":"center","width":"100%"});
var _input_27167714 = new Emp.Label({"id":"_input_27167714","value":"打赏","fontSize":"22"});
_div_1978107.add(_input_27167714);
_div_632994.add(_div_1978107);
var _div_32614237 = new Emp.Panel({"id":"_div_32614237","height":"70","vAlign":"middle","hAlign":"center","width":"100%"});
var _input_2281150 = new Emp.Label({"id":"_input_2281150","value":"这位亲如此用心发帖，你赏他多少饭票?","fontSize":"16"});
_div_32614237.add(_input_2281150);
_div_632994.add(_div_32614237);
var _div_20128036 = new Emp.Panel({"id":"_div_20128036","height":"100%","vAlign":"top","hAlign":"center","width":"300"});
var _div_31690128 = new Emp.Panel({"id":"_div_31690128","height":"40","hAlign":"center","width":"100%"});
var _div_6483721 = new Emp.Panel({"id":"_div_6483721","height":"40","vAlign":"middle","hAlign":"center","width":"40","backgroundImage":"/images/u251.png"});
_div_6483721.addEvent('onClick',reward1);
var _input_20659244 = new Emp.Label({"id":"_input_20659244","color":"#ffffff","value":"1","fontBold":"true","fontSize":"19"});
_div_6483721.add(_input_20659244);
_div_31690128.add(_div_6483721);
_div_20128036.add(_div_31690128);
var _div_3925676 = new Emp.Panel({"id":"_div_3925676","height":"40","hAlign":"center","width":"100%"});
var _div_10835068 = new Emp.Panel({"id":"_div_10835068","height":"40","vAlign":"middle","hAlign":"center","width":"40","backgroundImage":"/images/u251.png"});
_div_10835068.addEvent('onClick',reward2);
var _input_5087860 = new Emp.Label({"id":"_input_5087860","color":"#ffffff","value":"5","fontBold":"true","fontSize":"19"});
_div_10835068.add(_input_5087860);
_div_3925676.add(_div_10835068);
_div_20128036.add(_div_3925676);
var _div_14975050 = new Emp.Panel({"id":"_div_14975050","height":"40","hAlign":"center","width":"100%"});
var _div_21952047 = new Emp.Panel({"id":"_div_21952047","height":"40","vAlign":"middle","hAlign":"center","width":"40","backgroundImage":"/images/u251.png"});
_div_21952047.addEvent('onClick',reward3);
var _input_17079775 = new Emp.Label({"id":"_input_17079775","color":"#ffffff","value":"10","fontBold":"true","fontSize":"19"});
_div_21952047.add(_input_17079775);
_div_14975050.add(_div_21952047);
_div_20128036.add(_div_14975050);
var _div_1622777 = new Emp.Panel({"id":"_div_1622777","height":"40","hAlign":"center","width":"100%"});
var _div_27828185 = new Emp.Panel({"id":"_div_27828185","height":"40","vAlign":"middle","hAlign":"center","width":"40","backgroundImage":"/images/u251.png"});
_div_27828185.addEvent('onClick',reward4);
var _input_26648841 = new Emp.Label({"id":"_input_26648841","color":"#ffffff","value":"50","fontBold":"true","fontSize":"19"});
_div_27828185.add(_input_26648841);
_div_1622777.add(_div_27828185);
_div_20128036.add(_div_1622777);
var _div_2515448 = new Emp.Panel({"id":"_div_2515448","height":"40","hAlign":"center","width":"100%"});
var _div_32109132 = new Emp.Panel({"id":"_div_32109132","height":"40","vAlign":"middle","hAlign":"center","width":"40","backgroundImage":"/images/u251.png"});
_div_32109132.addEvent('onClick',reward5);
var _input_2252444 = new Emp.Label({"id":"_input_2252444","color":"#ffffff","value":"100","fontBold":"true","fontSize":"19"});
_div_32109132.add(_input_2252444);
_div_2515448.add(_div_32109132);
_div_20128036.add(_div_2515448);
_div_632994.add(_div_20128036);
dialog.setView(_div_632994);




$jsd('/NewBuyApp/src/template/reward_template.htmlx',55,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);});function reward1() { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',56,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); reward("1"); 
} 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',59,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function reward2() { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',60,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); reward("5"); 
} 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',63,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function reward3() { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',64,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); reward("10"); 
} 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',67,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function reward4() { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',68,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); reward("50"); 
} 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',71,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function reward5() { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',72,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); reward("100"); 
} 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',75,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); function reward(rewardPoints) { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',76,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var preference = new $M.Preferences(); 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',77,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); preference.open("newbuy_config"); 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',78,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newbuy_config = preference.get("newbuy_config"); 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',79,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax = new $M.Ajax(); 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',80,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.addParams([{name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',86,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.setAction("/mobile/loginAction!getUserInfoBySession.action"); 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',87,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax.submit(function (result) { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',88,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/template/reward_template.htmlx',89,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
if($jsd('/NewBuyApp/src/template/reward_template.htmlx',90,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.data != null && result.data.userid != null && result.data.userid != "") { 
if($jsd('/NewBuyApp/src/template/reward_template.htmlx',91,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (floor_creator.getValue() == result.data.userid) { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',92,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("会有人赏你的，要有信心！"); 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',93,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.close(); 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',94,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); return; 
} 
if($jsd('/NewBuyApp/src/template/reward_template.htmlx',97,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (parseInt(result.data.points) >= parseInt(rewardPoints)) { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',100,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var tieIdJ = {}; 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',101,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tieIdJ.name = "fanTopic.id"; 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',102,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); tieIdJ.value = tie_id_temp.getValue(); 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',104,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var pointsJ = {}; 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',105,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsJ.name = "fanTopic.rewardPoints"; 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',106,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); pointsJ.value = rewardPoints; 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',108,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var louIdJ = {}; 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',109,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); louIdJ.name = "fanTopic.floorNo"; 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',110,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); louIdJ.value = tie_floor_temp.getValue(); 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',113,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var ajax1 = new $M.Ajax(); 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',114,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.addParams([tieIdJ, louIdJ, pointsJ, {name:"loginkey", value:newbuy_config.loginkey}, {name:"mobileImei", value:Utils.getImei()}, {name:"mobileType", value:Utils.getOs()}, {name:"mobileToken", value:Utils.getMessageToken()}]); 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',117,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.setAction("/mobile/fanTopicAction!addReward.action"); 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',118,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); ajax1.submit(function (result) { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',119,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); result = Utils.stringToJson(result); 
if($jsd('/NewBuyApp/src/template/reward_template.htmlx',120,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (result.success) { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',121,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); dialog.close(); 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',122,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("打赏成功~"); 
if($jsd('/NewBuyApp/src/template/reward_template.htmlx',124,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (listviewrowno.getValue() != "") { 
if($jsd('/NewBuyApp/src/template/reward_template.htmlx',125,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (listviewrowno.getValue() == -1) { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',127,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rewardval.setValue(result.data.rewardCnt); 
} else { 
if($jsd('/NewBuyApp/src/template/reward_template.htmlx',128,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);})||true) if (listviewrowno.getValue() == -2) { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',130,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); rewardval.setValue(result.data.rewardCnt); 
} else { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',132,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); var newItemData = generateItemData(result.data); 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',133,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.updateItem(listviewrowno.getValue(), newItemData); 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',134,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listview.reloadData(); 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',135,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); listviewrowno.setValue(""); 
} 
} 
} 
} else { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',139,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("打赏失败！"); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',142,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} else { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',145,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("你的饭票不够哎~"); 
} 
} else { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',148,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
} else { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',151,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); $M.page.goTo("/fanReg/login.html", null, true); 
} 
}, function (error) { 
$jsd('/NewBuyApp/src/template/reward_template.htmlx',154,this,((typeof(arguments)!="undefined"?arguments:null)),function(__text){return eval(__text);}); toast("网络菌罢工了！"); 
}); 
} 
 
Emp.page.render();
